(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    677414,      17201]
NotebookOptionsPosition[    643389,      16702]
NotebookOutlinePosition[    643818,      16719]
CellTagsIndexPosition[    643775,      16716]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.8113407476713305`*^9, 3.8113407584839287`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"2122faeb-9855-40a6-8c74-09e729807da3"],

Cell["5.5.1", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
  3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
  3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
  3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
  3.8106578335062475`*^9}, {3.8113407849656515`*^9, 
  3.811340785528795*^9}},ExpressionUUID->"30542361-6830-4018-a59c-\
ddd8cfd75895"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo1", "=", 
   RowBox[{"Grafo", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"a", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "c"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "a"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "c"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "g"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"g", ",", "e"}], "}"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ResaltarRuta", "[", 
  RowBox[{"grafo1", ",", 
   RowBox[{"Partition", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "b", ",", "e", ",", "d", ",", "e", ",", "g", ",", "f", ",", "f", ",", 
       "b", ",", "a", ",", "a", ",", "c", ",", "b"}], "}"}], ",", "2", ",", 
     "1"}], "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.813490795218028*^9, 3.813490795581061*^9}, {
  3.813491347764021*^9, 3.81349135286987*^9}, {3.813511168630873*^9, 
  3.81351121852561*^9}, {3.813571480858323*^9, 3.8135714882922297`*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"341250b5-a069-405f-b4aa-4623b2a13a62"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`e, \
$CellContext`f, $CellContext`g, $CellContext`d}, {
      Null, {{1, 2}, {1, 3}, {1, 1}, {2, 3}, {2, 4}, {2, 5}, {2, 5}, {5, 5}, {
       5, 6}, {5, 4}, {7, 4}, {7, 4}, {7, 4}, {6, 4}}}, {GraphHighlight -> {
         UndirectedEdge[$CellContext`a, $CellContext`c], 
         UndirectedEdge[$CellContext`f, $CellContext`b], 
         UndirectedEdge[$CellContext`a, $CellContext`a], 
         UndirectedEdge[$CellContext`f, $CellContext`f], 
         UndirectedEdge[$CellContext`b, $CellContext`a], 
         UndirectedEdge[$CellContext`e, $CellContext`g], 
         UndirectedEdge[$CellContext`e, $CellContext`d], 
         UndirectedEdge[$CellContext`b, $CellContext`e], 
         UndirectedEdge[$CellContext`g, $CellContext`f], 
         UndirectedEdge[$CellContext`c, $CellContext`b]}, 
       GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
       VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[BezierCurveBox[{{0., 0.5248451438470066}, {
           0.0772403196517335, 0.32924128934091323`}, {-0.01897862361154523, 
           0.14627927156497678`}, {-0.14934743565208733`, 
           0.09477900249744817}, {-0.42208765587287234`, 
           0.35424750836838553`}, {-0.3771493842734551, 
           0.48702121289058026`}, {-0.19921062767521497`, 
           0.5922399559529088}, {0., 0.5248451438470066}},
           SplineDegree->7], 0.031525814893027526`]}}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[{{0., 0.5248451438470066}, {1.0504715258234052`, 
           0.7311819276829019}}, 0.031525814893027526`]}}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[{{0., 0.5248451438470066}, {0.10074492458024609`, 
           1.219180022839214}}, 0.031525814893027526`]}}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[{{1.0504715258234052`, 0.7311819276829019}, {
           0.10074492458024609`, 1.219180022839214}}, 
           0.031525814893027526`]}}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[{{1.0504715258234052`, 0.7311819276829019}, {
           2.3129047337989195`, 0.8497640003521413}}, 
           0.031525814893027526`]}}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[BezierCurveBox[{{1.0504715258234052`, 
           0.7311819276829019}, {1.5708778666028262`, 0.5949784456974184}, {
           1.9088497970013873`, 0.1764702351554135}}], 
           0.031525814893027526`]}}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[BezierCurveBox[{{1.0504715258234052`, 
           0.7311819276829019}, {1.38844345622196, 0.3126737171409014}, {
           1.9088497970013873`, 0.1764702351554135}}], 
           0.031525814893027526`]}}, 
        {Arrowheads[0.], 
         ArrowBox[{{2.3129047337989195`, 0.8497640003521413}, {
          1.9088497970013873`, 0.1764702351554135}}, 0.031525814893027526`]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[{{2.3129047337989195`, 0.8497640003521413}, {
           2.758052819584944, 0.}}, 0.031525814893027526`]}}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[BezierCurveBox[{{2.3129047337989195`, 
           0.8497640003521413}, {2.6278499177757193`, 1.3551883539003855`}, {
           3.1813146779120203`, 1.5750087473062189`}}], 
           0.031525814893027526`]}}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[{{2.3129047337989195`, 0.8497640003521413}, {
           3.1813146779120203`, 1.5750087473062189`}}, 
           0.031525814893027526`]}}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[BezierCurveBox[{{2.3129047337989195`, 
           0.8497640003521413}, {2.8663694939352666`, 1.0695843937579892`}, {
           3.1813146779120203`, 1.5750087473062189`}}], 
           0.031525814893027526`]}}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[BezierCurveBox[{{1.9088497970013873`, 
           0.1764702351554135}, {2.056434918773963, -0.006261387814530228}, {
           2.017090437698806, -0.19821521901885425`}, {
           1.9149946879878426`, -0.2829084145840276}, {
           1.5818571298474493`, -0.1462406248248813}, {
           1.5686557390952032`, -0.01424743270388254}, {1.6754545961054201`, 
           0.15003362416635677`}, {1.9088497970013873`, 0.1764702351554135}},
           SplineDegree->7], 0.031525814893027526`]}}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[{{1.9088497970013873`, 0.1764702351554135}, {
           2.758052819584944, 0.}}, 0.031525814893027526`]}}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {DiskBox[{0., 0.5248451438470066}, 0.031525814893027526], 
         InsetBox["a", 
          Offset[{2, 2}, {0.031525814893027526, 0.5563709587400342}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.0504715258234052, 0.7311819276829019}, 
          0.031525814893027526], 
         InsetBox["b", 
          Offset[{2, 2}, {1.0819973407164327, 0.7627077425759294}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.10074492458024609, 1.219180022839214}, 
          0.031525814893027526], 
         InsetBox["c", 
          Offset[{2, 2}, {0.1322707394732736, 1.2507058377322415}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.3129047337989195, 0.8497640003521413}, 
          0.031525814893027526], 
         InsetBox["e", 
          Offset[{2, 2}, {2.344430548691947, 0.8812898152451688}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.9088497970013873, 0.1764702351554135}, 
          0.031525814893027526], 
         InsetBox["f", 
          Offset[{2, 2}, {1.9403756118944149, 0.20799605004844102}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.758052819584944, 0.}, 0.031525814893027526], 
         InsetBox["g", 
          Offset[{2, 2}, {2.7895786344779716, 0.031525814893027526}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.1813146779120203, 1.5750087473062189}, 
          0.031525814893027526], 
         InsetBox["d", 
          Offset[{2, 2}, {3.212840492805048, 1.6065345621992464}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.8135714892903433`*^9, 3.813573229043871*^9, 
  3.8135764661963367`*^9, 3.8423399511853*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"56c97dd5-508a-40a2-87d0-6a56e8112cbb"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo2", "=", 
   RowBox[{"Grafo", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"a", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "d"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "c"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "d"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"c", ",", "d"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"c", ",", "g"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "i"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "i"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"e", ",", "j"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "g"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "i"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "h"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"h", ",", "i"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "j"}], "}"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ResaltarRuta", "[", 
  RowBox[{"grafo2", ",", 
   RowBox[{"Partition", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "b", ",", "a", ",", "e", ",", "d", ",", "i", ",", "h", ",", "f", ",", 
       "d", ",", "c", ",", "g", ",", "f", ",", "i", ",", "d", ",", "b"}], 
      "}"}], ",", "2", ",", "1"}], "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8135113406088257`*^9, 3.8135113441400557`*^9}, {
   3.813511565147196*^9, 3.81351158586357*^9}, 3.8135116338392353`*^9, {
   3.8135714931619906`*^9, 3.8135714952569065`*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"62ef1fad-b603-447d-ae02-a237479e762d"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`d, $CellContext`e, \
$CellContext`c, $CellContext`g, $CellContext`f, $CellContext`i, \
$CellContext`j, $CellContext`h}, {
      Null, {{1, 2}, {1, 3}, {1, 4}, {2, 2}, {2, 2}, {2, 5}, {2, 3}, {5, 3}, {
       5, 6}, {3, 4}, {3, 7}, {3, 8}, {3, 8}, {4, 9}, {7, 6}, {7, 8}, {7, 
       10}, {10, 8}, {8, 9}}}, {GraphHighlight -> {
         UndirectedEdge[$CellContext`f, $CellContext`d], 
         UndirectedEdge[$CellContext`b, $CellContext`a], 
         UndirectedEdge[$CellContext`h, $CellContext`f], 
         UndirectedEdge[$CellContext`d, $CellContext`b], 
         UndirectedEdge[$CellContext`d, $CellContext`c], 
         UndirectedEdge[$CellContext`f, $CellContext`i], 
         UndirectedEdge[$CellContext`a, $CellContext`e], 
         UndirectedEdge[$CellContext`e, $CellContext`d], 
         UndirectedEdge[$CellContext`i, $CellContext`h], 
         UndirectedEdge[$CellContext`g, $CellContext`f], 
         UndirectedEdge[$CellContext`c, $CellContext`g], 
         UndirectedEdge[$CellContext`d, $CellContext`i]}, 
       GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
       VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[{{0.06488552069038844, 1.86607713902124}, {
           0.7226471438764853, 2.4115474674909123`}}, 0.02644419743903717]}}, 
        {Arrowheads[0.], 
         ArrowBox[{{0.06488552069038844, 1.86607713902124}, {
          0.9571304498596727, 1.4598212933849022`}}, 0.02644419743903717]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[{{0.06488552069038844, 1.86607713902124}, {0., 
           0.979167193636036}}, 0.02644419743903717]}}, 
        {Arrowheads[0.], 
         ArrowBox[BezierCurveBox[{{0.7226471438764853, 2.4115474674909123`}, {
          0.4120626418560015, 2.2910932244524735`}, {0.29500749167388735`, 
          2.3506313842552835`}, {0.24776222642782875`, 2.425346117056708}, {
          0.3200585208356358, 2.6637943468534324`}, {0.40084083039710566`, 
          2.6996917680376007`}, {0.5312505709709409, 2.6841998275417427`}, {
          0.7226471438764853, 2.4115474674909123`}},
          SplineDegree->7], 0.02644419743903717]}, 
        {Arrowheads[0.], 
         ArrowBox[BezierCurveBox[{{0.7226471438764853, 2.4115474674909123`}, {
          0.7335345107880747, 2.744494043990818}, {0.8341809933242844, 
          2.8288562761207863`}, {0.9214340461755882, 2.843044692307462}, {
          1.1124810595545658`, 2.683090476491609}, {1.1138515275420542`, 
          2.5947019693017372`}, {1.0484952992316874`, 2.4807929526353405`}, {
          0.7226471438764853, 2.4115474674909123`}},
          SplineDegree->7], 0.02644419743903717]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[{{0.7226471438764853, 2.4115474674909123`}, {
           0.9571304498596727, 1.4598212933849022`}}, 0.02644419743903717]}}, 
        {Arrowheads[0.], 
         ArrowBox[{{0.7226471438764853, 2.4115474674909123`}, {
          1.6077376105815635`, 2.311124440833961}}, 0.02644419743903717]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[{{0.9571304498596727, 1.4598212933849022`}, {0., 
           0.979167193636036}}, 0.02644419743903717]}}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[{{0.9571304498596727, 1.4598212933849022`}, {
           1.6077376105815635`, 2.311124440833961}}, 0.02644419743903717]}}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[{{0.9571304498596727, 1.4598212933849022`}, {
           1.971382329467383, 0.9385413540570999}}, 0.02644419743903717]}}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[BezierCurveBox[{{0.9571304498596727, 
           1.4598212933849022`}, {1.2981813191577944`, 0.9659277067348203}, {
           1.2794989145073363`, 0.366013097694842}}], 0.02644419743903717]}}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[BezierCurveBox[{{0.9571304498596727, 
           1.4598212933849022`}, {0.9384480452092182, 0.859906684344941}, {
           1.2794989145073363`, 0.366013097694842}}], 0.02644419743903717]}}, 
        {Arrowheads[0.], 
         ArrowBox[{{0., 0.979167193636036}, {0.2573100147930002, 
          0.03530443524152571}}, 0.02644419743903717]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[{{1.6077376105815635`, 2.311124440833961}, {
           2.4870179995244968`, 1.8816287284213098`}}, 0.02644419743903717]}}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[{{2.4870179995244968`, 1.8816287284213098`}, {
           1.971382329467383, 0.9385413540570999}}, 0.02644419743903717]}}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[{{1.971382329467383, 0.9385413540570999}, {
           1.2794989145073363`, 0.366013097694842}}, 0.02644419743903717]}}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[{{1.971382329467383, 0.9385413540570999}, {
           2.1652623494320427`, 0.}}, 0.02644419743903717]}}, 
        {Arrowheads[0.], 
         ArrowBox[{{1.2794989145073363`, 0.366013097694842}, {
          0.2573100147930002, 0.03530443524152571}}, 0.02644419743903717]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[{{1.2794989145073363`, 0.366013097694842}, {
           2.1652623494320427`, 0.}}, 0.02644419743903717]}}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{0.06488552069038844, 1.86607713902124}, 
          0.02644419743903717], 
         InsetBox["a", 
          Offset[{2, 2}, {0.09132971812942561, 1.8925213364602773}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.7226471438764853, 2.4115474674909123}, 
          0.02644419743903717], 
         InsetBox["b", 
          Offset[{2, 2}, {0.7490913413155225, 2.4379916649299496}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.9571304498596727, 1.4598212933849022}, 
          0.02644419743903717], 
         InsetBox["d", 
          Offset[{2, 2}, {0.9835746472987098, 1.4862654908239394}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.979167193636036}, 0.02644419743903717], 
         InsetBox["e", 
          Offset[{2, 2}, {0.02644419743903717, 1.0056113910750732}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.6077376105815635, 2.311124440833961}, 
          0.02644419743903717], 
         InsetBox["c", 
          Offset[{2, 2}, {1.6341818080206008, 2.337568638272998}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.4870179995244968, 1.8816287284213098}, 
          0.02644419743903717], 
         InsetBox["g", Offset[{2, 2}, {2.513462196963534, 1.908072925860347}],
           ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.971382329467383, 0.9385413540570999}, 
          0.02644419743903717], 
         InsetBox["f", 
          Offset[{2, 2}, {1.9978265269064202, 0.9649855514961371}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.2794989145073363, 0.366013097694842}, 
          0.02644419743903717], 
         InsetBox["i", 
          Offset[{2, 2}, {1.3059431119463736, 0.39245729513387917}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.2573100147930002, 0.03530443524152571}, 
          0.02644419743903717], 
         InsetBox["j", 
          Offset[{2, 2}, {0.28375421223203734, 0.06174863268056288}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.1652623494320427, 0.}, 0.02644419743903717], 
         InsetBox["h", 
          Offset[{2, 2}, {2.19170654687108, 0.02644419743903717}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.813571496155596*^9, 3.813573232059554*^9, 
  3.813576469427684*^9, 3.842339955252922*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"84c1b1d3-9c08-4a02-84f3-dc3d20526041"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo3", "=", 
   RowBox[{"Grafo", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a", ",", "b"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "c"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "c"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "h"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "h"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"f", ",", "g"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"f", ",", "h"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"g", ",", "h"}], "}"}]}], "}"}], ",", 
     RowBox[{"pesos", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "3", ",", "2", ",", "4", ",", "2", ",", "3", ",", "2", ",", "6", ",", 
        "5", ",", "6", ",", "4", ",", "5", ",", "5", ",", "5", ",", "4"}], 
       "}"}]}], ",", 
     RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ResaltarRuta", "[", 
  RowBox[{"grafo3", ",", 
   RowBox[{"Partition", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "a", ",", "c", ",", "h", ",", "g", ",", "f", ",", "d", ",", "c", ",", 
       "e", ",", "h", ",", "f", ",", "e", ",", "d", ",", "b", ",", "a"}], 
      "}"}], ",", "2", ",", "1"}], "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.813511884354457*^9, 3.8135118884043837`*^9}, {
  3.813512228366111*^9, 3.813512258698325*^9}, {3.8135715000455036`*^9, 
  3.8135715018486743`*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"9aac62ec-b037-4538-b5a1-5cc6dacca9a4"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`d, \
$CellContext`e, $CellContext`h, $CellContext`f, $CellContext`g}, {
      Null, {{1, 2}, {1, 3}, {2, 3}, {2, 4}, {3, 4}, {3, 5}, {3, 6}, {4, 5}, {
       4, 7}, {5, 7}, {5, 6}, {7, 8}, {7, 6}, {8, 6}}}, {
      EdgeLabels -> {
        UndirectedEdge[$CellContext`e, $CellContext`h] -> 5, 
         UndirectedEdge[$CellContext`c, $CellContext`d] -> 3, 
         UndirectedEdge[$CellContext`b, $CellContext`d] -> 2, 
         UndirectedEdge[$CellContext`g, $CellContext`h] -> 4, 
         UndirectedEdge[$CellContext`a, $CellContext`c] -> 2, 
         UndirectedEdge[$CellContext`f, $CellContext`g] -> 5, 
         UndirectedEdge[$CellContext`c, $CellContext`h] -> 6, 
         UndirectedEdge[$CellContext`c, $CellContext`e] -> 2, 
         UndirectedEdge[$CellContext`b, $CellContext`c] -> 4, 
         UndirectedEdge[$CellContext`d, $CellContext`e] -> 5, 
         UndirectedEdge[$CellContext`e, $CellContext`f] -> 4, 
         UndirectedEdge[$CellContext`d, $CellContext`f] -> 6, 
         UndirectedEdge[$CellContext`f, $CellContext`h] -> 5, 
         UndirectedEdge[$CellContext`a, $CellContext`b] -> 3}, 
       EdgeWeight -> {3, 2, 4, 2, 3, 2, 6, 5, 6, 4, 5, 5, 5, 4}, 
       GraphHighlight -> {
         UndirectedEdge[$CellContext`f, $CellContext`g], 
         UndirectedEdge[$CellContext`c, $CellContext`d], 
         UndirectedEdge[$CellContext`a, $CellContext`c], 
         UndirectedEdge[$CellContext`d, $CellContext`f], 
         UndirectedEdge[$CellContext`c, $CellContext`h], 
         UndirectedEdge[$CellContext`e, $CellContext`f], 
         UndirectedEdge[$CellContext`c, $CellContext`e], 
         UndirectedEdge[$CellContext`d, $CellContext`e], 
         UndirectedEdge[$CellContext`f, $CellContext`h], 
         UndirectedEdge[$CellContext`a, $CellContext`b], 
         UndirectedEdge[$CellContext`b, $CellContext`d], 
         UndirectedEdge[$CellContext`e, $CellContext`h], 
         UndirectedEdge[$CellContext`g, $CellContext`h]}, 
       GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
       VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{0., 0.0021036085593235665`}, {0.41182773285922813`, 
            0.7705034532298884}}, 0.03417627908635214]}}, 
         InsetBox["3", {0.20591386642961407, 0.386303530894606}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{0., 0.0021036085593235665`}, {1.1691768801390077`, 
            0.19905877724751253`}}, 0.03417627908635214]}}, 
         InsetBox["2", {0.5845884400695038, 0.10058119290341805}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.41182773285922813`, 0.7705034532298884}, {
           1.1691768801390077`, 0.19905877724751253`}}, 0.03417627908635214]},
          InsetBox["4", {0.7905023064991179, 0.4847811152387005}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{0.41182773285922813`, 0.7705034532298884}, {
            1.484615182170224, 1.0484136330983498`}}, 0.03417627908635214]}}, 
         InsetBox["2", {0.9482214575147261, 0.9094585431641191}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{1.1691768801390077`, 0.19905877724751253`}, {
            1.484615182170224, 1.0484136330983498`}}, 0.03417627908635214]}}, 
         InsetBox["3", {1.3268960311546159, 0.6237362051729312}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{1.1691768801390077`, 0.19905877724751253`}, {
            1.9994750809747468`, 0.5103548328361037}}, 0.03417627908635214]}},
          InsetBox["2", {1.5843259805568772, 0.3547068050418081}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{1.1691768801390077`, 0.19905877724751253`}, {
            2.5244072507900563`, 0.}}, 0.03417627908635214]}}, 
         InsetBox["6", {1.846792065464532, 0.09952938862375627}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{1.484615182170224, 1.0484136330983498`}, {
            1.9994750809747468`, 0.5103548328361037}}, 0.03417627908635214]}},
          InsetBox["5", {1.7420451315724854, 0.7793842329672267}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{1.484615182170224, 1.0484136330983498`}, {
            2.7250271065162046`, 0.8255413905573936}}, 0.03417627908635214]}},
          InsetBox["6", {2.104821144343214, 0.9369775118278717}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{1.9994750809747468`, 0.5103548328361037}, {
            2.5244072507900563`, 0.}}, 0.03417627908635214]}}, 
         InsetBox["5", {2.2619411658824014, 0.25517741641805186}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{1.9994750809747468`, 0.5103548328361037}, {
            2.7250271065162046`, 0.8255413905573936}}, 0.03417627908635214]}},
          InsetBox["4", {2.362251093745476, 0.6679481116967487}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{2.5244072507900563`, 0.}, {2.7250271065162046`, 
            0.8255413905573936}}, 0.03417627908635214]}}, 
         InsetBox["5", {2.6247171786531305, 0.4127706952786968}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{2.5244072507900563`, 0.}, {3.5676200023922227`, 
            0.24390223266087255`}}, 0.03417627908635214]}}, 
         InsetBox["4", {3.0460136265911393, 0.12195111633043627}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{2.7250271065162046`, 0.8255413905573936}, {
            3.5676200023922227`, 0.24390223266087255`}}, 
            0.03417627908635214]}}, 
         InsetBox["5", {3.146323554454214, 0.5347218116091331}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {DiskBox[{0., 0.0021036085593235665}, 0.03417627908635214], 
         InsetBox["a", 
          Offset[{2, 2}, {0.03417627908635214, 0.036279887645675704}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.41182773285922813, 0.7705034532298884}, 
          0.03417627908635214], 
         InsetBox["b", 
          Offset[{2, 2}, {0.44600401194558026, 0.8046797323162406}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.1691768801390077, 0.19905877724751253}, 
          0.03417627908635214], 
         InsetBox["c", 
          Offset[{2, 2}, {1.20335315922536, 0.23323505633386465}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.484615182170224, 1.0484136330983498}, 
          0.03417627908635214], 
         InsetBox["d", 
          Offset[{2, 2}, {1.5187914612565763, 1.082589912184702}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.9994750809747468, 0.5103548328361037}, 
          0.03417627908635214], 
         InsetBox["e", 
          Offset[{2, 2}, {2.033651360061099, 0.5445311119224558}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.5244072507900563, 0.}, 0.03417627908635214], 
         InsetBox["h", 
          Offset[{2, 2}, {2.5585835298764086, 0.03417627908635214}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.7250271065162046, 0.8255413905573936}, 
          0.03417627908635214], 
         InsetBox["f", 
          Offset[{2, 2}, {2.759203385602557, 0.8597176696437457}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.5676200023922227, 0.24390223266087255}, 
          0.03417627908635214], 
         InsetBox["g", 
          Offset[{2, 2}, {3.601796281478575, 0.2780785117472247}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.813571502845827*^9, 3.8135732352174263`*^9, 
  3.813576472380228*^9, 3.842339958619913*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"0e3f34ab-1eaf-4c4a-aa25-3d4b47cdc3df"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo4", "=", 
   RowBox[{"Grafo", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "g"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "h"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "i"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "g"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "i"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "g"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "i"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"f", ",", "i"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"g", ",", "h"}], "}"}]}], "}"}], ",", 
     RowBox[{"pesos", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "1", ",", "3", ",", "1", ",", "3", ",", "5", ",", "3", ",", "5", ",", 
        "4", ",", "2", ",", "3", ",", "5", ",", "5", ",", "5", ",", "7", ",", 
        "5", ",", "3", ",", "2", ",", "1"}], "}"}]}], ",", 
     RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ResaltarRuta", "[", 
  RowBox[{"grafo4", ",", 
   RowBox[{"Partition", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "a", ",", "h", ",", "g", ",", "b", ",", "i", ",", "f", ",", "b", ",", 
       "e", ",", "c", ",", "d", ",", "g", ",", "a", ",", "i", ",", "e", ",", 
       "f", ",", "a", ",", "e", ",", "d", ",", "a"}], "}"}], ",", "2", ",", 
     "1"}], "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8134913744476824`*^9, 3.813491374988544*^9}, {
   3.813491414454422*^9, 3.813491528889803*^9}, {3.8134915682648616`*^9, 
   3.813491765618928*^9}, {3.8134918441492424`*^9, 3.813491938919714*^9}, {
   3.8135123777018785`*^9, 3.8135123851894207`*^9}, {3.8135124357721605`*^9, 
   3.8135124451753397`*^9}, {3.8135124757999063`*^9, 3.8135125362589865`*^9}, 
   3.813512636539749*^9, {3.8135126862675486`*^9, 3.8135127932982893`*^9}, {
   3.8135715072283344`*^9, 3.813571508735439*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"f134d7e2-22ed-4516-adb6-f0a7a948702d"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`d, $CellContext`e, $CellContext`f, \
$CellContext`g, $CellContext`h, $CellContext`i, $CellContext`b, \
$CellContext`c}, {
      Null, {{1, 2}, {1, 3}, {1, 4}, {1, 5}, {1, 6}, {1, 7}, {8, 3}, {8, 4}, {
       8, 5}, {8, 7}, {9, 2}, {9, 3}, {2, 3}, {2, 5}, {3, 4}, {3, 7}, {4, 
       7}, {5, 6}}}, {
      EdgeLabels -> {
        UndirectedEdge[$CellContext`f, $CellContext`i] -> 2, 
         UndirectedEdge[$CellContext`d, $CellContext`e] -> 5, 
         UndirectedEdge[$CellContext`b, $CellContext`f] -> 4, 
         UndirectedEdge[$CellContext`b, $CellContext`e] -> 5, 
         UndirectedEdge[$CellContext`e, $CellContext`i] -> 3, 
         UndirectedEdge[$CellContext`c, $CellContext`d] -> 5, 
         UndirectedEdge[$CellContext`e, $CellContext`f] -> 5, 
         UndirectedEdge[$CellContext`a, $CellContext`g] -> 3, 
         UndirectedEdge[$CellContext`g, $CellContext`h] -> 1, 
         UndirectedEdge[$CellContext`b, $CellContext`i] -> 3, 
         UndirectedEdge[$CellContext`a, $CellContext`d] -> 1, 
         UndirectedEdge[$CellContext`a, $CellContext`i] -> 3, 
         UndirectedEdge[$CellContext`a, $CellContext`f] -> 1, 
         UndirectedEdge[$CellContext`d, $CellContext`g] -> 7, 
         UndirectedEdge[$CellContext`a, $CellContext`h] -> 5, 
         UndirectedEdge[$CellContext`b, $CellContext`g] -> 2, 
         UndirectedEdge[$CellContext`c, $CellContext`e] -> 5, 
         UndirectedEdge[$CellContext`a, $CellContext`e] -> 3}, 
       EdgeWeight -> {1, 3, 1, 3, 5, 3, 5, 4, 2, 3, 5, 5, 5, 7, 5, 3, 2, 1}, 
       GraphHighlight -> {
         UndirectedEdge[$CellContext`a, $CellContext`i], 
         UndirectedEdge[$CellContext`a, $CellContext`d], 
         UndirectedEdge[$CellContext`e, $CellContext`f], 
         UndirectedEdge[$CellContext`b, $CellContext`g], 
         UndirectedEdge[$CellContext`e, $CellContext`i], 
         UndirectedEdge[$CellContext`d, $CellContext`g], 
         UndirectedEdge[$CellContext`f, $CellContext`i], 
         UndirectedEdge[$CellContext`d, $CellContext`e], 
         UndirectedEdge[$CellContext`c, $CellContext`d], 
         UndirectedEdge[$CellContext`a, $CellContext`h], 
         UndirectedEdge[$CellContext`a, $CellContext`g], 
         UndirectedEdge[$CellContext`a, $CellContext`e], 
         UndirectedEdge[$CellContext`c, $CellContext`e], 
         UndirectedEdge[$CellContext`b, $CellContext`e], 
         UndirectedEdge[$CellContext`b, $CellContext`i], 
         UndirectedEdge[$CellContext`g, $CellContext`h], 
         UndirectedEdge[$CellContext`a, $CellContext`f], 
         UndirectedEdge[$CellContext`b, $CellContext`f]}, 
       GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
       VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{1.2701737271574993`, 1.084531753286813}, {
            1.845854954933925, 1.932340300502148}}, 0.0291825193009866]}}, 
         InsetBox["1", {1.5580143410457121, 1.5084360268944805}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{1.2701737271574993`, 1.084531753286813}, {
            2.1365255033526562`, 1.0248990121380108`}}, 0.0291825193009866]}},
          InsetBox["3", {1.7033496152550778, 1.0547153827124118}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{1.2701737271574993`, 1.084531753286813}, {
            2.1066285197057857`, 0.2677137971395054}}, 0.0291825193009866]}}, 
         InsetBox["1", {1.6884011234316425, 0.6761227752131592}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{1.2701737271574993`, 1.084531753286813}, {
            0.7943596318496063, 1.6150244546176449`}}, 0.0291825193009866]}}, 
         InsetBox["3", {1.0322666795035529, 1.349778103952229}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{1.2701737271574993`, 1.084531753286813}, {0., 
            1.5113906309049079`}}, 0.0291825193009866]}}, 
         InsetBox["5", {0.6350868635787497, 1.2979611920958605}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{1.2701737271574993`, 1.084531753286813}, {
            1.6212710629050118`, 0.}}, 0.0291825193009866]}}, 
         InsetBox["3", {1.4457223950312557, 0.5422658766434065}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{1.845854954933925, 1.932340300502148}, {
            2.1365255033526562`, 1.0248990121380108`}}, 0.0291825193009866]}},
          InsetBox["5", {1.9911902291432906, 1.4786196563200793}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{1.845854954933925, 1.932340300502148}, {
            0.7943596318496063, 1.6150244546176449`}}, 0.0291825193009866]}}, 
         InsetBox["7", {1.3201072933917657, 1.7736823775598964}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{1.845854954933925, 1.932340300502148}, {
            2.853895913311592, 1.990564995767428}}, 0.0291825193009866]}}, 
         InsetBox["5", {2.3498754341227586, 1.961452648134788}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{2.1365255033526562`, 1.0248990121380108`}, {
            2.1066285197057857`, 0.2677137971395054}}, 0.0291825193009866]}}, 
         InsetBox["5", {2.121577011529221, 0.6463064046387581}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{2.1365255033526562`, 1.0248990121380108`}, {
            1.6212710629050118`, 0.}}, 0.0291825193009866]}}, 
         InsetBox["3", {1.8788982831288341, 0.5124495060690054}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{2.1365255033526562`, 1.0248990121380108`}, {
            1.2238854545501887`, 0.48474377179274586`}}, 
            0.0291825193009866]}}, 
         InsetBox["5", {1.6802054789514225, 0.7548213919653783}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{2.1365255033526562`, 1.0248990121380108`}, {
            2.853895913311592, 1.990564995767428}}, 0.0291825193009866]}}, 
         InsetBox["5", {2.495210708332124, 1.5077320039527193}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{2.1066285197057857`, 0.2677137971395054}, {
            1.6212710629050118`, 0.}}, 0.0291825193009866]}}, 
         InsetBox["2", {1.8639497913053988, 0.1338568985697527}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{2.1066285197057857`, 0.2677137971395054}, {
            1.2238854545501887`, 0.48474377179274586`}}, 
            0.0291825193009866]}}, 
         InsetBox["4", {1.6652569871279872, 0.3762287844661256}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{0.7943596318496063, 1.6150244546176449`}, {0., 
            1.5113906309049079`}}, 0.0291825193009866]}}, 
         InsetBox["1", {0.39717981592480317, 1.5632075427612764}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{0.7943596318496063, 1.6150244546176449`}, {
            1.2238854545501887`, 0.48474377179274586`}}, 
            0.0291825193009866]}}, 
         InsetBox["2", {1.0091225431998976, 1.0498841132051955}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{1.6212710629050118`, 0.}, {1.2238854545501887`, 
            0.48474377179274586`}}, 0.0291825193009866]}}, 
         InsetBox["3", {1.4225782587276004, 0.24237188589637293}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{1.2701737271574993, 1.084531753286813}, 0.0291825193009866],
          InsetBox["a", 
          Offset[{2, 2}, {1.299356246458486, 1.1137142725877998}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.845854954933925, 1.932340300502148}, 0.0291825193009866], 
         InsetBox["d", 
          Offset[{2, 2}, {1.8750374742349116, 1.9615228198031347}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.1365255033526562, 1.0248990121380108}, 
          0.0291825193009866], 
         InsetBox["e", 
          Offset[{2, 2}, {2.165708022653643, 1.0540815314389975}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.1066285197057857, 0.2677137971395054}, 
          0.0291825193009866], 
         InsetBox["f", 
          Offset[{2, 2}, {2.1358110390067724, 0.29689631644049197}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.7943596318496063, 1.6150244546176449}, 
          0.0291825193009866], 
         InsetBox["g", 
          Offset[{2, 2}, {0.8235421511505929, 1.6442069739186316}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 1.5113906309049079}, 0.0291825193009866], 
         InsetBox["h", 
          Offset[{2, 2}, {0.0291825193009866, 1.5405731502058946}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.6212710629050118, 0.}, 0.0291825193009866], 
         InsetBox["i", 
          Offset[{2, 2}, {1.6504535822059985, 0.0291825193009866}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.2238854545501887, 0.48474377179274586}, 
          0.0291825193009866], 
         InsetBox["b", 
          Offset[{2, 2}, {1.2530679738511754, 0.5139262910937324}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.853895913311592, 1.990564995767428}, 0.0291825193009866], 
         InsetBox["c", 
          Offset[{2, 2}, {2.883078432612579, 2.0197475150684148}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.8135715097118216`*^9, 3.8135732393626795`*^9, 
  3.813576475045847*^9, 3.842339962236306*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"f0022cfa-d0ba-46df-b1e3-3b9f9563f7f2"]
}, Open  ]],

Cell["5.5.2", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
  3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
  3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
  3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
  3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, {
  3.8113408643025455`*^9, 
  3.8113408649328566`*^9}},ExpressionUUID->"69d1e2ed-7137-4681-8106-\
0f2c6443c991"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo1", "=", 
   RowBox[{"Grafo", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"a", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "c"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "a"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "c"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "g"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"g", ",", "e"}], "}"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ResaltarRuta", "[", 
  RowBox[{"grafo1", ",", 
   RowBox[{"Partition", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "a", ",", "a", ",", "c", ",", "b", ",", "f", ",", "f", ",", "b", ",", 
       "e", ",", "f", ",", "g", ",", "e", ",", "d", ",", "e", ",", "d"}], 
      "}"}], ",", "2", ",", "1"}], "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.813490795218028*^9, 3.813490795581061*^9}, {
  3.813491347764021*^9, 3.81349135286987*^9}, {3.813512972942031*^9, 
  3.813512980364175*^9}, {3.813513059412678*^9, 3.8135130803568597`*^9}, {
  3.813513176707201*^9, 3.8135131856828966`*^9}, {3.813571517078821*^9, 
  3.813571519871767*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"1ae3fa77-3c51-459d-bae6-bafce695fcdf"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`e, \
$CellContext`f, $CellContext`g, $CellContext`d}, {
      Null, {{1, 2}, {1, 3}, {1, 1}, {2, 3}, {2, 4}, {2, 5}, {2, 5}, {5, 5}, {
       5, 6}, {5, 4}, {7, 4}, {7, 4}, {7, 4}, {6, 4}}}, {GraphHighlight -> {
         UndirectedEdge[$CellContext`f, $CellContext`g], 
         UndirectedEdge[$CellContext`a, $CellContext`c], 
         UndirectedEdge[$CellContext`a, $CellContext`a], 
         UndirectedEdge[$CellContext`g, $CellContext`e], 
         UndirectedEdge[$CellContext`f, $CellContext`f], 
         UndirectedEdge[$CellContext`e, $CellContext`f], 
         UndirectedEdge[$CellContext`e, $CellContext`d], 
         UndirectedEdge[$CellContext`b, $CellContext`e], 
         UndirectedEdge[$CellContext`b, $CellContext`f], 
         UndirectedEdge[$CellContext`c, $CellContext`b]}, 
       GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
       VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[BezierCurveBox[{{0., 0.5248451438470066}, {
           0.0772403196517335, 0.32924128934091323`}, {-0.01897862361154523, 
           0.14627927156497678`}, {-0.14934743565208733`, 
           0.09477900249744817}, {-0.42208765587287234`, 
           0.35424750836838553`}, {-0.3771493842734551, 
           0.48702121289058026`}, {-0.19921062767521497`, 
           0.5922399559529088}, {0., 0.5248451438470066}},
           SplineDegree->7], 0.031525814893027526`]}}, 
        {Arrowheads[0.], 
         ArrowBox[{{0., 0.5248451438470066}, {1.0504715258234052`, 
          0.7311819276829019}}, 0.031525814893027526`]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[{{0., 0.5248451438470066}, {0.10074492458024609`, 
           1.219180022839214}}, 0.031525814893027526`]}}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[{{1.0504715258234052`, 0.7311819276829019}, {
           0.10074492458024609`, 1.219180022839214}}, 
           0.031525814893027526`]}}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[{{1.0504715258234052`, 0.7311819276829019}, {
           2.3129047337989195`, 0.8497640003521413}}, 
           0.031525814893027526`]}}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[BezierCurveBox[{{1.0504715258234052`, 
           0.7311819276829019}, {1.5708778666028262`, 0.5949784456974184}, {
           1.9088497970013873`, 0.1764702351554135}}], 
           0.031525814893027526`]}}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[BezierCurveBox[{{1.0504715258234052`, 
           0.7311819276829019}, {1.38844345622196, 0.3126737171409014}, {
           1.9088497970013873`, 0.1764702351554135}}], 
           0.031525814893027526`]}}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[{{2.3129047337989195`, 0.8497640003521413}, {
           1.9088497970013873`, 0.1764702351554135}}, 
           0.031525814893027526`]}}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[{{2.3129047337989195`, 0.8497640003521413}, {
           2.758052819584944, 0.}}, 0.031525814893027526`]}}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[BezierCurveBox[{{2.3129047337989195`, 
           0.8497640003521413}, {2.6278499177757193`, 1.3551883539003855`}, {
           3.1813146779120203`, 1.5750087473062189`}}], 
           0.031525814893027526`]}}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[{{2.3129047337989195`, 0.8497640003521413}, {
           3.1813146779120203`, 1.5750087473062189`}}, 
           0.031525814893027526`]}}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[BezierCurveBox[{{2.3129047337989195`, 
           0.8497640003521413}, {2.8663694939352666`, 1.0695843937579892`}, {
           3.1813146779120203`, 1.5750087473062189`}}], 
           0.031525814893027526`]}}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[BezierCurveBox[{{1.9088497970013873`, 
           0.1764702351554135}, {2.056434918773963, -0.006261387814530228}, {
           2.017090437698806, -0.19821521901885425`}, {
           1.9149946879878426`, -0.2829084145840276}, {
           1.5818571298474493`, -0.1462406248248813}, {
           1.5686557390952032`, -0.01424743270388254}, {1.6754545961054201`, 
           0.15003362416635677`}, {1.9088497970013873`, 0.1764702351554135}},
           SplineDegree->7], 0.031525814893027526`]}}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[{{1.9088497970013873`, 0.1764702351554135}, {
           2.758052819584944, 0.}}, 0.031525814893027526`]}}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {DiskBox[{0., 0.5248451438470066}, 0.031525814893027526], 
         InsetBox["a", 
          Offset[{2, 2}, {0.031525814893027526, 0.5563709587400342}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.0504715258234052, 0.7311819276829019}, 
          0.031525814893027526], 
         InsetBox["b", 
          Offset[{2, 2}, {1.0819973407164327, 0.7627077425759294}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.10074492458024609, 1.219180022839214}, 
          0.031525814893027526], 
         InsetBox["c", 
          Offset[{2, 2}, {0.1322707394732736, 1.2507058377322415}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.3129047337989195, 0.8497640003521413}, 
          0.031525814893027526], 
         InsetBox["e", 
          Offset[{2, 2}, {2.344430548691947, 0.8812898152451688}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.9088497970013873, 0.1764702351554135}, 
          0.031525814893027526], 
         InsetBox["f", 
          Offset[{2, 2}, {1.9403756118944149, 0.20799605004844102}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.758052819584944, 0.}, 0.031525814893027526], 
         InsetBox["g", 
          Offset[{2, 2}, {2.7895786344779716, 0.031525814893027526}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.1813146779120203, 1.5750087473062189}, 
          0.031525814893027526], 
         InsetBox["d", 
          Offset[{2, 2}, {3.212840492805048, 1.6065345621992464}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.813571520750305*^9, 3.8135732426085587`*^9, 
  3.813576477683401*^9, 3.8423399657029614`*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"1beb4698-9c0e-4aa3-bce0-25fc6ffd3a96"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo2", "=", 
   RowBox[{"Grafo", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"a", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "d"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "c"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "d"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"c", ",", "d"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"c", ",", "g"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "i"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "i"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"e", ",", "j"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "g"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "i"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "h"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"h", ",", "i"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "j"}], "}"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ResaltarRuta", "[", 
  RowBox[{"grafo2", ",", 
   RowBox[{"Partition", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "a", ",", "d", ",", "e", ",", "j", ",", "i", ",", "d", ",", "i", ",", 
       "h", ",", "f", ",", "g", ",", "c", ",", "d", ",", "b", ",", "b", ",", 
       "b"}], "}"}], ",", "2", ",", "1"}], "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8135129848676443`*^9, 3.813512987248805*^9}, {
   3.8135131600280685`*^9, 3.8135131891907473`*^9}, 3.8135133938309426`*^9, {
   3.8135134641476336`*^9, 3.8135134859489346`*^9}, {3.813571524911554*^9, 
   3.813571526372962*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"94b260d4-d092-4773-b9e2-b7497ef1654c"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`d, $CellContext`e, \
$CellContext`c, $CellContext`g, $CellContext`f, $CellContext`i, \
$CellContext`j, $CellContext`h}, {
      Null, {{1, 2}, {1, 3}, {1, 4}, {2, 2}, {2, 2}, {2, 5}, {2, 3}, {5, 3}, {
       5, 6}, {3, 4}, {3, 7}, {3, 8}, {3, 8}, {4, 9}, {7, 6}, {7, 8}, {7, 
       10}, {10, 8}, {8, 9}}}, {GraphHighlight -> {
         UndirectedEdge[$CellContext`f, $CellContext`g], 
         UndirectedEdge[$CellContext`c, $CellContext`d], 
         UndirectedEdge[$CellContext`j, $CellContext`i], 
         UndirectedEdge[$CellContext`e, $CellContext`j], 
         UndirectedEdge[$CellContext`i, $CellContext`d], 
         UndirectedEdge[$CellContext`h, $CellContext`f], 
         UndirectedEdge[$CellContext`d, $CellContext`b], 
         UndirectedEdge[$CellContext`d, $CellContext`e], 
         UndirectedEdge[$CellContext`b, $CellContext`b], 
         UndirectedEdge[$CellContext`g, $CellContext`c], 
         UndirectedEdge[$CellContext`a, $CellContext`d], 
         UndirectedEdge[$CellContext`i, $CellContext`h]}, 
       GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
       VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
        {Arrowheads[0.], 
         ArrowBox[{{0.06488552069038844, 1.86607713902124}, {
          0.7226471438764853, 2.4115474674909123`}}, 0.02644419743903717]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[{{0.06488552069038844, 1.86607713902124}, {
           0.9571304498596727, 1.4598212933849022`}}, 0.02644419743903717]}}, 
        {Arrowheads[0.], 
         ArrowBox[{{0.06488552069038844, 1.86607713902124}, {0., 
          0.979167193636036}}, 0.02644419743903717]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[BezierCurveBox[{{0.7226471438764853, 
           2.4115474674909123`}, {0.4120626418560015, 2.2910932244524735`}, {
           0.29500749167388735`, 2.3506313842552835`}, {0.24776222642782875`, 
           2.425346117056708}, {0.3200585208356358, 2.6637943468534324`}, {
           0.40084083039710566`, 2.6996917680376007`}, {0.5312505709709409, 
           2.6841998275417427`}, {0.7226471438764853, 2.4115474674909123`}},
           SplineDegree->7], 0.02644419743903717]}}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[BezierCurveBox[{{0.7226471438764853, 
           2.4115474674909123`}, {0.7335345107880747, 2.744494043990818}, {
           0.8341809933242844, 2.8288562761207863`}, {0.9214340461755882, 
           2.843044692307462}, {1.1124810595545658`, 2.683090476491609}, {
           1.1138515275420542`, 2.5947019693017372`}, {1.0484952992316874`, 
           2.4807929526353405`}, {0.7226471438764853, 2.4115474674909123`}},
           SplineDegree->7], 0.02644419743903717]}}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[{{0.7226471438764853, 2.4115474674909123`}, {
           0.9571304498596727, 1.4598212933849022`}}, 0.02644419743903717]}}, 
        {Arrowheads[0.], 
         ArrowBox[{{0.7226471438764853, 2.4115474674909123`}, {
          1.6077376105815635`, 2.311124440833961}}, 0.02644419743903717]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[{{0.9571304498596727, 1.4598212933849022`}, {0., 
           0.979167193636036}}, 0.02644419743903717]}}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[{{0.9571304498596727, 1.4598212933849022`}, {
           1.6077376105815635`, 2.311124440833961}}, 0.02644419743903717]}}, 
        {Arrowheads[0.], 
         ArrowBox[{{0.9571304498596727, 1.4598212933849022`}, {
          1.971382329467383, 0.9385413540570999}}, 0.02644419743903717]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[BezierCurveBox[{{0.9571304498596727, 
           1.4598212933849022`}, {1.2981813191577944`, 0.9659277067348203}, {
           1.2794989145073363`, 0.366013097694842}}], 0.02644419743903717]}}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[BezierCurveBox[{{0.9571304498596727, 
           1.4598212933849022`}, {0.9384480452092182, 0.859906684344941}, {
           1.2794989145073363`, 0.366013097694842}}], 0.02644419743903717]}}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[{{0., 0.979167193636036}, {0.2573100147930002, 
           0.03530443524152571}}, 0.02644419743903717]}}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[{{1.6077376105815635`, 2.311124440833961}, {
           2.4870179995244968`, 1.8816287284213098`}}, 0.02644419743903717]}}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[{{2.4870179995244968`, 1.8816287284213098`}, {
           1.971382329467383, 0.9385413540570999}}, 0.02644419743903717]}}, 
        {Arrowheads[0.], 
         ArrowBox[{{1.971382329467383, 0.9385413540570999}, {
          1.2794989145073363`, 0.366013097694842}}, 0.02644419743903717]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[{{1.971382329467383, 0.9385413540570999}, {
           2.1652623494320427`, 0.}}, 0.02644419743903717]}}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[{{1.2794989145073363`, 0.366013097694842}, {
           0.2573100147930002, 0.03530443524152571}}, 0.02644419743903717]}}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         {Arrowheads[0.], 
          ArrowBox[{{1.2794989145073363`, 0.366013097694842}, {
           2.1652623494320427`, 0.}}, 0.02644419743903717]}}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{0.06488552069038844, 1.86607713902124}, 
          0.02644419743903717], 
         InsetBox["a", 
          Offset[{2, 2}, {0.09132971812942561, 1.8925213364602773}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.7226471438764853, 2.4115474674909123}, 
          0.02644419743903717], 
         InsetBox["b", 
          Offset[{2, 2}, {0.7490913413155225, 2.4379916649299496}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.9571304498596727, 1.4598212933849022}, 
          0.02644419743903717], 
         InsetBox["d", 
          Offset[{2, 2}, {0.9835746472987098, 1.4862654908239394}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.979167193636036}, 0.02644419743903717], 
         InsetBox["e", 
          Offset[{2, 2}, {0.02644419743903717, 1.0056113910750732}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.6077376105815635, 2.311124440833961}, 
          0.02644419743903717], 
         InsetBox["c", 
          Offset[{2, 2}, {1.6341818080206008, 2.337568638272998}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.4870179995244968, 1.8816287284213098}, 
          0.02644419743903717], 
         InsetBox["g", Offset[{2, 2}, {2.513462196963534, 1.908072925860347}],
           ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.971382329467383, 0.9385413540570999}, 
          0.02644419743903717], 
         InsetBox["f", 
          Offset[{2, 2}, {1.9978265269064202, 0.9649855514961371}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.2794989145073363, 0.366013097694842}, 
          0.02644419743903717], 
         InsetBox["i", 
          Offset[{2, 2}, {1.3059431119463736, 0.39245729513387917}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.2573100147930002, 0.03530443524152571}, 
          0.02644419743903717], 
         InsetBox["j", 
          Offset[{2, 2}, {0.28375421223203734, 0.06174863268056288}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.1652623494320427, 0.}, 0.02644419743903717], 
         InsetBox["h", 
          Offset[{2, 2}, {2.19170654687108, 0.02644419743903717}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.8135715269075017`*^9, 3.813573245810421*^9, 
  3.8135764810012536`*^9, 3.8423399700029645`*^9},
 CellLabel->"Out[14]=",ExpressionUUID->"681038de-59fc-4eef-b810-0190e0b8425c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo3", "=", 
   RowBox[{"Grafo", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a", ",", "b"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "c"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "c"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "h"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "h"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"f", ",", "g"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"f", ",", "h"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"g", ",", "h"}], "}"}]}], "}"}], ",", 
     RowBox[{"pesos", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "3", ",", "2", ",", "4", ",", "2", ",", "3", ",", "2", ",", "6", ",", 
        "5", ",", "6", ",", "4", ",", "5", ",", "5", ",", "5", ",", "4"}], 
       "}"}]}], ",", 
     RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ResaltarRuta", "[", 
  RowBox[{"grafo3", ",", 
   RowBox[{"Partition", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "h", ",", "g", ",", "f", ",", "h", ",", "e", ",", "d", ",", "f", ",", 
       "e", ",", "c", ",", "b", ",", "a"}], "}"}], ",", "2", ",", "1"}], 
    "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8135129894797134`*^9, 3.8135129930547166`*^9}, {
   3.8135131703818827`*^9, 3.813513193598221*^9}, 3.813513638411272*^9, {
   3.8135137129766307`*^9, 3.8135137296517863`*^9}, {3.813571531571904*^9, 
   3.81357153413805*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"1eb50864-c18f-429f-9037-895fa7c975ff"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`d, \
$CellContext`e, $CellContext`h, $CellContext`f, $CellContext`g}, {
      Null, {{1, 2}, {1, 3}, {2, 3}, {2, 4}, {3, 4}, {3, 5}, {3, 6}, {4, 5}, {
       4, 7}, {5, 7}, {5, 6}, {7, 8}, {7, 6}, {8, 6}}}, {
      EdgeLabels -> {
        UndirectedEdge[$CellContext`e, $CellContext`h] -> 5, 
         UndirectedEdge[$CellContext`c, $CellContext`d] -> 3, 
         UndirectedEdge[$CellContext`b, $CellContext`d] -> 2, 
         UndirectedEdge[$CellContext`g, $CellContext`h] -> 4, 
         UndirectedEdge[$CellContext`a, $CellContext`c] -> 2, 
         UndirectedEdge[$CellContext`f, $CellContext`g] -> 5, 
         UndirectedEdge[$CellContext`c, $CellContext`h] -> 6, 
         UndirectedEdge[$CellContext`c, $CellContext`e] -> 2, 
         UndirectedEdge[$CellContext`b, $CellContext`c] -> 4, 
         UndirectedEdge[$CellContext`d, $CellContext`e] -> 5, 
         UndirectedEdge[$CellContext`e, $CellContext`f] -> 4, 
         UndirectedEdge[$CellContext`d, $CellContext`f] -> 6, 
         UndirectedEdge[$CellContext`f, $CellContext`h] -> 5, 
         UndirectedEdge[$CellContext`a, $CellContext`b] -> 3}, 
       EdgeWeight -> {3, 2, 4, 2, 3, 2, 6, 5, 6, 4, 5, 5, 5, 4}, 
       GraphHighlight -> {
         UndirectedEdge[$CellContext`f, $CellContext`g], 
         UndirectedEdge[$CellContext`d, $CellContext`f], 
         UndirectedEdge[$CellContext`e, $CellContext`f], 
         UndirectedEdge[$CellContext`c, $CellContext`e], 
         UndirectedEdge[$CellContext`d, $CellContext`e], 
         UndirectedEdge[$CellContext`b, $CellContext`c], 
         UndirectedEdge[$CellContext`f, $CellContext`h], 
         UndirectedEdge[$CellContext`a, $CellContext`b], 
         UndirectedEdge[$CellContext`e, $CellContext`h], 
         UndirectedEdge[$CellContext`g, $CellContext`h]}, 
       GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
       VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{0., 0.0021036085593235665`}, {0.41182773285922813`, 
            0.7705034532298884}}, 0.03417627908635214]}}, 
         InsetBox["3", {0.20591386642961407, 0.386303530894606}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0., 0.0021036085593235665`}, {1.1691768801390077`, 
           0.19905877724751253`}}, 0.03417627908635214]}, 
         InsetBox["2", {0.5845884400695038, 0.10058119290341805}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{0.41182773285922813`, 0.7705034532298884}, {
            1.1691768801390077`, 0.19905877724751253`}}, 
            0.03417627908635214]}}, 
         InsetBox["4", {0.7905023064991179, 0.4847811152387005}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.41182773285922813`, 0.7705034532298884}, {
           1.484615182170224, 1.0484136330983498`}}, 0.03417627908635214]}, 
         InsetBox["2", {0.9482214575147261, 0.9094585431641191}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.1691768801390077`, 0.19905877724751253`}, {
           1.484615182170224, 1.0484136330983498`}}, 0.03417627908635214]}, 
         InsetBox["3", {1.3268960311546159, 0.6237362051729312}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{1.1691768801390077`, 0.19905877724751253`}, {
            1.9994750809747468`, 0.5103548328361037}}, 0.03417627908635214]}},
          InsetBox["2", {1.5843259805568772, 0.3547068050418081}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.1691768801390077`, 0.19905877724751253`}, {
           2.5244072507900563`, 0.}}, 0.03417627908635214]}, 
         InsetBox["6", {1.846792065464532, 0.09952938862375627}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{1.484615182170224, 1.0484136330983498`}, {
            1.9994750809747468`, 0.5103548328361037}}, 0.03417627908635214]}},
          InsetBox["5", {1.7420451315724854, 0.7793842329672267}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{1.484615182170224, 1.0484136330983498`}, {
            2.7250271065162046`, 0.8255413905573936}}, 0.03417627908635214]}},
          InsetBox["6", {2.104821144343214, 0.9369775118278717}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{1.9994750809747468`, 0.5103548328361037}, {
            2.5244072507900563`, 0.}}, 0.03417627908635214]}}, 
         InsetBox["5", {2.2619411658824014, 0.25517741641805186}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{1.9994750809747468`, 0.5103548328361037}, {
            2.7250271065162046`, 0.8255413905573936}}, 0.03417627908635214]}},
          InsetBox["4", {2.362251093745476, 0.6679481116967487}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{2.5244072507900563`, 0.}, {2.7250271065162046`, 
            0.8255413905573936}}, 0.03417627908635214]}}, 
         InsetBox["5", {2.6247171786531305, 0.4127706952786968}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{2.5244072507900563`, 0.}, {3.5676200023922227`, 
            0.24390223266087255`}}, 0.03417627908635214]}}, 
         InsetBox["4", {3.0460136265911393, 0.12195111633043627}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{2.7250271065162046`, 0.8255413905573936}, {
            3.5676200023922227`, 0.24390223266087255`}}, 
            0.03417627908635214]}}, 
         InsetBox["5", {3.146323554454214, 0.5347218116091331}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {DiskBox[{0., 0.0021036085593235665}, 0.03417627908635214], 
         InsetBox["a", 
          Offset[{2, 2}, {0.03417627908635214, 0.036279887645675704}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.41182773285922813, 0.7705034532298884}, 
          0.03417627908635214], 
         InsetBox["b", 
          Offset[{2, 2}, {0.44600401194558026, 0.8046797323162406}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.1691768801390077, 0.19905877724751253}, 
          0.03417627908635214], 
         InsetBox["c", 
          Offset[{2, 2}, {1.20335315922536, 0.23323505633386465}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.484615182170224, 1.0484136330983498}, 
          0.03417627908635214], 
         InsetBox["d", 
          Offset[{2, 2}, {1.5187914612565763, 1.082589912184702}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.9994750809747468, 0.5103548328361037}, 
          0.03417627908635214], 
         InsetBox["e", 
          Offset[{2, 2}, {2.033651360061099, 0.5445311119224558}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.5244072507900563, 0.}, 0.03417627908635214], 
         InsetBox["h", 
          Offset[{2, 2}, {2.5585835298764086, 0.03417627908635214}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.7250271065162046, 0.8255413905573936}, 
          0.03417627908635214], 
         InsetBox["f", 
          Offset[{2, 2}, {2.759203385602557, 0.8597176696437457}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.5676200023922227, 0.24390223266087255}, 
          0.03417627908635214], 
         InsetBox["g", 
          Offset[{2, 2}, {3.601796281478575, 0.2780785117472247}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.8135715347733717`*^9, 3.813573249027916*^9, 
  3.8135764863719635`*^9, 3.84233997383644*^9},
 CellLabel->"Out[16]=",ExpressionUUID->"335e118b-20fb-4eb7-ab35-689d3f0fd6e6"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo4", "=", 
   RowBox[{"Grafo", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "g"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "h"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "i"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "g"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "i"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "g"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "i"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"f", ",", "i"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"g", ",", "h"}], "}"}]}], "}"}], ",", 
     RowBox[{"pesos", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "1", ",", "3", ",", "1", ",", "3", ",", "5", ",", "3", ",", "5", ",", 
        "4", ",", "2", ",", "3", ",", "5", ",", "5", ",", "5", ",", "7", ",", 
        "5", ",", "3", ",", "2", ",", "1"}], "}"}]}], ",", 
     RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ResaltarRuta", "[", 
  RowBox[{"grafo4", ",", 
   RowBox[{"Partition", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "b", ",", "i", ",", "f", ",", "a", ",", "e", ",", "c", ",", "d", ",", 
       "a", ",", "g", ",", "h", ",", "a", ",", "i"}], "}"}], ",", "2", ",", 
     "1"}], "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8134913744476824`*^9, 3.813491374988544*^9}, {
   3.813491414454422*^9, 3.813491528889803*^9}, {3.8134915682648616`*^9, 
   3.813491765618928*^9}, {3.8134918441492424`*^9, 3.813491938919714*^9}, {
   3.8135129996053762`*^9, 3.813513003882114*^9}, {3.813513173080183*^9, 
   3.8135131982111273`*^9}, 3.8135138009511595`*^9, {3.813513856508902*^9, 
   3.8135138707955494`*^9}, {3.8135715395607405`*^9, 3.8135715432280416`*^9}},
 CellLabel->"In[17]:=",ExpressionUUID->"0a6f19df-c951-4924-a258-2af7c442fa37"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`d, $CellContext`e, $CellContext`f, \
$CellContext`g, $CellContext`h, $CellContext`i, $CellContext`b, \
$CellContext`c}, {
      Null, {{1, 2}, {1, 3}, {1, 4}, {1, 5}, {1, 6}, {1, 7}, {8, 3}, {8, 4}, {
       8, 5}, {8, 7}, {9, 2}, {9, 3}, {2, 3}, {2, 5}, {3, 4}, {3, 7}, {4, 
       7}, {5, 6}}}, {
      EdgeLabels -> {
        UndirectedEdge[$CellContext`f, $CellContext`i] -> 2, 
         UndirectedEdge[$CellContext`d, $CellContext`e] -> 5, 
         UndirectedEdge[$CellContext`b, $CellContext`f] -> 4, 
         UndirectedEdge[$CellContext`b, $CellContext`e] -> 5, 
         UndirectedEdge[$CellContext`e, $CellContext`i] -> 3, 
         UndirectedEdge[$CellContext`c, $CellContext`d] -> 5, 
         UndirectedEdge[$CellContext`e, $CellContext`f] -> 5, 
         UndirectedEdge[$CellContext`a, $CellContext`g] -> 3, 
         UndirectedEdge[$CellContext`g, $CellContext`h] -> 1, 
         UndirectedEdge[$CellContext`b, $CellContext`i] -> 3, 
         UndirectedEdge[$CellContext`a, $CellContext`d] -> 1, 
         UndirectedEdge[$CellContext`a, $CellContext`i] -> 3, 
         UndirectedEdge[$CellContext`a, $CellContext`f] -> 1, 
         UndirectedEdge[$CellContext`d, $CellContext`g] -> 7, 
         UndirectedEdge[$CellContext`a, $CellContext`h] -> 5, 
         UndirectedEdge[$CellContext`b, $CellContext`g] -> 2, 
         UndirectedEdge[$CellContext`c, $CellContext`e] -> 5, 
         UndirectedEdge[$CellContext`a, $CellContext`e] -> 3}, 
       EdgeWeight -> {1, 3, 1, 3, 5, 3, 5, 4, 2, 3, 5, 5, 5, 7, 5, 3, 2, 1}, 
       GraphHighlight -> {
         UndirectedEdge[$CellContext`a, $CellContext`i], 
         UndirectedEdge[$CellContext`a, $CellContext`d], 
         UndirectedEdge[$CellContext`f, $CellContext`i], 
         UndirectedEdge[$CellContext`c, $CellContext`d], 
         UndirectedEdge[$CellContext`a, $CellContext`h], 
         UndirectedEdge[$CellContext`a, $CellContext`g], 
         UndirectedEdge[$CellContext`a, $CellContext`e], 
         UndirectedEdge[$CellContext`c, $CellContext`e], 
         UndirectedEdge[$CellContext`b, $CellContext`i], 
         UndirectedEdge[$CellContext`g, $CellContext`h], 
         UndirectedEdge[$CellContext`a, $CellContext`f]}, 
       GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
       VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{1.2701737271574993`, 1.084531753286813}, {
            1.845854954933925, 1.932340300502148}}, 0.0291825193009866]}}, 
         InsetBox["1", {1.5580143410457121, 1.5084360268944805}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{1.2701737271574993`, 1.084531753286813}, {
            2.1365255033526562`, 1.0248990121380108`}}, 0.0291825193009866]}},
          InsetBox["3", {1.7033496152550778, 1.0547153827124118}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{1.2701737271574993`, 1.084531753286813}, {
            2.1066285197057857`, 0.2677137971395054}}, 0.0291825193009866]}}, 
         InsetBox["1", {1.6884011234316425, 0.6761227752131592}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{1.2701737271574993`, 1.084531753286813}, {
            0.7943596318496063, 1.6150244546176449`}}, 0.0291825193009866]}}, 
         InsetBox["3", {1.0322666795035529, 1.349778103952229}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{1.2701737271574993`, 1.084531753286813}, {0., 
            1.5113906309049079`}}, 0.0291825193009866]}}, 
         InsetBox["5", {0.6350868635787497, 1.2979611920958605}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{1.2701737271574993`, 1.084531753286813}, {
            1.6212710629050118`, 0.}}, 0.0291825193009866]}}, 
         InsetBox["3", {1.4457223950312557, 0.5422658766434065}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.845854954933925, 1.932340300502148}, {
           2.1365255033526562`, 1.0248990121380108`}}, 0.0291825193009866]}, 
         InsetBox["5", {1.9911902291432906, 1.4786196563200793}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.845854954933925, 1.932340300502148}, {
           0.7943596318496063, 1.6150244546176449`}}, 0.0291825193009866]}, 
         InsetBox["7", {1.3201072933917657, 1.7736823775598964}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{1.845854954933925, 1.932340300502148}, {
            2.853895913311592, 1.990564995767428}}, 0.0291825193009866]}}, 
         InsetBox["5", {2.3498754341227586, 1.961452648134788}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{2.1365255033526562`, 1.0248990121380108`}, {
           2.1066285197057857`, 0.2677137971395054}}, 0.0291825193009866]}, 
         InsetBox["5", {2.121577011529221, 0.6463064046387581}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{2.1365255033526562`, 1.0248990121380108`}, {
           1.6212710629050118`, 0.}}, 0.0291825193009866]}, 
         InsetBox["3", {1.8788982831288341, 0.5124495060690054}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{2.1365255033526562`, 1.0248990121380108`}, {
           1.2238854545501887`, 0.48474377179274586`}}, 0.0291825193009866]}, 
         InsetBox["5", {1.6802054789514225, 0.7548213919653783}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{2.1365255033526562`, 1.0248990121380108`}, {
            2.853895913311592, 1.990564995767428}}, 0.0291825193009866]}}, 
         InsetBox["5", {2.495210708332124, 1.5077320039527193}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{2.1066285197057857`, 0.2677137971395054}, {
            1.6212710629050118`, 0.}}, 0.0291825193009866]}}, 
         InsetBox["2", {1.8639497913053988, 0.1338568985697527}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{2.1066285197057857`, 0.2677137971395054}, {
           1.2238854545501887`, 0.48474377179274586`}}, 0.0291825193009866]}, 
         InsetBox["4", {1.6652569871279872, 0.3762287844661256}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{0.7943596318496063, 1.6150244546176449`}, {0., 
            1.5113906309049079`}}, 0.0291825193009866]}}, 
         InsetBox["1", {0.39717981592480317, 1.5632075427612764}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.7943596318496063, 1.6150244546176449`}, {
           1.2238854545501887`, 0.48474377179274586`}}, 0.0291825193009866]}, 
         InsetBox["2", {1.0091225431998976, 1.0498841132051955}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          {Arrowheads[0.], 
           ArrowBox[{{1.6212710629050118`, 0.}, {1.2238854545501887`, 
            0.48474377179274586`}}, 0.0291825193009866]}}, 
         InsetBox["3", {1.4225782587276004, 0.24237188589637293}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{1.2701737271574993, 1.084531753286813}, 0.0291825193009866],
          InsetBox["a", 
          Offset[{2, 2}, {1.299356246458486, 1.1137142725877998}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.845854954933925, 1.932340300502148}, 0.0291825193009866], 
         InsetBox["d", 
          Offset[{2, 2}, {1.8750374742349116, 1.9615228198031347}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.1365255033526562, 1.0248990121380108}, 
          0.0291825193009866], 
         InsetBox["e", 
          Offset[{2, 2}, {2.165708022653643, 1.0540815314389975}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.1066285197057857, 0.2677137971395054}, 
          0.0291825193009866], 
         InsetBox["f", 
          Offset[{2, 2}, {2.1358110390067724, 0.29689631644049197}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.7943596318496063, 1.6150244546176449}, 
          0.0291825193009866], 
         InsetBox["g", 
          Offset[{2, 2}, {0.8235421511505929, 1.6442069739186316}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 1.5113906309049079}, 0.0291825193009866], 
         InsetBox["h", 
          Offset[{2, 2}, {0.0291825193009866, 1.5405731502058946}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.6212710629050118, 0.}, 0.0291825193009866], 
         InsetBox["i", 
          Offset[{2, 2}, {1.6504535822059985, 0.0291825193009866}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.2238854545501887, 0.48474377179274586}, 
          0.0291825193009866], 
         InsetBox["b", 
          Offset[{2, 2}, {1.2530679738511754, 0.5139262910937324}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.853895913311592, 1.990564995767428}, 0.0291825193009866], 
         InsetBox["c", 
          Offset[{2, 2}, {2.883078432612579, 2.0197475150684148}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.813571543751353*^9, 3.8135732525266085`*^9, 
  3.8135764896500406`*^9, 3.8423399767864866`*^9},
 CellLabel->"Out[18]=",ExpressionUUID->"4cddd54b-1205-4f45-b35f-0274abf69b5f"]
}, Open  ]],

Cell["5.5.3", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
  3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
  3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
  3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
  3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, {
  3.8113408665306587`*^9, 
  3.811340867070219*^9}},ExpressionUUID->"8f385eee-41df-4239-8100-\
756d09996e64"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo1", "=", 
   RowBox[{"Grafo", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"a", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "c"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "a"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "c"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "g"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"g", ",", "e"}], "}"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Valencias", "[", "grafo1", "]"}]}], "Input",
 CellChangeTimes->{{3.813490795218028*^9, 3.813490795581061*^9}, {
  3.813491347764021*^9, 3.81349135286987*^9}, {3.8135139751733623`*^9, 
  3.8135139832278967`*^9}},
 CellLabel->"In[19]:=",ExpressionUUID->"d972acc6-13c3-413a-b42f-5e3223581e8d"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      StyleBox["\[Null]",
       ShowStringCharacters->False], 
      TagBox[
       StyleBox["a",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["b",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["c",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["e",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["f",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["g",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["d",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm]},
     {
      TagBox["\<\"Grado o valencia\"\>",
       HoldForm], "4", "5", "2", "6", "6", "2", "3"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {False, True, {False}, False}, 
      "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$, TableHeadings -> {{"Grado o valencia"}, {
       Style[$CellContext`a, 
        GrayLevel[0]], 
       Style[$CellContext`b, 
        GrayLevel[0]], 
       Style[$CellContext`c, 
        GrayLevel[0]], 
       Style[$CellContext`e, 
        GrayLevel[0]], 
       Style[$CellContext`f, 
        GrayLevel[0]], 
       Style[$CellContext`g, 
        GrayLevel[0]], 
       Style[$CellContext`d, 
        GrayLevel[0]]}}, TableAlignments -> Center]]]], "Output",
 CellChangeTimes->{3.813514015071337*^9, 3.8135696777084713`*^9, 
  3.8135715475001836`*^9, 3.813573256143646*^9, 3.813576492628948*^9, 
  3.842339980203314*^9},
 CellLabel->
  "Out[20]//TableForm=",ExpressionUUID->"61c825ca-7a8b-4dd8-8056-\
c43c17bda1e8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo2", "=", 
   RowBox[{"Grafo", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"a", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "d"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "c"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "d"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"c", ",", "d"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"c", ",", "g"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "i"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "i"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"e", ",", "j"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "g"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "i"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "h"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"h", ",", "i"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "j"}], "}"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Valencias", "[", "grafo2", "]"}]}], "Input",
 CellChangeTimes->{{3.8135139871246376`*^9, 3.8135139925225625`*^9}},
 CellLabel->"In[21]:=",ExpressionUUID->"45bd7a09-3f1e-4079-9dd4-2bf994f8490d"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      StyleBox["\[Null]",
       ShowStringCharacters->False], 
      TagBox[
       StyleBox["a",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["b",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["d",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["e",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["c",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["g",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["f",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["i",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["j",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["h",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm]},
     {
      TagBox["\<\"Grado o valencia\"\>",
       HoldForm], "3", "7", "7", "3", "3", "2", "4", "5", "2", "2"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {False, True, {False}, False}, 
      "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$, TableHeadings -> {{"Grado o valencia"}, {
       Style[$CellContext`a, 
        GrayLevel[0]], 
       Style[$CellContext`b, 
        GrayLevel[0]], 
       Style[$CellContext`d, 
        GrayLevel[0]], 
       Style[$CellContext`e, 
        GrayLevel[0]], 
       Style[$CellContext`c, 
        GrayLevel[0]], 
       Style[$CellContext`g, 
        GrayLevel[0]], 
       Style[$CellContext`f, 
        GrayLevel[0]], 
       Style[$CellContext`i, 
        GrayLevel[0]], 
       Style[$CellContext`j, 
        GrayLevel[0]], 
       Style[$CellContext`h, 
        GrayLevel[0]]}}, TableAlignments -> Center]]]], "Output",
 CellChangeTimes->{3.8135141830316324`*^9, 3.813569679982649*^9, 
  3.8135715499216127`*^9, 3.8135764951901217`*^9, 3.8423399829241095`*^9},
 CellLabel->
  "Out[22]//TableForm=",ExpressionUUID->"68641ae4-e073-4cc0-b3bd-\
d681d96459d2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo3", "=", 
   RowBox[{"Grafo", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a", ",", "b"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "c"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "c"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "h"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "h"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"f", ",", "g"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"f", ",", "h"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"g", ",", "h"}], "}"}]}], "}"}], ",", 
     RowBox[{"pesos", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "3", ",", "2", ",", "4", ",", "2", ",", "3", ",", "2", ",", "6", ",", 
        "5", ",", "6", ",", "4", ",", "5", ",", "5", ",", "5", ",", "4"}], 
       "}"}]}], ",", 
     RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Valencias", "[", "grafo3", "]"}]}], "Input",
 CellChangeTimes->{{3.8135139949744663`*^9, 3.81351399994496*^9}},
 CellLabel->"In[23]:=",ExpressionUUID->"0b1b9149-1a49-4e34-aa25-4d181cb4d4ae"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      StyleBox["\[Null]",
       ShowStringCharacters->False], 
      TagBox[
       StyleBox["a",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["b",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["c",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["d",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["e",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["h",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["f",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["g",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm]},
     {
      TagBox["\<\"Grado o valencia\"\>",
       HoldForm], "2", "3", "5", "4", "4", "4", "4", "2"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {False, True, {False}, False}, 
      "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$, TableHeadings -> {{"Grado o valencia"}, {
       Style[$CellContext`a, 
        GrayLevel[0]], 
       Style[$CellContext`b, 
        GrayLevel[0]], 
       Style[$CellContext`c, 
        GrayLevel[0]], 
       Style[$CellContext`d, 
        GrayLevel[0]], 
       Style[$CellContext`e, 
        GrayLevel[0]], 
       Style[$CellContext`h, 
        GrayLevel[0]], 
       Style[$CellContext`f, 
        GrayLevel[0]], 
       Style[$CellContext`g, 
        GrayLevel[0]]}}, TableAlignments -> Center]]]], "Output",
 CellChangeTimes->{3.813514283828371*^9, 3.813569682326152*^9, 
  3.813571552329857*^9, 3.813576497852129*^9, 3.8423399852865057`*^9},
 CellLabel->
  "Out[24]//TableForm=",ExpressionUUID->"95359b7f-2a43-4f26-9fb0-\
9a481488f78f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo4", "=", 
   RowBox[{"Grafo", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "g"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "h"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "i"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "g"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "i"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "g"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "i"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"f", ",", "i"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"g", ",", "h"}], "}"}]}], "}"}], ",", 
     RowBox[{"pesos", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "1", ",", "3", ",", "1", ",", "3", ",", "5", ",", "3", ",", "5", ",", 
        "4", ",", "2", ",", "3", ",", "5", ",", "5", ",", "5", ",", "7", ",", 
        "5", ",", "3", ",", "2", ",", "1"}], "}"}]}], ",", 
     RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Valencias", "[", "grafo4", "]"}]}], "Input",
 CellChangeTimes->{{3.8134913744476824`*^9, 3.813491374988544*^9}, {
  3.813491414454422*^9, 3.813491528889803*^9}, {3.8134915682648616`*^9, 
  3.813491765618928*^9}, {3.8134918441492424`*^9, 3.813491938919714*^9}, {
  3.813514003883979*^9, 3.8135140100483103`*^9}},
 CellLabel->"In[25]:=",ExpressionUUID->"65fe6fc1-22f2-4c7f-871b-61a4b3b074ca"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      StyleBox["\[Null]",
       ShowStringCharacters->False], 
      TagBox[
       StyleBox["a",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["d",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["e",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["f",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["g",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["h",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["i",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["b",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["c",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm]},
     {
      TagBox["\<\"Grado o valencia\"\>",
       HoldForm], "6", "4", "6", "4", "4", "2", "4", "4", "2"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {False, True, {False}, False}, 
      "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$, TableHeadings -> {{"Grado o valencia"}, {
       Style[$CellContext`a, 
        GrayLevel[0]], 
       Style[$CellContext`d, 
        GrayLevel[0]], 
       Style[$CellContext`e, 
        GrayLevel[0]], 
       Style[$CellContext`f, 
        GrayLevel[0]], 
       Style[$CellContext`g, 
        GrayLevel[0]], 
       Style[$CellContext`h, 
        GrayLevel[0]], 
       Style[$CellContext`i, 
        GrayLevel[0]], 
       Style[$CellContext`b, 
        GrayLevel[0]], 
       Style[$CellContext`c, 
        GrayLevel[0]]}}, TableAlignments -> Center]]]], "Output",
 CellChangeTimes->{3.8135143492891006`*^9, 3.8135696849162564`*^9, 
  3.81357155475303*^9, 3.813576500128642*^9, 3.8423399882473283`*^9},
 CellLabel->
  "Out[26]//TableForm=",ExpressionUUID->"f4c91f6a-f8f4-47fd-80f3-\
1311fb46d235"]
}, Open  ]],

Cell["5.5.4", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
  3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
  3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
  3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
  3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, {
  3.8113408690071154`*^9, 
  3.811340869637424*^9}},ExpressionUUID->"5943458f-d099-4e7e-992c-\
90836dee50c2"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo1", "=", 
   RowBox[{"Grafo", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"a", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "c"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "a"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "c"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "g"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"g", ",", "e"}], "}"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Total", "[", 
   RowBox[{
    RowBox[{"Valencias", "[", "grafo1", "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1"}], "]"}], "]"}], "]"}], "/", "2"}]}], "Input",
 CellChangeTimes->{{3.813490795218028*^9, 3.813490795581061*^9}, {
  3.813491347764021*^9, 3.81349135286987*^9}, {3.8135149344018006`*^9, 
  3.8135150002617664`*^9}},
 CellLabel->"In[27]:=",ExpressionUUID->"22eddf69-2c77-4e3d-8d16-99a9d7144329"],

Cell[BoxData["14"], "Output",
 CellChangeTimes->{{3.8135149552083893`*^9, 3.8135150006857233`*^9}, 
   3.8135151123396363`*^9, 3.8135696871123652`*^9, 3.8135715579242373`*^9, 
   3.8135765033140264`*^9, 3.842339991636699*^9},
 CellLabel->"Out[28]=",ExpressionUUID->"6cd11dcc-f366-4d6c-9843-52ee146dd87b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo2", "=", 
   RowBox[{"Grafo", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"a", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "d"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "c"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "d"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"c", ",", "d"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"c", ",", "g"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "i"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "i"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"e", ",", "j"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "g"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "i"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "h"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"h", ",", "i"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "j"}], "}"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Total", "[", 
   RowBox[{
    RowBox[{"Valencias", "[", "grafo2", "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1"}], "]"}], "]"}], "]"}], "/", "2"}]}], "Input",
 CellChangeTimes->{{3.813515006087882*^9, 3.8135150135405903`*^9}, {
  3.8135150445231485`*^9, 3.813515044766038*^9}},
 CellLabel->"In[29]:=",ExpressionUUID->"4c3a8202-271f-479e-9105-534cad919955"],

Cell[BoxData["19"], "Output",
 CellChangeTimes->{{3.8135150114005547`*^9, 3.8135150143880405`*^9}, 
   3.8135150451486497`*^9, 3.8135151152609563`*^9, 3.813569689277191*^9, 
   3.8135715605687456`*^9, 3.813576505641082*^9, 3.8423399938548336`*^9},
 CellLabel->"Out[30]=",ExpressionUUID->"41886759-7682-4ce4-b065-ed0fb5411a5c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo3", "=", 
   RowBox[{"Grafo", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a", ",", "b"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "c"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "c"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "h"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "h"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"f", ",", "g"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"f", ",", "h"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"g", ",", "h"}], "}"}]}], "}"}], ",", 
     RowBox[{"pesos", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "3", ",", "2", ",", "4", ",", "2", ",", "3", ",", "2", ",", "6", ",", 
        "5", ",", "6", ",", "4", ",", "5", ",", "5", ",", "5", ",", "4"}], 
       "}"}]}], ",", 
     RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Total", "[", 
   RowBox[{
    RowBox[{"Valencias", "[", "grafo3", "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1"}], "]"}], "]"}], "]"}], "/", "2"}]}], "Input",
 CellChangeTimes->{{3.813515048344381*^9, 3.8135150692037554`*^9}},
 CellLabel->"In[31]:=",ExpressionUUID->"2697edb1-5508-407c-bb92-f1a17c6cf822"],

Cell[BoxData["14"], "Output",
 CellChangeTimes->{{3.813515059782376*^9, 3.813515069627714*^9}, 
   3.813515119783355*^9, 3.813569691415244*^9, 3.813571562780099*^9, 
   3.813576508020689*^9, 3.842339996286862*^9},
 CellLabel->"Out[32]=",ExpressionUUID->"d0f34716-4904-4e43-b5fb-e762dadd975f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo4", "=", 
   RowBox[{"Grafo", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "g"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "h"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "i"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "g"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "i"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "g"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "i"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"f", ",", "i"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"g", ",", "h"}], "}"}]}], "}"}], ",", 
     RowBox[{"pesos", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "1", ",", "3", ",", "1", ",", "3", ",", "5", ",", "3", ",", "5", ",", 
        "4", ",", "2", ",", "3", ",", "5", ",", "5", ",", "5", ",", "7", ",", 
        "5", ",", "3", ",", "2", ",", "1"}], "}"}]}], ",", 
     RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Total", "[", 
   RowBox[{
    RowBox[{"Valencias", "[", "grafo4", "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1"}], "]"}], "]"}], "]"}], "/", "2"}]}], "Input",
 CellChangeTimes->{{3.8134913744476824`*^9, 3.813491374988544*^9}, {
  3.813491414454422*^9, 3.813491528889803*^9}, {3.8134915682648616`*^9, 
  3.813491765618928*^9}, {3.8134918441492424`*^9, 3.813491938919714*^9}, {
  3.813515077142045*^9, 3.813515085712944*^9}},
 CellLabel->"In[33]:=",ExpressionUUID->"bc57b6e3-7d83-4b23-9766-945acb720b1d"],

Cell[BoxData["18"], "Output",
 CellChangeTimes->{{3.813515083795494*^9, 3.8135151230408916`*^9}, 
   3.8135696938880854`*^9, 3.8135715648732986`*^9, 3.8135765115498667`*^9, 
   3.8423400007197914`*^9},
 CellLabel->"Out[34]=",ExpressionUUID->"b22840a8-6373-44a6-a107-f6da7136aaa8"]
}, Open  ]],

Cell["5.5.5", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
  3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
  3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
  3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
  3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, {
  3.811340893510738*^9, 
  3.811340894025119*^9}},ExpressionUUID->"bbb031bd-d95c-496f-afa0-\
93b30654d62d"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo3", "=", 
   RowBox[{"Grafo", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a", ",", "b"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "c"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "c"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "h"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "h"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"f", ",", "g"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"f", ",", "h"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"g", ",", "h"}], "}"}]}], "}"}], ",", 
     RowBox[{"pesos", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "3", ",", "2", ",", "4", ",", "2", ",", "3", ",", "2", ",", "6", ",", 
        "5", ",", "6", ",", "4", ",", "5", ",", "5", ",", "5", ",", "4"}], 
       "}"}]}], ",", 
     RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"CircuitoEulerQ", "[", "grafo3", "]"}], "\[IndentingNewLine]", 
 RowBox[{"RutaEulerQ", "[", "grafo3", "]"}], "\[IndentingNewLine]", 
 RowBox[{"RutaEuler", "[", "grafo3", "]"}]}], "Input",
 CellChangeTimes->{{3.813515157404334*^9, 3.8135152074177217`*^9}, {
  3.81351523945847*^9, 3.813515240089535*^9}, {3.8135152850225697`*^9, 
  3.8135152906707125`*^9}},
 CellLabel->"In[35]:=",ExpressionUUID->"87d30e50-8af3-413a-ab73-5c006e609061"],

Cell[BoxData["False"], "Output",
 CellChangeTimes->{{3.8135152795772333`*^9, 3.813515291456045*^9}, 
   3.8135155204956713`*^9, 3.8135696964854107`*^9, 3.8135721336273375`*^9, 
   3.8135765151580615`*^9, 3.8423400040197134`*^9},
 CellLabel->"Out[36]=",ExpressionUUID->"5858ae69-688d-43d2-855d-07d68ae26976"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{{3.8135152795772333`*^9, 3.813515291456045*^9}, 
   3.8135155204956713`*^9, 3.8135696964854107`*^9, 3.8135721336273375`*^9, 
   3.8135765151580615`*^9, 3.8423400040197134`*^9},
 CellLabel->"Out[37]=",ExpressionUUID->"271aaade-13a1-43b0-8dc3-3caf7202e214"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"b", ",", "a"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"c", ",", "d"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"d", ",", "e"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"c", ",", "h"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"h", ",", "e"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", "f"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"f", ",", "g"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"g", ",", "h"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"h", ",", "f"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"f", ",", "d"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"d", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "c"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.8135152795772333`*^9, 3.813515291456045*^9}, 
   3.8135155204956713`*^9, 3.8135696964854107`*^9, 3.8135721336273375`*^9, 
   3.8135765151580615`*^9, 3.842340004103299*^9},
 CellLabel->"Out[38]=",ExpressionUUID->"0400d22d-fd64-42a8-8934-6a9abc9e6679"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo4", "=", 
   RowBox[{"Grafo", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "g"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "h"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "i"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "g"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "i"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "g"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "i"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"f", ",", "i"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"g", ",", "h"}], "}"}]}], "}"}], ",", 
     RowBox[{"pesos", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "1", ",", "3", ",", "1", ",", "3", ",", "5", ",", "3", ",", "5", ",", 
        "4", ",", "2", ",", "3", ",", "5", ",", "5", ",", "5", ",", "7", ",", 
        "5", ",", "3", ",", "2", ",", "1"}], "}"}]}], ",", 
     RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"CircuitoEulerQ", "[", "grafo4", "]"}], "\[IndentingNewLine]", 
 RowBox[{"RutaEulerQ", "[", "grafo4", "]"}], "\[IndentingNewLine]", 
 RowBox[{"CircuitosEuler", "[", 
  RowBox[{"grafo4", ",", "2"}], "]"}]}], "Input",
 CellChangeTimes->{{3.8134913744476824`*^9, 3.813491374988544*^9}, {
   3.813491414454422*^9, 3.813491528889803*^9}, {3.8134915682648616`*^9, 
   3.813491765618928*^9}, {3.8134918441492424`*^9, 3.813491938919714*^9}, {
   3.813515245919027*^9, 3.813515253476701*^9}, 3.813515528367925*^9, {
   3.8135155683018847`*^9, 3.8135155956609573`*^9}, 3.8135156428487377`*^9},
 CellLabel->"In[39]:=",ExpressionUUID->"deccf636-7b94-4dfa-9851-b9b3dcae843d"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{{3.81351552577614*^9, 3.813515529421107*^9}, 
   3.8135155960631185`*^9, 3.813515643295546*^9, 3.8135696994314528`*^9, 
   3.8135721362383795`*^9, 3.8135765231596527`*^9, 3.842340010536528*^9},
 CellLabel->"Out[40]=",ExpressionUUID->"3aad662e-c9d3-4c90-a342-282acc71de06"],

Cell[BoxData["False"], "Output",
 CellChangeTimes->{{3.81351552577614*^9, 3.813515529421107*^9}, 
   3.8135155960631185`*^9, 3.813515643295546*^9, 3.8135696994314528`*^9, 
   3.8135721362383795`*^9, 3.8135765231596527`*^9, 3.842340010536528*^9},
 CellLabel->"Out[41]=",ExpressionUUID->"bc954204-e377-4a2f-8d1c-3e619337e9f5"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "\[UndirectedEdge]", "d"}], ",", 
     RowBox[{"d", "\[UndirectedEdge]", "g"}], ",", 
     RowBox[{"g", "\[UndirectedEdge]", "h"}], ",", 
     RowBox[{"h", "\[UndirectedEdge]", "a"}], ",", 
     RowBox[{"a", "\[UndirectedEdge]", "i"}], ",", 
     RowBox[{"i", "\[UndirectedEdge]", "f"}], ",", 
     RowBox[{"f", "\[UndirectedEdge]", "e"}], ",", 
     RowBox[{"e", "\[UndirectedEdge]", "i"}], ",", 
     RowBox[{"i", "\[UndirectedEdge]", "b"}], ",", 
     RowBox[{"b", "\[UndirectedEdge]", "g"}], ",", 
     RowBox[{"g", "\[UndirectedEdge]", "a"}], ",", 
     RowBox[{"a", "\[UndirectedEdge]", "f"}], ",", 
     RowBox[{"f", "\[UndirectedEdge]", "b"}], ",", 
     RowBox[{"b", "\[UndirectedEdge]", "e"}], ",", 
     RowBox[{"e", "\[UndirectedEdge]", "d"}], ",", 
     RowBox[{"d", "\[UndirectedEdge]", "c"}], ",", 
     RowBox[{"c", "\[UndirectedEdge]", "e"}], ",", 
     RowBox[{"e", "\[UndirectedEdge]", "a"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "\[UndirectedEdge]", "d"}], ",", 
     RowBox[{"d", "\[UndirectedEdge]", "g"}], ",", 
     RowBox[{"g", "\[UndirectedEdge]", "h"}], ",", 
     RowBox[{"h", "\[UndirectedEdge]", "a"}], ",", 
     RowBox[{"a", "\[UndirectedEdge]", "i"}], ",", 
     RowBox[{"i", "\[UndirectedEdge]", "f"}], ",", 
     RowBox[{"f", "\[UndirectedEdge]", "e"}], ",", 
     RowBox[{"e", "\[UndirectedEdge]", "i"}], ",", 
     RowBox[{"i", "\[UndirectedEdge]", "b"}], ",", 
     RowBox[{"b", "\[UndirectedEdge]", "g"}], ",", 
     RowBox[{"g", "\[UndirectedEdge]", "a"}], ",", 
     RowBox[{"a", "\[UndirectedEdge]", "f"}], ",", 
     RowBox[{"f", "\[UndirectedEdge]", "b"}], ",", 
     RowBox[{"b", "\[UndirectedEdge]", "e"}], ",", 
     RowBox[{"e", "\[UndirectedEdge]", "c"}], ",", 
     RowBox[{"c", "\[UndirectedEdge]", "d"}], ",", 
     RowBox[{"d", "\[UndirectedEdge]", "e"}], ",", 
     RowBox[{"e", "\[UndirectedEdge]", "a"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.81351552577614*^9, 3.813515529421107*^9}, 
   3.8135155960631185`*^9, 3.813515643295546*^9, 3.8135696994314528`*^9, 
   3.8135721362383795`*^9, 3.8135765231596527`*^9, 3.842340010536528*^9},
 CellLabel->"Out[42]=",ExpressionUUID->"d0529f4c-5058-40fa-a84b-549088de4d0a"]
}, Open  ]],

Cell["5.5.6", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
  3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
  3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
  3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
  3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, {
  3.811340904445465*^9, 
  3.811340904939148*^9}},ExpressionUUID->"e5968cbc-dbba-43e5-aaef-\
fde639b57153"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo3", "=", 
   RowBox[{"Grafo", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a", ",", "b"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "c"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "c"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "h"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "h"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"f", ",", "g"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"f", ",", "h"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"g", ",", "h"}], "}"}]}], "}"}], ",", 
     RowBox[{"pesos", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "3", ",", "2", ",", "4", ",", "2", ",", "3", ",", "2", ",", "6", ",", 
        "5", ",", "6", ",", "4", ",", "5", ",", "5", ",", "5", ",", "4"}], 
       "}"}]}], ",", 
     RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ExisteCircuitoHamilton", "[", "grafo3", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"CircuitosHamilton", "[", 
  RowBox[{"grafo3", ",", "1"}], "]"}]}], "Input",
 CellChangeTimes->{{3.8135152565391226`*^9, 3.813515261734374*^9}, {
  3.8135158337606897`*^9, 3.813515858937786*^9}},
 CellLabel->"In[43]:=",ExpressionUUID->"3e9a38d7-dd7e-4c1c-bb2f-a2f907ef5712"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"No se satisface la propiedad de Ore, un contraejemplo ocurre \
en: \"\>", "\[InvisibleSpace]", "\<\"Valencia[\"\>", "\[InvisibleSpace]", "a",
    "\[InvisibleSpace]", "\<\"] + \"\>", 
   "\[InvisibleSpace]", "\<\"Valencia[\"\>", "\[InvisibleSpace]", "d", 
   "\[InvisibleSpace]", "\<\"] = \"\>", "\[InvisibleSpace]", "6", 
   "\[InvisibleSpace]", "\<\" < n = \"\>", "\[InvisibleSpace]", "8"}],
  SequenceForm[
  "No se satisface la propiedad de Ore, un contraejemplo ocurre en: ", 
   "Valencia[", $CellContext`a, "] + ", "Valencia[", $CellContext`d, "] = ", 
   6, " < n = ", 8],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135158314960403`*^9, 3.8135158596826*^9}, {
   3.8135697036074657`*^9, 3.813569723969208*^9}, 3.8135721385583644`*^9, 
   3.813576527451035*^9, 3.8423400141697917`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[43]:=",ExpressionUUID->"adc4faf8-5d5b-4fef-bafb-3f53ccad7420"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"No se cumple la propiedad de Dirac, un contrajemplo ocurre en: \
\"\>", "\[InvisibleSpace]", "\<\"Valencia[\"\>", "\[InvisibleSpace]", "a", 
   "\[InvisibleSpace]", "\<\"] = \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\" < \\!\\(\\*FractionBox[\\(n\\), \\(2\\)]\\) = \
\"\>", "\[InvisibleSpace]", "4"}],
  SequenceForm[
  "No se cumple la propiedad de Dirac, un contrajemplo ocurre en: ", 
   "Valencia[", $CellContext`a, "] = ", 2, 
   " < \!\(\*FractionBox[\(n\), \(2\)]\) = ", 4],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135158314960403`*^9, 3.8135158596826*^9}, {
   3.8135697036074657`*^9, 3.813569723969208*^9}, 3.8135721385583644`*^9, 
   3.813576527451035*^9, 3.8423400141697917`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[43]:=",ExpressionUUID->"7cbf5005-db0d-44ed-9279-abcd25c801d7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"No se satisface la propiedad de la cantidad de aristas, m = \"\
\>", "\[InvisibleSpace]", "14", "\[InvisibleSpace]", "\<\" < \"\>", 
   "\[InvisibleSpace]", \
"\<\"\\!\\(\\*FractionBox[\\(\\*SuperscriptBox[\\(n\\), \\(2\\)] - 3  n + \
6\\), \\(2\\)]\\) = \"\>", "\[InvisibleSpace]", "23"}],
  SequenceForm[
  "No se satisface la propiedad de la cantidad de aristas, m = ", 14, " < ", 
   "\!\(\*FractionBox[\(\*SuperscriptBox[\(n\), \(2\)] - 3  n + 6\), \(2\)]\) \
= ", 23],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135158314960403`*^9, 3.8135158596826*^9}, {
   3.8135697036074657`*^9, 3.813569723969208*^9}, 3.8135721385583644`*^9, 
   3.813576527451035*^9, 3.8423400141864233`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[43]:=",ExpressionUUID->"4f3fdaa9-976d-4d18-9048-3bf164b068ef"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"No hay criterio, sin embargo, el valor l\[OAcute]gico sobre la \
existencia de un circuito de Hamilton en el grafo es: \"\>", 
   "\[InvisibleSpace]", "True"}],
  SequenceForm[
  "No hay criterio, sin embargo, el valor l\[OAcute]gico sobre la existencia \
de un circuito de Hamilton en el grafo es: ", True],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135158314960403`*^9, 3.8135158596826*^9}, {
   3.8135697036074657`*^9, 3.813569723969208*^9}, 3.8135721385583644`*^9, 
   3.813576527451035*^9, 3.8423400141864233`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[43]:=",ExpressionUUID->"c574b856-9838-47cc-b3d8-3b6aef8a52b7"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "\[UndirectedEdge]", "b"}], ",", 
    RowBox[{"b", "\[UndirectedEdge]", "d"}], ",", 
    RowBox[{"d", "\[UndirectedEdge]", "e"}], ",", 
    RowBox[{"e", "\[UndirectedEdge]", "f"}], ",", 
    RowBox[{"f", "\[UndirectedEdge]", "g"}], ",", 
    RowBox[{"g", "\[UndirectedEdge]", "h"}], ",", 
    RowBox[{"h", "\[UndirectedEdge]", "c"}], ",", 
    RowBox[{"c", "\[UndirectedEdge]", "a"}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{
  3.8135158596945677`*^9, {3.813569703624335*^9, 3.813569723977187*^9}, 
   3.813572138569336*^9, 3.813576527462514*^9, 3.8423400141864233`*^9},
 CellLabel->"Out[45]=",ExpressionUUID->"11a0046d-d824-42ab-b749-8bafca9412b5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo4", "=", 
   RowBox[{"Grafo", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "g"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "h"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "i"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "g"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "i"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "g"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "i"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"f", ",", "i"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"g", ",", "h"}], "}"}]}], "}"}], ",", 
     RowBox[{"pesos", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "1", ",", "3", ",", "1", ",", "3", ",", "5", ",", "3", ",", "5", ",", 
        "4", ",", "2", ",", "3", ",", "5", ",", "5", ",", "5", ",", "7", ",", 
        "5", ",", "3", ",", "2", ",", "1"}], "}"}]}], ",", 
     RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ExisteCircuitoHamilton", "[", "grafo4", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"CircuitosHamilton", "[", 
  RowBox[{"grafo4", ",", "1"}], "]"}]}], "Input",
 CellChangeTimes->{{3.8134913744476824`*^9, 3.813491374988544*^9}, {
  3.813491414454422*^9, 3.813491528889803*^9}, {3.8134915682648616`*^9, 
  3.813491765618928*^9}, {3.8134918441492424`*^9, 3.813491938919714*^9}, {
  3.8135152658539114`*^9, 3.813515271659051*^9}, {3.81351583898078*^9, 
  3.813515875856942*^9}},
 CellLabel->"In[46]:=",ExpressionUUID->"930601b0-f516-42db-b18b-20fe6890b93c"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"No se satisface la propiedad de Ore, un contraejemplo ocurre \
en: \"\>", "\[InvisibleSpace]", "\<\"Valencia[\"\>", "\[InvisibleSpace]", "a",
    "\[InvisibleSpace]", "\<\"] + \"\>", 
   "\[InvisibleSpace]", "\<\"Valencia[\"\>", "\[InvisibleSpace]", "c", 
   "\[InvisibleSpace]", "\<\"] = \"\>", "\[InvisibleSpace]", "8", 
   "\[InvisibleSpace]", "\<\" < n = \"\>", "\[InvisibleSpace]", "9"}],
  SequenceForm[
  "No se satisface la propiedad de Ore, un contraejemplo ocurre en: ", 
   "Valencia[", $CellContext`a, "] + ", "Valencia[", $CellContext`c, "] = ", 
   8, " < n = ", 9],
  Editable->False]], "Print",
 CellChangeTimes->{3.8135158411271095`*^9, 3.8135158764884834`*^9, 
  3.813516307171713*^9, 3.8135697266703615`*^9, 3.8135721410351195`*^9, 
  3.813576529831607*^9, 3.842340018652987*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[46]:=",ExpressionUUID->"98327a8a-8ee5-4ed7-bb4e-faf02ef0629a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"No se cumple la propiedad de Dirac, un contrajemplo ocurre en: \
\"\>", "\[InvisibleSpace]", "\<\"Valencia[\"\>", "\[InvisibleSpace]", "d", 
   "\[InvisibleSpace]", "\<\"] = \"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\" < \\!\\(\\*FractionBox[\\(n\\), \\(2\\)]\\) = \
\"\>", "\[InvisibleSpace]", 
   FractionBox["9", "2"]}],
  SequenceForm[
  "No se cumple la propiedad de Dirac, un contrajemplo ocurre en: ", 
   "Valencia[", $CellContext`d, "] = ", 4, 
   " < \!\(\*FractionBox[\(n\), \(2\)]\) = ", 
   Rational[9, 2]],
  Editable->False]], "Print",
 CellChangeTimes->{3.8135158411271095`*^9, 3.8135158764884834`*^9, 
  3.813516307171713*^9, 3.8135697266703615`*^9, 3.8135721410351195`*^9, 
  3.813576529831607*^9, 3.842340018652987*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[46]:=",ExpressionUUID->"862ce115-fb34-4483-b9fd-a37701b38c86"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"No se satisface la propiedad de la cantidad de aristas, m = \"\
\>", "\[InvisibleSpace]", "18", "\[InvisibleSpace]", "\<\" < \"\>", 
   "\[InvisibleSpace]", \
"\<\"\\!\\(\\*FractionBox[\\(\\*SuperscriptBox[\\(n\\), \\(2\\)] - 3  n + \
6\\), \\(2\\)]\\) = \"\>", "\[InvisibleSpace]", "30"}],
  SequenceForm[
  "No se satisface la propiedad de la cantidad de aristas, m = ", 18, " < ", 
   "\!\(\*FractionBox[\(\*SuperscriptBox[\(n\), \(2\)] - 3  n + 6\), \(2\)]\) \
= ", 30],
  Editable->False]], "Print",
 CellChangeTimes->{3.8135158411271095`*^9, 3.8135158764884834`*^9, 
  3.813516307171713*^9, 3.8135697266703615`*^9, 3.8135721410351195`*^9, 
  3.813576529831607*^9, 3.8423400186696305`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[46]:=",ExpressionUUID->"6b954395-30e4-40d7-8702-5a636ad53e51"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"No hay criterio, sin embargo, el valor l\[OAcute]gico sobre la \
existencia de un circuito de Hamilton en el grafo es: \"\>", 
   "\[InvisibleSpace]", "True"}],
  SequenceForm[
  "No hay criterio, sin embargo, el valor l\[OAcute]gico sobre la existencia \
de un circuito de Hamilton en el grafo es: ", True],
  Editable->False]], "Print",
 CellChangeTimes->{3.8135158411271095`*^9, 3.8135158764884834`*^9, 
  3.813516307171713*^9, 3.8135697266703615`*^9, 3.8135721410351195`*^9, 
  3.813576529831607*^9, 3.8423400186696305`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[46]:=",ExpressionUUID->"3cc7c4c2-1b38-4994-8d3b-6a57a56916cb"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "\[UndirectedEdge]", "h"}], ",", 
    RowBox[{"h", "\[UndirectedEdge]", "g"}], ",", 
    RowBox[{"g", "\[UndirectedEdge]", "b"}], ",", 
    RowBox[{"b", "\[UndirectedEdge]", "i"}], ",", 
    RowBox[{"i", "\[UndirectedEdge]", "f"}], ",", 
    RowBox[{"f", "\[UndirectedEdge]", "e"}], ",", 
    RowBox[{"e", "\[UndirectedEdge]", "c"}], ",", 
    RowBox[{"c", "\[UndirectedEdge]", "d"}], ",", 
    RowBox[{"d", "\[UndirectedEdge]", "a"}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.8135158765024476`*^9, 3.813516307185675*^9, 
  3.8135697266803713`*^9, 3.813572141044097*^9, 3.813576529840584*^9, 
  3.8423400186696305`*^9},
 CellLabel->"Out[48]=",ExpressionUUID->"a3c1a129-44ab-4057-871c-8a3022e7369b"]
}, Open  ]],

Cell["5.5.7", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
  3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
  3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
  3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
  3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, {
  3.811340928429098*^9, 
  3.811340928970648*^9}},ExpressionUUID->"bf0ed093-d997-45fd-bfe8-\
1c3274156368"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo1", "=", 
   RowBox[{"Grafo", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"a", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "c"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "a"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "c"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "g"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"g", ",", "e"}], "}"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"MGrafo", "[", 
  RowBox[{"grafo1", ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f", ",", "g"}],
     "}"}], ",", 
   RowBox[{"table", "\[Rule]", "True"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"MIGrafo", "[", 
  RowBox[{"grafo1", ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f", ",", "g"}],
     "}"}], ",", 
   RowBox[{"table", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.813490795218028*^9, 3.813490795581061*^9}, {
  3.813491347764021*^9, 3.81349135286987*^9}, {3.8135168448372755`*^9, 
  3.8135169210582747`*^9}},
 CellLabel->"In[49]:=",ExpressionUUID->"708ccd0e-3836-4ee3-a185-8363e917236c"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      StyleBox["\[Null]",
       ShowStringCharacters->False], 
      TagBox[
       StyleBox["a",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["b",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["c",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["d",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["e",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["f",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["g",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm]},
     {
      TagBox[
       StyleBox["a",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "1", "1", "1", "0", "0", "0", "0"},
     {
      TagBox[
       StyleBox["b",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "1", "0", "1", "0", "1", "2", "0"},
     {
      TagBox[
       StyleBox["c",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "1", "1", "0", "0", "0", "0", "0"},
     {
      TagBox[
       StyleBox["d",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "0", "3", "0", "0"},
     {
      TagBox[
       StyleBox["e",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "1", "0", "3", "0", "1", "1"},
     {
      TagBox[
       StyleBox["f",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "2", "0", "0", "1", "1", "1"},
     {
      TagBox[
       StyleBox["g",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "0", "1", "1", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {False, True, {False}, False}, 
      "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$, TableHeadings -> {{
       Style[$CellContext`a, 
        GrayLevel[0]], 
       Style[$CellContext`b, 
        GrayLevel[0]], 
       Style[$CellContext`c, 
        GrayLevel[0]], 
       Style[$CellContext`d, 
        GrayLevel[0]], 
       Style[$CellContext`e, 
        GrayLevel[0]], 
       Style[$CellContext`f, 
        GrayLevel[0]], 
       Style[$CellContext`g, 
        GrayLevel[0]]}, {
       Style[$CellContext`a, 
        GrayLevel[0]], 
       Style[$CellContext`b, 
        GrayLevel[0]], 
       Style[$CellContext`c, 
        GrayLevel[0]], 
       Style[$CellContext`d, 
        GrayLevel[0]], 
       Style[$CellContext`e, 
        GrayLevel[0]], 
       Style[$CellContext`f, 
        GrayLevel[0]], 
       Style[$CellContext`g, 
        GrayLevel[0]]}}, TableAlignments -> Center]]]], "Output",
 CellChangeTimes->{{3.8135169006685967`*^9, 3.8135169216909933`*^9}, 
   3.8135171267827253`*^9, 3.813569732985937*^9, 3.8135721437798223`*^9, 
   3.813576532143236*^9, 3.842340028936679*^9},
 CellLabel->
  "Out[50]//TableForm=",ExpressionUUID->"c85f7299-a95f-4e8d-a552-\
0070063fb0fe"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      StyleBox["\[Null]",
       ShowStringCharacters->False], 
      TagBox[
       StyleBox[
        RowBox[{"a", "\[UndirectedEdge]", "b"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"a", "\[UndirectedEdge]", "c"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"a", "\[UndirectedEdge]", "a"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"b", "\[UndirectedEdge]", "c"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"b", "\[UndirectedEdge]", "e"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"b", "\[UndirectedEdge]", "f"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"b", "\[UndirectedEdge]", "f"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"f", "\[UndirectedEdge]", "f"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"f", "\[UndirectedEdge]", "g"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"f", "\[UndirectedEdge]", "e"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"d", "\[UndirectedEdge]", "e"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"d", "\[UndirectedEdge]", "e"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"d", "\[UndirectedEdge]", "e"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"g", "\[UndirectedEdge]", "e"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm]},
     {
      TagBox[
       StyleBox["a",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "1", "1", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {
      TagBox[
       StyleBox["b",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "1", "0", "0", "1", "1", "1", "1", "0", "0", "0", "0", "0", 
      "0", "0"},
     {
      TagBox[
       StyleBox["c",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "1", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {
      TagBox[
       StyleBox["d",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "1", 
      "1", "0"},
     {
      TagBox[
       StyleBox["e",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "0", "1", "0", "0", "0", "0", "1", "1", "1", 
      "1", "1"},
     {
      TagBox[
       StyleBox["f",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "0", "0", "1", "1", "1", "1", "1", "0", "0", 
      "0", "0"},
     {
      TagBox[
       StyleBox["g",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0", 
      "0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {False, True, {False}, False}, 
      "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$, TableHeadings -> {{
       Style[$CellContext`a, 
        GrayLevel[0]], 
       Style[$CellContext`b, 
        GrayLevel[0]], 
       Style[$CellContext`c, 
        GrayLevel[0]], 
       Style[$CellContext`d, 
        GrayLevel[0]], 
       Style[$CellContext`e, 
        GrayLevel[0]], 
       Style[$CellContext`f, 
        GrayLevel[0]], 
       Style[$CellContext`g, 
        GrayLevel[0]]}, {
       Style[
        UndirectedEdge[$CellContext`a, $CellContext`b], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`a, $CellContext`c], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`a, $CellContext`a], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`b, $CellContext`c], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`b, $CellContext`e], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`b, $CellContext`f], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`b, $CellContext`f], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`f, $CellContext`f], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`f, $CellContext`g], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`f, $CellContext`e], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`d, $CellContext`e], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`d, $CellContext`e], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`d, $CellContext`e], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`g, $CellContext`e], 
        GrayLevel[0]]}}, TableAlignments -> Center]]]], "Output",
 CellChangeTimes->{{3.8135169006685967`*^9, 3.8135169216909933`*^9}, 
   3.8135171267827253`*^9, 3.813569732985937*^9, 3.8135721437798223`*^9, 
   3.813576532143236*^9, 3.842340028936679*^9},
 CellLabel->
  "Out[51]//TableForm=",ExpressionUUID->"a3a09bad-dfed-48f0-a3f1-\
f7d0dae8324f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo2", "=", 
   RowBox[{"Grafo", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"a", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "d"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "c"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "d"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"c", ",", "d"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"c", ",", "g"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "i"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "i"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"e", ",", "j"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "g"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "i"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "h"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"h", ",", "i"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "j"}], "}"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"MGrafo", "[", 
  RowBox[{"grafo2", ",", 
   RowBox[{"{", 
    RowBox[{
    "a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f", ",", "g", ",", "h",
      ",", "i", ",", "j"}], "}"}], ",", 
   RowBox[{"table", "\[Rule]", "True"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"MIGrafo", "[", 
  RowBox[{"grafo2", ",", 
   RowBox[{"{", 
    RowBox[{
    "a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f", ",", "g", ",", "h",
      ",", "i", ",", "j"}], "}"}], ",", 
   RowBox[{"table", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8135169413128815`*^9, 3.813516959623213*^9}},
 CellLabel->"In[52]:=",ExpressionUUID->"17dc2039-ab59-4716-93c4-2b5aea67b5ab"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      StyleBox["\[Null]",
       ShowStringCharacters->False], 
      TagBox[
       StyleBox["a",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["b",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["c",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["d",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["e",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["f",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["g",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["h",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["i",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["j",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm]},
     {
      TagBox[
       StyleBox["a",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "1", "0", "1", "1", "0", "0", "0", "0", "0"},
     {
      TagBox[
       StyleBox["b",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "1", "2", "1", "1", "0", "0", "0", "0", "0", "0"},
     {
      TagBox[
       StyleBox["c",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "1", "0", "1", "0", "0", "1", "0", "0", "0"},
     {
      TagBox[
       StyleBox["d",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "1", "1", "1", "0", "1", "1", "0", "0", "2", "0"},
     {
      TagBox[
       StyleBox["e",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "1", "0", "0", "1", "0", "0", "0", "0", "0", "1"},
     {
      TagBox[
       StyleBox["f",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "1", "0", "0", "1", "1", "1", "0"},
     {
      TagBox[
       StyleBox["g",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "1", "0", "0", "1", "0", "0", "0", "0"},
     {
      TagBox[
       StyleBox["h",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "0", "0", "1", "0", "0", "1", "0"},
     {
      TagBox[
       StyleBox["i",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "2", "0", "1", "0", "1", "0", "1"},
     {
      TagBox[
       StyleBox["j",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "0", "1", "0", "0", "0", "1", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {False, True, {False}, False}, 
      "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$, TableHeadings -> {{
       Style[$CellContext`a, 
        GrayLevel[0]], 
       Style[$CellContext`b, 
        GrayLevel[0]], 
       Style[$CellContext`c, 
        GrayLevel[0]], 
       Style[$CellContext`d, 
        GrayLevel[0]], 
       Style[$CellContext`e, 
        GrayLevel[0]], 
       Style[$CellContext`f, 
        GrayLevel[0]], 
       Style[$CellContext`g, 
        GrayLevel[0]], 
       Style[$CellContext`h, 
        GrayLevel[0]], 
       Style[$CellContext`i, 
        GrayLevel[0]], 
       Style[$CellContext`j, 
        GrayLevel[0]]}, {
       Style[$CellContext`a, 
        GrayLevel[0]], 
       Style[$CellContext`b, 
        GrayLevel[0]], 
       Style[$CellContext`c, 
        GrayLevel[0]], 
       Style[$CellContext`d, 
        GrayLevel[0]], 
       Style[$CellContext`e, 
        GrayLevel[0]], 
       Style[$CellContext`f, 
        GrayLevel[0]], 
       Style[$CellContext`g, 
        GrayLevel[0]], 
       Style[$CellContext`h, 
        GrayLevel[0]], 
       Style[$CellContext`i, 
        GrayLevel[0]], 
       Style[$CellContext`j, 
        GrayLevel[0]]}}, TableAlignments -> Center]]]], "Output",
 CellChangeTimes->{3.8135171985215483`*^9, 3.8135697377270994`*^9, 
  3.8135721474102926`*^9, 3.8135765382920127`*^9, 3.842340032590731*^9},
 CellLabel->
  "Out[53]//TableForm=",ExpressionUUID->"da53695c-9d7c-4b24-85da-\
35bacf61d9bc"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      StyleBox["\[Null]",
       ShowStringCharacters->False], 
      TagBox[
       StyleBox[
        RowBox[{"a", "\[UndirectedEdge]", "b"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"a", "\[UndirectedEdge]", "d"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"a", "\[UndirectedEdge]", "e"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"b", "\[UndirectedEdge]", "b"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"b", "\[UndirectedEdge]", "b"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"b", "\[UndirectedEdge]", "c"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"b", "\[UndirectedEdge]", "d"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"c", "\[UndirectedEdge]", "d"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"c", "\[UndirectedEdge]", "g"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"d", "\[UndirectedEdge]", "e"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"d", "\[UndirectedEdge]", "f"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"d", "\[UndirectedEdge]", "i"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"d", "\[UndirectedEdge]", "i"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"e", "\[UndirectedEdge]", "j"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"f", "\[UndirectedEdge]", "g"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"f", "\[UndirectedEdge]", "i"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"f", "\[UndirectedEdge]", "h"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"h", "\[UndirectedEdge]", "i"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"i", "\[UndirectedEdge]", "j"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm]},
     {
      TagBox[
       StyleBox["a",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "1", "1", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0", "0"},
     {
      TagBox[
       StyleBox["b",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "1", "0", "0", "1", "1", "1", "1", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0", "0"},
     {
      TagBox[
       StyleBox["c",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "0", "0", "1", "0", "1", "1", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0", "0"},
     {
      TagBox[
       StyleBox["d",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "1", "0", "0", "0", "0", "1", "1", "0", "1", "1", "1", 
      "1", "0", "0", "0", "0", "0", "0"},
     {
      TagBox[
       StyleBox["e",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "1", "0", "0", "0", "0", "0", "0", "1", "0", "0", 
      "0", "1", "0", "0", "0", "0", "0"},
     {
      TagBox[
       StyleBox["f",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "0", 
      "0", "0", "1", "1", "1", "0", "0"},
     {
      TagBox[
       StyleBox["g",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0", 
      "0", "0", "1", "0", "0", "0", "0"},
     {
      TagBox[
       StyleBox["h",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "1", "1", "0"},
     {
      TagBox[
       StyleBox["i",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", 
      "1", "0", "0", "1", "0", "1", "1"},
     {
      TagBox[
       StyleBox["j",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "1", "0", "0", "0", "0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {False, True, {False}, False}, 
      "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$, TableHeadings -> {{
       Style[$CellContext`a, 
        GrayLevel[0]], 
       Style[$CellContext`b, 
        GrayLevel[0]], 
       Style[$CellContext`c, 
        GrayLevel[0]], 
       Style[$CellContext`d, 
        GrayLevel[0]], 
       Style[$CellContext`e, 
        GrayLevel[0]], 
       Style[$CellContext`f, 
        GrayLevel[0]], 
       Style[$CellContext`g, 
        GrayLevel[0]], 
       Style[$CellContext`h, 
        GrayLevel[0]], 
       Style[$CellContext`i, 
        GrayLevel[0]], 
       Style[$CellContext`j, 
        GrayLevel[0]]}, {
       Style[
        UndirectedEdge[$CellContext`a, $CellContext`b], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`a, $CellContext`d], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`a, $CellContext`e], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`b, $CellContext`b], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`b, $CellContext`b], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`b, $CellContext`c], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`b, $CellContext`d], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`c, $CellContext`d], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`c, $CellContext`g], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`d, $CellContext`e], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`d, $CellContext`f], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`d, $CellContext`i], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`d, $CellContext`i], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`e, $CellContext`j], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`f, $CellContext`g], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`f, $CellContext`i], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`f, $CellContext`h], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`h, $CellContext`i], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`i, $CellContext`j], 
        GrayLevel[0]]}}, TableAlignments -> Center]]]], "Output",
 CellChangeTimes->{3.8135171985215483`*^9, 3.8135697377270994`*^9, 
  3.8135721474102926`*^9, 3.8135765382920127`*^9, 3.8423400325928645`*^9},
 CellLabel->
  "Out[54]//TableForm=",ExpressionUUID->"35fb9f5d-6ccd-40a2-8e07-\
4c20932fbec5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo3", "=", 
   RowBox[{"Grafo", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a", ",", "b"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "c"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "c"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "h"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "h"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"f", ",", "g"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"f", ",", "h"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"g", ",", "h"}], "}"}]}], "}"}], ",", 
     RowBox[{"pesos", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "3", ",", "2", ",", "4", ",", "2", ",", "3", ",", "2", ",", "6", ",", 
        "5", ",", "6", ",", "4", ",", "5", ",", "5", ",", "5", ",", "4"}], 
       "}"}]}], ",", 
     RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"MGrafo", "[", 
  RowBox[{"grafo3", ",", 
   RowBox[{"{", 
    RowBox[{
    "a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f", ",", "g", ",", 
     "h"}], "}"}], ",", 
   RowBox[{"table", "\[Rule]", "True"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"MIGrafo", "[", 
  RowBox[{"grafo3", ",", 
   RowBox[{"{", 
    RowBox[{
    "a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f", ",", "g", ",", 
     "h"}], "}"}], ",", 
   RowBox[{"table", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8135169637866645`*^9, 3.813516976052717*^9}, 
   3.813517278818719*^9},
 CellLabel->"In[55]:=",ExpressionUUID->"6b3bd8c7-52e2-4daf-befb-7b63e9b57526"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      StyleBox["\[Null]",
       ShowStringCharacters->False], 
      TagBox[
       StyleBox["a",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["b",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["c",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["d",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["e",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["f",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["g",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["h",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm]},
     {
      TagBox[
       StyleBox["a",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "1", "1", "0", "0", "0", "0", "0"},
     {
      TagBox[
       StyleBox["b",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "1", "0", "1", "1", "0", "0", "0", "0"},
     {
      TagBox[
       StyleBox["c",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "1", "1", "0", "1", "1", "0", "0", "1"},
     {
      TagBox[
       StyleBox["d",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "1", "1", "0", "1", "1", "0", "0"},
     {
      TagBox[
       StyleBox["e",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "1", "1", "0", "1", "0", "1"},
     {
      TagBox[
       StyleBox["f",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "1", "1", "0", "1", "1"},
     {
      TagBox[
       StyleBox["g",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "0", "0", "1", "0", "1"},
     {
      TagBox[
       StyleBox["h",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "1", "0", "1", "1", "1", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {False, True, {False}, False}, 
      "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$, TableHeadings -> {{
       Style[$CellContext`a, 
        GrayLevel[0]], 
       Style[$CellContext`b, 
        GrayLevel[0]], 
       Style[$CellContext`c, 
        GrayLevel[0]], 
       Style[$CellContext`d, 
        GrayLevel[0]], 
       Style[$CellContext`e, 
        GrayLevel[0]], 
       Style[$CellContext`f, 
        GrayLevel[0]], 
       Style[$CellContext`g, 
        GrayLevel[0]], 
       Style[$CellContext`h, 
        GrayLevel[0]]}, {
       Style[$CellContext`a, 
        GrayLevel[0]], 
       Style[$CellContext`b, 
        GrayLevel[0]], 
       Style[$CellContext`c, 
        GrayLevel[0]], 
       Style[$CellContext`d, 
        GrayLevel[0]], 
       Style[$CellContext`e, 
        GrayLevel[0]], 
       Style[$CellContext`f, 
        GrayLevel[0]], 
       Style[$CellContext`g, 
        GrayLevel[0]], 
       Style[$CellContext`h, 
        GrayLevel[0]]}}, TableAlignments -> Center]]]], "Output",
 CellChangeTimes->{{3.8135172759732885`*^9, 3.813517282590706*^9}, 
   3.8135697410922523`*^9, 3.81357215099427*^9, 3.8135765423548737`*^9, 
   3.8423400375365553`*^9},
 CellLabel->
  "Out[56]//TableForm=",ExpressionUUID->"af3572f6-f769-4dfe-91da-\
020670038b95"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      StyleBox["\[Null]",
       ShowStringCharacters->False], 
      TagBox[
       StyleBox[
        RowBox[{"a", "\[UndirectedEdge]", "b"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"a", "\[UndirectedEdge]", "c"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"b", "\[UndirectedEdge]", "c"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"b", "\[UndirectedEdge]", "d"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"c", "\[UndirectedEdge]", "d"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"c", "\[UndirectedEdge]", "e"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"c", "\[UndirectedEdge]", "h"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"d", "\[UndirectedEdge]", "e"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"d", "\[UndirectedEdge]", "f"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"e", "\[UndirectedEdge]", "f"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"e", "\[UndirectedEdge]", "h"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"f", "\[UndirectedEdge]", "g"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"f", "\[UndirectedEdge]", "h"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"g", "\[UndirectedEdge]", "h"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm]},
     {
      TagBox[
       StyleBox["a",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "1", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {
      TagBox[
       StyleBox["b",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "1", "0", "1", "1", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {
      TagBox[
       StyleBox["c",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "1", "1", "0", "1", "1", "1", "0", "0", "0", "0", "0", 
      "0", "0"},
     {
      TagBox[
       StyleBox["d",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "1", "1", "0", "0", "1", "1", "0", "0", "0", 
      "0", "0"},
     {
      TagBox[
       StyleBox["e",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "0", "0", "1", "0", "1", "0", "1", "1", "0", 
      "0", "0"},
     {
      TagBox[
       StyleBox["f",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "1", "1", "0", "1", 
      "1", "0"},
     {
      TagBox[
       StyleBox["g",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", 
      "0", "1"},
     {
      TagBox[
       StyleBox["h",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "0", "0", "0", "1", "0", "0", "0", "1", "0", 
      "1", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {False, True, {False}, False}, 
      "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$, TableHeadings -> {{
       Style[$CellContext`a, 
        GrayLevel[0]], 
       Style[$CellContext`b, 
        GrayLevel[0]], 
       Style[$CellContext`c, 
        GrayLevel[0]], 
       Style[$CellContext`d, 
        GrayLevel[0]], 
       Style[$CellContext`e, 
        GrayLevel[0]], 
       Style[$CellContext`f, 
        GrayLevel[0]], 
       Style[$CellContext`g, 
        GrayLevel[0]], 
       Style[$CellContext`h, 
        GrayLevel[0]]}, {
       Style[
        UndirectedEdge[$CellContext`a, $CellContext`b], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`a, $CellContext`c], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`b, $CellContext`c], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`b, $CellContext`d], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`c, $CellContext`d], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`c, $CellContext`e], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`c, $CellContext`h], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`d, $CellContext`e], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`d, $CellContext`f], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`e, $CellContext`f], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`e, $CellContext`h], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`f, $CellContext`g], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`f, $CellContext`h], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`g, $CellContext`h], 
        GrayLevel[0]]}}, TableAlignments -> Center]]]], "Output",
 CellChangeTimes->{{3.8135172759732885`*^9, 3.813517282590706*^9}, 
   3.8135697410922523`*^9, 3.81357215099427*^9, 3.8135765423548737`*^9, 
   3.8423400375365553`*^9},
 CellLabel->
  "Out[57]//TableForm=",ExpressionUUID->"993fd29b-f081-4261-a5e0-\
ccd5cbb41c82"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo4", "=", 
   RowBox[{"Grafo", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "g"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "h"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "i"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "g"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "i"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "g"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "i"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"f", ",", "i"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"g", ",", "h"}], "}"}]}], "}"}], ",", 
     RowBox[{"pesos", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "1", ",", "3", ",", "1", ",", "3", ",", "5", ",", "3", ",", "5", ",", 
        "4", ",", "2", ",", "3", ",", "5", ",", "5", ",", "5", ",", "7", ",", 
        "5", ",", "3", ",", "2", ",", "1"}], "}"}]}], ",", 
     RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"MGrafo", "[", 
  RowBox[{"grafo4", ",", 
   RowBox[{"{", 
    RowBox[{
    "a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f", ",", "g", ",", "h",
      ",", "i"}], "}"}], ",", 
   RowBox[{"table", "\[Rule]", "True"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"MIGrafo", "[", 
  RowBox[{"grafo4", ",", 
   RowBox[{"{", 
    RowBox[{
    "a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f", ",", "g", ",", "h",
      ",", "i"}], "}"}], ",", 
   RowBox[{"table", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8134913744476824`*^9, 3.813491374988544*^9}, {
   3.813491414454422*^9, 3.813491528889803*^9}, {3.8134915682648616`*^9, 
   3.813491765618928*^9}, {3.8134918441492424`*^9, 3.813491938919714*^9}, {
   3.8135169814067802`*^9, 3.813516995940549*^9}, 3.813517340874134*^9},
 CellLabel->"In[58]:=",ExpressionUUID->"fc459b9c-0c94-41f8-a635-ce15bd8fcff6"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      StyleBox["\[Null]",
       ShowStringCharacters->False], 
      TagBox[
       StyleBox["a",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["b",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["c",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["d",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["e",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["f",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["g",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["h",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["i",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm]},
     {
      TagBox[
       StyleBox["a",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "1", "1", "1", "1", "1", "1"},
     {
      TagBox[
       StyleBox["b",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "0", "1", "1", "1", "0", "1"},
     {
      TagBox[
       StyleBox["c",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "1", "1", "0", "0", "0", "0"},
     {
      TagBox[
       StyleBox["d",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "1", "0", "1", "0", "1", "0", "1", "0", "0"},
     {
      TagBox[
       StyleBox["e",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "1", "1", "1", "1", "0", "1", "0", "0", "1"},
     {
      TagBox[
       StyleBox["f",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "1", "1", "0", "0", "1", "0", "0", "0", "1"},
     {
      TagBox[
       StyleBox["g",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "1", "1", "0", "1", "0", "0", "0", "1", "0"},
     {
      TagBox[
       StyleBox["h",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "1", "0", "0", "0", "0", "0", "1", "0", "0"},
     {
      TagBox[
       StyleBox["i",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "1", "1", "0", "0", "1", "1", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {False, True, {False}, False}, 
      "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$, TableHeadings -> {{
       Style[$CellContext`a, 
        GrayLevel[0]], 
       Style[$CellContext`b, 
        GrayLevel[0]], 
       Style[$CellContext`c, 
        GrayLevel[0]], 
       Style[$CellContext`d, 
        GrayLevel[0]], 
       Style[$CellContext`e, 
        GrayLevel[0]], 
       Style[$CellContext`f, 
        GrayLevel[0]], 
       Style[$CellContext`g, 
        GrayLevel[0]], 
       Style[$CellContext`h, 
        GrayLevel[0]], 
       Style[$CellContext`i, 
        GrayLevel[0]]}, {
       Style[$CellContext`a, 
        GrayLevel[0]], 
       Style[$CellContext`b, 
        GrayLevel[0]], 
       Style[$CellContext`c, 
        GrayLevel[0]], 
       Style[$CellContext`d, 
        GrayLevel[0]], 
       Style[$CellContext`e, 
        GrayLevel[0]], 
       Style[$CellContext`f, 
        GrayLevel[0]], 
       Style[$CellContext`g, 
        GrayLevel[0]], 
       Style[$CellContext`h, 
        GrayLevel[0]], 
       Style[$CellContext`i, 
        GrayLevel[0]]}}, TableAlignments -> Center]]]], "Output",
 CellChangeTimes->{{3.8135173381293488`*^9, 3.813517341614275*^9}, 
   3.8135697449288225`*^9, 3.8135721536899815`*^9, 3.813576546682197*^9, 
   3.8423400409529448`*^9},
 CellLabel->
  "Out[59]//TableForm=",ExpressionUUID->"9348a777-c541-4624-bf9f-\
4912d3f1c5ab"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      StyleBox["\[Null]",
       ShowStringCharacters->False], 
      TagBox[
       StyleBox[
        RowBox[{"a", "\[UndirectedEdge]", "d"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"a", "\[UndirectedEdge]", "e"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"a", "\[UndirectedEdge]", "f"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"a", "\[UndirectedEdge]", "g"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"a", "\[UndirectedEdge]", "h"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"a", "\[UndirectedEdge]", "i"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"b", "\[UndirectedEdge]", "e"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"b", "\[UndirectedEdge]", "f"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"b", "\[UndirectedEdge]", "g"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"b", "\[UndirectedEdge]", "i"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"c", "\[UndirectedEdge]", "d"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"c", "\[UndirectedEdge]", "e"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"d", "\[UndirectedEdge]", "e"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"d", "\[UndirectedEdge]", "g"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"e", "\[UndirectedEdge]", "f"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"e", "\[UndirectedEdge]", "i"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"f", "\[UndirectedEdge]", "i"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"g", "\[UndirectedEdge]", "h"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm]},
     {
      TagBox[
       StyleBox["a",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "1", "1", "1", "1", "1", "1", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0"},
     {
      TagBox[
       StyleBox["b",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "0", "0", "0", "1", "1", "1", "1", "0", "0", 
      "0", "0", "0", "0", "0", "0"},
     {
      TagBox[
       StyleBox["c",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "1", 
      "0", "0", "0", "0", "0", "0"},
     {
      TagBox[
       StyleBox["d",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "0", 
      "1", "1", "0", "0", "0", "0"},
     {
      TagBox[
       StyleBox["e",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "1", "0", "0", "0", "0", "1", "0", "0", "0", "0", "1", 
      "1", "0", "1", "1", "0", "0"},
     {
      TagBox[
       StyleBox["f",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "1", "0", "0", "0", "0", "1", "0", "0", "0", "0", 
      "0", "0", "1", "0", "1", "0"},
     {
      TagBox[
       StyleBox["g",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "1", "0", "0", "0", "0", "1", "0", "0", "0", 
      "0", "1", "0", "0", "0", "1"},
     {
      TagBox[
       StyleBox["h",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "1"},
     {
      TagBox[
       StyleBox["i",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "0", "0", "1", "0", "0", "0", "1", "0", "0", 
      "0", "0", "0", "1", "1", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {False, True, {False}, False}, 
      "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$, TableHeadings -> {{
       Style[$CellContext`a, 
        GrayLevel[0]], 
       Style[$CellContext`b, 
        GrayLevel[0]], 
       Style[$CellContext`c, 
        GrayLevel[0]], 
       Style[$CellContext`d, 
        GrayLevel[0]], 
       Style[$CellContext`e, 
        GrayLevel[0]], 
       Style[$CellContext`f, 
        GrayLevel[0]], 
       Style[$CellContext`g, 
        GrayLevel[0]], 
       Style[$CellContext`h, 
        GrayLevel[0]], 
       Style[$CellContext`i, 
        GrayLevel[0]]}, {
       Style[
        UndirectedEdge[$CellContext`a, $CellContext`d], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`a, $CellContext`e], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`a, $CellContext`f], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`a, $CellContext`g], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`a, $CellContext`h], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`a, $CellContext`i], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`b, $CellContext`e], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`b, $CellContext`f], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`b, $CellContext`g], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`b, $CellContext`i], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`c, $CellContext`d], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`c, $CellContext`e], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`d, $CellContext`e], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`d, $CellContext`g], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`e, $CellContext`f], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`e, $CellContext`i], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`f, $CellContext`i], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`g, $CellContext`h], 
        GrayLevel[0]]}}, TableAlignments -> Center]]]], "Output",
 CellChangeTimes->{{3.8135173381293488`*^9, 3.813517341614275*^9}, 
   3.8135697449288225`*^9, 3.8135721536899815`*^9, 3.813576546682197*^9, 
   3.8423400409695764`*^9},
 CellLabel->
  "Out[60]//TableForm=",ExpressionUUID->"3ca65ea3-4573-4ab6-9716-\
32991b6b99b8"]
}, Open  ]],

Cell["5.5.8", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
  3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
  3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
  3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
  3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, {
  3.811340930633998*^9, 
  3.8113409310837913`*^9}},ExpressionUUID->"3d2acc06-e072-4e96-bfb8-\
62ef48ce05fd"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo3", "=", 
   RowBox[{"Grafo", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a", ",", "b"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "c"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "c"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "h"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "h"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"f", ",", "g"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"f", ",", "h"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"g", ",", "h"}], "}"}]}], "}"}], ",", 
     RowBox[{"pesos", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "3", ",", "2", ",", "4", ",", "2", ",", "3", ",", "2", ",", "6", ",", 
        "5", ",", "6", ",", "4", ",", "5", ",", "5", ",", "5", ",", "4"}], 
       "}"}]}], ",", 
     RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"MPGrafo", "[", 
  RowBox[{"grafo3", ",", 
   RowBox[{"{", 
    RowBox[{
    "a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f", ",", "g", ",", 
     "h"}], "}"}], ",", 
   RowBox[{"table", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8135174402960887`*^9, 3.8135174794019747`*^9}},
 CellLabel->"In[61]:=",ExpressionUUID->"a10cda4b-d5e9-4db4-be3f-1b7ca0efeaf3"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      StyleBox["\[Null]",
       ShowStringCharacters->False], 
      TagBox[
       StyleBox["a",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["b",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["c",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["d",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["e",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["f",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["g",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["h",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm]},
     {
      TagBox[
       StyleBox["a",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "3", "2", "0", "0", "0", "0", "0"},
     {
      TagBox[
       StyleBox["b",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "3", "0", "4", "2", "0", "0", "0", "0"},
     {
      TagBox[
       StyleBox["c",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "2", "4", "0", "3", "2", "0", "0", "6"},
     {
      TagBox[
       StyleBox["d",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "2", "3", "0", "5", "6", "0", "0"},
     {
      TagBox[
       StyleBox["e",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "2", "5", "0", "4", "0", "5"},
     {
      TagBox[
       StyleBox["f",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "6", "4", "0", "5", "5"},
     {
      TagBox[
       StyleBox["g",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "0", "0", "5", "0", "4"},
     {
      TagBox[
       StyleBox["h",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "6", "0", "5", "5", "4", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {False, True, {False}, False}, 
      "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$, TableHeadings -> {{
       Style[$CellContext`a, 
        GrayLevel[0]], 
       Style[$CellContext`b, 
        GrayLevel[0]], 
       Style[$CellContext`c, 
        GrayLevel[0]], 
       Style[$CellContext`d, 
        GrayLevel[0]], 
       Style[$CellContext`e, 
        GrayLevel[0]], 
       Style[$CellContext`f, 
        GrayLevel[0]], 
       Style[$CellContext`g, 
        GrayLevel[0]], 
       Style[$CellContext`h, 
        GrayLevel[0]]}, {
       Style[$CellContext`a, 
        GrayLevel[0]], 
       Style[$CellContext`b, 
        GrayLevel[0]], 
       Style[$CellContext`c, 
        GrayLevel[0]], 
       Style[$CellContext`d, 
        GrayLevel[0]], 
       Style[$CellContext`e, 
        GrayLevel[0]], 
       Style[$CellContext`f, 
        GrayLevel[0]], 
       Style[$CellContext`g, 
        GrayLevel[0]], 
       Style[$CellContext`h, 
        GrayLevel[0]]}}, TableAlignments -> Center]]]], "Output",
 CellChangeTimes->{{3.813517466504236*^9, 3.8135174801409316`*^9}, 
   3.813569748229359*^9, 3.813572156794345*^9, 3.813576550705452*^9, 
   3.842340047602975*^9},
 CellLabel->
  "Out[62]//TableForm=",ExpressionUUID->"5c38120c-8954-4436-9a53-\
8c0e92f915ea"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo4", "=", 
   RowBox[{"Grafo", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "g"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "h"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "i"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "g"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "i"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "g"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "i"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"f", ",", "i"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"g", ",", "h"}], "}"}]}], "}"}], ",", 
     RowBox[{"pesos", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "1", ",", "3", ",", "1", ",", "3", ",", "5", ",", "3", ",", "5", ",", 
        "4", ",", "2", ",", "3", ",", "5", ",", "5", ",", "5", ",", "7", ",", 
        "5", ",", "3", ",", "2", ",", "1"}], "}"}]}], ",", 
     RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"MPGrafo", "[", 
  RowBox[{"grafo4", ",", 
   RowBox[{"{", 
    RowBox[{
    "a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f", ",", "g", ",", "h",
      ",", "i"}], "}"}], ",", 
   RowBox[{"table", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8134913744476824`*^9, 3.813491374988544*^9}, {
  3.813491414454422*^9, 3.813491528889803*^9}, {3.8134915682648616`*^9, 
  3.813491765618928*^9}, {3.8134918441492424`*^9, 3.813491938919714*^9}, {
  3.8135174868939915`*^9, 3.8135174940039682`*^9}},
 CellLabel->"In[63]:=",ExpressionUUID->"60b4184f-1b39-49fc-8eb2-d258c12983cb"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      StyleBox["\[Null]",
       ShowStringCharacters->False], 
      TagBox[
       StyleBox["a",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["b",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["c",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["d",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["e",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["f",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["g",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["h",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["i",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm]},
     {
      TagBox[
       StyleBox["a",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "1", "3", "1", "3", "5", "3"},
     {
      TagBox[
       StyleBox["b",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "0", "5", "4", "2", "0", "3"},
     {
      TagBox[
       StyleBox["c",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "5", "5", "0", "0", "0", "0"},
     {
      TagBox[
       StyleBox["d",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "1", "0", "5", "0", "5", "0", "7", "0", "0"},
     {
      TagBox[
       StyleBox["e",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "3", "5", "5", "5", "0", "5", "0", "0", "3"},
     {
      TagBox[
       StyleBox["f",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "1", "4", "0", "0", "5", "0", "0", "0", "2"},
     {
      TagBox[
       StyleBox["g",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "3", "2", "0", "7", "0", "0", "0", "1", "0"},
     {
      TagBox[
       StyleBox["h",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "5", "0", "0", "0", "0", "0", "1", "0", "0"},
     {
      TagBox[
       StyleBox["i",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "3", "3", "0", "0", "3", "2", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {False, True, {False}, False}, 
      "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$, TableHeadings -> {{
       Style[$CellContext`a, 
        GrayLevel[0]], 
       Style[$CellContext`b, 
        GrayLevel[0]], 
       Style[$CellContext`c, 
        GrayLevel[0]], 
       Style[$CellContext`d, 
        GrayLevel[0]], 
       Style[$CellContext`e, 
        GrayLevel[0]], 
       Style[$CellContext`f, 
        GrayLevel[0]], 
       Style[$CellContext`g, 
        GrayLevel[0]], 
       Style[$CellContext`h, 
        GrayLevel[0]], 
       Style[$CellContext`i, 
        GrayLevel[0]]}, {
       Style[$CellContext`a, 
        GrayLevel[0]], 
       Style[$CellContext`b, 
        GrayLevel[0]], 
       Style[$CellContext`c, 
        GrayLevel[0]], 
       Style[$CellContext`d, 
        GrayLevel[0]], 
       Style[$CellContext`e, 
        GrayLevel[0]], 
       Style[$CellContext`f, 
        GrayLevel[0]], 
       Style[$CellContext`g, 
        GrayLevel[0]], 
       Style[$CellContext`h, 
        GrayLevel[0]], 
       Style[$CellContext`i, 
        GrayLevel[0]]}}, TableAlignments -> Center]]]], "Output",
 CellChangeTimes->{3.813517494845937*^9, 3.813517529848091*^9, 
  3.8135177118070507`*^9, 3.813569751079919*^9, 3.8135721593309298`*^9, 
  3.813576554102132*^9, 3.842340051407996*^9},
 CellLabel->
  "Out[64]//TableForm=",ExpressionUUID->"11b1decc-ada3-448b-a0e7-\
bae39aed5ec2"]
}, Open  ]],

Cell["5.5.9", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
  3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
  3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
  3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
  3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, {
  3.8113409527290597`*^9, 
  3.8113409532476735`*^9}},ExpressionUUID->"90a1b4fc-f6dd-4a43-b314-\
cb8651ccf8bf"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"grafo5", "=", 
  RowBox[{"GrafoMP", "[", 
   RowBox[{
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0", "1", "0", "3", "5"},
       {"1", "0", "0", "4", "1"},
       {"0", "0", "0", "3", "1"},
       {"3", "4", "3", "0", "2"},
       {"5", "1", "1", "2", "0"}
      }], "\[NoBreak]", ")"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c", ",", "d", ",", "e"}], "}"}], ",", 
    RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.813492409615081*^9, 3.8134924717493324`*^9}, {
  3.813492512138069*^9, 3.8134925126107965`*^9}, {3.8134926741469326`*^9, 
  3.813492679269929*^9}},
 CellLabel->"In[65]:=",ExpressionUUID->"8648db44-dc35-4858-be2b-81371577396c"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`d, \
$CellContext`e}, {
      Null, {{1, 2}, {1, 4}, {1, 5}, {2, 4}, {2, 5}, {3, 4}, {3, 5}, {4, 
       5}}}, {EdgeLabels -> {
        UndirectedEdge[$CellContext`a, $CellContext`e] -> 5, 
         UndirectedEdge[$CellContext`b, $CellContext`e] -> 1, 
         UndirectedEdge[$CellContext`c, $CellContext`d] -> 3, 
         UndirectedEdge[$CellContext`b, $CellContext`d] -> 4, 
         UndirectedEdge[$CellContext`c, $CellContext`e] -> 1, 
         UndirectedEdge[$CellContext`d, $CellContext`e] -> 2, 
         UndirectedEdge[$CellContext`a, $CellContext`d] -> 3, 
         UndirectedEdge[$CellContext`a, $CellContext`b] -> 1}, 
       EdgeWeight -> {1, 3, 5, 4, 1, 3, 1, 2}, ImagePadding -> 10, 
       VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], {
         {Arrowheads[0.], 
          ArrowBox[{{1.929066109527101, 0.813148245135561}, {
           1.9283771020128078`, 0.}}, 0.022033300903318315`]}, 
         InsetBox["1", {1.9287216057699543, 0.4065741225677805}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.929066109527101, 0.813148245135561}, {
           1.0320594176826587`, 0.04227523338902611}}, 
           0.022033300903318315`]}, 
         InsetBox["3", {1.4805627636048797, 0.42771173926229356}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.929066109527101, 0.813148245135561}, {
           1.0322923919535276`, 0.7721042149792947}}, 0.022033300903318315`]},
          InsetBox["5", {1.4806792507403141, 0.7926262300574278}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.9283771020128078`, 0.}, {1.0320594176826587`, 
           0.04227523338902611}}, 0.022033300903318315`]}, 
         InsetBox["4", {1.4802182598477334, 0.021137616694513056}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.9283771020128078`, 0.}, {1.0322923919535276`, 
           0.7721042149792947}}, 0.022033300903318315`]}, 
         InsetBox["1", {1.4803347469831678, 0.38605210748964736}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0., 0.40672422907128103`}, {1.0320594176826587`, 
           0.04227523338902611}}, 0.022033300903318315`]}, 
         InsetBox["3", {0.5160297088413294, 0.22449973123015357}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0., 0.40672422907128103`}, {1.0322923919535276`, 
           0.7721042149792947}}, 0.022033300903318315`]}, 
         InsetBox["1", {0.5161461959767638, 0.5894142220252878}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.0320594176826587`, 0.04227523338902611}, {
           1.0322923919535276`, 0.7721042149792947}}, 0.022033300903318315`]},
          InsetBox["2", {1.0321759048180932, 0.40718972418416044}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{1.929066109527101, 0.813148245135561}, 
          0.022033300903318315], 
         InsetBox["a", 
          Offset[{2, 2}, {1.9510994104304191, 0.8351815460388794}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.9283771020128078, 0.}, 0.022033300903318315], 
         InsetBox["b", 
          Offset[{2, 2}, {1.950410402916126, 0.022033300903318315}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.40672422907128103}, 0.022033300903318315], 
         InsetBox["c", 
          Offset[{2, 2}, {0.022033300903318315, 0.42875752997459937}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.0320594176826587, 0.04227523338902611}, 
          0.022033300903318315], 
         InsetBox["d", 
          Offset[{2, 2}, {1.054092718585977, 0.06430853429234443}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.0322923919535276, 0.7721042149792947}, 
          0.022033300903318315], 
         InsetBox["e", 
          Offset[{2, 2}, {1.0543256928568459, 0.794137515882613}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{{3.8134926637844543`*^9, 3.8134926801205573`*^9}, 
   3.8135177194857645`*^9, 3.813517770653511*^9, 3.8135697553017015`*^9, 
   3.81357216332928*^9, 3.813576557046357*^9, 3.8423400550531273`*^9},
 CellLabel->"Out[65]=",ExpressionUUID->"932a34d8-5efb-47d0-bd3a-65875c4b193f"]
}, Open  ]],

Cell["5.5.10", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.811340971066778*^9},ExpressionUUID->"074bbd54-a1cc-4439-a985-\
388433c309f3"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"grafo6", "=", 
  RowBox[{"GrafoMP", "[", 
   RowBox[{
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0", "5", "0", "15", "3", "1"},
       {"5", "0", "4", "1", "0", "0"},
       {"0", "4", "0", "9", "2", "1"},
       {"15", "1", "9", "0", "6", "0"},
       {"3", "0", "2", "6", "0", "0"},
       {"1", "0", "1", "0", "0", "0"}
      }], "\[NoBreak]", ")"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f"}], "}"}], 
    ",", 
    RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.813492530096264*^9, 3.8134925990343866`*^9}, {
  3.813492685598669*^9, 3.81349268589062*^9}},
 CellLabel->"In[66]:=",ExpressionUUID->"b7806c0f-10ab-4e49-a85a-af3f05823c81"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`d, \
$CellContext`e, $CellContext`f}, {
      Null, {{1, 2}, {1, 4}, {1, 5}, {1, 6}, {2, 3}, {2, 4}, {3, 4}, {3, 5}, {
       3, 6}, {4, 5}}}, {
      EdgeLabels -> {
        UndirectedEdge[$CellContext`a, $CellContext`e] -> 3, 
         UndirectedEdge[$CellContext`c, $CellContext`f] -> 1, 
         UndirectedEdge[$CellContext`c, $CellContext`d] -> 9, 
         UndirectedEdge[$CellContext`b, $CellContext`d] -> 1, 
         UndirectedEdge[$CellContext`a, $CellContext`f] -> 1, 
         UndirectedEdge[$CellContext`c, $CellContext`e] -> 2, 
         UndirectedEdge[$CellContext`b, $CellContext`c] -> 4, 
         UndirectedEdge[$CellContext`d, $CellContext`e] -> 6, 
         UndirectedEdge[$CellContext`a, $CellContext`d] -> 15, 
         UndirectedEdge[$CellContext`a, $CellContext`b] -> 5}, 
       EdgeWeight -> {5, 15, 3, 1, 4, 1, 9, 2, 1, 6}, ImagePadding -> 10, 
       VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], {
         {Arrowheads[0.], 
          ArrowBox[{{1.044373518425562, 0.5012064012603299}, {
           1.6658443296486354`, 1.5757343417983813`}}, 0.02237758424804237]}, 
         InsetBox["5", {1.3551089240370988, 1.0384703715293555}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.044373518425562, 0.5012064012603299}, {
           1.971228194638855, 0.7864934477682622}}, 0.02237758424804237]}, 
         InsetBox["15", {1.5078008565322085, 0.6438499245142961}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.044373518425562, 0.5012064012603299}, {
           1.6615181287562681`, 0.}}, 0.02237758424804237]}, 
         InsetBox["3", {1.352945823590915, 0.25060320063016495}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.044373518425562, 0.5012064012603299}, {0., 
           0.7902917018436277}}, 0.02237758424804237]}, 
         InsetBox["1", {0.522186759212781, 0.6457490515519788}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.6658443296486354`, 1.5757343417983813`}, {
           1.046357280161389, 1.0743934369662287`}}, 0.02237758424804237]}, 
         InsetBox["4", {1.356100804905012, 1.325063889382305}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.6658443296486354`, 1.5757343417983813`}, {
           1.971228194638855, 0.7864934477682622}}, 0.02237758424804237]}, 
         InsetBox["1", {1.8185362621437453, 1.1811138947833217}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.046357280161389, 1.0743934369662287`}, {
           1.971228194638855, 0.7864934477682622}}, 0.02237758424804237]}, 
         InsetBox["9", {1.508792737400122, 0.9304434423672454}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.046357280161389, 1.0743934369662287`}, {
           1.6615181287562681`, 0.}}, 0.02237758424804237]}, 
         InsetBox["2", {1.3539377044588286, 0.5371967184831143}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.046357280161389, 1.0743934369662287`}, {0., 
           0.7902917018436277}}, 0.02237758424804237]}, 
         InsetBox["1", {0.5231786400806945, 0.9323425694049282}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.971228194638855, 0.7864934477682622}, {
           1.6615181287562681`, 0.}}, 0.02237758424804237]}, 
         InsetBox["6", {1.8163731616975616, 0.3932467238841311}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{1.044373518425562, 0.5012064012603299}, 
          0.02237758424804237], 
         InsetBox["a", 
          Offset[{2, 2}, {1.0667511026736043, 0.5235839855083723}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.6658443296486354, 1.5757343417983813}, 
          0.02237758424804237], 
         InsetBox["b", 
          Offset[{2, 2}, {1.6882219138966779, 1.5981119260464238}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.046357280161389, 1.0743934369662287}, 
          0.02237758424804237], 
         InsetBox["c", 
          Offset[{2, 2}, {1.0687348644094312, 1.0967710212142712}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.971228194638855, 0.7864934477682622}, 
          0.02237758424804237], 
         InsetBox["d", 
          Offset[{2, 2}, {1.9936057788868973, 0.8088710320163046}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.6615181287562681, 0.}, 0.02237758424804237], 
         InsetBox["e", 
          Offset[{2, 2}, {1.6838957130043104, 0.02237758424804237}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.7902917018436277}, 0.02237758424804237], 
         InsetBox["f", 
          Offset[{2, 2}, {0.02237758424804237, 0.8126692860916701}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{{3.813492667597958*^9, 3.813492686211109*^9}, 
   3.8135177752530313`*^9, 3.8135178322874484`*^9, 3.8135697580602016`*^9, 
   3.81357216992589*^9, 3.8135765596826086`*^9, 3.8423400608274107`*^9},
 CellLabel->"Out[66]=",ExpressionUUID->"2b9402a2-f5a8-4d06-8623-19e2cc8417e2"]
}, Open  ]],

Cell["5.5.11", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113409948069773`*^9},ExpressionUUID->"8969a47a-5d7a-4df1-aa17-\
62349059c9f8"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"grafo7", "=", 
  RowBox[{"GrafoMP", "[", 
   RowBox[{
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0", "1", "1", "0", "2", "0", "4"},
       {"1", "0", "7", "0", "3", "0", "5"},
       {"1", "7", "0", "8", "0", "1", "0"},
       {"0", "0", "8", "0", "0", "3", "0"},
       {"2", "3", "0", "0", "0", "6", "4"},
       {"0", "0", "1", "3", "6", "0", "4"},
       {"4", "5", "0", "0", "4", "4", "0"}
      }], "\[NoBreak]", ")"}], ",", 
    RowBox[{"{", 
     RowBox[{
     "a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f", ",", "g"}], "}"}],
     ",", 
    RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.8134926976116524`*^9, 3.8134927617134743`*^9}, {
  3.813572213372154*^9, 3.8135722254338408`*^9}, {3.8135724539002595`*^9, 
  3.8135724558103714`*^9}, {3.8135726391657653`*^9, 3.813572666163638*^9}, {
  3.8135727446003013`*^9, 3.8135727450083075`*^9}},
 CellLabel->"In[67]:=",ExpressionUUID->"6d5dca4f-efcb-43aa-bd75-5896ac54ecd7"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`d, \
$CellContext`e, $CellContext`f, $CellContext`g}, {
      Null, {{1, 2}, {1, 3}, {1, 5}, {1, 7}, {2, 3}, {2, 5}, {2, 7}, {3, 4}, {
       3, 6}, {4, 6}, {5, 6}, {5, 7}, {6, 7}}}, {
      EdgeLabels -> {
        UndirectedEdge[$CellContext`a, $CellContext`e] -> 2, 
         UndirectedEdge[$CellContext`b, $CellContext`g] -> 5, 
         UndirectedEdge[$CellContext`b, $CellContext`e] -> 3, 
         UndirectedEdge[$CellContext`c, $CellContext`f] -> 1, 
         UndirectedEdge[$CellContext`c, $CellContext`d] -> 8, 
         UndirectedEdge[$CellContext`e, $CellContext`g] -> 4, 
         UndirectedEdge[$CellContext`a, $CellContext`c] -> 1, 
         UndirectedEdge[$CellContext`f, $CellContext`g] -> 4, 
         UndirectedEdge[$CellContext`b, $CellContext`c] -> 7, 
         UndirectedEdge[$CellContext`e, $CellContext`f] -> 6, 
         UndirectedEdge[$CellContext`d, $CellContext`f] -> 3, 
         UndirectedEdge[$CellContext`a, $CellContext`g] -> 4, 
         UndirectedEdge[$CellContext`a, $CellContext`b] -> 1}, 
       EdgeWeight -> {1, 1, 2, 4, 7, 3, 5, 8, 1, 3, 6, 4, 4}, ImagePadding -> 
       10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], {
         {Arrowheads[0.], 
          ArrowBox[{{1.7929764964576016`, 0.8981108251031644}, {
           2.2735203453769577`, 1.1413006910420185`}}, 
           0.026038634701633284`]}, 
         InsetBox["1", {2.0332484209172796, 1.0197057580725915}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.7929764964576016`, 0.8981108251031644}, {
           0.9582882054997754, 1.085083399167475}}, 0.026038634701633284`]}, 
         InsetBox["1", {1.3756323509786885, 0.9915971121353198}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.7929764964576016`, 0.8981108251031644}, {
           1.9702153017058652`, 0.}}, 0.026038634701633284`]}, 
         InsetBox["2", {1.8815958990817334, 0.4490554125515822}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.7929764964576016`, 0.8981108251031644}, {
           2.434059149688564, 0.3090088466713006}}, 0.026038634701633284`]}, 
         InsetBox["4", {2.113517823073083, 0.6035598358872325}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{2.2735203453769577`, 1.1413006910420185`}, {
           0.9582882054997754, 1.085083399167475}}, 0.026038634701633284`]}, 
         InsetBox["7", {1.6159042754383666, 1.1131920451047468}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{2.2735203453769577`, 1.1413006910420185`}, {
           1.9702153017058652`, 0.}}, 0.026038634701633284`]}, 
         InsetBox["3", {2.1218678235414115, 0.5706503455210092}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{2.2735203453769577`, 1.1413006910420185`}, {
           2.434059149688564, 0.3090088466713006}}, 0.026038634701633284`]}, 
         InsetBox["5", {2.353789747532761, 0.7251547688566595}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.9582882054997754, 1.085083399167475}, {0., 
           0.5324522754321304}}, 0.026038634701633284`]}, 
         InsetBox["8", {0.4791441027498877, 0.8087678372998027}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.9582882054997754, 1.085083399167475}, {
           1.0715813674807046`, 0.11139344871586215`}}, 
           0.026038634701633284`]}, 
         InsetBox["1", {1.01493478649024, 0.5982384239416686}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0., 0.5324522754321304}, {1.0715813674807046`, 
           0.11139344871586215`}}, 0.026038634701633284`]}, 
         InsetBox["3", {0.5357906837403523, 0.32192286207399623}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.9702153017058652`, 0.}, {1.0715813674807046`, 
           0.11139344871586215`}}, 0.026038634701633284`]}, 
         InsetBox["6", {1.520898334593285, 0.05569672435793108}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.9702153017058652`, 0.}, {2.434059149688564, 
           0.3090088466713006}}, 0.026038634701633284`]}, 
         InsetBox["4", {2.2021372256972147, 0.1545044233356503}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.0715813674807046`, 0.11139344871586215`}, {
           2.434059149688564, 0.3090088466713006}}, 0.026038634701633284`]}, 
         InsetBox["4", {1.7528202585846344, 0.21020114769358136}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{1.7929764964576016, 0.8981108251031644}, 
          0.026038634701633284], 
         InsetBox["a", 
          Offset[{2, 2}, {1.8190151311592349, 0.9241494598047977}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.2735203453769577, 1.1413006910420185}, 
          0.026038634701633284], 
         InsetBox["b", 
          Offset[{2, 2}, {2.299558980078591, 1.1673393257436517}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.9582882054997754, 1.085083399167475}, 
          0.026038634701633284], 
         InsetBox["c", 
          Offset[{2, 2}, {0.9843268402014087, 1.1111220338691083}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.5324522754321304}, 0.026038634701633284], 
         InsetBox["d", 
          Offset[{2, 2}, {0.026038634701633284, 0.5584909101337636}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.9702153017058652, 0.}, 0.026038634701633284], 
         InsetBox["e", 
          Offset[{2, 2}, {1.9962539364074985, 0.026038634701633284}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.0715813674807046, 0.11139344871586215}, 
          0.026038634701633284], 
         InsetBox["f", 
          Offset[{2, 2}, {1.097620002182338, 0.13743208341749544}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.434059149688564, 0.3090088466713006}, 
          0.026038634701633284], 
         InsetBox["g", 
          Offset[{2, 2}, {2.4600977843901974, 0.33504748137293383}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{
  3.8134927851284*^9, 3.813517840129635*^9, 3.813517886509584*^9, 
   3.813569761423706*^9, 3.8135722316447544`*^9, 3.8135722823218737`*^9, 
   3.813572456604841*^9, 3.8135725081479445`*^9, 3.8135725585625505`*^9, {
   3.813572644554606*^9, 3.8135726667168236`*^9}, {3.8135727459738197`*^9, 
   3.8135727840677834`*^9}, 3.813576562482408*^9, 3.842340065403288*^9},
 CellLabel->"Out[67]=",ExpressionUUID->"8215f9a8-7d5b-4a1d-b925-40b23db2eb05"]
}, Open  ]],

Cell["5.5.12", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.811341028377365*^9},ExpressionUUID->"c2e6a923-77b4-4eda-ac56-\
f4869690e569"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"grafo8", "=", 
  RowBox[{"GrafoMP", "[", 
   RowBox[{
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0", "5", "2", "3", "1", "0", "0"},
       {"5", "0", "3", "1", "0", "1", "0"},
       {"2", "3", "0", "0", "2", "2", "0"},
       {"3", "1", "0", "0", "1", "0", "8"},
       {"1", "0", "2", "1", "0", "0", "1"},
       {"0", "1", "2", "0", "0", "0", "3"},
       {"0", "0", "0", "8", "1", "3", "0"}
      }], "\[NoBreak]", ")"}], ",", 
    RowBox[{"{", 
     RowBox[{
     "a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f", ",", "g"}], "}"}],
     ",", 
    RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.8134928171579843`*^9, 3.8134928671039743`*^9}},
 CellLabel->"In[68]:=",ExpressionUUID->"8d8c20b2-a1f4-4e74-91bd-fc60d74b7b01"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`d, \
$CellContext`e, $CellContext`f, $CellContext`g}, {
      Null, {{1, 2}, {1, 3}, {1, 4}, {1, 5}, {2, 3}, {2, 4}, {2, 6}, {3, 5}, {
       3, 6}, {4, 5}, {4, 7}, {5, 7}, {6, 7}}}, {
      EdgeLabels -> {
        UndirectedEdge[$CellContext`a, $CellContext`e] -> 1, 
         UndirectedEdge[$CellContext`c, $CellContext`f] -> 2, 
         UndirectedEdge[$CellContext`e, $CellContext`g] -> 1, 
         UndirectedEdge[$CellContext`b, $CellContext`d] -> 1, 
         UndirectedEdge[$CellContext`a, $CellContext`c] -> 2, 
         UndirectedEdge[$CellContext`f, $CellContext`g] -> 3, 
         UndirectedEdge[$CellContext`c, $CellContext`e] -> 2, 
         UndirectedEdge[$CellContext`b, $CellContext`c] -> 3, 
         UndirectedEdge[$CellContext`d, $CellContext`e] -> 1, 
         UndirectedEdge[$CellContext`b, $CellContext`f] -> 1, 
         UndirectedEdge[$CellContext`d, $CellContext`g] -> 8, 
         UndirectedEdge[$CellContext`a, $CellContext`d] -> 3, 
         UndirectedEdge[$CellContext`a, $CellContext`b] -> 5}, 
       EdgeWeight -> {5, 2, 3, 1, 3, 1, 1, 2, 2, 1, 8, 1, 3}, ImagePadding -> 
       10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], {
         {Arrowheads[0.], 
          ArrowBox[{{1.8551910540133452`, 0.46629740011787435`}, {
           1.5635734435063013`, 1.5827550300463007`}}, 
           0.021425558641146564`]}, 
         InsetBox["5", {1.7093822487598231, 1.0245262150820875}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.8551910540133452`, 0.46629740011787435`}, {
           1.419965605638944, 1.025968737087214}}, 0.021425558641146564`]}, 
         InsetBox["2", {1.6375783298261446, 0.7461330686025441}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.8551910540133452`, 0.46629740011787435`}, {
           0.8889827420322363, 0.6501917568415385}}, 0.021425558641146564`]}, 
         InsetBox["3", {1.3720868980227907, 0.5582445784797064}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.8551910540133452`, 0.46629740011787435`}, {
           0.945329014158019, 0.}}, 0.021425558641146564`]}, 
         InsetBox["1", {1.4002600340856821, 0.23314870005893717}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.5635734435063013`, 1.5827550300463007`}, {
           1.419965605638944, 1.025968737087214}}, 0.021425558641146564`]}, 
         InsetBox["3", {1.4917695245726228, 1.3043618835667572}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.5635734435063013`, 1.5827550300463007`}, {
           0.8889827420322363, 0.6501917568415385}}, 0.021425558641146564`]}, 
         InsetBox["1", {1.226278092769269, 1.1164733934439197}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.5635734435063013`, 1.5827550300463007`}, {
           0.5513226446270965, 1.7156207711999167`}}, 0.021425558641146564`]},
          InsetBox["1", {1.057448044066699, 1.6491879006231087}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.419965605638944, 1.025968737087214}, {
           0.945329014158019, 0.}}, 0.021425558641146564`]}, 
         InsetBox["2", {1.1826473098984815, 0.512984368543607}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.419965605638944, 1.025968737087214}, {
           0.5513226446270965, 1.7156207711999167`}}, 0.021425558641146564`]},
          InsetBox["2", {0.9856441251330202, 1.3707947541435654}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.8889827420322363, 0.6501917568415385}, {
           0.945329014158019, 0.}}, 0.021425558641146564`]}, 
         InsetBox["1", {0.9171558780951277, 0.32509587842076926}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.8889827420322363, 0.6501917568415385}, {0., 
           0.683406369707826}}, 0.021425558641146564`]}, 
         InsetBox["8", {0.44449137101611813, 0.6667990632746823}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.945329014158019, 0.}, {0., 0.683406369707826}}, 
           0.021425558641146564`]}, 
         InsetBox["1", {0.4726645070790095, 0.341703184853913}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.5513226446270965, 1.7156207711999167`}, {0., 
           0.683406369707826}}, 0.021425558641146564`]}, 
         InsetBox["3", {0.27566132231354823, 1.1995135704538713}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{1.8551910540133452, 0.46629740011787435}, 
          0.021425558641146564], 
         InsetBox["a", 
          Offset[{2, 2}, {1.8766166126544916, 0.48772295875902094}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.5635734435063013, 1.5827550300463007}, 
          0.021425558641146564], 
         InsetBox["b", 
          Offset[{2, 2}, {1.5849990021474478, 1.6041805886874472}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.419965605638944, 1.025968737087214}, 
          0.021425558641146564], 
         InsetBox["c", 
          Offset[{2, 2}, {1.4413911642800905, 1.0473942957283604}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.8889827420322363, 0.6501917568415385}, 
          0.021425558641146564], 
         InsetBox["d", 
          Offset[{2, 2}, {0.9104083006733829, 0.6716173154826851}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.945329014158019, 0.}, 0.021425558641146564], 
         InsetBox["e", 
          Offset[{2, 2}, {0.9667545727991655, 0.021425558641146564}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.5513226446270965, 1.7156207711999167}, 
          0.021425558641146564], 
         InsetBox["f", 
          Offset[{2, 2}, {0.572748203268243, 1.7370463298410632}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.683406369707826}, 0.021425558641146564], 
         InsetBox["g", 
          Offset[{2, 2}, {0.021425558641146564, 0.7048319283489726}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{
  3.8134929206724806`*^9, {3.8135178941990147`*^9, 3.8135179103637123`*^9}, 
   3.8135697639679937`*^9, 3.8135765653541017`*^9, 3.842340069952856*^9},
 CellLabel->"Out[68]=",ExpressionUUID->"bf7943c8-4417-405e-a2af-8898ba9d4543"]
}, Open  ]],

Cell["5.5.13", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.811341045880728*^9},ExpressionUUID->"353f4bc2-c971-45bb-9a98-\
6d60f34ed2af"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"grafo9", "=", 
  RowBox[{"GrafoMP", "[", 
   RowBox[{
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0", "6", "1", "7", "7", "1", "5"},
       {"6", "0", "6", "3", "3", "1", "6"},
       {"1", "6", "0", "6", "6", "4", "0"},
       {"7", "3", "6", "0", "2", "5", "2"},
       {"7", "3", "6", "2", "0", "3", "8"},
       {"1", "1", "4", "5", "3", "0", "7"},
       {"5", "6", "0", "2", "8", "7", "0"}
      }], "\[NoBreak]", ")"}], ",", 
    RowBox[{"{", 
     RowBox[{
     "a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f", ",", "g"}], "}"}],
     ",", 
    RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.8134929349665594`*^9, 3.813492993332945*^9}},
 CellLabel->"In[69]:=",ExpressionUUID->"a724af85-0b44-4ff2-b04c-5dfd17187099"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`d, \
$CellContext`e, $CellContext`f, $CellContext`g}, {
      Null, {{1, 2}, {1, 3}, {1, 4}, {1, 5}, {1, 6}, {1, 7}, {2, 3}, {2, 4}, {
       2, 5}, {2, 6}, {2, 7}, {3, 4}, {3, 5}, {3, 6}, {4, 5}, {4, 6}, {4, 
       7}, {5, 6}, {5, 7}, {6, 7}}}, {
      EdgeLabels -> {
        UndirectedEdge[$CellContext`a, $CellContext`e] -> 7, 
         UndirectedEdge[$CellContext`b, $CellContext`g] -> 6, 
         UndirectedEdge[$CellContext`b, $CellContext`e] -> 3, 
         UndirectedEdge[$CellContext`c, $CellContext`f] -> 4, 
         UndirectedEdge[$CellContext`c, $CellContext`d] -> 6, 
         UndirectedEdge[$CellContext`e, $CellContext`g] -> 8, 
         UndirectedEdge[$CellContext`b, $CellContext`d] -> 3, 
         UndirectedEdge[$CellContext`a, $CellContext`c] -> 1, 
         UndirectedEdge[$CellContext`f, $CellContext`g] -> 7, 
         UndirectedEdge[$CellContext`a, $CellContext`f] -> 1, 
         UndirectedEdge[$CellContext`c, $CellContext`e] -> 6, 
         UndirectedEdge[$CellContext`b, $CellContext`c] -> 6, 
         UndirectedEdge[$CellContext`d, $CellContext`e] -> 2, 
         UndirectedEdge[$CellContext`b, $CellContext`f] -> 1, 
         UndirectedEdge[$CellContext`e, $CellContext`f] -> 3, 
         UndirectedEdge[$CellContext`d, $CellContext`f] -> 5, 
         UndirectedEdge[$CellContext`d, $CellContext`g] -> 2, 
         UndirectedEdge[$CellContext`a, $CellContext`d] -> 7, 
         UndirectedEdge[$CellContext`a, $CellContext`g] -> 5, 
         UndirectedEdge[$CellContext`a, $CellContext`b] -> 6}, 
       EdgeWeight -> {6, 1, 7, 7, 1, 5, 6, 3, 3, 1, 6, 6, 6, 4, 2, 5, 2, 3, 8,
         7}, ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], {
         {Arrowheads[0.], 
          ArrowBox[{{1.2588869683527084`, 1.119165845385502}, {
           0.6391256135100563, 1.2238014925186294`}}, 0.021158362062422303`]},
          InsetBox["6", {0.9490062909313823, 1.1714836689520656}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.2588869683527084`, 1.119165845385502}, {0., 
           0.6114223006241786}}, 0.021158362062422303`]}, 
         InsetBox["1", {0.6294434841763542, 0.8652940730048403}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.2588869683527084`, 1.119165845385502}, {
           1.2595784056974066`, 0.10546062524829602`}}, 
           0.021158362062422303`]}, 
         InsetBox["7", {1.2592326870250576, 0.612313235316899}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.2588869683527084`, 1.119165845385502}, {
           0.6413826277206397, 0.}}, 0.021158362062422303`]}, 
         InsetBox["7", {0.9501347980366741, 0.559582922692751}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.2588869683527084`, 1.119165845385502}, {
           0.7746353200881202, 0.612284026101191}}, 0.021158362062422303`]}, 
         InsetBox["1", {1.0167611442204143, 0.8657249357433465}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.2588869683527084`, 1.119165845385502}, {
           1.822932120507326, 0.6130696308235937}}, 0.021158362062422303`]}, 
         InsetBox["5", {1.5409095444300172, 0.8661177381045478}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.6391256135100563, 1.2238014925186294`}, {0., 
           0.6114223006241786}}, 0.021158362062422303`]}, 
         InsetBox["6", {0.31956280675502813, 0.917611896571404}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.6391256135100563, 1.2238014925186294`}, {
           1.2595784056974066`, 0.10546062524829602`}}, 
           0.021158362062422303`]}, 
         InsetBox["3", {0.9493520096037315, 0.6646310588834627}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.6391256135100563, 1.2238014925186294`}, {
           0.6413826277206397, 0.}}, 0.021158362062422303`]}, 
         InsetBox["3", {0.640254120615348, 0.6119007462593147}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.6391256135100563, 1.2238014925186294`}, {
           0.7746353200881202, 0.612284026101191}}, 0.021158362062422303`]}, 
         InsetBox["1", {0.7068804667990882, 0.9180427593099102}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.6391256135100563, 1.2238014925186294`}, {
           1.822932120507326, 0.6130696308235937}}, 0.021158362062422303`]}, 
         InsetBox["6", {1.231028867008691, 0.9184355616711115}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0., 0.6114223006241786}, {1.2595784056974066`, 
           0.10546062524829602`}}, 0.021158362062422303`]}, 
         InsetBox["6", {0.6297892028487033, 0.3584414629362373}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0., 0.6114223006241786}, {0.6413826277206397, 0.}}, 
           0.021158362062422303`]}, 
         InsetBox["6", {0.32069131386031985, 0.3057111503120893}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0., 0.6114223006241786}, {0.7746353200881202, 
           0.612284026101191}}, 0.021158362062422303`]}, 
         InsetBox["4", {0.3873176600440601, 0.6118531633626848}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.2595784056974066`, 0.10546062524829602`}, {
           0.6413826277206397, 0.}}, 0.021158362062422303`]}, 
         InsetBox["2", {0.9504805167090231, 0.05273031262414801}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.2595784056974066`, 0.10546062524829602`}, {
           0.7746353200881202, 0.612284026101191}}, 0.021158362062422303`]}, 
         InsetBox["5", {1.0171068628927635, 0.35887232567474353}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.2595784056974066`, 0.10546062524829602`}, {
           1.822932120507326, 0.6130696308235937}}, 0.021158362062422303`]}, 
         InsetBox["2", {1.5412552631023662, 0.35926512803594485}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.6413826277206397, 0.}, {0.7746353200881202, 
           0.612284026101191}}, 0.021158362062422303`]}, 
         InsetBox["3", {0.70800897390438, 0.3061420130505955}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.6413826277206397, 0.}, {1.822932120507326, 
           0.6130696308235937}}, 0.021158362062422303`]}, 
         InsetBox["8", {1.2321573741139829, 0.30653481541179683}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.7746353200881202, 0.612284026101191}, {
           1.822932120507326, 0.6130696308235937}}, 0.021158362062422303`]}, 
         InsetBox["7", {1.298783720297723, 0.6126768284623924}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{1.2588869683527084, 1.119165845385502}, 
          0.021158362062422303], 
         InsetBox["a", 
          Offset[{2, 2}, {1.2800453304151307, 1.1403242074479243}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.6391256135100563, 1.2238014925186294}, 
          0.021158362062422303], 
         InsetBox["b", 
          Offset[{2, 2}, {0.6602839755724785, 1.2449598545810516}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.6114223006241786}, 0.021158362062422303], 
         InsetBox["c", 
          Offset[{2, 2}, {0.021158362062422303, 0.6325806626866008}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.2595784056974066, 0.10546062524829602}, 
          0.021158362062422303], 
         InsetBox["d", 
          Offset[{2, 2}, {1.280736767759829, 0.12661898731071833}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.6413826277206397, 0.}, 0.021158362062422303], 
         InsetBox["e", 
          Offset[{2, 2}, {0.662540989783062, 0.021158362062422303}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.7746353200881202, 0.612284026101191}, 
          0.021158362062422303], 
         InsetBox["f", 
          Offset[{2, 2}, {0.7957936821505425, 0.6334423881636133}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.822932120507326, 0.6130696308235937}, 
          0.021158362062422303], 
         InsetBox["g", 
          Offset[{2, 2}, {1.8440904825697482, 0.634227992886016}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.813493042146057*^9, 3.8135179376938276`*^9, 
  3.813569766904417*^9, 3.8135765683516507`*^9, 3.8423400751938324`*^9},
 CellLabel->"Out[69]=",ExpressionUUID->"04880eb6-a10a-4830-bda5-56c6c05fa607"]
}, Open  ]],

Cell["5.5.14", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410503141775`*^9},ExpressionUUID->"d1965714-1aec-4d52-b547-\
6bb0d0335840"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"grafo10", "=", 
  RowBox[{"GrafoMP", "[", 
   RowBox[{
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0", "4", "8", "5", "4", "7", "3"},
       {"4", "0", "0", "1", "2", "0", "5"},
       {"8", "0", "0", "2", "8", "2", "2"},
       {"5", "1", "2", "0", "1", "2", "5"},
       {"4", "2", "8", "1", "0", "5", "8"},
       {"7", "0", "2", "2", "5", "0", "0"},
       {"3", "5", "2", "5", "8", "0", "0"}
      }], "\[NoBreak]", ")"}], ",", 
    RowBox[{"{", 
     RowBox[{
     "a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f", ",", "g"}], "}"}],
     ",", 
    RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.813493051198861*^9, 3.813493107161804*^9}},
 CellLabel->"In[70]:=",ExpressionUUID->"07e9ec76-5af5-4b21-a842-09b24436d506"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`d, \
$CellContext`e, $CellContext`f, $CellContext`g}, {
      Null, {{1, 2}, {1, 3}, {1, 4}, {1, 5}, {1, 6}, {1, 7}, {2, 4}, {2, 5}, {
       2, 7}, {3, 4}, {3, 5}, {3, 6}, {3, 7}, {4, 5}, {4, 6}, {4, 7}, {5, 
       6}, {5, 7}}}, {
      EdgeLabels -> {
        UndirectedEdge[$CellContext`a, $CellContext`e] -> 4, 
         UndirectedEdge[$CellContext`b, $CellContext`g] -> 5, 
         UndirectedEdge[$CellContext`b, $CellContext`e] -> 2, 
         UndirectedEdge[$CellContext`c, $CellContext`f] -> 2, 
         UndirectedEdge[$CellContext`c, $CellContext`d] -> 2, 
         UndirectedEdge[$CellContext`e, $CellContext`g] -> 8, 
         UndirectedEdge[$CellContext`b, $CellContext`d] -> 1, 
         UndirectedEdge[$CellContext`c, $CellContext`g] -> 2, 
         UndirectedEdge[$CellContext`a, $CellContext`c] -> 8, 
         UndirectedEdge[$CellContext`a, $CellContext`f] -> 7, 
         UndirectedEdge[$CellContext`c, $CellContext`e] -> 8, 
         UndirectedEdge[$CellContext`d, $CellContext`e] -> 1, 
         UndirectedEdge[$CellContext`e, $CellContext`f] -> 5, 
         UndirectedEdge[$CellContext`d, $CellContext`f] -> 2, 
         UndirectedEdge[$CellContext`d, $CellContext`g] -> 5, 
         UndirectedEdge[$CellContext`a, $CellContext`d] -> 5, 
         UndirectedEdge[$CellContext`a, $CellContext`g] -> 3, 
         UndirectedEdge[$CellContext`a, $CellContext`b] -> 4}, 
       EdgeWeight -> {4, 8, 5, 4, 7, 3, 1, 2, 5, 2, 8, 2, 2, 1, 2, 5, 5, 8}, 
       ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], {
         {Arrowheads[0.], 
          ArrowBox[{{0.857175656564114, 1.0683349208852486`}, {0., 
           0.845563639120865}}, 0.02297343754009562]}, 
         InsetBox["4", {0.428587828282057, 0.9569492800030568}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.857175656564114, 1.0683349208852486`}, {
           1.6305149921750035`, 0.}}, 0.02297343754009562]}, 
         InsetBox["8", {1.2438453243695586, 0.5341674604426243}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.857175656564114, 1.0683349208852486`}, {
           0.9766645239659772, 0.20260309561063666`}}, 0.02297343754009562]}, 
         InsetBox["5", {0.9169200902650456, 0.6354690082479426}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.857175656564114, 1.0683349208852486`}, {
           1.2349281630993785`, 0.7580956802397576}}, 0.02297343754009562]}, 
         InsetBox["4", {1.0460519098317462, 0.9132153005625031}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.857175656564114, 1.0683349208852486`}, {
           2.0447384332020744`, 0.8667503526199127}}, 0.02297343754009562]}, 
         InsetBox["7", {1.4509570448830942, 0.9675426367525807}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.857175656564114, 1.0683349208852486`}, {
           0.3733472740365027, 0.02800429943356819}}, 0.02297343754009562]}, 
         InsetBox["3", {0.6152614653003083, 0.5481696101594085}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0., 0.845563639120865}, {0.9766645239659772, 
           0.20260309561063666`}}, 0.02297343754009562]}, 
         InsetBox["1", {0.4883322619829886, 0.5240833673657508}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0., 0.845563639120865}, {1.2349281630993785`, 
           0.7580956802397576}}, 0.02297343754009562]}, 
         InsetBox["2", {0.6174640815496892, 0.8018296596803113}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0., 0.845563639120865}, {0.3733472740365027, 
           0.02800429943356819}}, 0.02297343754009562]}, 
         InsetBox["5", {0.18667363701825135, 0.4367839692772166}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.6305149921750035`, 0.}, {0.9766645239659772, 
           0.20260309561063666`}}, 0.02297343754009562]}, 
         InsetBox["2", {1.3035897580704905, 0.10130154780531833}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.6305149921750035`, 0.}, {1.2349281630993785`, 
           0.7580956802397576}}, 0.02297343754009562]}, 
         InsetBox["8", {1.4327215776371909, 0.3790478401198788}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.6305149921750035`, 0.}, {2.0447384332020744`, 
           0.8667503526199127}}, 0.02297343754009562]}, 
         InsetBox["2", {1.837626712688539, 0.43337517630995637}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.6305149921750035`, 0.}, {0.3733472740365027, 
           0.02800429943356819}}, 0.02297343754009562]}, 
         InsetBox["2", {1.001931133105753, 0.014002149716784096}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.9766645239659772, 0.20260309561063666`}, {
           1.2349281630993785`, 0.7580956802397576}}, 0.02297343754009562]}, 
         InsetBox["1", {1.1057963435326779, 0.4803493879251971}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.9766645239659772, 0.20260309561063666`}, {
           2.0447384332020744`, 0.8667503526199127}}, 0.02297343754009562]}, 
         InsetBox["2", {1.5107014785840258, 0.5346767241152747}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.9766645239659772, 0.20260309561063666`}, {
           0.3733472740365027, 0.02800429943356819}}, 0.02297343754009562]}, 
         InsetBox["5", {0.67500589900124, 0.11530369752210243}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.2349281630993785`, 0.7580956802397576}, {
           2.0447384332020744`, 0.8667503526199127}}, 0.02297343754009562]}, 
         InsetBox["5", {1.6398332981507264, 0.8124230164298352}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.2349281630993785`, 0.7580956802397576}, {
           0.3733472740365027, 0.02800429943356819}}, 0.02297343754009562]}, 
         InsetBox["8", {0.8041377185679406, 0.3930499898366629}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{0.857175656564114, 1.0683349208852486}, 
          0.02297343754009562], 
         InsetBox["a", 
          Offset[{2, 2}, {0.8801490941042096, 1.0913083584253442}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.845563639120865}, 0.02297343754009562], 
         InsetBox["b", 
          Offset[{2, 2}, {0.02297343754009562, 0.8685370766609606}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.6305149921750035, 0.}, 0.02297343754009562], 
         InsetBox["c", 
          Offset[{2, 2}, {1.6534884297150991, 0.02297343754009562}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.9766645239659772, 0.20260309561063666}, 
          0.02297343754009562], 
         InsetBox["d", 
          Offset[{2, 2}, {0.9996379615060729, 0.22557653315073228}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.2349281630993785, 0.7580956802397576}, 
          0.02297343754009562], 
         InsetBox["e", 
          Offset[{2, 2}, {1.257901600639474, 0.7810691177798532}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.0447384332020744, 0.8667503526199127}, 
          0.02297343754009562], 
         InsetBox["f", Offset[{2, 2}, {2.06771187074217, 0.8897237901600084}],
           ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.3733472740365027, 0.02800429943356819}, 
          0.02297343754009562], 
         InsetBox["g", 
          Offset[{2, 2}, {0.3963207115765983, 0.05097773697366381}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.8134931508484106`*^9, 3.813517978041425*^9, 
  3.81351801505719*^9, 3.813569769713522*^9, 3.8135765712168217`*^9, 
  3.8423400802092*^9},
 CellLabel->"Out[70]=",ExpressionUUID->"e3275668-ed21-457f-ae24-baf9f9476e31"]
}, Open  ]],

Cell["5.5.15", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9},ExpressionUUID->"4d84e622-0a19-4c99-97d0-\
626728917dcb"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"grafo11", "=", 
  RowBox[{"GrafoMP", "[", 
   RowBox[{
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0", "8", "0", "7", "3", "1", "0"},
       {"8", "0", "6", "2", "0", "8", "1"},
       {"0", "6", "0", "2", "6", "4", "0"},
       {"7", "2", "2", "0", "4", "3", "0"},
       {"3", "0", "6", "4", "0", "5", "2"},
       {"1", "8", "4", "3", "5", "0", "2"},
       {"0", "1", "0", "0", "2", "2", "0"}
      }], "\[NoBreak]", ")"}], ",", 
    RowBox[{"{", 
     RowBox[{
     "a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f", ",", "g"}], "}"}],
     ",", 
    RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.813493161252161*^9, 3.813493217332137*^9}, {
  3.813493615202868*^9, 3.813493642829035*^9}},
 CellLabel->"In[71]:=",ExpressionUUID->"da2c111a-4bfc-413b-b13f-0db8a6b5f35d"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`d, \
$CellContext`e, $CellContext`f, $CellContext`g}, {
      Null, {{1, 2}, {1, 4}, {1, 5}, {1, 6}, {2, 3}, {2, 4}, {2, 6}, {2, 7}, {
       3, 4}, {3, 5}, {3, 6}, {4, 5}, {4, 6}, {5, 6}, {5, 7}, {6, 7}}}, {
      EdgeLabels -> {
        UndirectedEdge[$CellContext`a, $CellContext`e] -> 3, 
         UndirectedEdge[$CellContext`b, $CellContext`g] -> 1, 
         UndirectedEdge[$CellContext`c, $CellContext`f] -> 4, 
         UndirectedEdge[$CellContext`c, $CellContext`d] -> 2, 
         UndirectedEdge[$CellContext`e, $CellContext`g] -> 2, 
         UndirectedEdge[$CellContext`b, $CellContext`d] -> 2, 
         UndirectedEdge[$CellContext`f, $CellContext`g] -> 2, 
         UndirectedEdge[$CellContext`a, $CellContext`f] -> 1, 
         UndirectedEdge[$CellContext`c, $CellContext`e] -> 6, 
         UndirectedEdge[$CellContext`b, $CellContext`c] -> 6, 
         UndirectedEdge[$CellContext`d, $CellContext`e] -> 4, 
         UndirectedEdge[$CellContext`b, $CellContext`f] -> 8, 
         UndirectedEdge[$CellContext`e, $CellContext`f] -> 5, 
         UndirectedEdge[$CellContext`d, $CellContext`f] -> 3, 
         UndirectedEdge[$CellContext`a, $CellContext`d] -> 7, 
         UndirectedEdge[$CellContext`a, $CellContext`b] -> 8}, 
       EdgeWeight -> {8, 7, 3, 1, 6, 2, 8, 1, 2, 6, 4, 4, 3, 5, 2, 2}, 
       ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], {
         {Arrowheads[0.], 
          ArrowBox[{{1.4669903586394306`, 0.}, {0.9375471730498984, 
           1.2440192926164488`}}, 0.021810884383673235`]}, 
         InsetBox["8", {1.2022687658446645, 0.6220096463082244}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.4669903586394306`, 0.}, {0.25975823237205964`, 
           0.2416257287078477}}, 0.021810884383673235`]}, 
         InsetBox["7", {0.8633742955057451, 0.12081286435392385}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.4669903586394306`, 0.}, {0.8584158885507474, 
           0.001738091565916533}}, 0.021810884383673235`]}, 
         InsetBox["3", {1.1627031235950889, 0.0008690457829582665}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.4669903586394306`, 0.}, {1.0087976716029181`, 
           0.6835957451991985}}, 0.021810884383673235`]}, 
         InsetBox["1", {1.2378940151211744, 0.34179787259959926}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.9375471730498984, 1.2440192926164488`}, {0., 
           0.9509783579931399}}, 0.021810884383673235`]}, 
         InsetBox["6", {0.4687735865249492, 1.0974988253047944}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.9375471730498984, 1.2440192926164488`}, {
           0.25975823237205964`, 0.2416257287078477}}, 
           0.021810884383673235`]}, 
         InsetBox["2", {0.598652702710979, 0.7428225106621482}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.9375471730498984, 1.2440192926164488`}, {
           1.0087976716029181`, 0.6835957451991985}}, 0.021810884383673235`]},
          InsetBox["8", {0.9731724223264082, 0.9638075189078237}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.9375471730498984, 1.2440192926164488`}, {
           1.901948655188872, 0.9656183607208106}}, 0.021810884383673235`]}, 
         InsetBox["1", {1.4197479141193852, 1.1048188266686298}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0., 0.9509783579931399}, {0.25975823237205964`, 
           0.2416257287078477}}, 0.021810884383673235`]}, 
         InsetBox["2", {0.12987911618602982, 0.5963020433504937}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0., 0.9509783579931399}, {0.8584158885507474, 
           0.001738091565916533}}, 0.021810884383673235`]}, 
         InsetBox["6", {0.4292079442753737, 0.4763582247795282}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0., 0.9509783579931399}, {1.0087976716029181`, 
           0.6835957451991985}}, 0.021810884383673235`]}, 
         InsetBox["4", {0.5043988358014591, 0.8172870515961692}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.25975823237205964`, 0.2416257287078477}, {
           0.8584158885507474, 0.001738091565916533}}, 
           0.021810884383673235`]}, 
         InsetBox["4", {0.5590870604614036, 0.12168191013688212}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.25975823237205964`, 0.2416257287078477}, {
           1.0087976716029181`, 0.6835957451991985}}, 0.021810884383673235`]},
          InsetBox["3", {0.6342779519874888, 0.4626107369535231}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.8584158885507474, 0.001738091565916533}, {
           1.0087976716029181`, 0.6835957451991985}}, 0.021810884383673235`]},
          InsetBox["5", {0.9336067800768327, 0.34266691838255753}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.8584158885507474, 0.001738091565916533}, {
           1.901948655188872, 0.9656183607208106}}, 0.021810884383673235`]}, 
         InsetBox["2", {1.3801822718698098, 0.4836782261433636}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.0087976716029181`, 0.6835957451991985}, {
           1.901948655188872, 0.9656183607208106}}, 0.021810884383673235`]}, 
         InsetBox["2", {1.455373163395895, 0.8246070529600046}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {DiskBox[{1.4669903586394306, 0.}, 0.021810884383673235], 
         InsetBox["a", 
          Offset[{2, 2}, {1.488801243023104, 0.021810884383673235}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.9375471730498984, 1.2440192926164488}, 
          0.021810884383673235], 
         InsetBox["b", 
          Offset[{2, 2}, {0.9593580574335716, 1.2658301770001221}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.9509783579931399}, 0.021810884383673235], 
         InsetBox["c", 
          Offset[{2, 2}, {0.021810884383673235, 0.9727892423768132}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.25975823237205964, 0.2416257287078477}, 
          0.021810884383673235], 
         InsetBox["d", 
          Offset[{2, 2}, {0.2815691167557329, 0.26343661309152094}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.8584158885507474, 0.001738091565916533}, 
          0.021810884383673235], 
         InsetBox["e", 
          Offset[{2, 2}, {0.8802267729344206, 0.023548975949589768}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.0087976716029181, 0.6835957451991985}, 
          0.021810884383673235], 
         InsetBox["f", 
          Offset[{2, 2}, {1.0306085559865914, 0.7054066295828718}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.901948655188872, 0.9656183607208106}, 
          0.021810884383673235], 
         InsetBox["g", 
          Offset[{2, 2}, {1.9237595395725453, 0.9874292451044839}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{
  3.813493264267781*^9, {3.8134936336280365`*^9, 3.813493646113443*^9}, 
   3.81351801779609*^9, 3.813569772436031*^9, 3.8135765754306755`*^9, 
   3.842340084886236*^9},
 CellLabel->"Out[71]=",ExpressionUUID->"27b5e6a0-30f6-49dc-8ca0-17d363a97dad"]
}, Open  ]],

Cell["5.5.16", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415247134347`*^9, 
   3.811341525255988*^9}},ExpressionUUID->"b0cb0059-04aa-4104-8731-\
0fb4d1402d9b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"grafo12", "=", 
  RowBox[{"GrafoMP", "[", 
   RowBox[{
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0", "3", "3", "9", "9", "5", "2", "0"},
       {"3", "0", "1", "1", "0", "6", "0", "5"},
       {"3", "1", "0", "9", "10", "0", "2", "5"},
       {"9", "1", "9", "0", "4", "2", "2", "4"},
       {"9", "0", "10", "4", "0", "8", "9", "3"},
       {"5", "6", "0", "2", "8", "0", "9", "7"},
       {"2", "0", "2", "2", "9", "9", "0", "3"},
       {"0", "5", "5", "4", "3", "7", "3", "0"}
      }], "\[NoBreak]", ")"}], ",", 
    RowBox[{"{", 
     RowBox[{
     "a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f", ",", "g", ",", 
      "h"}], "}"}], ",", 
    RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.813493754768425*^9, 3.813493829403319*^9}, {
  3.813518065691615*^9, 3.8135180661638174`*^9}},
 CellLabel->"In[72]:=",ExpressionUUID->"fc717309-f49d-4c37-8e61-ee5b9ab4de77"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`d, \
$CellContext`e, $CellContext`f, $CellContext`g, $CellContext`h}, {
      Null, {{1, 2}, {1, 3}, {1, 4}, {1, 5}, {1, 6}, {1, 7}, {2, 3}, {2, 4}, {
       2, 6}, {2, 8}, {3, 4}, {3, 5}, {3, 7}, {3, 8}, {4, 5}, {4, 6}, {4, 
       7}, {4, 8}, {5, 6}, {5, 7}, {5, 8}, {6, 7}, {6, 8}, {7, 8}}}, {
      EdgeLabels -> {
        UndirectedEdge[$CellContext`a, $CellContext`e] -> 9, 
         UndirectedEdge[$CellContext`e, $CellContext`h] -> 3, 
         UndirectedEdge[$CellContext`c, $CellContext`d] -> 9, 
         UndirectedEdge[$CellContext`e, $CellContext`g] -> 9, 
         UndirectedEdge[$CellContext`b, $CellContext`d] -> 1, 
         UndirectedEdge[$CellContext`g, $CellContext`h] -> 3, 
         UndirectedEdge[$CellContext`d, $CellContext`h] -> 4, 
         UndirectedEdge[$CellContext`c, $CellContext`g] -> 2, 
         UndirectedEdge[$CellContext`a, $CellContext`c] -> 3, 
         UndirectedEdge[$CellContext`f, $CellContext`g] -> 9, 
         UndirectedEdge[$CellContext`c, $CellContext`h] -> 5, 
         UndirectedEdge[$CellContext`a, $CellContext`f] -> 5, 
         UndirectedEdge[$CellContext`c, $CellContext`e] -> 10, 
         UndirectedEdge[$CellContext`b, $CellContext`c] -> 1, 
         UndirectedEdge[$CellContext`d, $CellContext`e] -> 4, 
         UndirectedEdge[$CellContext`b, $CellContext`f] -> 6, 
         UndirectedEdge[$CellContext`e, $CellContext`f] -> 8, 
         UndirectedEdge[$CellContext`b, $CellContext`h] -> 5, 
         UndirectedEdge[$CellContext`d, $CellContext`f] -> 2, 
         UndirectedEdge[$CellContext`f, $CellContext`h] -> 7, 
         UndirectedEdge[$CellContext`d, $CellContext`g] -> 2, 
         UndirectedEdge[$CellContext`a, $CellContext`d] -> 9, 
         UndirectedEdge[$CellContext`a, $CellContext`g] -> 2, 
         UndirectedEdge[$CellContext`a, $CellContext`b] -> 3}, 
       EdgeWeight -> {3, 3, 9, 9, 5, 2, 1, 1, 6, 5, 9, 10, 2, 5, 4, 2, 2, 4, 
        8, 9, 3, 9, 7, 3}, ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], {
         {Arrowheads[0.], 
          ArrowBox[{{0.6745597209928572, 0.41484478699377225`}, {0., 
           0.8120885168287226}}, 0.020598015118563462`]}, 
         InsetBox["3", {0.3372798604964286, 0.6134666519112475}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.6745597209928572, 0.41484478699377225`}, {
           1.062099203214766, 1.622358644257452}}, 0.020598015118563462`]}, 
         InsetBox["3", {0.8683294621038116, 1.0186017156256122}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.6745597209928572, 0.41484478699377225`}, {
           1.122560085244586, 0.8110566042638572}}, 0.020598015118563462`]}, 
         InsetBox["9", {0.8985599031187217, 0.6129506956288147}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.6745597209928572, 0.41484478699377225`}, {
           1.7552518423678154`, 0.4961633116982811}}, 0.020598015118563462`]},
          InsetBox["9", {1.2149057816803364, 0.4555040493460267}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.6745597209928572, 0.41484478699377225`}, {
           1.0621985523805586`, 0.}}, 0.020598015118563462`]}, 
         InsetBox["5", {0.868379136686708, 0.20742239349688613}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.6745597209928572, 0.41484478699377225`}, {
           1.7557134639973504`, 1.1267357346507678`}}, 
           0.020598015118563462`]}, 
         InsetBox["2", {1.2151365924951039, 0.7707902608222701}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0., 0.8120885168287226}, {1.062099203214766, 
           1.622358644257452}}, 0.020598015118563462`]}, 
         InsetBox["1", {0.531049601607383, 1.2172235805430873}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0., 0.8120885168287226}, {1.122560085244586, 
           0.8110566042638572}}, 0.020598015118563462`]}, 
         InsetBox["1", {0.561280042622293, 0.8115725605462899}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0., 0.8120885168287226}, {1.0621985523805586`, 0.}}, 
           0.020598015118563462`]}, 
         InsetBox["6", {0.5310992761902793, 0.4060442584143613}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0., 0.8120885168287226}, {0.6748282740609192, 
           1.2064435926427564`}}, 0.020598015118563462`]}, 
         InsetBox["5", {0.3374141370304596, 1.0092660547357395}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.062099203214766, 1.622358644257452}, {
           1.122560085244586, 0.8110566042638572}}, 0.020598015118563462`]}, 
         InsetBox["9", {1.0923296442296762, 1.2167076242606547}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.062099203214766, 1.622358644257452}, {
           1.7552518423678154`, 0.4961633116982811}}, 0.020598015118563462`]},
          InsetBox["10", {1.4086755227912908, 1.0592609779778666}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.062099203214766, 1.622358644257452}, {
           1.7557134639973504`, 1.1267357346507678`}}, 
           0.020598015118563462`]}, 
         InsetBox["2", {1.4089063336060583, 1.37454718945411}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.062099203214766, 1.622358644257452}, {
           0.6748282740609192, 1.2064435926427564`}}, 0.020598015118563462`]},
          InsetBox["5", {0.8684637386378427, 1.4144011184501042}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.122560085244586, 0.8110566042638572}, {
           1.7552518423678154`, 0.4961633116982811}}, 0.020598015118563462`]},
          InsetBox["4", {1.4389059638062007, 0.6536099579810691}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.122560085244586, 0.8110566042638572}, {
           1.0621985523805586`, 0.}}, 0.020598015118563462`]}, 
         InsetBox["2", {1.0923793188125723, 0.4055283021319286}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.122560085244586, 0.8110566042638572}, {
           1.7557134639973504`, 1.1267357346507678`}}, 
           0.020598015118563462`]}, 
         InsetBox["2", {1.4391367746209682, 0.9688961694573125}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.122560085244586, 0.8110566042638572}, {
           0.6748282740609192, 1.2064435926427564`}}, 0.020598015118563462`]},
          InsetBox["4", {0.8986941796527526, 1.0087500984533069}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.7552518423678154`, 0.4961633116982811}, {
           1.0621985523805586`, 0.}}, 0.020598015118563462`]}, 
         InsetBox["8", {1.408725197374187, 0.24808165584914055}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.7552518423678154`, 0.4961633116982811}, {
           1.7557134639973504`, 1.1267357346507678`}}, 
           0.020598015118563462`]}, 
         InsetBox["9", {1.755482653182583, 0.8114495231745245}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.7552518423678154`, 0.4961633116982811}, {
           0.6748282740609192, 1.2064435926427564`}}, 0.020598015118563462`]},
          InsetBox["3", {1.2150400582143672, 0.8513034521705187}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.0621985523805586`, 0.}, {1.7557134639973504`, 
           1.1267357346507678`}}, 0.020598015118563462`]}, 
         InsetBox["9", {1.4089560081889545, 0.5633678673253839}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.0621985523805586`, 0.}, {0.6748282740609192, 
           1.2064435926427564`}}, 0.020598015118563462`]}, 
         InsetBox["7", {0.8685134132207388, 0.6032217963213782}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.7557134639973504`, 1.1267357346507678`}, {
           0.6748282740609192, 1.2064435926427564`}}, 0.020598015118563462`]},
          InsetBox["3", {1.2152708690291347, 1.166589663646762}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{0.6745597209928572, 0.41484478699377225}, 
          0.020598015118563462], 
         InsetBox["a", 
          Offset[{2, 2}, {0.6951577361114207, 0.4354428021123357}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.8120885168287226}, 0.020598015118563462], 
         InsetBox["b", 
          Offset[{2, 2}, {0.020598015118563462, 0.832686531947286}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.062099203214766, 1.622358644257452}, 
          0.020598015118563462], 
         InsetBox["c", 
          Offset[{2, 2}, {1.0826972183333294, 1.6429566593760154}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.122560085244586, 0.8110566042638572}, 
          0.020598015118563462], 
         InsetBox["d", 
          Offset[{2, 2}, {1.1431581003631495, 0.8316546193824206}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.7552518423678154, 0.4961633116982811}, 
          0.020598015118563462], 
         InsetBox["e", 
          Offset[{2, 2}, {1.7758498574863788, 0.5167613268168445}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.0621985523805586, 0.}, 0.020598015118563462], 
         InsetBox["f", 
          Offset[{2, 2}, {1.082796567499122, 0.020598015118563462}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.7557134639973504, 1.1267357346507678}, 
          0.020598015118563462], 
         InsetBox["g", 
          Offset[{2, 2}, {1.7763114791159138, 1.1473337497693312}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.6748282740609192, 1.2064435926427564}, 
          0.020598015118563462], 
         InsetBox["h", 
          Offset[{2, 2}, {0.6954262891794827, 1.2270416077613198}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.8134938921612177`*^9, 3.8135181038178606`*^9, 
  3.8135697755929403`*^9, 3.813576579119537*^9, 3.842340088886614*^9},
 CellLabel->"Out[72]=",ExpressionUUID->"c4bbea77-9993-42f0-95f5-0656329dd903"]
}, Open  ]],

Cell["5.5.17", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415294161305`*^9, 
   3.8113415297759256`*^9}},ExpressionUUID->"c7aaec1a-dd7e-451f-89e0-\
a4e030acbe08"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo5", "=", 
   RowBox[{"GrafoMP", "[", 
    RowBox[{
     RowBox[{"(", "\[NoBreak]", GridBox[{
        {"0", "1", "0", "3", "5"},
        {"1", "0", "0", "4", "1"},
        {"0", "0", "0", "3", "1"},
        {"3", "4", "3", "0", "2"},
        {"5", "1", "1", "2", "0"}
       }], "\[NoBreak]", ")"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b", ",", "c", ",", "d", ",", "e"}], "}"}], ",", 
     RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"CircuitoEulerQ", "[", "grafo5", "]"}], "\[IndentingNewLine]", 
 RowBox[{"RutaEulerQ", "[", "grafo5", "]"}], "\[IndentingNewLine]", 
 RowBox[{"RutaEuler", "[", "grafo5", "]"}], "\[IndentingNewLine]", 
 RowBox[{"ExisteCircuitoHamilton", "[", "grafo5", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"CircuitosHamilton", "[", 
  RowBox[{"grafo5", ",", "1"}], "]"}]}], "Input",
 CellChangeTimes->{{3.813492409615081*^9, 3.8134924717493324`*^9}, {
  3.813492512138069*^9, 3.8134925126107965`*^9}, {3.8134926741469326`*^9, 
  3.813492679269929*^9}, {3.813518290781951*^9, 3.8135183569761257`*^9}},
 CellLabel->"In[73]:=",ExpressionUUID->"a0a0748b-35e7-42ec-9e39-0ec2f2b72904"],

Cell[BoxData["False"], "Output",
 CellChangeTimes->{3.8135184376208*^9, 3.813518552494478*^9, 
  3.8135186837205706`*^9, 3.813520863923603*^9, 3.8135697823108835`*^9, 
  3.813576590782589*^9, 3.842340094952092*^9},
 CellLabel->"Out[74]=",ExpressionUUID->"bb5c19db-0111-4ca7-9fe8-1c00d90cac9e"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.8135184376208*^9, 3.813518552494478*^9, 
  3.8135186837205706`*^9, 3.813520863923603*^9, 3.8135697823108835`*^9, 
  3.813576590782589*^9, 3.842340094953122*^9},
 CellLabel->"Out[75]=",ExpressionUUID->"777d0d7f-808d-4e97-b7e8-ad4e94c9f824"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"a", ",", "d"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"d", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "e"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"c", ",", "d"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"d", ",", "e"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", "a"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8135184376208*^9, 3.813518552494478*^9, 
  3.8135186837205706`*^9, 3.813520863923603*^9, 3.8135697823108835`*^9, 
  3.813576590782589*^9, 3.8423400949696693`*^9},
 CellLabel->"Out[76]=",ExpressionUUID->"0226fffa-e321-4b97-beb8-a6795a1707d4"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"No se cumple la propiedad de Dirac, un contrajemplo ocurre en: \
\"\>", "\[InvisibleSpace]", "\<\"Valencia[\"\>", "\[InvisibleSpace]", "c", 
   "\[InvisibleSpace]", "\<\"] = \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\" < \\!\\(\\*FractionBox[\\(n\\), \\(2\\)]\\) = \
\"\>", "\[InvisibleSpace]", 
   FractionBox["5", "2"]}],
  SequenceForm[
  "No se cumple la propiedad de Dirac, un contrajemplo ocurre en: ", 
   "Valencia[", $CellContext`c, "] = ", 2, 
   " < \!\(\*FractionBox[\(n\), \(2\)]\) = ", 
   Rational[5, 2]],
  Editable->False]], "Print",
 CellChangeTimes->{3.813518437665083*^9, 3.813518552541338*^9, 
  3.813518683734529*^9, 3.8135208639654717`*^9, 3.8135697823437395`*^9, 
  3.8135765908254285`*^9, 3.8423400949863057`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[73]:=",ExpressionUUID->"abb27ac6-c384-448c-b4c6-0915995b08ad"],

Cell[BoxData["\<\"Se satisface la propiedad de Ore\"\>"], "Print",
 CellChangeTimes->{3.813518437665083*^9, 3.813518552541338*^9, 
  3.813518683734529*^9, 3.8135208639654717`*^9, 3.8135697823437395`*^9, 
  3.8135765908254285`*^9, 3.8423400949863057`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[73]:=",ExpressionUUID->"b1793492-5b20-4ffc-8fa5-56ec5b03bf60"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se satisface la propiedad de la cantidad de aristas, m = \"\>",
    "\[InvisibleSpace]", "8", 
   "\[InvisibleSpace]", "\<\" \[GreaterEqual] \"\>", 
   "\[InvisibleSpace]", \
"\<\"\\!\\(\\*FractionBox[\\(\\*SuperscriptBox[\\(n\\), \\(2\\)] - 3  n + \
6\\), \\(2\\)]\\) = \"\>", "\[InvisibleSpace]", "8"}],
  SequenceForm[
  "Se satisface la propiedad de la cantidad de aristas, m = ", 8, 
   " \[GreaterEqual] ", 
   "\!\(\*FractionBox[\(\*SuperscriptBox[\(n\), \(2\)] - 3  n + 6\), \(2\)]\) \
= ", 8],
  Editable->False]], "Print",
 CellChangeTimes->{3.813518437665083*^9, 3.813518552541338*^9, 
  3.813518683734529*^9, 3.8135208639654717`*^9, 3.8135697823437395`*^9, 
  3.8135765908254285`*^9, 3.8423400949863057`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[73]:=",ExpressionUUID->"31c89da9-67c7-4d4b-975d-3ad6cdd63fad"],

Cell[BoxData["\<\"Existe un circuito de Hamilton\"\>"], "Print",
 CellChangeTimes->{3.813518437665083*^9, 3.813518552541338*^9, 
  3.813518683734529*^9, 3.8135208639654717`*^9, 3.8135697823437395`*^9, 
  3.8135765908254285`*^9, 3.8423400949863057`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[73]:=",ExpressionUUID->"bbed39c0-f84f-44fa-a1c6-3addcb64b70f"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "\[UndirectedEdge]", "b"}], ",", 
    RowBox[{"b", "\[UndirectedEdge]", "d"}], ",", 
    RowBox[{"d", "\[UndirectedEdge]", "c"}], ",", 
    RowBox[{"c", "\[UndirectedEdge]", "e"}], ",", 
    RowBox[{"e", "\[UndirectedEdge]", "a"}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.8135184376208*^9, 3.813518552494478*^9, 
  3.8135186837205706`*^9, 3.813520863923603*^9, 3.8135697823108835`*^9, 
  3.813576590782589*^9, 3.842340095003276*^9},
 CellLabel->"Out[78]=",ExpressionUUID->"9d388aa8-7d31-4e5e-b5fe-ff7a8a8c0921"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo6", "=", 
   RowBox[{"GrafoMP", "[", 
    RowBox[{
     RowBox[{"(", "\[NoBreak]", GridBox[{
        {"0", "5", "0", "15", "3", "1"},
        {"5", "0", "4", "1", "0", "0"},
        {"0", "4", "0", "9", "2", "1"},
        {"15", "1", "9", "0", "6", "0"},
        {"3", "0", "2", "6", "0", "0"},
        {"1", "0", "1", "0", "0", "0"}
       }], "\[NoBreak]", ")"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f"}], "}"}], 
     ",", 
     RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"CircuitoEulerQ", "[", "grafo6", "]"}], "\[IndentingNewLine]", 
 RowBox[{"RutaEulerQ", "[", "grafo6", "]"}], "\[IndentingNewLine]", 
 RowBox[{"RutaEuler", "[", "grafo6", "]"}], "\[IndentingNewLine]", 
 RowBox[{"ExisteCircuitoHamilton", "[", "grafo6", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"CircuitosHamilton", "[", 
  RowBox[{"grafo6", ",", "1"}], "]"}]}], "Input",
 CellChangeTimes->{{3.813492530096264*^9, 3.8134925990343866`*^9}, {
  3.813492685598669*^9, 3.81349268589062*^9}, {3.813518689172043*^9, 
  3.8135187110449886`*^9}},
 CellLabel->"In[79]:=",ExpressionUUID->"909a7439-d187-461d-ad29-bdb7141bfb4b"],

Cell[BoxData["False"], "Output",
 CellChangeTimes->{{3.8135187082509937`*^9, 3.813518711781077*^9}, 
   3.8135190096953917`*^9, 3.81352087028531*^9, 3.813569785419927*^9, 
   3.813576593662244*^9, 3.842340099735716*^9},
 CellLabel->"Out[80]=",ExpressionUUID->"20b49c93-19f1-4212-babf-7ddcb18aca52"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{{3.8135187082509937`*^9, 3.813518711781077*^9}, 
   3.8135190096953917`*^9, 3.81352087028531*^9, 3.813569785419927*^9, 
   3.813576593662244*^9, 3.842340099736514*^9},
 CellLabel->"Out[81]=",ExpressionUUID->"eed4b7d2-130b-42d6-987e-a28e9e51e7fb"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"e", ",", "a"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"c", ",", "d"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"d", ",", "a"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "f"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"f", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"c", ",", "e"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", "d"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"d", ",", "b"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.8135187082509937`*^9, 3.813518711781077*^9}, 
   3.8135190096953917`*^9, 3.81352087028531*^9, 3.813569785419927*^9, 
   3.813576593662244*^9, 3.842340099769802*^9},
 CellLabel->"Out[82]=",ExpressionUUID->"c1d68a07-153d-4058-bb55-dc546a1fda7c"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"No se satisface la propiedad de Ore, un contraejemplo ocurre \
en: \"\>", "\[InvisibleSpace]", "\<\"Valencia[\"\>", "\[InvisibleSpace]", "b",
    "\[InvisibleSpace]", "\<\"] + \"\>", 
   "\[InvisibleSpace]", "\<\"Valencia[\"\>", "\[InvisibleSpace]", "f", 
   "\[InvisibleSpace]", "\<\"] = \"\>", "\[InvisibleSpace]", "5", 
   "\[InvisibleSpace]", "\<\" < n = \"\>", "\[InvisibleSpace]", "6"}],
  SequenceForm[
  "No se satisface la propiedad de Ore, un contraejemplo ocurre en: ", 
   "Valencia[", $CellContext`b, "] + ", "Valencia[", $CellContext`f, "] = ", 
   5, " < n = ", 6],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135187083262424`*^9, 3.813518711840958*^9}, 
   3.8135190097428093`*^9, 3.81352087034515*^9, 3.81356978547954*^9, 
   3.8135765937086535`*^9, 3.8423400997863445`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[79]:=",ExpressionUUID->"01b69bed-fee5-43b0-a3b3-685b4981b474"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"No se cumple la propiedad de Dirac, un contrajemplo ocurre en: \
\"\>", "\[InvisibleSpace]", "\<\"Valencia[\"\>", "\[InvisibleSpace]", "f", 
   "\[InvisibleSpace]", "\<\"] = \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\" < \\!\\(\\*FractionBox[\\(n\\), \\(2\\)]\\) = \
\"\>", "\[InvisibleSpace]", "3"}],
  SequenceForm[
  "No se cumple la propiedad de Dirac, un contrajemplo ocurre en: ", 
   "Valencia[", $CellContext`f, "] = ", 2, 
   " < \!\(\*FractionBox[\(n\), \(2\)]\) = ", 3],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135187083262424`*^9, 3.813518711840958*^9}, 
   3.8135190097428093`*^9, 3.81352087034515*^9, 3.81356978547954*^9, 
   3.8135765937086535`*^9, 3.8423400997863445`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[79]:=",ExpressionUUID->"8683c02f-4e86-49e5-b54d-e7c4e8b7bd9b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"No se satisface la propiedad de la cantidad de aristas, m = \"\
\>", "\[InvisibleSpace]", "10", "\[InvisibleSpace]", "\<\" < \"\>", 
   "\[InvisibleSpace]", \
"\<\"\\!\\(\\*FractionBox[\\(\\*SuperscriptBox[\\(n\\), \\(2\\)] - 3  n + \
6\\), \\(2\\)]\\) = \"\>", "\[InvisibleSpace]", "12"}],
  SequenceForm[
  "No se satisface la propiedad de la cantidad de aristas, m = ", 10, " < ", 
   "\!\(\*FractionBox[\(\*SuperscriptBox[\(n\), \(2\)] - 3  n + 6\), \(2\)]\) \
= ", 12],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135187083262424`*^9, 3.813518711840958*^9}, 
   3.8135190097428093`*^9, 3.81352087034515*^9, 3.81356978547954*^9, 
   3.8135765937086535`*^9, 3.8423400997863445`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[79]:=",ExpressionUUID->"45b5fa58-fc37-4fd7-aae3-0f792b2ff9f7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"No hay criterio, sin embargo, el valor l\[OAcute]gico sobre la \
existencia de un circuito de Hamilton en el grafo es: \"\>", 
   "\[InvisibleSpace]", "True"}],
  SequenceForm[
  "No hay criterio, sin embargo, el valor l\[OAcute]gico sobre la existencia \
de un circuito de Hamilton en el grafo es: ", True],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135187083262424`*^9, 3.813518711840958*^9}, 
   3.8135190097428093`*^9, 3.81352087034515*^9, 3.81356978547954*^9, 
   3.8135765937086535`*^9, 3.8423400997863445`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[79]:=",ExpressionUUID->"0e8c3fbf-be04-452f-9093-5d4c5c46b4cd"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "\[UndirectedEdge]", "e"}], ",", 
    RowBox[{"e", "\[UndirectedEdge]", "d"}], ",", 
    RowBox[{"d", "\[UndirectedEdge]", "b"}], ",", 
    RowBox[{"b", "\[UndirectedEdge]", "c"}], ",", 
    RowBox[{"c", "\[UndirectedEdge]", "f"}], ",", 
    RowBox[{"f", "\[UndirectedEdge]", "a"}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.8135187082509937`*^9, 3.813518711781077*^9}, 
   3.8135190096953917`*^9, 3.81352087028531*^9, 3.813569785419927*^9, 
   3.813576593662244*^9, 3.8423400998029737`*^9},
 CellLabel->"Out[84]=",ExpressionUUID->"20b2285a-edbb-46a6-8102-309b325e22ab"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo7", "=", 
   RowBox[{"GrafoMP", "[", 
    RowBox[{
     RowBox[{"(", "\[NoBreak]", GridBox[{
        {"0", "1", "1", "0", "2", "0", "4"},
        {"1", "0", "7", "0", "3", "0", "5"},
        {"1", "7", "0", "8", "0", "1", "0"},
        {"0", "0", "8", "0", "0", "3", "0"},
        {"2", "3", "0", "0", "0", "6", "4"},
        {"0", "0", "1", "3", "6", "0", "4"},
        {"4", "5", "0", "0", "4", "4", "0"}
       }], "\[NoBreak]", ")"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f", ",", "g"}], 
      "}"}], ",", 
     RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"CircuitoEulerQ", "[", "grafo7", "]"}], "\[IndentingNewLine]", 
 RowBox[{"RutaEulerQ", "[", "grafo7", "]"}], "\[IndentingNewLine]", 
 RowBox[{"CircuitosEuler", "[", 
  RowBox[{"grafo7", ",", "1"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"ExisteCircuitoHamilton", "[", "grafo7", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"CircuitosHamilton", "[", 
  RowBox[{"grafo7", ",", "1"}], "]"}]}], "Input",
 CellChangeTimes->{{3.8134926976116524`*^9, 3.8134927617134743`*^9}, {
   3.8135190317594805`*^9, 3.8135190691753817`*^9}, 3.813572392674431*^9, 
   3.8135725780998945`*^9, 3.813572802482891*^9},
 CellLabel->"In[85]:=",ExpressionUUID->"5c69378d-569e-4958-93a0-fe75edae3561"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{{3.8135190547869854`*^9, 3.8135190715279465`*^9}, 
   3.8135192933215427`*^9, 3.813520876606485*^9, 3.8135697891045957`*^9, 
   3.813572400238289*^9, 3.813572583907547*^9, 3.8135728079414845`*^9, 
   3.8135730692596626`*^9, 3.813576596451116*^9, 3.842340103686613*^9},
 CellLabel->"Out[86]=",ExpressionUUID->"c4b17c0b-dfa2-4a68-96fa-d14be0865aee"],

Cell[BoxData["False"], "Output",
 CellChangeTimes->{{3.8135190547869854`*^9, 3.8135190715279465`*^9}, 
   3.8135192933215427`*^9, 3.813520876606485*^9, 3.8135697891045957`*^9, 
   3.813572400238289*^9, 3.813572583907547*^9, 3.8135728079414845`*^9, 
   3.8135730692596626`*^9, 3.813576596451116*^9, 3.842340103703164*^9},
 CellLabel->"Out[87]=",ExpressionUUID->"844053bd-6730-416e-9f8c-cfd198ed1f15"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "\[UndirectedEdge]", "g"}], ",", 
    RowBox[{"g", "\[UndirectedEdge]", "f"}], ",", 
    RowBox[{"f", "\[UndirectedEdge]", "d"}], ",", 
    RowBox[{"d", "\[UndirectedEdge]", "c"}], ",", 
    RowBox[{"c", "\[UndirectedEdge]", "f"}], ",", 
    RowBox[{"f", "\[UndirectedEdge]", "e"}], ",", 
    RowBox[{"e", "\[UndirectedEdge]", "g"}], ",", 
    RowBox[{"g", "\[UndirectedEdge]", "b"}], ",", 
    RowBox[{"b", "\[UndirectedEdge]", "e"}], ",", 
    RowBox[{"e", "\[UndirectedEdge]", "a"}], ",", 
    RowBox[{"a", "\[UndirectedEdge]", "c"}], ",", 
    RowBox[{"c", "\[UndirectedEdge]", "b"}], ",", 
    RowBox[{"b", "\[UndirectedEdge]", "a"}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.8135190547869854`*^9, 3.8135190715279465`*^9}, 
   3.8135192933215427`*^9, 3.813520876606485*^9, 3.8135697891045957`*^9, 
   3.813572400238289*^9, 3.813572583907547*^9, 3.8135728079414845`*^9, 
   3.8135730692596626`*^9, 3.813576596451116*^9, 3.842340103703164*^9},
 CellLabel->"Out[88]=",ExpressionUUID->"b5689524-89f7-45e2-af23-f4a6d7ddfb61"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"No se satisface la propiedad de Ore, un contraejemplo ocurre \
en: \"\>", "\[InvisibleSpace]", "\<\"Valencia[\"\>", "\[InvisibleSpace]", "a",
    "\[InvisibleSpace]", "\<\"] + \"\>", 
   "\[InvisibleSpace]", "\<\"Valencia[\"\>", "\[InvisibleSpace]", "d", 
   "\[InvisibleSpace]", "\<\"] = \"\>", "\[InvisibleSpace]", "6", 
   "\[InvisibleSpace]", "\<\" < n = \"\>", "\[InvisibleSpace]", "7"}],
  SequenceForm[
  "No se satisface la propiedad de Ore, un contraejemplo ocurre en: ", 
   "Valencia[", $CellContext`a, "] + ", "Valencia[", $CellContext`d, "] = ", 
   6, " < n = ", 7],
  Editable->False]], "Print",
 CellChangeTimes->{{3.813519054801525*^9, 3.813519071538918*^9}, 
   3.813519293333083*^9, 3.813520876617456*^9, 3.813569789112574*^9, 
   3.813572400250755*^9, 3.8135725839155245`*^9, 3.813572807951456*^9, 
   3.813573069273413*^9, 3.813576596460091*^9, 3.842340103703164*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[85]:=",ExpressionUUID->"d64ac6b5-1a12-4ee9-a9b1-d9e76eeade38"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"No se cumple la propiedad de Dirac, un contrajemplo ocurre en: \
\"\>", "\[InvisibleSpace]", "\<\"Valencia[\"\>", "\[InvisibleSpace]", "d", 
   "\[InvisibleSpace]", "\<\"] = \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\" < \\!\\(\\*FractionBox[\\(n\\), \\(2\\)]\\) = \
\"\>", "\[InvisibleSpace]", 
   FractionBox["7", "2"]}],
  SequenceForm[
  "No se cumple la propiedad de Dirac, un contrajemplo ocurre en: ", 
   "Valencia[", $CellContext`d, "] = ", 2, 
   " < \!\(\*FractionBox[\(n\), \(2\)]\) = ", 
   Rational[7, 2]],
  Editable->False]], "Print",
 CellChangeTimes->{{3.813519054801525*^9, 3.813519071538918*^9}, 
   3.813519293333083*^9, 3.813520876617456*^9, 3.813569789112574*^9, 
   3.813572400250755*^9, 3.8135725839155245`*^9, 3.813572807951456*^9, 
   3.813573069273413*^9, 3.813576596460091*^9, 3.842340103703164*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[85]:=",ExpressionUUID->"bb4cc51b-455f-451a-9280-fa8bd91a62d2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"No se satisface la propiedad de la cantidad de aristas, m = \"\
\>", "\[InvisibleSpace]", "13", "\[InvisibleSpace]", "\<\" < \"\>", 
   "\[InvisibleSpace]", \
"\<\"\\!\\(\\*FractionBox[\\(\\*SuperscriptBox[\\(n\\), \\(2\\)] - 3  n + \
6\\), \\(2\\)]\\) = \"\>", "\[InvisibleSpace]", "17"}],
  SequenceForm[
  "No se satisface la propiedad de la cantidad de aristas, m = ", 13, " < ", 
   "\!\(\*FractionBox[\(\*SuperscriptBox[\(n\), \(2\)] - 3  n + 6\), \(2\)]\) \
= ", 17],
  Editable->False]], "Print",
 CellChangeTimes->{{3.813519054801525*^9, 3.813519071538918*^9}, 
   3.813519293333083*^9, 3.813520876617456*^9, 3.813569789112574*^9, 
   3.813572400250755*^9, 3.8135725839155245`*^9, 3.813572807951456*^9, 
   3.813573069273413*^9, 3.813576596460091*^9, 3.8423401037197948`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[85]:=",ExpressionUUID->"5dc26e1d-9cc7-4a69-954e-d1f9b8fbfcb6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"No hay criterio, sin embargo, el valor l\[OAcute]gico sobre la \
existencia de un circuito de Hamilton en el grafo es: \"\>", 
   "\[InvisibleSpace]", "True"}],
  SequenceForm[
  "No hay criterio, sin embargo, el valor l\[OAcute]gico sobre la existencia \
de un circuito de Hamilton en el grafo es: ", True],
  Editable->False]], "Print",
 CellChangeTimes->{{3.813519054801525*^9, 3.813519071538918*^9}, 
   3.813519293333083*^9, 3.813520876617456*^9, 3.813569789112574*^9, 
   3.813572400250755*^9, 3.8135725839155245`*^9, 3.813572807951456*^9, 
   3.813573069273413*^9, 3.813576596460091*^9, 3.8423401037197948`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[85]:=",ExpressionUUID->"e157c467-dc25-4ecb-a5f1-fb3084e5e1d6"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "\[UndirectedEdge]", "g"}], ",", 
    RowBox[{"g", "\[UndirectedEdge]", "e"}], ",", 
    RowBox[{"e", "\[UndirectedEdge]", "f"}], ",", 
    RowBox[{"f", "\[UndirectedEdge]", "d"}], ",", 
    RowBox[{"d", "\[UndirectedEdge]", "c"}], ",", 
    RowBox[{"c", "\[UndirectedEdge]", "b"}], ",", 
    RowBox[{"b", "\[UndirectedEdge]", "a"}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.8135190547869854`*^9, 3.8135190715279465`*^9}, 
   3.8135192933215427`*^9, 3.813520876606485*^9, 3.8135697891045957`*^9, 
   3.813572400238289*^9, 3.813572583907547*^9, 3.8135728079414845`*^9, 
   3.8135730692596626`*^9, 3.813576596451116*^9, 3.8423401037197948`*^9},
 CellLabel->"Out[90]=",ExpressionUUID->"6b1e43e2-f389-44ac-a614-a85cd74957df"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo8", "=", 
   RowBox[{"GrafoMP", "[", 
    RowBox[{
     RowBox[{"(", "\[NoBreak]", GridBox[{
        {"0", "5", "2", "3", "1", "0", "0"},
        {"5", "0", "3", "1", "0", "1", "0"},
        {"2", "3", "0", "0", "2", "2", "0"},
        {"3", "1", "0", "0", "1", "0", "8"},
        {"1", "0", "2", "1", "0", "0", "1"},
        {"0", "1", "2", "0", "0", "0", "3"},
        {"0", "0", "0", "8", "1", "3", "0"}
       }], "\[NoBreak]", ")"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f", ",", "g"}], 
      "}"}], ",", 
     RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"CircuitoEulerQ", "[", "grafo8", "]"}], "\[IndentingNewLine]", 
 RowBox[{"RutaEulerQ", "[", "grafo8", "]"}], "\[IndentingNewLine]", 
 RowBox[{"RutaEuler", "[", "grafo8", "]"}], "\[IndentingNewLine]", 
 RowBox[{"ExisteCircuitoHamilton", "[", "grafo8", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"CircuitosHamilton", "[", 
  RowBox[{"grafo8", ",", "1"}], "]"}]}], "Input",
 CellChangeTimes->{{3.8134928171579843`*^9, 3.8134928671039743`*^9}, {
  3.8135193099315753`*^9, 3.813519339941739*^9}},
 CellLabel->"In[91]:=",ExpressionUUID->"3a2d1c0f-4f92-4a90-8448-0d9818e86a88"],

Cell[BoxData["False"], "Output",
 CellChangeTimes->{{3.8135193257674875`*^9, 3.813519340628611*^9}, 
   3.8135196031870975`*^9, 3.8135208817376785`*^9, 3.81356979236854*^9, 
   3.8135765991073513`*^9, 3.8423401074363976`*^9},
 CellLabel->"Out[92]=",ExpressionUUID->"7af0b20a-9987-4dee-8497-7db41a1fc4bf"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{{3.8135193257674875`*^9, 3.813519340628611*^9}, 
   3.8135196031870975`*^9, 3.8135208817376785`*^9, 3.81356979236854*^9, 
   3.8135765991073513`*^9, 3.8423401074363976`*^9},
 CellLabel->"Out[93]=",ExpressionUUID->"47bac7a0-1b45-43b8-92a2-1683fba63c4b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"f", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "a"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"c", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "d"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"d", ",", "a"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "e"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", "d"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"d", ",", "g"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"g", ",", "e"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"c", ",", "f"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"f", ",", "g"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.8135193257674875`*^9, 3.813519340628611*^9}, 
   3.8135196031870975`*^9, 3.8135208817376785`*^9, 3.81356979236854*^9, 
   3.8135765991073513`*^9, 3.842340107486491*^9},
 CellLabel->"Out[94]=",ExpressionUUID->"beecf78a-13b9-40cb-915d-7af5bcc554e9"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"No se cumple la propiedad de Dirac, un contrajemplo ocurre en: \
\"\>", "\[InvisibleSpace]", "\<\"Valencia[\"\>", "\[InvisibleSpace]", "f", 
   "\[InvisibleSpace]", "\<\"] = \"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\" < \\!\\(\\*FractionBox[\\(n\\), \\(2\\)]\\) = \
\"\>", "\[InvisibleSpace]", 
   FractionBox["7", "2"]}],
  SequenceForm[
  "No se cumple la propiedad de Dirac, un contrajemplo ocurre en: ", 
   "Valencia[", $CellContext`f, "] = ", 3, 
   " < \!\(\*FractionBox[\(n\), \(2\)]\) = ", 
   Rational[7, 2]],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135193257794557`*^9, 3.813519340708397*^9}, 
   3.8135196032658854`*^9, 3.8135208818164682`*^9, 3.813569792428939*^9, 
   3.813576599183222*^9, 3.842340107486491*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[91]:=",ExpressionUUID->"626c782d-cdf2-47fb-a07b-cb3b13fad68a"],

Cell[BoxData["\<\"Se satisface la propiedad de Ore\"\>"], "Print",
 CellChangeTimes->{{3.8135193257794557`*^9, 3.813519340708397*^9}, 
   3.8135196032658854`*^9, 3.8135208818164682`*^9, 3.813569792428939*^9, 
   3.813576599183222*^9, 3.842340107486491*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[91]:=",ExpressionUUID->"84a2a93d-18fb-48a5-b7b1-ff4f4326f47d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"No se satisface la propiedad de la cantidad de aristas, m = \"\
\>", "\[InvisibleSpace]", "13", "\[InvisibleSpace]", "\<\" < \"\>", 
   "\[InvisibleSpace]", \
"\<\"\\!\\(\\*FractionBox[\\(\\*SuperscriptBox[\\(n\\), \\(2\\)] - 3  n + \
6\\), \\(2\\)]\\) = \"\>", "\[InvisibleSpace]", "17"}],
  SequenceForm[
  "No se satisface la propiedad de la cantidad de aristas, m = ", 13, " < ", 
   "\!\(\*FractionBox[\(\*SuperscriptBox[\(n\), \(2\)] - 3  n + 6\), \(2\)]\) \
= ", 17],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135193257794557`*^9, 3.813519340708397*^9}, 
   3.8135196032658854`*^9, 3.8135208818164682`*^9, 3.813569792428939*^9, 
   3.813576599183222*^9, 3.842340107503132*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[91]:=",ExpressionUUID->"9b49bcdd-8635-465f-94f9-97a4260029e7"],

Cell[BoxData["\<\"Existe un circuito de Hamilton\"\>"], "Print",
 CellChangeTimes->{{3.8135193257794557`*^9, 3.813519340708397*^9}, 
   3.8135196032658854`*^9, 3.8135208818164682`*^9, 3.813569792428939*^9, 
   3.813576599183222*^9, 3.842340107503132*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[91]:=",ExpressionUUID->"a63bd70d-3ccc-40d3-8beb-53bc6edd90ea"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "\[UndirectedEdge]", "d"}], ",", 
    RowBox[{"d", "\[UndirectedEdge]", "g"}], ",", 
    RowBox[{"g", "\[UndirectedEdge]", "f"}], ",", 
    RowBox[{"f", "\[UndirectedEdge]", "b"}], ",", 
    RowBox[{"b", "\[UndirectedEdge]", "c"}], ",", 
    RowBox[{"c", "\[UndirectedEdge]", "e"}], ",", 
    RowBox[{"e", "\[UndirectedEdge]", "a"}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.8135193257674875`*^9, 3.813519340628611*^9}, 
   3.8135196031870975`*^9, 3.8135208817376785`*^9, 3.81356979236854*^9, 
   3.8135765991073513`*^9, 3.842340107503132*^9},
 CellLabel->"Out[96]=",ExpressionUUID->"2600866c-5e98-449d-a994-841772cde7ad"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo9", "=", 
   RowBox[{"GrafoMP", "[", 
    RowBox[{
     RowBox[{"(", "\[NoBreak]", GridBox[{
        {"0", "6", "1", "7", "7", "1", "5"},
        {"6", "0", "6", "3", "3", "1", "6"},
        {"1", "6", "0", "6", "6", "4", "0"},
        {"7", "3", "6", "0", "2", "5", "2"},
        {"7", "3", "6", "2", "0", "3", "8"},
        {"1", "1", "4", "5", "3", "0", "7"},
        {"5", "6", "0", "2", "8", "7", "0"}
       }], "\[NoBreak]", ")"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f", ",", "g"}], 
      "}"}], ",", 
     RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"CircuitoEulerQ", "[", "grafo9", "]"}], "\[IndentingNewLine]", 
 RowBox[{"RutaEulerQ", "[", "grafo9", "]"}], "\[IndentingNewLine]", 
 RowBox[{"RutaEuler", "[", "grafo9", "]"}], "\[IndentingNewLine]", 
 RowBox[{"ExisteCircuitoHamilton", "[", "grafo9", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"CircuitosHamilton", "[", 
  RowBox[{"grafo9", ",", "1"}], "]"}]}], "Input",
 CellChangeTimes->{{3.8134929349665594`*^9, 3.813492993332945*^9}, {
  3.813519609720413*^9, 3.813519623692171*^9}},
 CellLabel->"In[97]:=",ExpressionUUID->"6792c5f5-4823-4646-8163-ddfc1695dc18"],

Cell[BoxData["False"], "Output",
 CellChangeTimes->{3.813519624621254*^9, 3.8135208873129835`*^9, 
  3.813569797580488*^9, 3.81357660191961*^9, 3.842340110736277*^9},
 CellLabel->"Out[98]=",ExpressionUUID->"7303cd06-7404-4ae7-b970-254de3900c64"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.813519624621254*^9, 3.8135208873129835`*^9, 
  3.813569797580488*^9, 3.81357660191961*^9, 3.842340110736277*^9},
 CellLabel->"Out[99]=",ExpressionUUID->"5602e63a-bcb6-4669-808c-5e1edb9f8f97"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"g", ",", "a"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"c", ",", "a"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "d"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"d", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "e"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", "a"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "f"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"f", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "g"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"g", ",", "d"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"d", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"c", ",", "e"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", "d"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"d", ",", "f"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"f", ",", "e"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", "g"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"g", ",", "f"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"f", ",", "c"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.813519624621254*^9, 3.8135208873129835`*^9, 
  3.813569797580488*^9, 3.81357660191961*^9, 3.8423401109011955`*^9},
 CellLabel->
  "Out[100]=",ExpressionUUID->"07f2bde0-96fd-4f5c-9125-f363f3bdbbf1"],

Cell[CellGroupData[{

Cell[BoxData["\<\"Se satisface la propiedad de Ore\"\>"], "Print",
 CellChangeTimes->{3.8135196248107476`*^9, 3.813520887499483*^9, 
  3.8135697977637787`*^9, 3.8135766021155615`*^9, 3.8423401109042053`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[97]:=",ExpressionUUID->"b4c759c3-9fdf-45ac-9313-a11c53007867"],

Cell[BoxData["\<\"Se cumple la propiedad de Dirac\"\>"], "Print",
 CellChangeTimes->{3.8135196248107476`*^9, 3.813520887499483*^9, 
  3.8135697977637787`*^9, 3.8135766021155615`*^9, 3.8423401109062977`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[97]:=",ExpressionUUID->"dd639b99-f266-4b59-84a0-96ff0c8ec690"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se satisface la propiedad de la cantidad de aristas, m = \"\>",
    "\[InvisibleSpace]", "20", 
   "\[InvisibleSpace]", "\<\" \[GreaterEqual] \"\>", 
   "\[InvisibleSpace]", \
"\<\"\\!\\(\\*FractionBox[\\(\\*SuperscriptBox[\\(n\\), \\(2\\)] - 3  n + \
6\\), \\(2\\)]\\) = \"\>", "\[InvisibleSpace]", "17"}],
  SequenceForm[
  "Se satisface la propiedad de la cantidad de aristas, m = ", 20, 
   " \[GreaterEqual] ", 
   "\!\(\*FractionBox[\(\*SuperscriptBox[\(n\), \(2\)] - 3  n + 6\), \(2\)]\) \
= ", 17],
  Editable->False]], "Print",
 CellChangeTimes->{3.8135196248107476`*^9, 3.813520887499483*^9, 
  3.8135697977637787`*^9, 3.8135766021155615`*^9, 3.8423401109062977`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[97]:=",ExpressionUUID->"2c496f76-be0b-4618-9381-0bdfbeaf8e08"],

Cell[BoxData["\<\"Existe un circuito de Hamilton\"\>"], "Print",
 CellChangeTimes->{3.8135196248107476`*^9, 3.813520887499483*^9, 
  3.8135697977637787`*^9, 3.8135766021155615`*^9, 3.8423401109062977`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[97]:=",ExpressionUUID->"d9de03e7-3576-4a44-8fc4-00fd07b1082c"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "\[UndirectedEdge]", "f"}], ",", 
    RowBox[{"f", "\[UndirectedEdge]", "c"}], ",", 
    RowBox[{"c", "\[UndirectedEdge]", "d"}], ",", 
    RowBox[{"d", "\[UndirectedEdge]", "e"}], ",", 
    RowBox[{"e", "\[UndirectedEdge]", "g"}], ",", 
    RowBox[{"g", "\[UndirectedEdge]", "b"}], ",", 
    RowBox[{"b", "\[UndirectedEdge]", "a"}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.813519624621254*^9, 3.8135208873129835`*^9, 
  3.813569797580488*^9, 3.81357660191961*^9, 3.8423401109062977`*^9},
 CellLabel->
  "Out[102]=",ExpressionUUID->"ffb97f68-4abb-43ef-9e4e-4155a582d523"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo10", "=", 
   RowBox[{"GrafoMP", "[", 
    RowBox[{
     RowBox[{"(", "\[NoBreak]", GridBox[{
        {"0", "4", "8", "5", "4", "7", "3"},
        {"4", "0", "0", "1", "2", "0", "5"},
        {"8", "0", "0", "2", "8", "2", "2"},
        {"5", "1", "2", "0", "1", "2", "5"},
        {"4", "2", "8", "1", "0", "5", "8"},
        {"7", "0", "2", "2", "5", "0", "0"},
        {"3", "5", "2", "5", "8", "0", "0"}
       }], "\[NoBreak]", ")"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f", ",", "g"}], 
      "}"}], ",", 
     RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"CircuitoEulerQ", "[", "grafo10", "]"}], "\[IndentingNewLine]", 
 RowBox[{"RutaEulerQ", "[", "grafo10", "]"}], "\[IndentingNewLine]", 
 RowBox[{"RutaEuler", "[", "grafo10", "]"}], "\[IndentingNewLine]", 
 RowBox[{"ExisteCircuitoHamilton", "[", "grafo10", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"CircuitosHamilton", "[", 
  RowBox[{"grafo10", ",", "1"}], "]"}]}], "Input",
 CellChangeTimes->{{3.813493051198861*^9, 3.813493107161804*^9}, {
  3.81351996201295*^9, 3.8135199771939163`*^9}},
 CellLabel->
  "In[103]:=",ExpressionUUID->"209dc52b-c450-4f8b-8d65-59fd8f773809"],

Cell[BoxData["False"], "Output",
 CellChangeTimes->{3.813519984217002*^9, 3.813520248525095*^9, 
  3.8135208930629864`*^9, 3.8135698014798393`*^9, 3.813576604668278*^9, 
  3.8423401139698524`*^9},
 CellLabel->
  "Out[104]=",ExpressionUUID->"423a4032-5552-4d6b-9f57-c77bf8e40d8d"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.813519984217002*^9, 3.813520248525095*^9, 
  3.8135208930629864`*^9, 3.8135698014798393`*^9, 3.813576604668278*^9, 
  3.8423401139864826`*^9},
 CellLabel->
  "Out[105]=",ExpressionUUID->"63d4b424-768d-4e14-8861-b61edd43e311"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"c", ",", "a"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "d"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"d", ",", "a"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "e"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "g"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"g", ",", "a"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "f"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"f", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"c", ",", "d"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"d", ",", "e"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", "f"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"f", ",", "d"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"d", ",", "g"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"g", ",", "e"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"c", ",", "g"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.813519984217002*^9, 3.813520248525095*^9, 
  3.8135208930629864`*^9, 3.8135698014798393`*^9, 3.813576604668278*^9, 
  3.842340114086527*^9},
 CellLabel->
  "Out[106]=",ExpressionUUID->"c399334d-9008-4db0-982b-a82799766c48"],

Cell[CellGroupData[{

Cell[BoxData["\<\"Se satisface la propiedad de Ore\"\>"], "Print",
 CellChangeTimes->{3.8135199843516245`*^9, 3.813520248628475*^9, 
  3.813520893169506*^9, 3.8135698015965796`*^9, 3.81357660481131*^9, 
  3.842340114103159*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[103]:=",ExpressionUUID->"ad53adda-8a7c-463d-88c3-ded01c6716ec"],

Cell[BoxData["\<\"Se cumple la propiedad de Dirac\"\>"], "Print",
 CellChangeTimes->{3.8135199843516245`*^9, 3.813520248628475*^9, 
  3.813520893169506*^9, 3.8135698015965796`*^9, 3.81357660481131*^9, 
  3.842340114103159*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[103]:=",ExpressionUUID->"f3d4b38d-0de5-411c-915f-60046b1bbccc"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se satisface la propiedad de la cantidad de aristas, m = \"\>",
    "\[InvisibleSpace]", "18", 
   "\[InvisibleSpace]", "\<\" \[GreaterEqual] \"\>", 
   "\[InvisibleSpace]", \
"\<\"\\!\\(\\*FractionBox[\\(\\*SuperscriptBox[\\(n\\), \\(2\\)] - 3  n + \
6\\), \\(2\\)]\\) = \"\>", "\[InvisibleSpace]", "17"}],
  SequenceForm[
  "Se satisface la propiedad de la cantidad de aristas, m = ", 18, 
   " \[GreaterEqual] ", 
   "\!\(\*FractionBox[\(\*SuperscriptBox[\(n\), \(2\)] - 3  n + 6\), \(2\)]\) \
= ", 17],
  Editable->False]], "Print",
 CellChangeTimes->{3.8135199843516245`*^9, 3.813520248628475*^9, 
  3.813520893169506*^9, 3.8135698015965796`*^9, 3.81357660481131*^9, 
  3.842340114103159*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[103]:=",ExpressionUUID->"401e3f72-01e0-40ad-9d45-61774daf83ab"],

Cell[BoxData["\<\"Existe un circuito de Hamilton\"\>"], "Print",
 CellChangeTimes->{3.8135199843516245`*^9, 3.813520248628475*^9, 
  3.813520893169506*^9, 3.8135698015965796`*^9, 3.81357660481131*^9, 
  3.842340114103159*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[103]:=",ExpressionUUID->"ee11b753-d2a0-4449-9850-dd67d5266dd8"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "\[UndirectedEdge]", "d"}], ",", 
    RowBox[{"d", "\[UndirectedEdge]", "b"}], ",", 
    RowBox[{"b", "\[UndirectedEdge]", "g"}], ",", 
    RowBox[{"g", "\[UndirectedEdge]", "c"}], ",", 
    RowBox[{"c", "\[UndirectedEdge]", "f"}], ",", 
    RowBox[{"f", "\[UndirectedEdge]", "e"}], ",", 
    RowBox[{"e", "\[UndirectedEdge]", "a"}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.813519984217002*^9, 3.813520248525095*^9, 
  3.8135208930629864`*^9, 3.8135698014798393`*^9, 3.813576604668278*^9, 
  3.842340114103159*^9},
 CellLabel->
  "Out[108]=",ExpressionUUID->"0198f862-e428-4132-88dc-dc53fc648e9f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo11", "=", 
   RowBox[{"GrafoMP", "[", 
    RowBox[{
     RowBox[{"(", "\[NoBreak]", GridBox[{
        {"0", "8", "0", "7", "3", "1", "0"},
        {"8", "0", "6", "2", "0", "8", "1"},
        {"0", "6", "0", "2", "6", "4", "0"},
        {"7", "2", "2", "0", "4", "3", "0"},
        {"3", "0", "6", "4", "0", "5", "2"},
        {"1", "8", "4", "3", "5", "0", "2"},
        {"0", "1", "0", "0", "2", "2", "0"}
       }], "\[NoBreak]", ")"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f", ",", "g"}], 
      "}"}], ",", 
     RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"CircuitoEulerQ", "[", "grafo11", "]"}], "\[IndentingNewLine]", 
 RowBox[{"RutaEulerQ", "[", "grafo11", "]"}], "\[IndentingNewLine]", 
 RowBox[{"ExisteCircuitoHamilton", "[", "grafo11", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"CircuitosHamilton", "[", 
  RowBox[{"grafo11", ",", "1"}], "]"}]}], "Input",
 CellChangeTimes->{{3.813493161252161*^9, 3.813493217332137*^9}, {
  3.813493615202868*^9, 3.813493642829035*^9}, {3.813520255928844*^9, 
  3.8135202820292735`*^9}},
 CellLabel->
  "In[109]:=",ExpressionUUID->"562c40d8-3b21-4aeb-8996-2eb99fde714e"],

Cell[BoxData["False"], "Output",
 CellChangeTimes->{{3.8135202762547355`*^9, 3.813520283922284*^9}, 
   3.8135208992235527`*^9, 3.813569805467182*^9, 3.813576607438078*^9, 
   3.842340117603298*^9},
 CellLabel->
  "Out[110]=",ExpressionUUID->"046bbeea-5657-45d9-8e13-af89b6375143"],

Cell[BoxData["False"], "Output",
 CellChangeTimes->{{3.8135202762547355`*^9, 3.813520283922284*^9}, 
   3.8135208992235527`*^9, 3.813569805467182*^9, 3.813576607438078*^9, 
   3.8423401176199427`*^9},
 CellLabel->
  "Out[111]=",ExpressionUUID->"1cbe690e-b9d9-4591-8495-567300eac4c7"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"No se cumple la propiedad de Dirac, un contrajemplo ocurre en: \
\"\>", "\[InvisibleSpace]", "\<\"Valencia[\"\>", "\[InvisibleSpace]", "g", 
   "\[InvisibleSpace]", "\<\"] = \"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\" < \\!\\(\\*FractionBox[\\(n\\), \\(2\\)]\\) = \
\"\>", "\[InvisibleSpace]", 
   FractionBox["7", "2"]}],
  SequenceForm[
  "No se cumple la propiedad de Dirac, un contrajemplo ocurre en: ", 
   "Valencia[", $CellContext`g, "] = ", 3, 
   " < \!\(\*FractionBox[\(n\), \(2\)]\) = ", 
   Rational[7, 2]],
  Editable->False]], "Print",
 CellChangeTimes->{{3.813520276267702*^9, 3.8135202839312606`*^9}, 
   3.813520899231533*^9, 3.8135698054731846`*^9, 3.8135766074450607`*^9, 
   3.8423401176199427`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[109]:=",ExpressionUUID->"2b3ecbd0-4511-4819-ac8a-9b864e9b60cb"],

Cell[BoxData["\<\"Se satisface la propiedad de Ore\"\>"], "Print",
 CellChangeTimes->{{3.813520276267702*^9, 3.8135202839312606`*^9}, 
   3.813520899231533*^9, 3.8135698054731846`*^9, 3.8135766074450607`*^9, 
   3.8423401176199427`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[109]:=",ExpressionUUID->"07740d2c-8e84-4307-aca2-26cd92960b39"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"No se satisface la propiedad de la cantidad de aristas, m = \"\
\>", "\[InvisibleSpace]", "16", "\[InvisibleSpace]", "\<\" < \"\>", 
   "\[InvisibleSpace]", \
"\<\"\\!\\(\\*FractionBox[\\(\\*SuperscriptBox[\\(n\\), \\(2\\)] - 3  n + \
6\\), \\(2\\)]\\) = \"\>", "\[InvisibleSpace]", "17"}],
  SequenceForm[
  "No se satisface la propiedad de la cantidad de aristas, m = ", 16, " < ", 
   "\!\(\*FractionBox[\(\*SuperscriptBox[\(n\), \(2\)] - 3  n + 6\), \(2\)]\) \
= ", 17],
  Editable->False]], "Print",
 CellChangeTimes->{{3.813520276267702*^9, 3.8135202839312606`*^9}, 
   3.813520899231533*^9, 3.8135698054731846`*^9, 3.8135766074450607`*^9, 
   3.8423401176199427`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[109]:=",ExpressionUUID->"d4aa342b-2b9b-4dc4-989d-5319f81749fa"],

Cell[BoxData["\<\"Existe un circuito de Hamilton\"\>"], "Print",
 CellChangeTimes->{{3.813520276267702*^9, 3.8135202839312606`*^9}, 
   3.813520899231533*^9, 3.8135698054731846`*^9, 3.8135766074450607`*^9, 
   3.8423401176365957`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[109]:=",ExpressionUUID->"d2934e5d-93dd-4911-ab25-f2a0f1a8a0d9"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "\[UndirectedEdge]", "b"}], ",", 
    RowBox[{"b", "\[UndirectedEdge]", "g"}], ",", 
    RowBox[{"g", "\[UndirectedEdge]", "e"}], ",", 
    RowBox[{"e", "\[UndirectedEdge]", "f"}], ",", 
    RowBox[{"f", "\[UndirectedEdge]", "c"}], ",", 
    RowBox[{"c", "\[UndirectedEdge]", "d"}], ",", 
    RowBox[{"d", "\[UndirectedEdge]", "a"}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.8135202762547355`*^9, 3.813520283922284*^9}, 
   3.8135208992235527`*^9, 3.813569805467182*^9, 3.813576607438078*^9, 
   3.8423401176365957`*^9},
 CellLabel->
  "Out[113]=",ExpressionUUID->"60354817-8d82-4703-9c27-30bb98b24146"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo12", "=", 
   RowBox[{"GrafoMP", "[", 
    RowBox[{
     RowBox[{"(", "\[NoBreak]", GridBox[{
        {"0", "3", "3", "9", "9", "5", "2", "0"},
        {"3", "0", "1", "1", "0", "6", "0", "5"},
        {"3", "1", "0", "9", "10", "0", "2", "5"},
        {"9", "1", "9", "0", "4", "2", "2", "4"},
        {"9", "0", "10", "4", "0", "8", "9", "3"},
        {"5", "6", "0", "2", "8", "0", "9", "7"},
        {"2", "0", "2", "2", "9", "9", "0", "3"},
        {"0", "5", "5", "4", "3", "7", "3", "0"}
       }], "\[NoBreak]", ")"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f", ",", "g", ",", 
       "h"}], "}"}], ",", 
     RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"CircuitoEulerQ", "[", "grafo12", "]"}], "\[IndentingNewLine]", 
 RowBox[{"RutaEulerQ", "[", "grafo12", "]"}], "\[IndentingNewLine]", 
 RowBox[{"RutaEuler", "[", "grafo12", "]"}], "\[IndentingNewLine]", 
 RowBox[{"ExisteCircuitoHamilton", "[", "grafo12", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"CircuitosHamilton", "[", 
  RowBox[{"grafo12", ",", "1"}], "]"}]}], "Input",
 CellChangeTimes->{{3.813493754768425*^9, 3.813493829403319*^9}, {
  3.8135180784959707`*^9, 3.8135180791459017`*^9}, {3.8135205418153296`*^9, 
  3.813520554617244*^9}},
 CellLabel->
  "In[114]:=",ExpressionUUID->"a1378a04-cb1b-4371-a2c0-79cedea01fc9"],

Cell[BoxData["False"], "Output",
 CellChangeTimes->{3.8135205551288757`*^9, 3.813520905951072*^9, 
  3.813569810277012*^9, 3.8135766099356117`*^9, 3.842340122503127*^9},
 CellLabel->
  "Out[115]=",ExpressionUUID->"9bd3a4ca-49f4-4641-aabd-16dcdd7945da"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.8135205551288757`*^9, 3.813520905951072*^9, 
  3.813569810277012*^9, 3.8135766099356117`*^9, 3.842340122503127*^9},
 CellLabel->
  "Out[116]=",ExpressionUUID->"86016661-4a2c-4fa3-9c30-ddbe7e8a086d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"b", ",", "a"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"c", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "f"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"f", ",", "a"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "d"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"d", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"c", ",", "e"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", "a"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "g"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"g", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"c", ",", "h"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"h", ",", "d"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"d", ",", "e"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", "f"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"f", ",", "d"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"d", ",", "g"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"g", ",", "e"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", "h"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"h", ",", "f"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"f", ",", "g"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"g", ",", "h"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"h", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "d"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8135205551288757`*^9, 3.813520905951072*^9, 
  3.813569810277012*^9, 3.8135766099356117`*^9, 3.842340122703057*^9},
 CellLabel->
  "Out[117]=",ExpressionUUID->"9ab47aa4-7dfa-48ad-9a3c-440685f7b2ce"],

Cell[CellGroupData[{

Cell[BoxData["\<\"Se satisface la propiedad de Ore\"\>"], "Print",
 CellChangeTimes->{3.8135205553482895`*^9, 3.813520906178933*^9, 
  3.8135698105001783`*^9, 3.8135766101734285`*^9, 3.842340122719686*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[114]:=",ExpressionUUID->"8067aa14-6680-4cee-8963-6d44beb91d1f"],

Cell[BoxData["\<\"Se cumple la propiedad de Dirac\"\>"], "Print",
 CellChangeTimes->{3.8135205553482895`*^9, 3.813520906178933*^9, 
  3.8135698105001783`*^9, 3.8135766101734285`*^9, 3.842340122719686*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[114]:=",ExpressionUUID->"4706ab81-151f-4053-9852-5983a371686d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se satisface la propiedad de la cantidad de aristas, m = \"\>",
    "\[InvisibleSpace]", "24", 
   "\[InvisibleSpace]", "\<\" \[GreaterEqual] \"\>", 
   "\[InvisibleSpace]", \
"\<\"\\!\\(\\*FractionBox[\\(\\*SuperscriptBox[\\(n\\), \\(2\\)] - 3  n + \
6\\), \\(2\\)]\\) = \"\>", "\[InvisibleSpace]", "23"}],
  SequenceForm[
  "Se satisface la propiedad de la cantidad de aristas, m = ", 24, 
   " \[GreaterEqual] ", 
   "\!\(\*FractionBox[\(\*SuperscriptBox[\(n\), \(2\)] - 3  n + 6\), \(2\)]\) \
= ", 23],
  Editable->False]], "Print",
 CellChangeTimes->{3.8135205553482895`*^9, 3.813520906178933*^9, 
  3.8135698105001783`*^9, 3.8135766101734285`*^9, 3.842340122736617*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[114]:=",ExpressionUUID->"940dd1b0-67b2-460b-ae98-0ad6769103e3"],

Cell[BoxData["\<\"Existe un circuito de Hamilton\"\>"], "Print",
 CellChangeTimes->{3.8135205553482895`*^9, 3.813520906178933*^9, 
  3.8135698105001783`*^9, 3.8135766101734285`*^9, 3.842340122736617*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[114]:=",ExpressionUUID->"7e8d8b74-8663-48d7-af83-2310b21833b6"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "\[UndirectedEdge]", "b"}], ",", 
    RowBox[{"b", "\[UndirectedEdge]", "c"}], ",", 
    RowBox[{"c", "\[UndirectedEdge]", "e"}], ",", 
    RowBox[{"e", "\[UndirectedEdge]", "g"}], ",", 
    RowBox[{"g", "\[UndirectedEdge]", "h"}], ",", 
    RowBox[{"h", "\[UndirectedEdge]", "d"}], ",", 
    RowBox[{"d", "\[UndirectedEdge]", "f"}], ",", 
    RowBox[{"f", "\[UndirectedEdge]", "a"}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.8135205551288757`*^9, 3.813520905951072*^9, 
  3.813569810277012*^9, 3.8135766099356117`*^9, 3.842340122736617*^9},
 CellLabel->
  "Out[119]=",ExpressionUUID->"2d85d88c-b096-499c-849b-4fa759e5e37b"]
}, Open  ]],

Cell["5.5.18", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415294161305`*^9, 
   3.811341535989689*^9}},ExpressionUUID->"3060b749-fda3-4792-bb0f-\
a5960c87f9ab"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo3", "=", 
   RowBox[{"Grafo", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a", ",", "b"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "c"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "c"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "h"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "h"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"f", ",", "g"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"f", ",", "h"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"g", ",", "h"}], "}"}]}], "}"}], ",", 
     RowBox[{"pesos", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "3", ",", "2", ",", "4", ",", "2", ",", "3", ",", "2", ",", "6", ",", 
        "5", ",", "6", ",", "4", ",", "5", ",", "5", ",", "5", ",", "4"}], 
       "}"}]}], ",", 
     RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"AlDijkstra", "[", 
  RowBox[{"grafo3", ",", "a", ",", "h"}], "]"}]}], "Input",
 CellChangeTimes->{{3.813521025844417*^9, 3.8135210518049564`*^9}},
 CellLabel->
  "In[120]:=",ExpressionUUID->"ed58b24f-81b8-4122-960a-1a907b96c111"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"La longitud de un camino m\[AAcute]s corto es: \"\>", 
   "\[InvisibleSpace]", "8"}],
  SequenceForm["La longitud de un camino m\[AAcute]s corto es: ", 8],
  Editable->False]], "Print",
 CellChangeTimes->{3.8135210586629343`*^9, 3.8135213927846947`*^9, 
  3.813569815267792*^9, 3.813576613676239*^9, 3.84234012805321*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[120]:=",ExpressionUUID->"93966a8f-0c9a-45eb-a916-0b07ec50a610"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteraciones: \"\>", "\[InvisibleSpace]", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"a", "b", "c", "d", "e", "h", "f", "g"},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"4", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"8", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", 
           RowBox[{"c", ",", "b"}], "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"4", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"8", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", 
           RowBox[{"c", ",", "b"}], "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"4", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"8", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"8", ",", 
          RowBox[{"{", "e", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", 
           RowBox[{"c", ",", "b"}], "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"4", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"8", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"8", ",", 
          RowBox[{"{", "e", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", 
           RowBox[{"c", ",", "b"}], "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"4", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"8", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"8", ",", 
          RowBox[{"{", "e", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"12", ",", 
          RowBox[{"{", "h", "}"}]}], "}"}]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}],
  SequenceForm["Iteraciones: ", 
   MatrixForm[{{$CellContext`a, $CellContext`b, $CellContext`c, \
$CellContext`d, $CellContext`e, $CellContext`h, $CellContext`f, \
$CellContext`g}, {{0, {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}}, {{0, {}}, {3, {$CellContext`a}}, {
      2, {$CellContext`a}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}}, {{0, {}}, {3, {$CellContext`a}}, {
      2, {$CellContext`a}}, {5, {$CellContext`c}}, {4, {$CellContext`c}}, {
      8, {$CellContext`c}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}}, {{0, {}}, {3, {$CellContext`a}}, {
      2, {$CellContext`a}}, {5, {$CellContext`c, $CellContext`b}}, {
      4, {$CellContext`c}}, {8, {$CellContext`c}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}}, {{0, {}}, {3, {$CellContext`a}}, {
      2, {$CellContext`a}}, {5, {$CellContext`c, $CellContext`b}}, {
      4, {$CellContext`c}}, {8, {$CellContext`c}}, {8, {$CellContext`e}}, {
       DirectedInfinity[1], {}}}, {{0, {}}, {3, {$CellContext`a}}, {
      2, {$CellContext`a}}, {5, {$CellContext`c, $CellContext`b}}, {
      4, {$CellContext`c}}, {8, {$CellContext`c}}, {8, {$CellContext`e}}, {
       DirectedInfinity[1], {}}}, {{0, {}}, {3, {$CellContext`a}}, {
      2, {$CellContext`a}}, {5, {$CellContext`c, $CellContext`b}}, {
      4, {$CellContext`c}}, {8, {$CellContext`c}}, {8, {$CellContext`e}}, {
      12, {$CellContext`h}}}}]],
  Editable->False]], "Print",
 CellChangeTimes->{3.8135210586629343`*^9, 3.8135213927846947`*^9, 
  3.813569815267792*^9, 3.813576613676239*^9, 3.8423401280699635`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[120]:=",ExpressionUUID->"0eacc718-d7e8-4bac-9585-b552beda99c9"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"8.`", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "c"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "h"}], "}"}]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{3.8135210586629343`*^9, 3.8135213927846947`*^9, 
  3.813569815267792*^9, 3.813576613676239*^9, 3.8423401280869956`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[120]:=",ExpressionUUID->"a0695dd2-cdda-4b4c-94da-13839366022e"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`Gi13$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`Gi13$$], 1, "Aristas"}, 1, 2, 1}}, 
    Typeset`size$$ = {540., {194., 200.043566430032}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`Gi13$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      HighlightGraph[VilCretas`Private`GGrafoAuxiliar12, 
        Cases[VilCretas`Private`GList6, 
         Condition[
          Pattern[VilCretas`Private`Gicontador10$, 
           Blank[]], 
          MemberQ[
           Table[
           VilCretas`Private`Gi14, {
            VilCretas`Private`Gi14, VilCretas`Private`Gi13$$}], 
           Part[
            Flatten[
             Position[
             VilCretas`Private`GList6, VilCretas`Private`Gicontador10$]], 
            1]]]], VertexLabels -> "Name", ImagePadding -> 
        OptionValue[VilCretas`AnimarGrafo, {}, VilCretas`padding], 
        GraphHighlightStyle -> "Thick"], 
      "Specifications" :> {{{VilCretas`Private`Gi13$$, 1, "Aristas"}, 1, 2, 
         1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{608., {251.03173828125, 258.96826171875}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{3.8135210586629343`*^9, 3.8135213927846947`*^9, 
  3.813569815267792*^9, 3.813576613676239*^9, 3.842340128135377*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[120]:=",ExpressionUUID->"2237719d-eea8-463d-8e5a-c19ba19eeaec"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo4", "=", 
   RowBox[{"Grafo", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "g"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "h"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "i"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "g"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "i"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "g"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "i"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"f", ",", "i"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"g", ",", "h"}], "}"}]}], "}"}], ",", 
     RowBox[{"pesos", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "1", ",", "3", ",", "1", ",", "3", ",", "5", ",", "3", ",", "5", ",", 
        "4", ",", "2", ",", "3", ",", "5", ",", "5", ",", "5", ",", "7", ",", 
        "5", ",", "3", ",", "2", ",", "1"}], "}"}]}], ",", 
     RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"AlDijkstra", "[", 
  RowBox[{"grafo4", ",", "a", ",", "h"}], "]"}]}], "Input",
 CellChangeTimes->{{3.8134913744476824`*^9, 3.813491374988544*^9}, {
   3.813491414454422*^9, 3.813491528889803*^9}, {3.8134915682648616`*^9, 
   3.813491765618928*^9}, {3.8134918441492424`*^9, 3.813491938919714*^9}, {
   3.8135211239894743`*^9, 3.8135211283979745`*^9}, 3.813521163927002*^9, 
   3.8135214394008694`*^9},
 CellLabel->
  "In[122]:=",ExpressionUUID->"08d10845-7faf-4119-b514-ed081934e0b5"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"La longitud de un camino m\[AAcute]s corto es: \"\>", 
   "\[InvisibleSpace]", "4"}],
  SequenceForm["La longitud de un camino m\[AAcute]s corto es: ", 4],
  Editable->False]], "Print",
 CellChangeTimes->{3.813521169893548*^9, 3.8135214402428102`*^9, 
  3.8135698189308934`*^9, 3.813576616307892*^9, 3.8423401347362266`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[122]:=",ExpressionUUID->"49658368-0041-4ab6-8714-df783f457582"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteraciones: \"\>", "\[InvisibleSpace]", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"a", "d", "e", "f", "g", "h", "i", "b", "c"},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"6", ",", 
          RowBox[{"{", "d", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", 
           RowBox[{"a", ",", "f"}], "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "f", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"6", ",", 
          RowBox[{"{", "d", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", 
           RowBox[{"a", ",", "f"}], "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "f", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"6", ",", 
          RowBox[{"{", "d", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"4", ",", 
          RowBox[{"{", "g", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", 
           RowBox[{"a", ",", "f"}], "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", 
           RowBox[{"f", ",", "g"}], "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"6", ",", 
          RowBox[{"{", "d", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"4", ",", 
          RowBox[{"{", "g", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", 
           RowBox[{"a", ",", "f"}], "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", 
           RowBox[{"f", ",", "g"}], "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"6", ",", 
          RowBox[{"{", "d", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"4", ",", 
          RowBox[{"{", "g", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", 
           RowBox[{"a", ",", "f"}], "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", 
           RowBox[{"f", ",", "g"}], "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"6", ",", 
          RowBox[{"{", "d", "}"}]}], "}"}]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}],
  SequenceForm["Iteraciones: ", 
   MatrixForm[{{$CellContext`a, $CellContext`d, $CellContext`e, \
$CellContext`f, $CellContext`g, $CellContext`h, $CellContext`i, \
$CellContext`b, $CellContext`c}, {{0, {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}}, {{0, {}}, {1, {$CellContext`a}}, {
      3, {$CellContext`a}}, {1, {$CellContext`a}}, {3, {$CellContext`a}}, {
      5, {$CellContext`a}}, {3, {$CellContext`a}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}}, {{0, {}}, {1, {$CellContext`a}}, {
      3, {$CellContext`a}}, {1, {$CellContext`a}}, {3, {$CellContext`a}}, {
      5, {$CellContext`a}}, {3, {$CellContext`a}}, {
       DirectedInfinity[1], {}}, {6, {$CellContext`d}}}, {{0, {}}, {
      1, {$CellContext`a}}, {3, {$CellContext`a}}, {1, {$CellContext`a}}, {
      3, {$CellContext`a}}, {5, {$CellContext`a}}, {
      3, {$CellContext`a, $CellContext`f}}, {5, {$CellContext`f}}, {
      6, {$CellContext`d}}}, {{0, {}}, {1, {$CellContext`a}}, {
      3, {$CellContext`a}}, {1, {$CellContext`a}}, {3, {$CellContext`a}}, {
      5, {$CellContext`a}}, {3, {$CellContext`a, $CellContext`f}}, {
      5, {$CellContext`f}}, {6, {$CellContext`d}}}, {{0, {}}, {
      1, {$CellContext`a}}, {3, {$CellContext`a}}, {1, {$CellContext`a}}, {
      3, {$CellContext`a}}, {4, {$CellContext`g}}, {
      3, {$CellContext`a, $CellContext`f}}, {
      5, {$CellContext`f, $CellContext`g}}, {6, {$CellContext`d}}}, {{
      0, {}}, {1, {$CellContext`a}}, {3, {$CellContext`a}}, {
      1, {$CellContext`a}}, {3, {$CellContext`a}}, {4, {$CellContext`g}}, {
      3, {$CellContext`a, $CellContext`f}}, {
      5, {$CellContext`f, $CellContext`g}}, {6, {$CellContext`d}}}, {{
      0, {}}, {1, {$CellContext`a}}, {3, {$CellContext`a}}, {
      1, {$CellContext`a}}, {3, {$CellContext`a}}, {4, {$CellContext`g}}, {
      3, {$CellContext`a, $CellContext`f}}, {
      5, {$CellContext`f, $CellContext`g}}, {6, {$CellContext`d}}}}]],
  Editable->False]], "Print",
 CellChangeTimes->{3.813521169893548*^9, 3.8135214402428102`*^9, 
  3.8135698189308934`*^9, 3.813576616307892*^9, 3.8423401347362266`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[122]:=",ExpressionUUID->"c22af463-47a9-46d1-be6a-ea94e8c9fdea"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"4.`", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"g", ",", "h"}], "}"}]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{3.813521169893548*^9, 3.8135214402428102`*^9, 
  3.8135698189308934`*^9, 3.813576616307892*^9, 3.8423401347541246`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[122]:=",ExpressionUUID->"5e824b92-4f4c-4bfb-9383-6f96c86d94dd"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`Gi13$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`Gi13$$], 1, "Aristas"}, 1, 2, 1}}, 
    Typeset`size$$ = {540., {128., 134.2875787568538}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`Gi13$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      HighlightGraph[VilCretas`Private`GGrafoAuxiliar12, 
        Cases[VilCretas`Private`GList6, 
         Condition[
          Pattern[VilCretas`Private`Gicontador10$, 
           Blank[]], 
          MemberQ[
           Table[
           VilCretas`Private`Gi14, {
            VilCretas`Private`Gi14, VilCretas`Private`Gi13$$}], 
           Part[
            Flatten[
             Position[
             VilCretas`Private`GList6, VilCretas`Private`Gicontador10$]], 
            1]]]], VertexLabels -> "Name", ImagePadding -> 
        OptionValue[VilCretas`AnimarGrafo, {}, VilCretas`padding], 
        GraphHighlightStyle -> "Thick"], 
      "Specifications" :> {{{VilCretas`Private`Gi13$$, 1, "Aristas"}, 1, 2, 
         1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{608., {185.03173828125, 192.96826171875}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{3.813521169893548*^9, 3.8135214402428102`*^9, 
  3.8135698189308934`*^9, 3.813576616307892*^9, 3.842340134786195*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[122]:=",ExpressionUUID->"d8ea0725-cdae-44a6-b2e7-0d98dcd9ca1f"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo5", "=", 
   RowBox[{"GrafoMP", "[", 
    RowBox[{
     RowBox[{"(", "\[NoBreak]", GridBox[{
        {"0", "1", "0", "3", "5"},
        {"1", "0", "0", "4", "1"},
        {"0", "0", "0", "3", "1"},
        {"3", "4", "3", "0", "2"},
        {"5", "1", "1", "2", "0"}
       }], "\[NoBreak]", ")"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b", ",", "c", ",", "d", ",", "e"}], "}"}], ",", 
     RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"AlDijkstra", "[", 
  RowBox[{"grafo5", ",", "a", ",", "c"}], "]"}]}], "Input",
 CellChangeTimes->{{3.813492409615081*^9, 3.8134924717493324`*^9}, {
  3.813492512138069*^9, 3.8134925126107965`*^9}, {3.8134926741469326`*^9, 
  3.813492679269929*^9}, {3.813521204926985*^9, 3.8135212207819595`*^9}, {
  3.813521493399645*^9, 3.813521542424189*^9}},
 CellLabel->
  "In[124]:=",ExpressionUUID->"57a7a798-9eb6-4768-b442-3fd4b23c1db2"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"La longitud de un camino m\[AAcute]s corto es: \"\>", 
   "\[InvisibleSpace]", "3"}],
  SequenceForm["La longitud de un camino m\[AAcute]s corto es: ", 3],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8135212230135565`*^9, {3.8135214942588615`*^9, 3.8135215431021757`*^9}, 
   3.8135698225139976`*^9, 3.813576619544809*^9, 3.8423401392361937`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[124]:=",ExpressionUUID->"89741a0c-f614-412a-85e6-a1806ee822bc"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteraciones: \"\>", "\[InvisibleSpace]", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"a", "b", "c", "d", "e"},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "e", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "e", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}],
  SequenceForm["Iteraciones: ", 
   MatrixForm[{{$CellContext`a, $CellContext`b, $CellContext`c, \
$CellContext`d, $CellContext`e}, {{0, {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}}, {{0, {}}, {1, {$CellContext`a}}, {
       DirectedInfinity[1], {}}, {3, {$CellContext`a}}, {
      5, {$CellContext`a}}}, {{0, {}}, {1, {$CellContext`a}}, {
       DirectedInfinity[1], {}}, {3, {$CellContext`a}}, {
      2, {$CellContext`b}}}, {{0, {}}, {1, {$CellContext`a}}, {
      3, {$CellContext`e}}, {3, {$CellContext`a}}, {2, {$CellContext`b}}}, {{
      0, {}}, {1, {$CellContext`a}}, {3, {$CellContext`e}}, {
      3, {$CellContext`a}}, {2, {$CellContext`b}}}}]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8135212230135565`*^9, {3.8135214942588615`*^9, 3.8135215431021757`*^9}, 
   3.8135698225139976`*^9, 3.813576619544809*^9, 3.842340139251819*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[124]:=",ExpressionUUID->"83ede1c6-7ef1-4a7c-80b9-d209937a68b4"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"3.`", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "c"}], "}"}]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{
  3.8135212230135565`*^9, {3.8135214942588615`*^9, 3.8135215431021757`*^9}, 
   3.8135698225139976`*^9, 3.813576619544809*^9, 3.8423401392533264`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[124]:=",ExpressionUUID->"6b304bd9-406d-4aab-8ac8-d8cb6c6b471f"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`Gi13$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`Gi13$$], 1, "Aristas"}, 1, 3, 1}}, 
    Typeset`size$$ = {540., {128., 134.2875787568538}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`Gi13$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      HighlightGraph[VilCretas`Private`GGrafoAuxiliar12, 
        Cases[VilCretas`Private`GList6, 
         Condition[
          Pattern[VilCretas`Private`Gicontador10$, 
           Blank[]], 
          MemberQ[
           Table[
           VilCretas`Private`Gi14, {
            VilCretas`Private`Gi14, VilCretas`Private`Gi13$$}], 
           Part[
            Flatten[
             Position[
             VilCretas`Private`GList6, VilCretas`Private`Gicontador10$]], 
            1]]]], VertexLabels -> "Name", ImagePadding -> 
        OptionValue[VilCretas`AnimarGrafo, {}, VilCretas`padding], 
        GraphHighlightStyle -> "Thick"], 
      "Specifications" :> {{{VilCretas`Private`Gi13$$, 1, "Aristas"}, 1, 3, 
         1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{608., {185.03173828125, 192.96826171875}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{
  3.8135212230135565`*^9, {3.8135214942588615`*^9, 3.8135215431021757`*^9}, 
   3.8135698225139976`*^9, 3.813576619544809*^9, 3.842340139286586*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[124]:=",ExpressionUUID->"d3494951-152d-46d5-b9dc-4bdf7ae928b8"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo6", "=", 
   RowBox[{"GrafoMP", "[", 
    RowBox[{
     RowBox[{"(", "\[NoBreak]", GridBox[{
        {"0", "5", "0", "15", "3", "1"},
        {"5", "0", "4", "1", "0", "0"},
        {"0", "4", "0", "9", "2", "1"},
        {"15", "1", "9", "0", "6", "0"},
        {"3", "0", "2", "6", "0", "0"},
        {"1", "0", "1", "0", "0", "0"}
       }], "\[NoBreak]", ")"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f"}], "}"}], 
     ",", 
     RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"AlDijkstra", "[", 
  RowBox[{"grafo6", ",", "a", ",", "d"}], "]"}]}], "Input",
 CellChangeTimes->{{3.813492530096264*^9, 3.8134925990343866`*^9}, {
  3.813492685598669*^9, 3.81349268589062*^9}, {3.8135212576198907`*^9, 
  3.813521263917435*^9}, {3.813521590263565*^9, 3.813521604994964*^9}},
 CellLabel->
  "In[126]:=",ExpressionUUID->"f7e12bfb-7cdc-4b54-8831-c0c73cc3c843"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"La longitud de un camino m\[AAcute]s corto es: \"\>", 
   "\[InvisibleSpace]", "6"}],
  SequenceForm["La longitud de un camino m\[AAcute]s corto es: ", 6],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.813521265016348*^9, {3.813521587547267*^9, 3.8135216053825016`*^9}, 
   3.8135698258127184`*^9, 3.8135766229083138`*^9, 3.8423401443962364`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[126]:=",ExpressionUUID->"8215264a-56fc-4773-8d6a-c3401dbccc28"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteraciones: \"\>", "\[InvisibleSpace]", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"a", "b", "c", "d", "e", "f"},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"15", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "f", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"15", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "f", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"11", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "f", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"9", ",", 
          RowBox[{"{", "e", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "f", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"6", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "f", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"6", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}],
  SequenceForm["Iteraciones: ", 
   MatrixForm[{{$CellContext`a, $CellContext`b, $CellContext`c, \
$CellContext`d, $CellContext`e, $CellContext`f}, {{0, {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}}, {{0, {}}, {5, {$CellContext`a}}, {
       DirectedInfinity[1], {}}, {15, {$CellContext`a}}, {
      3, {$CellContext`a}}, {1, {$CellContext`a}}}, {{0, {}}, {
      5, {$CellContext`a}}, {2, {$CellContext`f}}, {15, {$CellContext`a}}, {
      3, {$CellContext`a}}, {1, {$CellContext`a}}}, {{0, {}}, {
      5, {$CellContext`a}}, {2, {$CellContext`f}}, {11, {$CellContext`c}}, {
      3, {$CellContext`a}}, {1, {$CellContext`a}}}, {{0, {}}, {
      5, {$CellContext`a}}, {2, {$CellContext`f}}, {9, {$CellContext`e}}, {
      3, {$CellContext`a}}, {1, {$CellContext`a}}}, {{0, {}}, {
      5, {$CellContext`a}}, {2, {$CellContext`f}}, {6, {$CellContext`b}}, {
      3, {$CellContext`a}}, {1, {$CellContext`a}}}, {{0, {}}, {
      5, {$CellContext`a}}, {2, {$CellContext`f}}, {6, {$CellContext`b}}, {
      3, {$CellContext`a}}, {1, {$CellContext`a}}}}]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.813521265016348*^9, {3.813521587547267*^9, 3.8135216053825016`*^9}, 
   3.8135698258127184`*^9, 3.8135766229083138`*^9, 3.842340144402218*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[126]:=",ExpressionUUID->"49faf08a-03bb-4370-ab1a-c3622c73d798"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"6.`", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "d"}], "}"}]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{
  3.813521265016348*^9, {3.813521587547267*^9, 3.8135216053825016`*^9}, 
   3.8135698258127184`*^9, 3.8135766229083138`*^9, 3.8423401444067745`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[126]:=",ExpressionUUID->"8642b55e-fff3-475e-a551-243dd9ac96de"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`Gi13$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`Gi13$$], 1, "Aristas"}, 1, 2, 1}}, 
    Typeset`size$$ = {540., {218., 225.13470024308776`}}, Typeset`update$$ = 
    0, Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`Gi13$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      HighlightGraph[VilCretas`Private`GGrafoAuxiliar12, 
        Cases[VilCretas`Private`GList6, 
         Condition[
          Pattern[VilCretas`Private`Gicontador10$, 
           Blank[]], 
          MemberQ[
           Table[
           VilCretas`Private`Gi14, {
            VilCretas`Private`Gi14, VilCretas`Private`Gi13$$}], 
           Part[
            Flatten[
             Position[
             VilCretas`Private`GList6, VilCretas`Private`Gicontador10$]], 
            1]]]], VertexLabels -> "Name", ImagePadding -> 
        OptionValue[VilCretas`AnimarGrafo, {}, VilCretas`padding], 
        GraphHighlightStyle -> "Thick"], 
      "Specifications" :> {{{VilCretas`Private`Gi13$$, 1, "Aristas"}, 1, 2, 
         1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{608., {276.03173828125, 283.96826171875}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{
  3.813521265016348*^9, {3.813521587547267*^9, 3.8135216053825016`*^9}, 
   3.8135698258127184`*^9, 3.8135766229083138`*^9, 3.842340144436421*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[126]:=",ExpressionUUID->"00a015fa-a2c3-459f-82ae-d5ca165cd7f9"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo7", "=", 
   RowBox[{"GrafoMP", "[", 
    RowBox[{
     RowBox[{"(", "\[NoBreak]", GridBox[{
        {"0", "1", "1", "0", "2", "0", "4"},
        {"1", "0", "7", "0", "3", "0", "5"},
        {"1", "7", "0", "8", "0", "1", "0"},
        {"0", "0", "8", "0", "0", "3", "0"},
        {"2", "3", "0", "0", "0", "6", "4"},
        {"0", "0", "1", "3", "6", "0", "4"},
        {"4", "5", "0", "0", "4", "4", "0"}
       }], "\[NoBreak]", ")"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f", ",", "g"}], 
      "}"}], ",", 
     RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"AlDijkstra", "[", 
  RowBox[{"grafo7", ",", "a", ",", "d"}], "]"}]}], "Input",
 CellChangeTimes->{{3.8134926976116524`*^9, 3.8134927617134743`*^9}, {
   3.8135213147879305`*^9, 3.8135213184774923`*^9}, {3.8135216591773825`*^9, 
   3.8135216655451775`*^9}, 3.813573101050731*^9},
 CellLabel->
  "In[128]:=",ExpressionUUID->"0957a44e-3574-4248-857e-af795f4b7600"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"La longitud de un camino m\[AAcute]s corto es: \"\>", 
   "\[InvisibleSpace]", "5"}],
  SequenceForm["La longitud de un camino m\[AAcute]s corto es: ", 5],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135216511918325`*^9, 3.8135216658647594`*^9}, 
   3.8135698300501475`*^9, 3.8135731164970713`*^9, 3.813576626425824*^9, 
   3.8423401513197846`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[128]:=",ExpressionUUID->"3a1bbf5d-c4ca-4ca9-9d2f-df8d4af11a87"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteraciones: \"\>", "\[InvisibleSpace]", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"a", "b", "c", "d", "e", "f", "g"},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"4", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"4", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"9", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"4", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"9", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"4", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "f", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"4", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "f", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"4", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "f", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"4", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}],
  SequenceForm["Iteraciones: ", 
   MatrixForm[{{$CellContext`a, $CellContext`b, $CellContext`c, \
$CellContext`d, $CellContext`e, $CellContext`f, $CellContext`g}, {{0, {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}}, {{0, {}}, {1, {$CellContext`a}}, {
      1, {$CellContext`a}}, {
       DirectedInfinity[1], {}}, {2, {$CellContext`a}}, {
       DirectedInfinity[1], {}}, {4, {$CellContext`a}}}, {{0, {}}, {
      1, {$CellContext`a}}, {1, {$CellContext`a}}, {
       DirectedInfinity[1], {}}, {2, {$CellContext`a}}, {
       DirectedInfinity[1], {}}, {4, {$CellContext`a}}}, {{0, {}}, {
      1, {$CellContext`a}}, {1, {$CellContext`a}}, {9, {$CellContext`c}}, {
      2, {$CellContext`a}}, {2, {$CellContext`c}}, {4, {$CellContext`a}}}, {{
      0, {}}, {1, {$CellContext`a}}, {1, {$CellContext`a}}, {
      9, {$CellContext`c}}, {2, {$CellContext`a}}, {2, {$CellContext`c}}, {
      4, {$CellContext`a}}}, {{0, {}}, {1, {$CellContext`a}}, {
      1, {$CellContext`a}}, {5, {$CellContext`f}}, {2, {$CellContext`a}}, {
      2, {$CellContext`c}}, {4, {$CellContext`a}}}, {{0, {}}, {
      1, {$CellContext`a}}, {1, {$CellContext`a}}, {5, {$CellContext`f}}, {
      2, {$CellContext`a}}, {2, {$CellContext`c}}, {4, {$CellContext`a}}}, {{
      0, {}}, {1, {$CellContext`a}}, {1, {$CellContext`a}}, {
      5, {$CellContext`f}}, {2, {$CellContext`a}}, {2, {$CellContext`c}}, {
      4, {$CellContext`a}}}}]],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135216511918325`*^9, 3.8135216658647594`*^9}, 
   3.8135698300501475`*^9, 3.8135731164970713`*^9, 3.813576626425824*^9, 
   3.8423401513197846`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[128]:=",ExpressionUUID->"1dc4401c-2f01-4726-9656-b12294d83f54"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"5.`", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "c"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "d"}], "}"}]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.8135216511918325`*^9, 3.8135216658647594`*^9}, 
   3.8135698300501475`*^9, 3.8135731164970713`*^9, 3.813576626425824*^9, 
   3.8423401513197846`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[128]:=",ExpressionUUID->"c30c45d2-4f46-4ef4-9170-2ede69288917"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`Gi13$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`Gi13$$], 1, "Aristas"}, 1, 3, 1}}, 
    Typeset`size$$ = {540., {139., 145.59839621219356`}}, Typeset`update$$ = 
    0, Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`Gi13$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      HighlightGraph[VilCretas`Private`GGrafoAuxiliar12, 
        Cases[VilCretas`Private`GList6, 
         Condition[
          Pattern[VilCretas`Private`Gicontador10$, 
           Blank[]], 
          MemberQ[
           Table[
           VilCretas`Private`Gi14, {
            VilCretas`Private`Gi14, VilCretas`Private`Gi13$$}], 
           Part[
            Flatten[
             Position[
             VilCretas`Private`GList6, VilCretas`Private`Gicontador10$]], 
            1]]]], VertexLabels -> "Name", ImagePadding -> 
        OptionValue[VilCretas`AnimarGrafo, {}, VilCretas`padding], 
        GraphHighlightStyle -> "Thick"], 
      "Specifications" :> {{{VilCretas`Private`Gi13$$, 1, "Aristas"}, 1, 3, 
         1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{608., {196.03173828125, 203.96826171875}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{{3.8135216511918325`*^9, 3.8135216658647594`*^9}, 
   3.8135698300501475`*^9, 3.8135731164970713`*^9, 3.813576626425824*^9, 
   3.8423401513530774`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[128]:=",ExpressionUUID->"4eda4574-3285-4c28-b36e-76da3b3cd616"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo8", "=", 
   RowBox[{"GrafoMP", "[", 
    RowBox[{
     RowBox[{"(", "\[NoBreak]", GridBox[{
        {"0", "5", "2", "3", "1", "0", "0"},
        {"5", "0", "3", "1", "0", "1", "0"},
        {"2", "3", "0", "0", "2", "2", "0"},
        {"3", "1", "0", "0", "1", "0", "8"},
        {"1", "0", "2", "1", "0", "0", "1"},
        {"0", "1", "2", "0", "0", "0", "3"},
        {"0", "0", "0", "8", "1", "3", "0"}
       }], "\[NoBreak]", ")"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f", ",", "g"}], 
      "}"}], ",", 
     RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"AlDijkstra", "[", 
  RowBox[{"grafo8", ",", "c", ",", "g"}], "]"}]}], "Input",
 CellChangeTimes->{{3.8134928171579843`*^9, 3.8134928671039743`*^9}, {
  3.8135213212406125`*^9, 3.8135213248943825`*^9}, {3.813521725102848*^9, 
  3.8135217356349916`*^9}},
 CellLabel->
  "In[130]:=",ExpressionUUID->"26164d03-1515-4dde-a9ff-4634cf7cd9bd"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"La longitud de un camino m\[AAcute]s corto es: \"\>", 
   "\[InvisibleSpace]", "3"}],
  SequenceForm["La longitud de un camino m\[AAcute]s corto es: ", 3],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135217288666735`*^9, 3.813521735936043*^9}, 
   3.8135698333273764`*^9, 3.813576630030933*^9, 3.8423401571696143`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[130]:=",ExpressionUUID->"98370a12-a393-4bb1-af8e-992662708d55"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteraciones: \"\>", "\[InvisibleSpace]", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"a", "b", "c", "d", "e", "f", "g"},
       {
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "e", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "e", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", 
           RowBox[{"c", ",", "f"}], "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "e", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "e", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", 
           RowBox[{"c", ",", "f"}], "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "e", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "e", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", 
           RowBox[{"c", ",", "f"}], "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "e", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "e", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", 
           RowBox[{"c", ",", "f"}], "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "e", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "e", "}"}]}], "}"}]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}],
  SequenceForm["Iteraciones: ", 
   MatrixForm[{{$CellContext`a, $CellContext`b, $CellContext`c, \
$CellContext`d, $CellContext`e, $CellContext`f, $CellContext`g}, {{
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {0, {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}}, {{2, {$CellContext`c}}, {
      3, {$CellContext`c}}, {0, {}}, {
       DirectedInfinity[1], {}}, {2, {$CellContext`c}}, {
      2, {$CellContext`c}}, {
       DirectedInfinity[1], {}}}, {{2, {$CellContext`c}}, {
      3, {$CellContext`c}}, {0, {}}, {5, {$CellContext`a}}, {
      2, {$CellContext`c}}, {2, {$CellContext`c}}, {
       DirectedInfinity[1], {}}}, {{2, {$CellContext`c}}, {
      3, {$CellContext`c}}, {0, {}}, {3, {$CellContext`e}}, {
      2, {$CellContext`c}}, {2, {$CellContext`c}}, {3, {$CellContext`e}}}, {{
      2, {$CellContext`c}}, {3, {$CellContext`c, $CellContext`f}}, {0, {}}, {
      3, {$CellContext`e}}, {2, {$CellContext`c}}, {2, {$CellContext`c}}, {
      3, {$CellContext`e}}}, {{2, {$CellContext`c}}, {
      3, {$CellContext`c, $CellContext`f}}, {0, {}}, {3, {$CellContext`e}}, {
      2, {$CellContext`c}}, {2, {$CellContext`c}}, {3, {$CellContext`e}}}, {{
      2, {$CellContext`c}}, {3, {$CellContext`c, $CellContext`f}}, {0, {}}, {
      3, {$CellContext`e}}, {2, {$CellContext`c}}, {2, {$CellContext`c}}, {
      3, {$CellContext`e}}}, {{2, {$CellContext`c}}, {
      3, {$CellContext`c, $CellContext`f}}, {0, {}}, {3, {$CellContext`e}}, {
      2, {$CellContext`c}}, {2, {$CellContext`c}}, {3, {$CellContext`e}}}}]],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135217288666735`*^9, 3.813521735936043*^9}, 
   3.8135698333273764`*^9, 3.813576630030933*^9, 3.8423401571696143`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[130]:=",ExpressionUUID->"be4e1ea2-c076-4229-9d1d-fe0eb7878c74"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"3.`", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "g"}], "}"}]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.8135217288666735`*^9, 3.813521735936043*^9}, 
   3.8135698333273764`*^9, 3.813576630030933*^9, 3.842340157186248*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[130]:=",ExpressionUUID->"f7bcedf6-6fc2-41a2-9481-09a0bf16b470"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`Gi13$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`Gi13$$], 1, "Aristas"}, 1, 2, 1}}, 
    Typeset`size$$ = {540., {248., 255.18184393683475`}}, Typeset`update$$ = 
    0, Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`Gi13$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      HighlightGraph[VilCretas`Private`GGrafoAuxiliar12, 
        Cases[VilCretas`Private`GList6, 
         Condition[
          Pattern[VilCretas`Private`Gicontador10$, 
           Blank[]], 
          MemberQ[
           Table[
           VilCretas`Private`Gi14, {
            VilCretas`Private`Gi14, VilCretas`Private`Gi13$$}], 
           Part[
            Flatten[
             Position[
             VilCretas`Private`GList6, VilCretas`Private`Gicontador10$]], 
            1]]]], VertexLabels -> "Name", ImagePadding -> 
        OptionValue[VilCretas`AnimarGrafo, {}, VilCretas`padding], 
        GraphHighlightStyle -> "Thick"], 
      "Specifications" :> {{{VilCretas`Private`Gi13$$, 1, "Aristas"}, 1, 2, 
         1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{608., {306.03173828125, 313.96826171875}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{{3.8135217288666735`*^9, 3.813521735936043*^9}, 
   3.8135698333273764`*^9, 3.813576630030933*^9, 3.842340157219553*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[130]:=",ExpressionUUID->"f477433e-535e-4216-81d2-5d650d246e5d"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo9", "=", 
   RowBox[{"GrafoMP", "[", 
    RowBox[{
     RowBox[{"(", "\[NoBreak]", GridBox[{
        {"0", "6", "1", "7", "7", "1", "5"},
        {"6", "0", "6", "3", "3", "1", "6"},
        {"1", "6", "0", "6", "6", "4", "0"},
        {"7", "3", "6", "0", "2", "5", "2"},
        {"7", "3", "6", "2", "0", "3", "8"},
        {"1", "1", "4", "5", "3", "0", "7"},
        {"5", "6", "0", "2", "8", "7", "0"}
       }], "\[NoBreak]", ")"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f", ",", "g"}], 
      "}"}], ",", 
     RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"AlDijkstra", "[", 
  RowBox[{"grafo9", ",", "b", ",", "g"}], "]"}]}], "Input",
 CellChangeTimes->{{3.8134929349665594`*^9, 3.813492993332945*^9}, {
  3.813521328767457*^9, 3.813521332295293*^9}, {3.8135217780710974`*^9, 
  3.813521806986519*^9}},
 CellLabel->
  "In[132]:=",ExpressionUUID->"cf255e19-1923-4b4c-b1a5-e05f72a0a236"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"La longitud de un camino m\[AAcute]s corto es: \"\>", 
   "\[InvisibleSpace]", "5"}],
  SequenceForm["La longitud de un camino m\[AAcute]s corto es: ", 5],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135217812738647`*^9, 3.8135218073083143`*^9}, 
   3.8135698373394623`*^9, 3.8135766333111925`*^9, 3.8423401615530033`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[132]:=",ExpressionUUID->"736aeca5-c4c1-434a-a355-c9c03d473daa"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteraciones: \"\>", "\[InvisibleSpace]", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"a", "b", "c", "d", "e", "f", "g"},
       {
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"6", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"6", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"6", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "f", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "f", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"6", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "f", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"6", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "f", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"6", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "f", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "d", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "f", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "d", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "f", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "d", "}"}]}], "}"}]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}],
  SequenceForm["Iteraciones: ", 
   MatrixForm[{{$CellContext`a, $CellContext`b, $CellContext`c, \
$CellContext`d, $CellContext`e, $CellContext`f, $CellContext`g}, {{
       DirectedInfinity[1], {}}, {0, {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}}, {{6, {$CellContext`b}}, {0, {}}, {
      6, {$CellContext`b}}, {3, {$CellContext`b}}, {3, {$CellContext`b}}, {
      1, {$CellContext`b}}, {6, {$CellContext`b}}}, {{2, {$CellContext`f}}, {
      0, {}}, {5, {$CellContext`f}}, {3, {$CellContext`b}}, {
      3, {$CellContext`b}}, {1, {$CellContext`b}}, {6, {$CellContext`b}}}, {{
      2, {$CellContext`f}}, {0, {}}, {3, {$CellContext`a}}, {
      3, {$CellContext`b}}, {3, {$CellContext`b}}, {1, {$CellContext`b}}, {
      6, {$CellContext`b}}}, {{2, {$CellContext`f}}, {0, {}}, {
      3, {$CellContext`a}}, {3, {$CellContext`b}}, {3, {$CellContext`b}}, {
      1, {$CellContext`b}}, {6, {$CellContext`b}}}, {{2, {$CellContext`f}}, {
      0, {}}, {3, {$CellContext`a}}, {3, {$CellContext`b}}, {
      3, {$CellContext`b}}, {1, {$CellContext`b}}, {5, {$CellContext`d}}}, {{
      2, {$CellContext`f}}, {0, {}}, {3, {$CellContext`a}}, {
      3, {$CellContext`b}}, {3, {$CellContext`b}}, {1, {$CellContext`b}}, {
      5, {$CellContext`d}}}, {{2, {$CellContext`f}}, {0, {}}, {
      3, {$CellContext`a}}, {3, {$CellContext`b}}, {3, {$CellContext`b}}, {
      1, {$CellContext`b}}, {5, {$CellContext`d}}}}]],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135217812738647`*^9, 3.8135218073083143`*^9}, 
   3.8135698373394623`*^9, 3.8135766333111925`*^9, 3.8423401615696507`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[132]:=",ExpressionUUID->"38042d42-6f85-415a-9adc-e4597f4ade3d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"5.`", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "g"}], "}"}]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.8135217812738647`*^9, 3.8135218073083143`*^9}, 
   3.8135698373394623`*^9, 3.8135766333111925`*^9, 3.8423401615696507`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[132]:=",ExpressionUUID->"ba111dbe-a7c0-4051-ae28-1e25631104a3"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`Gi13$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`Gi13$$], 1, "Aristas"}, 1, 2, 1}}, 
    Typeset`size$$ = {540., {187., 194.92114667754595`}}, Typeset`update$$ = 
    0, Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`Gi13$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      HighlightGraph[VilCretas`Private`GGrafoAuxiliar12, 
        Cases[VilCretas`Private`GList6, 
         Condition[
          Pattern[VilCretas`Private`Gicontador10$, 
           Blank[]], 
          MemberQ[
           Table[
           VilCretas`Private`Gi14, {
            VilCretas`Private`Gi14, VilCretas`Private`Gi13$$}], 
           Part[
            Flatten[
             Position[
             VilCretas`Private`GList6, VilCretas`Private`Gicontador10$]], 
            1]]]], VertexLabels -> "Name", ImagePadding -> 
        OptionValue[VilCretas`AnimarGrafo, {}, VilCretas`padding], 
        GraphHighlightStyle -> "Thick"], 
      "Specifications" :> {{{VilCretas`Private`Gi13$$, 1, "Aristas"}, 1, 2, 
         1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{608., {245.03173828125, 252.96826171875}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{{3.8135217812738647`*^9, 3.8135218073083143`*^9}, 
   3.8135698373394623`*^9, 3.8135766333111925`*^9, 3.8423401616029177`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[132]:=",ExpressionUUID->"ae1e0a41-016f-4f29-ad66-0ff6e263adaa"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo10", "=", 
   RowBox[{"GrafoMP", "[", 
    RowBox[{
     RowBox[{"(", "\[NoBreak]", GridBox[{
        {"0", "4", "8", "5", "4", "7", "3"},
        {"4", "0", "0", "1", "2", "0", "5"},
        {"8", "0", "0", "2", "8", "2", "2"},
        {"5", "1", "2", "0", "1", "2", "5"},
        {"4", "2", "8", "1", "0", "5", "8"},
        {"7", "0", "2", "2", "5", "0", "0"},
        {"3", "5", "2", "5", "8", "0", "0"}
       }], "\[NoBreak]", ")"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f", ",", "g"}], 
      "}"}], ",", 
     RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"AlDijkstra", "[", 
  RowBox[{"grafo10", ",", "b", ",", "g"}], "]"}]}], "Input",
 CellChangeTimes->{{3.813493051198861*^9, 3.813493107161804*^9}, {
  3.813521335969387*^9, 3.8135213401897335`*^9}, {3.8135218474139533`*^9, 
  3.8135218986725016`*^9}, {3.813521943515831*^9, 3.8135219513001328`*^9}},
 CellLabel->
  "In[134]:=",ExpressionUUID->"8a258439-2d14-4c5c-876f-bda9c61ed874"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"La longitud de un camino m\[AAcute]s corto es: \"\>", 
   "\[InvisibleSpace]", "5"}],
  SequenceForm["La longitud de un camino m\[AAcute]s corto es: ", 5],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135218497655663`*^9, 3.813521901751586*^9}, {
   3.8135219440200987`*^9, 3.8135219516697674`*^9}, 3.8135698406559362`*^9, 
   3.813576636499138*^9, 3.8423401650528755`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[134]:=",ExpressionUUID->"818192bf-cda3-486a-8771-0d52abd84073"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteraciones: \"\>", "\[InvisibleSpace]", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"a", "b", "c", "d", "e", "f", "g"},
       {
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"4", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"4", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", 
           RowBox[{"b", ",", "d"}], "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"4", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", 
           RowBox[{"b", ",", "d"}], "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"4", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", 
           RowBox[{"b", ",", "d"}], "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", 
           RowBox[{"b", ",", "c"}], "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"4", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", 
           RowBox[{"b", ",", "d"}], "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", 
           RowBox[{"b", ",", "c"}], "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"4", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", 
           RowBox[{"b", ",", "d"}], "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", 
           RowBox[{"b", ",", "c"}], "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"4", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", 
           RowBox[{"b", ",", "d"}], "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", 
           RowBox[{"b", ",", "c"}], "}"}]}], "}"}]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}],
  SequenceForm["Iteraciones: ", 
   MatrixForm[{{$CellContext`a, $CellContext`b, $CellContext`c, \
$CellContext`d, $CellContext`e, $CellContext`f, $CellContext`g}, {{
       DirectedInfinity[1], {}}, {0, {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}}, {{4, {$CellContext`b}}, {0, {}}, {
       DirectedInfinity[1], {}}, {1, {$CellContext`b}}, {
      2, {$CellContext`b}}, {
       DirectedInfinity[1], {}}, {5, {$CellContext`b}}}, {{
      4, {$CellContext`b}}, {0, {}}, {3, {$CellContext`d}}, {
      1, {$CellContext`b}}, {2, {$CellContext`b, $CellContext`d}}, {
      3, {$CellContext`d}}, {5, {$CellContext`b}}}, {{4, {$CellContext`b}}, {
      0, {}}, {3, {$CellContext`d}}, {1, {$CellContext`b}}, {
      2, {$CellContext`b, $CellContext`d}}, {3, {$CellContext`d}}, {
      5, {$CellContext`b}}}, {{4, {$CellContext`b}}, {0, {}}, {
      3, {$CellContext`d}}, {1, {$CellContext`b}}, {
      2, {$CellContext`b, $CellContext`d}}, {3, {$CellContext`d}}, {
      5, {$CellContext`b, $CellContext`c}}}, {{4, {$CellContext`b}}, {
      0, {}}, {3, {$CellContext`d}}, {1, {$CellContext`b}}, {
      2, {$CellContext`b, $CellContext`d}}, {3, {$CellContext`d}}, {
      5, {$CellContext`b, $CellContext`c}}}, {{4, {$CellContext`b}}, {
      0, {}}, {3, {$CellContext`d}}, {1, {$CellContext`b}}, {
      2, {$CellContext`b, $CellContext`d}}, {3, {$CellContext`d}}, {
      5, {$CellContext`b, $CellContext`c}}}, {{4, {$CellContext`b}}, {
      0, {}}, {3, {$CellContext`d}}, {1, {$CellContext`b}}, {
      2, {$CellContext`b, $CellContext`d}}, {3, {$CellContext`d}}, {
      5, {$CellContext`b, $CellContext`c}}}}]],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135218497655663`*^9, 3.813521901751586*^9}, {
   3.8135219440200987`*^9, 3.8135219516697674`*^9}, 3.8135698406559362`*^9, 
   3.813576636499138*^9, 3.8423401650528755`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[134]:=",ExpressionUUID->"bff9be00-8d82-4330-aa7d-86891e989fc6"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"5.`", ",", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"b", ",", "g"}], "}"}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.8135218497655663`*^9, 3.813521901751586*^9}, {
   3.8135219440200987`*^9, 3.8135219516697674`*^9}, 3.8135698406559362`*^9, 
   3.813576636499138*^9, 3.842340165069523*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[134]:=",ExpressionUUID->"0c2b7440-1554-45ed-bfbf-682ae6896bb4"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`Gi13$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`Gi13$$], 1, "Aristas"}, 1, 1, 1}}, 
    Typeset`size$$ = {540., {152., 158.52827752635437`}}, Typeset`update$$ = 
    0, Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`Gi13$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      HighlightGraph[VilCretas`Private`GGrafoAuxiliar12, 
        Cases[VilCretas`Private`GList6, 
         Condition[
          Pattern[VilCretas`Private`Gicontador10$, 
           Blank[]], 
          MemberQ[
           Table[
           VilCretas`Private`Gi14, {
            VilCretas`Private`Gi14, VilCretas`Private`Gi13$$}], 
           Part[
            Flatten[
             Position[
             VilCretas`Private`GList6, VilCretas`Private`Gicontador10$]], 
            1]]]], VertexLabels -> "Name", ImagePadding -> 
        OptionValue[VilCretas`AnimarGrafo, {}, VilCretas`padding], 
        GraphHighlightStyle -> "Thick"], 
      "Specifications" :> {{{VilCretas`Private`Gi13$$, 1, "Aristas"}, 1, 1, 
         1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{608., {209.03173828125, 216.96826171875}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{{3.8135218497655663`*^9, 3.813521901751586*^9}, {
   3.8135219440200987`*^9, 3.8135219516697674`*^9}, 3.8135698406559362`*^9, 
   3.813576636499138*^9, 3.842340165086663*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[134]:=",ExpressionUUID->"e7f7c7e2-d7db-4c2e-a65c-ac5d34ce5b70"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo11", "=", 
   RowBox[{"GrafoMP", "[", 
    RowBox[{
     RowBox[{"(", "\[NoBreak]", GridBox[{
        {"0", "8", "0", "7", "3", "1", "0"},
        {"8", "0", "6", "2", "0", "8", "1"},
        {"0", "6", "0", "2", "6", "4", "0"},
        {"7", "2", "2", "0", "4", "3", "0"},
        {"3", "0", "6", "4", "0", "5", "2"},
        {"1", "8", "4", "3", "5", "0", "2"},
        {"0", "1", "0", "0", "2", "2", "0"}
       }], "\[NoBreak]", ")"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f", ",", "g"}], 
      "}"}], ",", 
     RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"AlDijkstra", "[", 
  RowBox[{"grafo11", ",", "c", ",", "e"}], "]"}]}], "Input",
 CellChangeTimes->{{3.813493161252161*^9, 3.813493217332137*^9}, {
  3.813493615202868*^9, 3.813493642829035*^9}, {3.81352134352818*^9, 
  3.8135213477302413`*^9}, {3.8135220456014977`*^9, 3.8135220607407885`*^9}},
 CellLabel->
  "In[136]:=",ExpressionUUID->"bdad50a1-9196-4bcc-9ef6-c9b1a6d5dd9e"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"La longitud de un camino m\[AAcute]s corto es: \"\>", 
   "\[InvisibleSpace]", "6"}],
  SequenceForm["La longitud de un camino m\[AAcute]s corto es: ", 6],
  Editable->False]], "Print",
 CellChangeTimes->{{3.813522049298487*^9, 3.813522061509259*^9}, 
   3.8135698439818726`*^9, 3.8135766398893456`*^9, 3.8423401700862255`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[136]:=",ExpressionUUID->"c45b9a03-a15e-402f-a526-7c1f8b3d9862"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteraciones: \"\>", "\[InvisibleSpace]", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"a", "b", "c", "d", "e", "f", "g"},
       {
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"6", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"6", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"4", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"9", ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"4", ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"6", ",", 
          RowBox[{"{", 
           RowBox[{"c", ",", "d"}], "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"4", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"9", ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"4", ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"6", ",", 
          RowBox[{"{", 
           RowBox[{"c", ",", "d"}], "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"4", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "f", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"4", ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"6", ",", 
          RowBox[{"{", 
           RowBox[{"c", ",", "d"}], "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"4", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "f", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"4", ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"6", ",", 
          RowBox[{"{", 
           RowBox[{"c", ",", "d"}], "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"4", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "f", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"4", ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"6", ",", 
          RowBox[{"{", 
           RowBox[{"c", ",", "d"}], "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"4", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "f", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"4", ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"6", ",", 
          RowBox[{"{", 
           RowBox[{"c", ",", "d"}], "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"4", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}],
  SequenceForm["Iteraciones: ", 
   MatrixForm[{{$CellContext`a, $CellContext`b, $CellContext`c, \
$CellContext`d, $CellContext`e, $CellContext`f, $CellContext`g}, {{
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {0, {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}}, {{
       DirectedInfinity[1], {}}, {6, {$CellContext`c}}, {0, {}}, {
      2, {$CellContext`c}}, {6, {$CellContext`c}}, {4, {$CellContext`c}}, {
       DirectedInfinity[1], {}}}, {{9, {$CellContext`d}}, {
      4, {$CellContext`d}}, {0, {}}, {2, {$CellContext`c}}, {
      6, {$CellContext`c, $CellContext`d}}, {4, {$CellContext`c}}, {
       DirectedInfinity[1], {}}}, {{9, {$CellContext`d}}, {
      4, {$CellContext`d}}, {0, {}}, {2, {$CellContext`c}}, {
      6, {$CellContext`c, $CellContext`d}}, {4, {$CellContext`c}}, {
      5, {$CellContext`b}}}, {{5, {$CellContext`f}}, {4, {$CellContext`d}}, {
      0, {}}, {2, {$CellContext`c}}, {6, {$CellContext`c, $CellContext`d}}, {
      4, {$CellContext`c}}, {5, {$CellContext`b}}}, {{5, {$CellContext`f}}, {
      4, {$CellContext`d}}, {0, {}}, {2, {$CellContext`c}}, {
      6, {$CellContext`c, $CellContext`d}}, {4, {$CellContext`c}}, {
      5, {$CellContext`b}}}, {{5, {$CellContext`f}}, {4, {$CellContext`d}}, {
      0, {}}, {2, {$CellContext`c}}, {6, {$CellContext`c, $CellContext`d}}, {
      4, {$CellContext`c}}, {5, {$CellContext`b}}}, {{5, {$CellContext`f}}, {
      4, {$CellContext`d}}, {0, {}}, {2, {$CellContext`c}}, {
      6, {$CellContext`c, $CellContext`d}}, {4, {$CellContext`c}}, {
      5, {$CellContext`b}}}}]],
  Editable->False]], "Print",
 CellChangeTimes->{{3.813522049298487*^9, 3.813522061509259*^9}, 
   3.8135698439818726`*^9, 3.8135766398893456`*^9, 3.8423401700862255`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[136]:=",ExpressionUUID->"5653c7e6-265e-4a45-9e34-81ddf3870dc5"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"6.`", ",", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"c", ",", "e"}], "}"}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.813522049298487*^9, 3.813522061509259*^9}, 
   3.8135698439818726`*^9, 3.8135766398893456`*^9, 3.8423401701028566`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[136]:=",ExpressionUUID->"a7655220-c134-425c-8025-7f1ef8fd5328"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`Gi13$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`Gi13$$], 1, "Aristas"}, 1, 1, 1}}, 
    Typeset`size$$ = {540., {183., 190.61702182789185`}}, Typeset`update$$ = 
    0, Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`Gi13$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      HighlightGraph[VilCretas`Private`GGrafoAuxiliar12, 
        Cases[VilCretas`Private`GList6, 
         Condition[
          Pattern[VilCretas`Private`Gicontador10$, 
           Blank[]], 
          MemberQ[
           Table[
           VilCretas`Private`Gi14, {
            VilCretas`Private`Gi14, VilCretas`Private`Gi13$$}], 
           Part[
            Flatten[
             Position[
             VilCretas`Private`GList6, VilCretas`Private`Gicontador10$]], 
            1]]]], VertexLabels -> "Name", ImagePadding -> 
        OptionValue[VilCretas`AnimarGrafo, {}, VilCretas`padding], 
        GraphHighlightStyle -> "Thick"], 
      "Specifications" :> {{{VilCretas`Private`Gi13$$, 1, "Aristas"}, 1, 1, 
         1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{608., {241.03173828125, 248.96826171875}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{{3.813522049298487*^9, 3.813522061509259*^9}, 
   3.8135698439818726`*^9, 3.8135766398893456`*^9, 3.8423401701366243`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[136]:=",ExpressionUUID->"505629f4-942b-4046-bbf0-3c29fd74a184"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo12", "=", 
   RowBox[{"GrafoMP", "[", 
    RowBox[{
     RowBox[{"(", "\[NoBreak]", GridBox[{
        {"0", "3", "3", "9", "9", "5", "2", "0"},
        {"3", "0", "1", "1", "0", "6", "0", "5"},
        {"3", "1", "0", "9", "10", "0", "2", "5"},
        {"9", "1", "9", "0", "4", "2", "2", "4"},
        {"9", "0", "10", "4", "0", "8", "9", "3"},
        {"5", "6", "0", "2", "8", "0", "9", "7"},
        {"2", "0", "2", "2", "9", "9", "0", "3"},
        {"0", "5", "5", "4", "3", "7", "3", "0"}
       }], "\[NoBreak]", ")"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f", ",", "g", ",", 
       "h"}], "}"}], ",", 
     RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"AlDijkstra", "[", 
  RowBox[{"grafo12", ",", "b", ",", "h"}], "]"}]}], "Input",
 CellChangeTimes->{{3.813493754768425*^9, 3.813493829403319*^9}, {
  3.8135180857859907`*^9, 3.813518086276271*^9}, {3.81352135128458*^9, 
  3.8135213546167517`*^9}, {3.8135221254943933`*^9, 3.8135221915603094`*^9}},
 CellLabel->
  "In[138]:=",ExpressionUUID->"218620b1-a04f-46dc-8f60-704c4f361e7b"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"La longitud de un camino m\[AAcute]s corto es: \"\>", 
   "\[InvisibleSpace]", "5"}],
  SequenceForm["La longitud de un camino m\[AAcute]s corto es: ", 5],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135221289513893`*^9, 3.8135221918787403`*^9}, 
   3.813569847916912*^9, 3.813576646758541*^9, 3.8423401738695264`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[138]:=",ExpressionUUID->"2a3009a1-86ab-4826-af91-f909a7bfe100"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteraciones: \"\>", "\[InvisibleSpace]", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"a", "b", "c", "d", "e", "f", "g", "h"},
       {
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"6", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"11", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"6", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", 
           RowBox[{"c", ",", "d"}], "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", 
           RowBox[{"b", ",", "d"}], "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", 
           RowBox[{"c", ",", "d"}], "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", 
           RowBox[{"b", ",", "d"}], "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", 
           RowBox[{"c", ",", "d"}], "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", 
           RowBox[{"b", ",", "d"}], "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", 
           RowBox[{"c", ",", "d"}], "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", 
           RowBox[{"b", ",", "d"}], "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", 
           RowBox[{"c", ",", "d"}], "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", 
           RowBox[{"b", ",", "d"}], "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{"{", 
           RowBox[{"c", ",", "d"}], "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"5", ",", 
          RowBox[{"{", 
           RowBox[{"b", ",", "d"}], "}"}]}], "}"}]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}],
  SequenceForm["Iteraciones: ", 
   MatrixForm[{{$CellContext`a, $CellContext`b, $CellContext`c, \
$CellContext`d, $CellContext`e, $CellContext`f, $CellContext`g, \
$CellContext`h}, {{
       DirectedInfinity[1], {}}, {0, {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}}, {{3, {$CellContext`b}}, {0, {}}, {
      1, {$CellContext`b}}, {1, {$CellContext`b}}, {
       DirectedInfinity[1], {}}, {6, {$CellContext`b}}, {
       DirectedInfinity[1], {}}, {5, {$CellContext`b}}}, {{
      3, {$CellContext`b}}, {0, {}}, {1, {$CellContext`b}}, {
      1, {$CellContext`b}}, {11, {$CellContext`c}}, {6, {$CellContext`b}}, {
      3, {$CellContext`c}}, {5, {$CellContext`b}}}, {{3, {$CellContext`b}}, {
      0, {}}, {1, {$CellContext`b}}, {1, {$CellContext`b}}, {
      5, {$CellContext`d}}, {3, {$CellContext`d}}, {
      3, {$CellContext`c, $CellContext`d}}, {
      5, {$CellContext`b, $CellContext`d}}}, {{3, {$CellContext`b}}, {
      0, {}}, {1, {$CellContext`b}}, {1, {$CellContext`b}}, {
      5, {$CellContext`d}}, {3, {$CellContext`d}}, {
      3, {$CellContext`c, $CellContext`d}}, {
      5, {$CellContext`b, $CellContext`d}}}, {{3, {$CellContext`b}}, {
      0, {}}, {1, {$CellContext`b}}, {1, {$CellContext`b}}, {
      5, {$CellContext`d}}, {3, {$CellContext`d}}, {
      3, {$CellContext`c, $CellContext`d}}, {
      5, {$CellContext`b, $CellContext`d}}}, {{3, {$CellContext`b}}, {
      0, {}}, {1, {$CellContext`b}}, {1, {$CellContext`b}}, {
      5, {$CellContext`d}}, {3, {$CellContext`d}}, {
      3, {$CellContext`c, $CellContext`d}}, {
      5, {$CellContext`b, $CellContext`d}}}, {{3, {$CellContext`b}}, {
      0, {}}, {1, {$CellContext`b}}, {1, {$CellContext`b}}, {
      5, {$CellContext`d}}, {3, {$CellContext`d}}, {
      3, {$CellContext`c, $CellContext`d}}, {
      5, {$CellContext`b, $CellContext`d}}}, {{3, {$CellContext`b}}, {
      0, {}}, {1, {$CellContext`b}}, {1, {$CellContext`b}}, {
      5, {$CellContext`d}}, {3, {$CellContext`d}}, {
      3, {$CellContext`c, $CellContext`d}}, {
      5, {$CellContext`b, $CellContext`d}}}}]],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135221289513893`*^9, 3.8135221918787403`*^9}, 
   3.813569847916912*^9, 3.813576646758541*^9, 3.8423401738695264`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[138]:=",ExpressionUUID->"b0dfe98e-50fc-4d9d-a904-9bcc371552a6"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"5.`", ",", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"b", ",", "h"}], "}"}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.8135221289513893`*^9, 3.8135221918787403`*^9}, 
   3.813569847916912*^9, 3.813576646758541*^9, 3.84234017388666*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[138]:=",ExpressionUUID->"4ff3731b-1fbc-45a6-a866-505abc3cf75e"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`Gi13$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`Gi13$$], 1, "Aristas"}, 1, 1, 1}}, 
    Typeset`size$$ = {540., {248., 254.84910391639426`}}, Typeset`update$$ = 
    0, Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`Gi13$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      HighlightGraph[VilCretas`Private`GGrafoAuxiliar12, 
        Cases[VilCretas`Private`GList6, 
         Condition[
          Pattern[VilCretas`Private`Gicontador10$, 
           Blank[]], 
          MemberQ[
           Table[
           VilCretas`Private`Gi14, {
            VilCretas`Private`Gi14, VilCretas`Private`Gi13$$}], 
           Part[
            Flatten[
             Position[
             VilCretas`Private`GList6, VilCretas`Private`Gicontador10$]], 
            1]]]], VertexLabels -> "Name", ImagePadding -> 
        OptionValue[VilCretas`AnimarGrafo, {}, VilCretas`padding], 
        GraphHighlightStyle -> "Thick"], 
      "Specifications" :> {{{VilCretas`Private`Gi13$$, 1, "Aristas"}, 1, 1, 
         1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{608., {305.03173828125, 312.96826171875}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{{3.8135221289513893`*^9, 3.8135221918787403`*^9}, 
   3.813569847916912*^9, 3.813576646758541*^9, 3.8423401739197187`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[138]:=",ExpressionUUID->"5bb3403b-bac5-43d0-893f-659cd69594b5"]
}, Open  ]]
}, Open  ]],

Cell["5.5.19", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415294161305`*^9, 
   3.8113415594995375`*^9}},ExpressionUUID->"e0a0772b-df4e-4170-b2da-\
e758465217af"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"grafo3Aux", "=", 
  RowBox[{"Grafo", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"a", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "c"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "c"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "d"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"c", ",", "d"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"c", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"c", ",", "h"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"e", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"e", ",", "h"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "g"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "h"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"g", ",", "h"}], "}"}]}], "}"}], ",", 
    RowBox[{"pesos", "\[Rule]", 
     RowBox[{
      RowBox[{"-", "1"}], 
      RowBox[{"{", 
       RowBox[{
       "3", ",", "2", ",", "4", ",", "2", ",", "3", ",", "2", ",", "6", ",", 
        "5", ",", "6", ",", "4", ",", "5", ",", "5", ",", "5", ",", "4"}], 
       "}"}]}]}], ",", 
    RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"AlDijkstra", "[", 
  RowBox[{"grafo3Aux", ",", "a", ",", "g", ",", 
   RowBox[{"all", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8135225064060717`*^9, 3.813522562515503*^9}, {
  3.81356985287362*^9, 3.8135698622072268`*^9}},
 CellLabel->
  "In[140]:=",ExpressionUUID->"f9f3f519-19a1-4ad8-8a23-a45fc459e519"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`d, \
$CellContext`e, $CellContext`h, $CellContext`f, $CellContext`g}, {
      Null, {{1, 2}, {1, 3}, {2, 3}, {2, 4}, {3, 4}, {3, 5}, {3, 6}, {4, 5}, {
       4, 7}, {5, 7}, {5, 6}, {7, 8}, {7, 6}, {8, 6}}}, {
      EdgeLabels -> {
        UndirectedEdge[$CellContext`e, $CellContext`h] -> -5, 
         UndirectedEdge[$CellContext`c, $CellContext`d] -> -3, 
         UndirectedEdge[$CellContext`b, $CellContext`d] -> -2, 
         UndirectedEdge[$CellContext`g, $CellContext`h] -> -4, 
         UndirectedEdge[$CellContext`a, $CellContext`c] -> -2, 
         UndirectedEdge[$CellContext`f, $CellContext`g] -> -5, 
         UndirectedEdge[$CellContext`c, $CellContext`h] -> -6, 
         UndirectedEdge[$CellContext`c, $CellContext`e] -> -2, 
         UndirectedEdge[$CellContext`b, $CellContext`c] -> -4, 
         UndirectedEdge[$CellContext`d, $CellContext`e] -> -5, 
         UndirectedEdge[$CellContext`e, $CellContext`f] -> -4, 
         UndirectedEdge[$CellContext`d, $CellContext`f] -> -6, 
         UndirectedEdge[$CellContext`f, $CellContext`h] -> -5, 
         UndirectedEdge[$CellContext`a, $CellContext`b] -> -3}, 
       EdgeWeight -> {-3, -2, -4, -2, -3, -2, -6, -5, -6, -4, -5, -5, -5, -4},
        ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], {
         {Arrowheads[0.], 
          ArrowBox[{{0., 0.0021036085593235665`}, {0.41182773285922813`, 
           0.7705034532298884}}, 0.03417627908635214]}, InsetBox[
          RowBox[{"-", "3"}], {0.20591386642961407, 0.386303530894606}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0., 0.0021036085593235665`}, {1.1691768801390077`, 
           0.19905877724751253`}}, 0.03417627908635214]}, InsetBox[
          RowBox[{"-", "2"}], {0.5845884400695038, 0.10058119290341805}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.41182773285922813`, 0.7705034532298884}, {
           1.1691768801390077`, 0.19905877724751253`}}, 0.03417627908635214]},
          InsetBox[
          RowBox[{"-", "4"}], {0.7905023064991179, 0.4847811152387005}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.41182773285922813`, 0.7705034532298884}, {
           1.484615182170224, 1.0484136330983498`}}, 0.03417627908635214]}, 
         InsetBox[
          RowBox[{"-", "2"}], {0.9482214575147261, 0.9094585431641191}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.1691768801390077`, 0.19905877724751253`}, {
           1.484615182170224, 1.0484136330983498`}}, 0.03417627908635214]}, 
         InsetBox[
          RowBox[{"-", "3"}], {1.3268960311546159, 0.6237362051729312}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.1691768801390077`, 0.19905877724751253`}, {
           1.9994750809747468`, 0.5103548328361037}}, 0.03417627908635214]}, 
         InsetBox[
          RowBox[{"-", "2"}], {1.5843259805568772, 0.3547068050418081}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.1691768801390077`, 0.19905877724751253`}, {
           2.5244072507900563`, 0.}}, 0.03417627908635214]}, InsetBox[
          RowBox[{"-", "6"}], {1.846792065464532, 0.09952938862375627}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.484615182170224, 1.0484136330983498`}, {
           1.9994750809747468`, 0.5103548328361037}}, 0.03417627908635214]}, 
         InsetBox[
          RowBox[{"-", "5"}], {1.7420451315724854, 0.7793842329672267}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.484615182170224, 1.0484136330983498`}, {
           2.7250271065162046`, 0.8255413905573936}}, 0.03417627908635214]}, 
         InsetBox[
          RowBox[{"-", "6"}], {2.104821144343214, 0.9369775118278717}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.9994750809747468`, 0.5103548328361037}, {
           2.5244072507900563`, 0.}}, 0.03417627908635214]}, InsetBox[
          RowBox[{"-", "5"}], {2.2619411658824014, 0.25517741641805186}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.9994750809747468`, 0.5103548328361037}, {
           2.7250271065162046`, 0.8255413905573936}}, 0.03417627908635214]}, 
         InsetBox[
          RowBox[{"-", "4"}], {2.362251093745476, 0.6679481116967487}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{2.5244072507900563`, 0.}, {2.7250271065162046`, 
           0.8255413905573936}}, 0.03417627908635214]}, InsetBox[
          RowBox[{"-", "5"}], {2.6247171786531305, 0.4127706952786968}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{2.5244072507900563`, 0.}, {3.5676200023922227`, 
           0.24390223266087255`}}, 0.03417627908635214]}, InsetBox[
          RowBox[{"-", "4"}], {3.0460136265911393, 0.12195111633043627}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{2.7250271065162046`, 0.8255413905573936}, {
           3.5676200023922227`, 0.24390223266087255`}}, 0.03417627908635214]},
          InsetBox[
          RowBox[{"-", "5"}], {3.146323554454214, 0.5347218116091331}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {DiskBox[{0., 0.0021036085593235665}, 0.03417627908635214], 
         InsetBox["a", 
          Offset[{2, 2}, {0.03417627908635214, 0.036279887645675704}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.41182773285922813, 0.7705034532298884}, 
          0.03417627908635214], 
         InsetBox["b", 
          Offset[{2, 2}, {0.44600401194558026, 0.8046797323162406}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.1691768801390077, 0.19905877724751253}, 
          0.03417627908635214], 
         InsetBox["c", 
          Offset[{2, 2}, {1.20335315922536, 0.23323505633386465}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.484615182170224, 1.0484136330983498}, 
          0.03417627908635214], 
         InsetBox["d", 
          Offset[{2, 2}, {1.5187914612565763, 1.082589912184702}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.9994750809747468, 0.5103548328361037}, 
          0.03417627908635214], 
         InsetBox["e", 
          Offset[{2, 2}, {2.033651360061099, 0.5445311119224558}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.5244072507900563, 0.}, 0.03417627908635214], 
         InsetBox["h", 
          Offset[{2, 2}, {2.5585835298764086, 0.03417627908635214}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.7250271065162046, 0.8255413905573936}, 
          0.03417627908635214], 
         InsetBox["f", 
          Offset[{2, 2}, {2.759203385602557, 0.8597176696437457}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.5676200023922227, 0.24390223266087255}, 
          0.03417627908635214], 
         InsetBox["g", 
          Offset[{2, 2}, {3.601796281478575, 0.2780785117472247}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.8135225746441083`*^9, 3.813569863676571*^9, 
  3.8135766508690434`*^9, 3.8423401809666047`*^9},
 CellLabel->
  "Out[140]=",ExpressionUUID->"d1e64d76-841e-4357-a35d-a81308d09c12"],

Cell[CellGroupData[{

Cell[BoxData["\<\"Tabla de pesos del grafo\"\>"], "Print",
 CellChangeTimes->{3.813522574652087*^9, 3.8135698636825542`*^9, 
  3.813576650874031*^9, 3.842340180969886*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[140]:=",ExpressionUUID->"2f3939f2-9e95-4efa-a01a-8eae08cc795b"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      StyleBox["\[Null]",
       ShowStringCharacters->False], 
      TagBox[
       StyleBox["a",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["b",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["c",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["d",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["e",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["h",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["f",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["g",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm]},
     {
      TagBox[
       StyleBox["a",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", 
      RowBox[{"-", "3"}], 
      RowBox[{"-", "2"}], "0", "0", "0", "0", "0"},
     {
      TagBox[
       StyleBox["b",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      RowBox[{"-", "3"}], "0", 
      RowBox[{"-", "4"}], 
      RowBox[{"-", "2"}], "0", "0", "0", "0"},
     {
      TagBox[
       StyleBox["c",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      RowBox[{"-", "2"}], 
      RowBox[{"-", "4"}], "0", 
      RowBox[{"-", "3"}], 
      RowBox[{"-", "2"}], 
      RowBox[{"-", "6"}], "0", "0"},
     {
      TagBox[
       StyleBox["d",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", 
      RowBox[{"-", "2"}], 
      RowBox[{"-", "3"}], "0", 
      RowBox[{"-", "5"}], "0", 
      RowBox[{"-", "6"}], "0"},
     {
      TagBox[
       StyleBox["e",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", 
      RowBox[{"-", "2"}], 
      RowBox[{"-", "5"}], "0", 
      RowBox[{"-", "5"}], 
      RowBox[{"-", "4"}], "0"},
     {
      TagBox[
       StyleBox["h",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", 
      RowBox[{"-", "6"}], "0", 
      RowBox[{"-", "5"}], "0", 
      RowBox[{"-", "5"}], 
      RowBox[{"-", "4"}]},
     {
      TagBox[
       StyleBox["f",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", 
      RowBox[{"-", "6"}], 
      RowBox[{"-", "4"}], 
      RowBox[{"-", "5"}], "0", 
      RowBox[{"-", "5"}]},
     {
      TagBox[
       StyleBox["g",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "0", "0", 
      RowBox[{"-", "4"}], 
      RowBox[{"-", "5"}], "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
    GridBoxDividers->{
     "Columns" -> {False, True, {False}, False}, 
      "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$, TableHeadings -> {{
       Style[$CellContext`a, 
        GrayLevel[0]], 
       Style[$CellContext`b, 
        GrayLevel[0]], 
       Style[$CellContext`c, 
        GrayLevel[0]], 
       Style[$CellContext`d, 
        GrayLevel[0]], 
       Style[$CellContext`e, 
        GrayLevel[0]], 
       Style[$CellContext`h, 
        GrayLevel[0]], 
       Style[$CellContext`f, 
        GrayLevel[0]], 
       Style[$CellContext`g, 
        GrayLevel[0]]}, {
       Style[$CellContext`a, 
        GrayLevel[0]], 
       Style[$CellContext`b, 
        GrayLevel[0]], 
       Style[$CellContext`c, 
        GrayLevel[0]], 
       Style[$CellContext`d, 
        GrayLevel[0]], 
       Style[$CellContext`e, 
        GrayLevel[0]], 
       Style[$CellContext`h, 
        GrayLevel[0]], 
       Style[$CellContext`f, 
        GrayLevel[0]], 
       Style[$CellContext`g, 
        GrayLevel[0]]}}]]]], "Print",
 CellChangeTimes->{3.813522574652087*^9, 3.8135698636825542`*^9, 
  3.813576650874031*^9, 3.842340180969886*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[140]:=",ExpressionUUID->"22599e77-556d-4d13-a14d-3e65d9f7471b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Inicializaci\[OAcute]n: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "0", ",", 
       RowBox[{"{", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "\[Infinity]", ",", 
       RowBox[{"{", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "\[Infinity]", ",", 
       RowBox[{"{", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "\[Infinity]", ",", 
       RowBox[{"{", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "\[Infinity]", ",", 
       RowBox[{"{", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"h", ",", "\[Infinity]", ",", 
       RowBox[{"{", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "\[Infinity]", ",", 
       RowBox[{"{", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"g", ",", "\[Infinity]", ",", 
       RowBox[{"{", "}"}]}], "}"}]}], "}"}]}],
  SequenceForm[
  "Inicializaci\[OAcute]n: ", {{$CellContext`a, 0, {}}, {$CellContext`b, 
     DirectedInfinity[1], {}}, {$CellContext`c, 
     DirectedInfinity[1], {}}, {$CellContext`d, 
     DirectedInfinity[1], {}}, {$CellContext`e, 
     DirectedInfinity[1], {}}, {$CellContext`h, 
     DirectedInfinity[1], {}}, {$CellContext`f, 
     DirectedInfinity[1], {}}, {$CellContext`g, 
     DirectedInfinity[1], {}}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.813522574652087*^9, 3.8135698636825542`*^9, 
  3.813576650874031*^9, 3.8423401809865217`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[140]:=",ExpressionUUID->"fcbcfe22-5dd7-4325-9694-aace1c6005a9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se seleccion\[OAcute] el nodo: \"\>", "\[InvisibleSpace]", 
   "a"}],
  SequenceForm["Se seleccion\[OAcute] el nodo: ", $CellContext`a],
  Editable->False]], "Print",
 CellChangeTimes->{3.813522574652087*^9, 3.8135698636825542`*^9, 
  3.813576650874031*^9, 3.8423401809930296`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[140]:=",ExpressionUUID->"2c8e1acc-d78c-4a62-936b-d19babcfed9f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Lista actual de v\[EAcute]rtices: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"b", ",", "c", ",", "d", ",", "e", ",", "h", ",", "f", ",", "g"}],
     "}"}]}],
  SequenceForm[
  "Lista actual de v\[EAcute]rtices: ", {$CellContext`b, $CellContext`c, \
$CellContext`d, $CellContext`e, $CellContext`h, $CellContext`f, \
$CellContext`g}],
  Editable->False]], "Print",
 CellChangeTimes->{3.813522574652087*^9, 3.8135698636825542`*^9, 
  3.813576650874031*^9, 3.8423401809930296`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[140]:=",ExpressionUUID->"57c52c7d-9534-4f0c-98fb-9eae8e54e143"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Lista actual de marcas: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", 
       RowBox[{"-", "3"}], ",", 
       RowBox[{"{", "a", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", 
       RowBox[{"-", "2"}], ",", 
       RowBox[{"{", "a", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "\[Infinity]", ",", 
       RowBox[{"{", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "\[Infinity]", ",", 
       RowBox[{"{", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"h", ",", "\[Infinity]", ",", 
       RowBox[{"{", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "\[Infinity]", ",", 
       RowBox[{"{", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"g", ",", "\[Infinity]", ",", 
       RowBox[{"{", "}"}]}], "}"}]}], "}"}]}],
  SequenceForm[
  "Lista actual de marcas: ", {{$CellContext`b, -3, {$CellContext`a}}, \
{$CellContext`c, -2, {$CellContext`a}}, {$CellContext`d, 
     DirectedInfinity[1], {}}, {$CellContext`e, 
     DirectedInfinity[1], {}}, {$CellContext`h, 
     DirectedInfinity[1], {}}, {$CellContext`f, 
     DirectedInfinity[1], {}}, {$CellContext`g, 
     DirectedInfinity[1], {}}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.813522574652087*^9, 3.8135698636825542`*^9, 
  3.813576650874031*^9, 3.8423401809930296`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[140]:=",ExpressionUUID->"0c7bdb90-acc5-49d7-94de-8ba277fdb729"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se seleccion\[OAcute] el nodo: \"\>", "\[InvisibleSpace]", 
   "b"}],
  SequenceForm["Se seleccion\[OAcute] el nodo: ", $CellContext`b],
  Editable->False]], "Print",
 CellChangeTimes->{3.813522574652087*^9, 3.8135698636825542`*^9, 
  3.813576650874031*^9, 3.842340181003033*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[140]:=",ExpressionUUID->"fe0e2c66-b1b7-4547-8703-4224d73cb018"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Lista actual de v\[EAcute]rtices: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"c", ",", "d", ",", "e", ",", "h", ",", "f", ",", "g"}], "}"}]}],
  SequenceForm[
  "Lista actual de v\[EAcute]rtices: ", {$CellContext`c, $CellContext`d, \
$CellContext`e, $CellContext`h, $CellContext`f, $CellContext`g}],
  Editable->False]], "Print",
 CellChangeTimes->{3.813522574652087*^9, 3.8135698636825542`*^9, 
  3.813576650874031*^9, 3.842340181003033*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[140]:=",ExpressionUUID->"c83b9f7a-a2a0-405a-b5ca-6e82fc0f8ee4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Lista actual de marcas: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", 
       RowBox[{"-", "7"}], ",", 
       RowBox[{"{", "b", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", 
       RowBox[{"-", "5"}], ",", 
       RowBox[{"{", "b", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "\[Infinity]", ",", 
       RowBox[{"{", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"h", ",", "\[Infinity]", ",", 
       RowBox[{"{", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "\[Infinity]", ",", 
       RowBox[{"{", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"g", ",", "\[Infinity]", ",", 
       RowBox[{"{", "}"}]}], "}"}]}], "}"}]}],
  SequenceForm[
  "Lista actual de marcas: ", {{$CellContext`c, -7, {$CellContext`b}}, \
{$CellContext`d, -5, {$CellContext`b}}, {$CellContext`e, 
     DirectedInfinity[1], {}}, {$CellContext`h, 
     DirectedInfinity[1], {}}, {$CellContext`f, 
     DirectedInfinity[1], {}}, {$CellContext`g, 
     DirectedInfinity[1], {}}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.813522574652087*^9, 3.8135698636825542`*^9, 
  3.813576650874031*^9, 3.842340181003033*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[140]:=",ExpressionUUID->"fd490da6-1af6-4e2c-9063-ac87dd2a6494"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se seleccion\[OAcute] el nodo: \"\>", "\[InvisibleSpace]", 
   "c"}],
  SequenceForm["Se seleccion\[OAcute] el nodo: ", $CellContext`c],
  Editable->False]], "Print",
 CellChangeTimes->{3.813522574652087*^9, 3.8135698636825542`*^9, 
  3.813576650874031*^9, 3.842340181003033*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[140]:=",ExpressionUUID->"9392448b-98c3-4494-b53e-8a103968b421"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Lista actual de v\[EAcute]rtices: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"d", ",", "e", ",", "h", ",", "f", ",", "g"}], "}"}]}],
  SequenceForm[
  "Lista actual de v\[EAcute]rtices: ", {$CellContext`d, $CellContext`e, \
$CellContext`h, $CellContext`f, $CellContext`g}],
  Editable->False]], "Print",
 CellChangeTimes->{3.813522574652087*^9, 3.8135698636825542`*^9, 
  3.813576650874031*^9, 3.8423401810196676`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[140]:=",ExpressionUUID->"3b88d50a-c5ee-489e-9f7f-acb6aaecfd0b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Lista actual de marcas: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"d", ",", 
       RowBox[{"-", "10"}], ",", 
       RowBox[{"{", "c", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", 
       RowBox[{"-", "9"}], ",", 
       RowBox[{"{", "c", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"h", ",", 
       RowBox[{"-", "13"}], ",", 
       RowBox[{"{", "c", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "\[Infinity]", ",", 
       RowBox[{"{", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"g", ",", "\[Infinity]", ",", 
       RowBox[{"{", "}"}]}], "}"}]}], "}"}]}],
  SequenceForm[
  "Lista actual de marcas: ", {{$CellContext`d, -10, {$CellContext`c}}, \
{$CellContext`e, -9, {$CellContext`c}}, {$CellContext`h, -13, \
{$CellContext`c}}, {$CellContext`f, 
     DirectedInfinity[1], {}}, {$CellContext`g, 
     DirectedInfinity[1], {}}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.813522574652087*^9, 3.8135698636825542`*^9, 
  3.813576650874031*^9, 3.8423401810196676`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[140]:=",ExpressionUUID->"4829566c-70ed-428a-a074-021b80a5f842"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se seleccion\[OAcute] el nodo: \"\>", "\[InvisibleSpace]", 
   "h"}],
  SequenceForm["Se seleccion\[OAcute] el nodo: ", $CellContext`h],
  Editable->False]], "Print",
 CellChangeTimes->{3.813522574652087*^9, 3.8135698636825542`*^9, 
  3.813576650874031*^9, 3.8423401810196676`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[140]:=",ExpressionUUID->"4760de94-c620-4ac6-bd58-6fb4f13a81da"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Lista actual de v\[EAcute]rtices: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"d", ",", "e", ",", "f", ",", "g"}], "}"}]}],
  SequenceForm[
  "Lista actual de v\[EAcute]rtices: ", {$CellContext`d, $CellContext`e, \
$CellContext`f, $CellContext`g}],
  Editable->False]], "Print",
 CellChangeTimes->{3.813522574652087*^9, 3.8135698636825542`*^9, 
  3.813576650874031*^9, 3.8423401810196676`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[140]:=",ExpressionUUID->"661e3860-d0cf-480b-ab87-45503570b92e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Lista actual de marcas: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"d", ",", 
       RowBox[{"-", "10"}], ",", 
       RowBox[{"{", "c", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", 
       RowBox[{"-", "18"}], ",", 
       RowBox[{"{", "h", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", 
       RowBox[{"-", "18"}], ",", 
       RowBox[{"{", "h", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"g", ",", 
       RowBox[{"-", "17"}], ",", 
       RowBox[{"{", "h", "}"}]}], "}"}]}], "}"}]}],
  SequenceForm[
  "Lista actual de marcas: ", {{$CellContext`d, -10, {$CellContext`c}}, \
{$CellContext`e, -18, {$CellContext`h}}, {$CellContext`f, -18, \
{$CellContext`h}}, {$CellContext`g, -17, {$CellContext`h}}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.813522574652087*^9, 3.8135698636825542`*^9, 
  3.813576650874031*^9, 3.8423401810196676`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[140]:=",ExpressionUUID->"91eade89-7cea-4fa7-a580-c3cf4aef2c7f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se seleccion\[OAcute] el nodo: \"\>", "\[InvisibleSpace]", 
   "e"}],
  SequenceForm["Se seleccion\[OAcute] el nodo: ", $CellContext`e],
  Editable->False]], "Print",
 CellChangeTimes->{3.813522574652087*^9, 3.8135698636825542`*^9, 
  3.813576650874031*^9, 3.8423401810196676`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[140]:=",ExpressionUUID->"6b42afaf-ebf5-45f3-a46e-926cccb884cd"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Lista actual de v\[EAcute]rtices: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"d", ",", "f", ",", "g"}], "}"}]}],
  SequenceForm[
  "Lista actual de v\[EAcute]rtices: ", {$CellContext`d, $CellContext`f, \
$CellContext`g}],
  Editable->False]], "Print",
 CellChangeTimes->{3.813522574652087*^9, 3.8135698636825542`*^9, 
  3.813576650874031*^9, 3.842340181036307*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[140]:=",ExpressionUUID->"172799a1-6499-4e58-8425-73b1343e1162"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Lista actual de marcas: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"d", ",", 
       RowBox[{"-", "23"}], ",", 
       RowBox[{"{", "e", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", 
       RowBox[{"-", "22"}], ",", 
       RowBox[{"{", "e", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"g", ",", 
       RowBox[{"-", "17"}], ",", 
       RowBox[{"{", "h", "}"}]}], "}"}]}], "}"}]}],
  SequenceForm[
  "Lista actual de marcas: ", {{$CellContext`d, -23, {$CellContext`e}}, \
{$CellContext`f, -22, {$CellContext`e}}, {$CellContext`g, -17, \
{$CellContext`h}}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.813522574652087*^9, 3.8135698636825542`*^9, 
  3.813576650874031*^9, 3.842340181036307*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[140]:=",ExpressionUUID->"7708e3f1-70a2-4bff-8b4c-601df15d2096"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se seleccion\[OAcute] el nodo: \"\>", "\[InvisibleSpace]", 
   "d"}],
  SequenceForm["Se seleccion\[OAcute] el nodo: ", $CellContext`d],
  Editable->False]], "Print",
 CellChangeTimes->{3.813522574652087*^9, 3.8135698636825542`*^9, 
  3.813576650874031*^9, 3.842340181036307*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[140]:=",ExpressionUUID->"a1d7b974-5dd2-4ce4-9bfe-e9324f4cab7a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Lista actual de v\[EAcute]rtices: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"f", ",", "g"}], "}"}]}],
  SequenceForm[
  "Lista actual de v\[EAcute]rtices: ", {$CellContext`f, $CellContext`g}],
  Editable->False]], "Print",
 CellChangeTimes->{3.813522574652087*^9, 3.8135698636825542`*^9, 
  3.813576650874031*^9, 3.842340181036307*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[140]:=",ExpressionUUID->"902142ae-9694-4aaf-9f48-311784fcae04"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Lista actual de marcas: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"f", ",", 
       RowBox[{"-", "29"}], ",", 
       RowBox[{"{", "d", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"g", ",", 
       RowBox[{"-", "17"}], ",", 
       RowBox[{"{", "h", "}"}]}], "}"}]}], "}"}]}],
  SequenceForm[
  "Lista actual de marcas: ", {{$CellContext`f, -29, {$CellContext`d}}, \
{$CellContext`g, -17, {$CellContext`h}}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.813522574652087*^9, 3.8135698636825542`*^9, 
  3.813576650874031*^9, 3.842340181036307*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[140]:=",ExpressionUUID->"ea359842-9702-47ee-a44b-a09dbbf73902"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se seleccion\[OAcute] el nodo: \"\>", "\[InvisibleSpace]", 
   "f"}],
  SequenceForm["Se seleccion\[OAcute] el nodo: ", $CellContext`f],
  Editable->False]], "Print",
 CellChangeTimes->{3.813522574652087*^9, 3.8135698636825542`*^9, 
  3.813576650874031*^9, 3.842340181036307*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[140]:=",ExpressionUUID->"aab0284b-cdcc-439a-ada0-754d337c149b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Lista actual de v\[EAcute]rtices: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", "g", "}"}]}],
  SequenceForm["Lista actual de v\[EAcute]rtices: ", {$CellContext`g}],
  Editable->False]], "Print",
 CellChangeTimes->{3.813522574652087*^9, 3.8135698636825542`*^9, 
  3.813576650874031*^9, 3.8423401810529394`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[140]:=",ExpressionUUID->"5acbc3cf-08a3-475c-9a60-d24c498176f9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Lista actual de marcas: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"g", ",", 
      RowBox[{"-", "34"}], ",", 
      RowBox[{"{", "f", "}"}]}], "}"}], "}"}]}],
  SequenceForm[
  "Lista actual de marcas: ", {{$CellContext`g, -34, {$CellContext`f}}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.813522574652087*^9, 3.8135698636825542`*^9, 
  3.813576650874031*^9, 3.8423401810529394`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[140]:=",ExpressionUUID->"8538d43f-b743-42be-8b08-96d17807e569"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se seleccion\[OAcute] el nodo: \"\>", "\[InvisibleSpace]", 
   "g"}],
  SequenceForm["Se seleccion\[OAcute] el nodo: ", $CellContext`g],
  Editable->False]], "Print",
 CellChangeTimes->{3.813522574652087*^9, 3.8135698636825542`*^9, 
  3.813576650874031*^9, 3.8423401810529394`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[140]:=",ExpressionUUID->"3628a403-13de-4661-8f82-186fcb40e766"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"La longitud de un camino m\[AAcute]s corto es: \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"-", "34"}]}],
  SequenceForm["La longitud de un camino m\[AAcute]s corto es: ", -34],
  Editable->False]], "Print",
 CellChangeTimes->{3.813522574652087*^9, 3.8135698636825542`*^9, 
  3.813576650874031*^9, 3.8423401810529394`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[140]:=",ExpressionUUID->"e2b4c543-4f5f-42bd-b0f4-d48d6e56d141"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Lista actual de v\[EAcute]rtices: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", "}"}]}],
  SequenceForm["Lista actual de v\[EAcute]rtices: ", {}],
  Editable->False]], "Print",
 CellChangeTimes->{3.813522574652087*^9, 3.8135698636825542`*^9, 
  3.813576650874031*^9, 3.8423401810529394`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[140]:=",ExpressionUUID->"89f40ed4-17cd-4fcf-b833-5811cc419f89"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Lista actual de marcas: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", "}"}]}],
  SequenceForm["Lista actual de marcas: ", {}],
  Editable->False]], "Print",
 CellChangeTimes->{3.813522574652087*^9, 3.8135698636825542`*^9, 
  3.813576650874031*^9, 3.8423401810529394`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[140]:=",ExpressionUUID->"19e5d6b9-bc2d-443e-af10-1009d4c6d168"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteraciones: \"\>", "\[InvisibleSpace]", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"a", "b", "c", "d", "e", "h", "f", "g"},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "3"}], ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "2"}], ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "3"}], ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "7"}], ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "5"}], ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "3"}], ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "7"}], ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "10"}], ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "9"}], ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "13"}], ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "3"}], ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "7"}], ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "10"}], ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "18"}], ",", 
          RowBox[{"{", "h", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "13"}], ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "18"}], ",", 
          RowBox[{"{", "h", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "17"}], ",", 
          RowBox[{"{", "h", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "3"}], ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "7"}], ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "23"}], ",", 
          RowBox[{"{", "e", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "18"}], ",", 
          RowBox[{"{", "h", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "13"}], ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "22"}], ",", 
          RowBox[{"{", "e", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "17"}], ",", 
          RowBox[{"{", "h", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "3"}], ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "7"}], ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "23"}], ",", 
          RowBox[{"{", "e", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "18"}], ",", 
          RowBox[{"{", "h", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "13"}], ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "29"}], ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "17"}], ",", 
          RowBox[{"{", "h", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "3"}], ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "7"}], ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "23"}], ",", 
          RowBox[{"{", "e", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "18"}], ",", 
          RowBox[{"{", "h", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "13"}], ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "29"}], ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "34"}], ",", 
          RowBox[{"{", "f", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "3"}], ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "7"}], ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "23"}], ",", 
          RowBox[{"{", "e", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "18"}], ",", 
          RowBox[{"{", "h", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "13"}], ",", 
          RowBox[{"{", "c", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "29"}], ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "34"}], ",", 
          RowBox[{"{", "f", "}"}]}], "}"}]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}],
  SequenceForm["Iteraciones: ", 
   MatrixForm[{{$CellContext`a, $CellContext`b, $CellContext`c, \
$CellContext`d, $CellContext`e, $CellContext`h, $CellContext`f, \
$CellContext`g}, {{0, {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}}, {{
      0, {}}, {-3, {$CellContext`a}}, {-2, {$CellContext`a}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}}, {{
      0, {}}, {-3, {$CellContext`a}}, {-7, {$CellContext`b}}, {-5, \
{$CellContext`b}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}}, {{
      0, {}}, {-3, {$CellContext`a}}, {-7, {$CellContext`b}}, {-10, \
{$CellContext`c}}, {-9, {$CellContext`c}}, {-13, {$CellContext`c}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}}, {{
      0, {}}, {-3, {$CellContext`a}}, {-7, {$CellContext`b}}, {-10, \
{$CellContext`c}}, {-18, {$CellContext`h}}, {-13, {$CellContext`c}}, {-18, \
{$CellContext`h}}, {-17, {$CellContext`h}}}, {{
      0, {}}, {-3, {$CellContext`a}}, {-7, {$CellContext`b}}, {-23, \
{$CellContext`e}}, {-18, {$CellContext`h}}, {-13, {$CellContext`c}}, {-22, \
{$CellContext`e}}, {-17, {$CellContext`h}}}, {{
      0, {}}, {-3, {$CellContext`a}}, {-7, {$CellContext`b}}, {-23, \
{$CellContext`e}}, {-18, {$CellContext`h}}, {-13, {$CellContext`c}}, {-29, \
{$CellContext`d}}, {-17, {$CellContext`h}}}, {{
      0, {}}, {-3, {$CellContext`a}}, {-7, {$CellContext`b}}, {-23, \
{$CellContext`e}}, {-18, {$CellContext`h}}, {-13, {$CellContext`c}}, {-29, \
{$CellContext`d}}, {-34, {$CellContext`f}}}, {{
      0, {}}, {-3, {$CellContext`a}}, {-7, {$CellContext`b}}, {-23, \
{$CellContext`e}}, {-18, {$CellContext`h}}, {-13, {$CellContext`c}}, {-29, \
{$CellContext`d}}, {-34, {$CellContext`f}}}}]],
  Editable->False]], "Print",
 CellChangeTimes->{3.813522574652087*^9, 3.8135698636825542`*^9, 
  3.813576650874031*^9, 3.8423401810695724`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[140]:=",ExpressionUUID->"fadbe6e6-10ef-4225-b3b6-f4bdf5f4d27a"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"grafo4Aux", "=", 
  RowBox[{"Grafo", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"a", ",", "d"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "g"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "h"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "i"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "g"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "i"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"c", ",", "d"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"c", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "g"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"e", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"e", ",", "i"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "i"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"g", ",", "h"}], "}"}]}], "}"}], ",", 
    RowBox[{"pesos", "\[Rule]", 
     RowBox[{
      RowBox[{"-", "1"}], 
      RowBox[{"{", 
       RowBox[{
       "1", ",", "3", ",", "1", ",", "3", ",", "5", ",", "3", ",", "5", ",", 
        "4", ",", "2", ",", "3", ",", "5", ",", "5", ",", "5", ",", "7", ",", 
        "5", ",", "3", ",", "2", ",", "1"}], "}"}]}]}], ",", 
    RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"AlDijkstra", "[", 
  RowBox[{"grafo4Aux", ",", "b", ",", "f", ",", 
   RowBox[{"all", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8134913744476824`*^9, 3.813491374988544*^9}, {
  3.813491414454422*^9, 3.813491528889803*^9}, {3.8134915682648616`*^9, 
  3.813491765618928*^9}, {3.8134918441492424`*^9, 3.813491938919714*^9}, {
  3.8135225260498495`*^9, 3.81352264815868*^9}, {3.8135698715664206`*^9, 
  3.813569874334764*^9}},
 CellLabel->
  "In[142]:=",ExpressionUUID->"f0337c0a-cbfd-4933-8ff0-b250f14f9ce2"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`d, $CellContext`e, $CellContext`f, \
$CellContext`g, $CellContext`h, $CellContext`i, $CellContext`b, \
$CellContext`c}, {
      Null, {{1, 2}, {1, 3}, {1, 4}, {1, 5}, {1, 6}, {1, 7}, {8, 3}, {8, 4}, {
       8, 5}, {8, 7}, {9, 2}, {9, 3}, {2, 3}, {2, 5}, {3, 4}, {3, 7}, {4, 
       7}, {5, 6}}}, {
      EdgeLabels -> {
        UndirectedEdge[$CellContext`a, $CellContext`h] -> -5, 
         UndirectedEdge[$CellContext`a, $CellContext`e] -> -3, 
         UndirectedEdge[$CellContext`b, $CellContext`g] -> -2, 
         UndirectedEdge[$CellContext`b, $CellContext`e] -> -5, 
         UndirectedEdge[$CellContext`e, $CellContext`i] -> -3, 
         UndirectedEdge[$CellContext`c, $CellContext`d] -> -5, 
         UndirectedEdge[$CellContext`g, $CellContext`h] -> -1, 
         UndirectedEdge[$CellContext`b, $CellContext`i] -> -3, 
         UndirectedEdge[$CellContext`a, $CellContext`f] -> -1, 
         UndirectedEdge[$CellContext`c, $CellContext`e] -> -5, 
         UndirectedEdge[$CellContext`f, $CellContext`i] -> -2, 
         UndirectedEdge[$CellContext`d, $CellContext`e] -> -5, 
         UndirectedEdge[$CellContext`b, $CellContext`f] -> -4, 
         UndirectedEdge[$CellContext`e, $CellContext`f] -> -5, 
         UndirectedEdge[$CellContext`d, $CellContext`g] -> -7, 
         UndirectedEdge[$CellContext`a, $CellContext`i] -> -3, 
         UndirectedEdge[$CellContext`a, $CellContext`d] -> -1, 
         UndirectedEdge[$CellContext`a, $CellContext`g] -> -3}, 
       EdgeWeight -> {-1, -3, -1, -3, -5, -3, -5, -4, -2, -3, -5, -5, -5, -7, \
-5, -3, -2, -1}, ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], {
         {Arrowheads[0.], 
          ArrowBox[{{1.2701737271574993`, 1.084531753286813}, {
           1.845854954933925, 1.932340300502148}}, 0.0291825193009866]}, 
         InsetBox[
          RowBox[{"-", "1"}], {1.5580143410457121, 1.5084360268944805}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.2701737271574993`, 1.084531753286813}, {
           2.1365255033526562`, 1.0248990121380108`}}, 0.0291825193009866]}, 
         InsetBox[
          RowBox[{"-", "3"}], {1.7033496152550778, 1.0547153827124118}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.2701737271574993`, 1.084531753286813}, {
           2.1066285197057857`, 0.2677137971395054}}, 0.0291825193009866]}, 
         InsetBox[
          RowBox[{"-", "1"}], {1.6884011234316425, 0.6761227752131592}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.2701737271574993`, 1.084531753286813}, {
           0.7943596318496063, 1.6150244546176449`}}, 0.0291825193009866]}, 
         InsetBox[
          RowBox[{"-", "3"}], {1.0322666795035529, 1.349778103952229}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.2701737271574993`, 1.084531753286813}, {0., 
           1.5113906309049079`}}, 0.0291825193009866]}, InsetBox[
          RowBox[{"-", "5"}], {0.6350868635787497, 1.2979611920958605}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.2701737271574993`, 1.084531753286813}, {
           1.6212710629050118`, 0.}}, 0.0291825193009866]}, InsetBox[
          RowBox[{"-", "3"}], {1.4457223950312557, 0.5422658766434065}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.845854954933925, 1.932340300502148}, {
           2.1365255033526562`, 1.0248990121380108`}}, 0.0291825193009866]}, 
         InsetBox[
          RowBox[{"-", "5"}], {1.9911902291432906, 1.4786196563200793}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.845854954933925, 1.932340300502148}, {
           0.7943596318496063, 1.6150244546176449`}}, 0.0291825193009866]}, 
         InsetBox[
          RowBox[{"-", "7"}], {1.3201072933917657, 1.7736823775598964}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.845854954933925, 1.932340300502148}, {
           2.853895913311592, 1.990564995767428}}, 0.0291825193009866]}, 
         InsetBox[
          RowBox[{"-", "5"}], {2.3498754341227586, 1.961452648134788}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{2.1365255033526562`, 1.0248990121380108`}, {
           2.1066285197057857`, 0.2677137971395054}}, 0.0291825193009866]}, 
         InsetBox[
          RowBox[{"-", "5"}], {2.121577011529221, 0.6463064046387581}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{2.1365255033526562`, 1.0248990121380108`}, {
           1.6212710629050118`, 0.}}, 0.0291825193009866]}, InsetBox[
          RowBox[{"-", "3"}], {1.8788982831288341, 0.5124495060690054}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{2.1365255033526562`, 1.0248990121380108`}, {
           1.2238854545501887`, 0.48474377179274586`}}, 0.0291825193009866]}, 
         InsetBox[
          RowBox[{"-", "5"}], {1.6802054789514225, 0.7548213919653783}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{2.1365255033526562`, 1.0248990121380108`}, {
           2.853895913311592, 1.990564995767428}}, 0.0291825193009866]}, 
         InsetBox[
          RowBox[{"-", "5"}], {2.495210708332124, 1.5077320039527193}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{2.1066285197057857`, 0.2677137971395054}, {
           1.6212710629050118`, 0.}}, 0.0291825193009866]}, InsetBox[
          RowBox[{"-", "2"}], {1.8639497913053988, 0.1338568985697527}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{2.1066285197057857`, 0.2677137971395054}, {
           1.2238854545501887`, 0.48474377179274586`}}, 0.0291825193009866]}, 
         InsetBox[
          RowBox[{"-", "4"}], {1.6652569871279872, 0.3762287844661256}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.7943596318496063, 1.6150244546176449`}, {0., 
           1.5113906309049079`}}, 0.0291825193009866]}, InsetBox[
          RowBox[{"-", "1"}], {0.39717981592480317, 1.5632075427612764}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0.7943596318496063, 1.6150244546176449`}, {
           1.2238854545501887`, 0.48474377179274586`}}, 0.0291825193009866]}, 
         InsetBox[
          RowBox[{"-", "2"}], {1.0091225431998976, 1.0498841132051955}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.6212710629050118`, 0.}, {1.2238854545501887`, 
           0.48474377179274586`}}, 0.0291825193009866]}, InsetBox[
          RowBox[{"-", "3"}], {1.4225782587276004, 0.24237188589637293}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{1.2701737271574993, 1.084531753286813}, 0.0291825193009866],
          InsetBox["a", 
          Offset[{2, 2}, {1.299356246458486, 1.1137142725877998}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.845854954933925, 1.932340300502148}, 0.0291825193009866], 
         InsetBox["d", 
          Offset[{2, 2}, {1.8750374742349116, 1.9615228198031347}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.1365255033526562, 1.0248990121380108}, 
          0.0291825193009866], 
         InsetBox["e", 
          Offset[{2, 2}, {2.165708022653643, 1.0540815314389975}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.1066285197057857, 0.2677137971395054}, 
          0.0291825193009866], 
         InsetBox["f", 
          Offset[{2, 2}, {2.1358110390067724, 0.29689631644049197}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.7943596318496063, 1.6150244546176449}, 
          0.0291825193009866], 
         InsetBox["g", 
          Offset[{2, 2}, {0.8235421511505929, 1.6442069739186316}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 1.5113906309049079}, 0.0291825193009866], 
         InsetBox["h", 
          Offset[{2, 2}, {0.0291825193009866, 1.5405731502058946}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.6212710629050118, 0.}, 0.0291825193009866], 
         InsetBox["i", 
          Offset[{2, 2}, {1.6504535822059985, 0.0291825193009866}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.2238854545501887, 0.48474377179274586}, 
          0.0291825193009866], 
         InsetBox["b", 
          Offset[{2, 2}, {1.2530679738511754, 0.5139262910937324}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.853895913311592, 1.990564995767428}, 0.0291825193009866], 
         InsetBox["c", 
          Offset[{2, 2}, {2.883078432612579, 2.0197475150684148}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{{3.8135225795054264`*^9, 3.8135226484488688`*^9}, 
   3.813569875205337*^9, 3.8135766552711143`*^9, 3.842340186753046*^9},
 CellLabel->
  "Out[142]=",ExpressionUUID->"59b1fc2a-0d77-4177-8125-98ea76a6738d"],

Cell[CellGroupData[{

Cell[BoxData["\<\"Tabla de pesos del grafo\"\>"], "Print",
 CellChangeTimes->{{3.8135225795132523`*^9, 3.813522648456848*^9}, 
   3.8135698752123175`*^9, 3.8135766552797875`*^9, 3.842340186769676*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[142]:=",ExpressionUUID->"4fbd3e90-530b-41fc-ba6a-cde218ae84d1"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      StyleBox["\[Null]",
       ShowStringCharacters->False], 
      TagBox[
       StyleBox["a",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["d",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["e",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["f",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["g",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["h",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["i",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["b",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["c",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm]},
     {
      TagBox[
       StyleBox["a",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "3"}], 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "3"}], 
      RowBox[{"-", "5"}], 
      RowBox[{"-", "3"}], "0", "0"},
     {
      TagBox[
       StyleBox["d",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      RowBox[{"-", "1"}], "0", 
      RowBox[{"-", "5"}], "0", 
      RowBox[{"-", "7"}], "0", "0", "0", 
      RowBox[{"-", "5"}]},
     {
      TagBox[
       StyleBox["e",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      RowBox[{"-", "3"}], 
      RowBox[{"-", "5"}], "0", 
      RowBox[{"-", "5"}], "0", "0", 
      RowBox[{"-", "3"}], 
      RowBox[{"-", "5"}], 
      RowBox[{"-", "5"}]},
     {
      TagBox[
       StyleBox["f",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      RowBox[{"-", "1"}], "0", 
      RowBox[{"-", "5"}], "0", "0", "0", 
      RowBox[{"-", "2"}], 
      RowBox[{"-", "4"}], "0"},
     {
      TagBox[
       StyleBox["g",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      RowBox[{"-", "3"}], 
      RowBox[{"-", "7"}], "0", "0", "0", 
      RowBox[{"-", "1"}], "0", 
      RowBox[{"-", "2"}], "0"},
     {
      TagBox[
       StyleBox["h",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      RowBox[{"-", "5"}], "0", "0", "0", 
      RowBox[{"-", "1"}], "0", "0", "0", "0"},
     {
      TagBox[
       StyleBox["i",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      RowBox[{"-", "3"}], "0", 
      RowBox[{"-", "3"}], 
      RowBox[{"-", "2"}], "0", "0", "0", 
      RowBox[{"-", "3"}], "0"},
     {
      TagBox[
       StyleBox["b",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", 
      RowBox[{"-", "5"}], 
      RowBox[{"-", "4"}], 
      RowBox[{"-", "2"}], "0", 
      RowBox[{"-", "3"}], "0", "0"},
     {
      TagBox[
       StyleBox["c",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", 
      RowBox[{"-", "5"}], 
      RowBox[{"-", "5"}], "0", "0", "0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
    GridBoxDividers->{
     "Columns" -> {False, True, {False}, False}, 
      "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$, TableHeadings -> {{
       Style[$CellContext`a, 
        GrayLevel[0]], 
       Style[$CellContext`d, 
        GrayLevel[0]], 
       Style[$CellContext`e, 
        GrayLevel[0]], 
       Style[$CellContext`f, 
        GrayLevel[0]], 
       Style[$CellContext`g, 
        GrayLevel[0]], 
       Style[$CellContext`h, 
        GrayLevel[0]], 
       Style[$CellContext`i, 
        GrayLevel[0]], 
       Style[$CellContext`b, 
        GrayLevel[0]], 
       Style[$CellContext`c, 
        GrayLevel[0]]}, {
       Style[$CellContext`a, 
        GrayLevel[0]], 
       Style[$CellContext`d, 
        GrayLevel[0]], 
       Style[$CellContext`e, 
        GrayLevel[0]], 
       Style[$CellContext`f, 
        GrayLevel[0]], 
       Style[$CellContext`g, 
        GrayLevel[0]], 
       Style[$CellContext`h, 
        GrayLevel[0]], 
       Style[$CellContext`i, 
        GrayLevel[0]], 
       Style[$CellContext`b, 
        GrayLevel[0]], 
       Style[$CellContext`c, 
        GrayLevel[0]]}}]]]], "Print",
 CellChangeTimes->{{3.8135225795132523`*^9, 3.813522648456848*^9}, 
   3.8135698752123175`*^9, 3.8135766552797875`*^9, 3.8423401867863073`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[142]:=",ExpressionUUID->"ff68b588-cf25-4872-af78-fe308e6a3102"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Inicializaci\[OAcute]n: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "\[Infinity]", ",", 
       RowBox[{"{", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "\[Infinity]", ",", 
       RowBox[{"{", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "\[Infinity]", ",", 
       RowBox[{"{", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "\[Infinity]", ",", 
       RowBox[{"{", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"g", ",", "\[Infinity]", ",", 
       RowBox[{"{", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"h", ",", "\[Infinity]", ",", 
       RowBox[{"{", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "\[Infinity]", ",", 
       RowBox[{"{", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "0", ",", 
       RowBox[{"{", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "\[Infinity]", ",", 
       RowBox[{"{", "}"}]}], "}"}]}], "}"}]}],
  SequenceForm["Inicializaci\[OAcute]n: ", {{$CellContext`a, 
     DirectedInfinity[1], {}}, {$CellContext`d, 
     DirectedInfinity[1], {}}, {$CellContext`e, 
     DirectedInfinity[1], {}}, {$CellContext`f, 
     DirectedInfinity[1], {}}, {$CellContext`g, 
     DirectedInfinity[1], {}}, {$CellContext`h, 
     DirectedInfinity[1], {}}, {$CellContext`i, 
     DirectedInfinity[1], {}}, {$CellContext`b, 0, {}}, {$CellContext`c, 
     DirectedInfinity[1], {}}}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135225795132523`*^9, 3.813522648456848*^9}, 
   3.8135698752123175`*^9, 3.8135766552797875`*^9, 3.8423401867863073`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[142]:=",ExpressionUUID->"d11a31ca-6263-4490-b44c-bdf54a3f19e8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se seleccion\[OAcute] el nodo: \"\>", "\[InvisibleSpace]", 
   "b"}],
  SequenceForm["Se seleccion\[OAcute] el nodo: ", $CellContext`b],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135225795132523`*^9, 3.813522648456848*^9}, 
   3.8135698752123175`*^9, 3.8135766552797875`*^9, 3.8423401867863073`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[142]:=",ExpressionUUID->"180790f5-dd85-4178-aaff-79d5e45f26d9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Lista actual de v\[EAcute]rtices: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "a", ",", "d", ",", "e", ",", "f", ",", "g", ",", "h", ",", "i", ",", 
     "c"}], "}"}]}],
  SequenceForm[
  "Lista actual de v\[EAcute]rtices: ", {$CellContext`a, $CellContext`d, \
$CellContext`e, $CellContext`f, $CellContext`g, $CellContext`h, \
$CellContext`i, $CellContext`c}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135225795132523`*^9, 3.813522648456848*^9}, 
   3.8135698752123175`*^9, 3.8135766552797875`*^9, 3.8423401867863073`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[142]:=",ExpressionUUID->"14778b52-673f-424a-9270-314c5c35e12c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Lista actual de marcas: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "\[Infinity]", ",", 
       RowBox[{"{", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "\[Infinity]", ",", 
       RowBox[{"{", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", 
       RowBox[{"-", "5"}], ",", 
       RowBox[{"{", "b", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", 
       RowBox[{"-", "4"}], ",", 
       RowBox[{"{", "b", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"g", ",", 
       RowBox[{"-", "2"}], ",", 
       RowBox[{"{", "b", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"h", ",", "\[Infinity]", ",", 
       RowBox[{"{", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"-", "3"}], ",", 
       RowBox[{"{", "b", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "\[Infinity]", ",", 
       RowBox[{"{", "}"}]}], "}"}]}], "}"}]}],
  SequenceForm["Lista actual de marcas: ", {{$CellContext`a, 
     DirectedInfinity[1], {}}, {$CellContext`d, 
     DirectedInfinity[
     1], {}}, {$CellContext`e, -5, {$CellContext`b}}, {$CellContext`f, -4, \
{$CellContext`b}}, {$CellContext`g, -2, {$CellContext`b}}, {$CellContext`h, 
     DirectedInfinity[
     1], {}}, {$CellContext`i, -3, {$CellContext`b}}, {$CellContext`c, 
     DirectedInfinity[1], {}}}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135225795132523`*^9, 3.813522648456848*^9}, 
   3.8135698752123175`*^9, 3.8135766552797875`*^9, 3.84234018680295*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[142]:=",ExpressionUUID->"eee856e5-ec63-4242-bb11-4e57e3cc29b9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se seleccion\[OAcute] el nodo: \"\>", "\[InvisibleSpace]", 
   "e"}],
  SequenceForm["Se seleccion\[OAcute] el nodo: ", $CellContext`e],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135225795132523`*^9, 3.813522648456848*^9}, 
   3.8135698752123175`*^9, 3.8135766552797875`*^9, 3.84234018680295*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[142]:=",ExpressionUUID->"ebc4f212-7cd2-4fe7-8538-6d74b77dd84f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Lista actual de v\[EAcute]rtices: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"a", ",", "d", ",", "f", ",", "g", ",", "h", ",", "i", ",", "c"}],
     "}"}]}],
  SequenceForm[
  "Lista actual de v\[EAcute]rtices: ", {$CellContext`a, $CellContext`d, \
$CellContext`f, $CellContext`g, $CellContext`h, $CellContext`i, \
$CellContext`c}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135225795132523`*^9, 3.813522648456848*^9}, 
   3.8135698752123175`*^9, 3.8135766552797875`*^9, 3.84234018680295*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[142]:=",ExpressionUUID->"7fea6bbf-e6fc-4d1e-b688-4f5ff2f33caf"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Lista actual de marcas: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", 
       RowBox[{"-", "8"}], ",", 
       RowBox[{"{", "e", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", 
       RowBox[{"-", "10"}], ",", 
       RowBox[{"{", "e", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", 
       RowBox[{"-", "10"}], ",", 
       RowBox[{"{", "e", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"g", ",", 
       RowBox[{"-", "2"}], ",", 
       RowBox[{"{", "b", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"h", ",", "\[Infinity]", ",", 
       RowBox[{"{", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"-", "8"}], ",", 
       RowBox[{"{", "e", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", 
       RowBox[{"-", "10"}], ",", 
       RowBox[{"{", "e", "}"}]}], "}"}]}], "}"}]}],
  SequenceForm[
  "Lista actual de marcas: ", {{$CellContext`a, -8, {$CellContext`e}}, \
{$CellContext`d, -10, {$CellContext`e}}, {$CellContext`f, -10, \
{$CellContext`e}}, {$CellContext`g, -2, {$CellContext`b}}, {$CellContext`h, 
     DirectedInfinity[
     1], {}}, {$CellContext`i, -8, {$CellContext`e}}, {$CellContext`c, -10, \
{$CellContext`e}}}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135225795132523`*^9, 3.813522648456848*^9}, 
   3.8135698752123175`*^9, 3.8135766552797875`*^9, 3.842340186816958*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[142]:=",ExpressionUUID->"c0f796ff-86dd-47d0-b0ac-72e5c954220f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se seleccion\[OAcute] el nodo: \"\>", "\[InvisibleSpace]", 
   "d"}],
  SequenceForm["Se seleccion\[OAcute] el nodo: ", $CellContext`d],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135225795132523`*^9, 3.813522648456848*^9}, 
   3.8135698752123175`*^9, 3.8135766552797875`*^9, 3.8423401868199635`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[142]:=",ExpressionUUID->"a3348b1a-564b-4ae1-9560-ffdf0f9e4e40"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Lista actual de v\[EAcute]rtices: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"a", ",", "f", ",", "g", ",", "h", ",", "i", ",", "c"}], "}"}]}],
  SequenceForm[
  "Lista actual de v\[EAcute]rtices: ", {$CellContext`a, $CellContext`f, \
$CellContext`g, $CellContext`h, $CellContext`i, $CellContext`c}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135225795132523`*^9, 3.813522648456848*^9}, 
   3.8135698752123175`*^9, 3.8135766552797875`*^9, 3.8423401868199635`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[142]:=",ExpressionUUID->"57fc02d5-58c1-4129-8470-ff7bbb7f58b3"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Lista actual de marcas: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", 
       RowBox[{"-", "11"}], ",", 
       RowBox[{"{", "d", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", 
       RowBox[{"-", "10"}], ",", 
       RowBox[{"{", "e", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"g", ",", 
       RowBox[{"-", "17"}], ",", 
       RowBox[{"{", "d", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"h", ",", "\[Infinity]", ",", 
       RowBox[{"{", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"-", "8"}], ",", 
       RowBox[{"{", "e", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", 
       RowBox[{"-", "15"}], ",", 
       RowBox[{"{", "d", "}"}]}], "}"}]}], "}"}]}],
  SequenceForm[
  "Lista actual de marcas: ", {{$CellContext`a, -11, {$CellContext`d}}, \
{$CellContext`f, -10, {$CellContext`e}}, {$CellContext`g, -17, \
{$CellContext`d}}, {$CellContext`h, 
     DirectedInfinity[
     1], {}}, {$CellContext`i, -8, {$CellContext`e}}, {$CellContext`c, -15, \
{$CellContext`d}}}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135225795132523`*^9, 3.813522648456848*^9}, 
   3.8135698752123175`*^9, 3.8135766552797875`*^9, 3.8423401868199635`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[142]:=",ExpressionUUID->"5e6ecde0-4269-4f6b-a33c-789888258e2e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se seleccion\[OAcute] el nodo: \"\>", "\[InvisibleSpace]", 
   "g"}],
  SequenceForm["Se seleccion\[OAcute] el nodo: ", $CellContext`g],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135225795132523`*^9, 3.813522648456848*^9}, 
   3.8135698752123175`*^9, 3.8135766552797875`*^9, 3.8423401868199635`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[142]:=",ExpressionUUID->"8b45a731-9888-455c-896b-3e03bbe3c1b4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Lista actual de v\[EAcute]rtices: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"a", ",", "f", ",", "h", ",", "i", ",", "c"}], "}"}]}],
  SequenceForm[
  "Lista actual de v\[EAcute]rtices: ", {$CellContext`a, $CellContext`f, \
$CellContext`h, $CellContext`i, $CellContext`c}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135225795132523`*^9, 3.813522648456848*^9}, 
   3.8135698752123175`*^9, 3.8135766552797875`*^9, 3.8423401868199635`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[142]:=",ExpressionUUID->"64c424e0-a0ef-4deb-8d6c-f6f5e45902dd"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Lista actual de marcas: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", 
       RowBox[{"-", "20"}], ",", 
       RowBox[{"{", "g", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", 
       RowBox[{"-", "10"}], ",", 
       RowBox[{"{", "e", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"h", ",", 
       RowBox[{"-", "18"}], ",", 
       RowBox[{"{", "g", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"-", "8"}], ",", 
       RowBox[{"{", "e", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", 
       RowBox[{"-", "15"}], ",", 
       RowBox[{"{", "d", "}"}]}], "}"}]}], "}"}]}],
  SequenceForm[
  "Lista actual de marcas: ", {{$CellContext`a, -20, {$CellContext`g}}, \
{$CellContext`f, -10, {$CellContext`e}}, {$CellContext`h, -18, \
{$CellContext`g}}, {$CellContext`i, -8, {$CellContext`e}}, {$CellContext`c, \
-15, {$CellContext`d}}}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135225795132523`*^9, 3.813522648456848*^9}, 
   3.8135698752123175`*^9, 3.8135766552797875`*^9, 3.842340186836593*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[142]:=",ExpressionUUID->"f165a582-4945-489a-89ed-d19290f4c257"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se seleccion\[OAcute] el nodo: \"\>", "\[InvisibleSpace]", 
   "a"}],
  SequenceForm["Se seleccion\[OAcute] el nodo: ", $CellContext`a],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135225795132523`*^9, 3.813522648456848*^9}, 
   3.8135698752123175`*^9, 3.8135766552797875`*^9, 3.842340186836593*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[142]:=",ExpressionUUID->"e7ffc91c-b178-401d-a4d6-59e142bac779"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Lista actual de v\[EAcute]rtices: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"f", ",", "h", ",", "i", ",", "c"}], "}"}]}],
  SequenceForm[
  "Lista actual de v\[EAcute]rtices: ", {$CellContext`f, $CellContext`h, \
$CellContext`i, $CellContext`c}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135225795132523`*^9, 3.813522648456848*^9}, 
   3.8135698752123175`*^9, 3.8135766552797875`*^9, 3.842340186836593*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[142]:=",ExpressionUUID->"674789fe-562d-43eb-a79b-71e014422511"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Lista actual de marcas: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"f", ",", 
       RowBox[{"-", "21"}], ",", 
       RowBox[{"{", "a", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"h", ",", 
       RowBox[{"-", "25"}], ",", 
       RowBox[{"{", "a", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"-", "23"}], ",", 
       RowBox[{"{", "a", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", 
       RowBox[{"-", "15"}], ",", 
       RowBox[{"{", "d", "}"}]}], "}"}]}], "}"}]}],
  SequenceForm[
  "Lista actual de marcas: ", {{$CellContext`f, -21, {$CellContext`a}}, \
{$CellContext`h, -25, {$CellContext`a}}, {$CellContext`i, -23, \
{$CellContext`a}}, {$CellContext`c, -15, {$CellContext`d}}}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135225795132523`*^9, 3.813522648456848*^9}, 
   3.8135698752123175`*^9, 3.8135766552797875`*^9, 3.842340186836593*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[142]:=",ExpressionUUID->"db28ad2f-4af2-484e-b7bc-87599c6f1c7d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se seleccion\[OAcute] el nodo: \"\>", "\[InvisibleSpace]", 
   "h"}],
  SequenceForm["Se seleccion\[OAcute] el nodo: ", $CellContext`h],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135225795132523`*^9, 3.813522648456848*^9}, 
   3.8135698752123175`*^9, 3.8135766552797875`*^9, 3.842340186836593*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[142]:=",ExpressionUUID->"d67ac871-859b-4b43-99be-101287b61908"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Lista actual de v\[EAcute]rtices: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"f", ",", "i", ",", "c"}], "}"}]}],
  SequenceForm[
  "Lista actual de v\[EAcute]rtices: ", {$CellContext`f, $CellContext`i, \
$CellContext`c}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135225795132523`*^9, 3.813522648456848*^9}, 
   3.8135698752123175`*^9, 3.8135766552797875`*^9, 3.8423401868522177`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[142]:=",ExpressionUUID->"94d7ca96-e6e1-4290-ab5a-bcb43363301b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Lista actual de marcas: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"f", ",", 
       RowBox[{"-", "21"}], ",", 
       RowBox[{"{", "a", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"-", "23"}], ",", 
       RowBox[{"{", "a", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", 
       RowBox[{"-", "15"}], ",", 
       RowBox[{"{", "d", "}"}]}], "}"}]}], "}"}]}],
  SequenceForm[
  "Lista actual de marcas: ", {{$CellContext`f, -21, {$CellContext`a}}, \
{$CellContext`i, -23, {$CellContext`a}}, {$CellContext`c, -15, \
{$CellContext`d}}}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135225795132523`*^9, 3.813522648456848*^9}, 
   3.8135698752123175`*^9, 3.8135766552797875`*^9, 3.842340186853225*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[142]:=",ExpressionUUID->"a0eb464e-95bd-42cf-a82d-5beefcea231e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se seleccion\[OAcute] el nodo: \"\>", "\[InvisibleSpace]", 
   "i"}],
  SequenceForm["Se seleccion\[OAcute] el nodo: ", $CellContext`i],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135225795132523`*^9, 3.813522648456848*^9}, 
   3.8135698752123175`*^9, 3.8135766552797875`*^9, 3.842340186853225*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[142]:=",ExpressionUUID->"df3cc83d-3db1-47e2-942f-6fab82bc1cf9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Lista actual de v\[EAcute]rtices: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"f", ",", "c"}], "}"}]}],
  SequenceForm[
  "Lista actual de v\[EAcute]rtices: ", {$CellContext`f, $CellContext`c}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135225795132523`*^9, 3.813522648456848*^9}, 
   3.8135698752123175`*^9, 3.8135766552797875`*^9, 3.842340186853225*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[142]:=",ExpressionUUID->"e91356c7-941d-434a-bbdb-22d794e2aa1a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Lista actual de marcas: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"f", ",", 
       RowBox[{"-", "25"}], ",", 
       RowBox[{"{", "i", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", 
       RowBox[{"-", "15"}], ",", 
       RowBox[{"{", "d", "}"}]}], "}"}]}], "}"}]}],
  SequenceForm[
  "Lista actual de marcas: ", {{$CellContext`f, -25, {$CellContext`i}}, \
{$CellContext`c, -15, {$CellContext`d}}}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135225795132523`*^9, 3.813522648456848*^9}, 
   3.8135698752123175`*^9, 3.8135766552797875`*^9, 3.842340186853225*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[142]:=",ExpressionUUID->"2fb35be9-e897-4237-a3f2-c8819c99d66d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se seleccion\[OAcute] el nodo: \"\>", "\[InvisibleSpace]", 
   "f"}],
  SequenceForm["Se seleccion\[OAcute] el nodo: ", $CellContext`f],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135225795132523`*^9, 3.813522648456848*^9}, 
   3.8135698752123175`*^9, 3.8135766552797875`*^9, 3.842340186853225*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[142]:=",ExpressionUUID->"1dcdc7b0-7bef-48b2-b013-b3f004146dab"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"La longitud de un camino m\[AAcute]s corto es: \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"-", "25"}]}],
  SequenceForm["La longitud de un camino m\[AAcute]s corto es: ", -25],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135225795132523`*^9, 3.813522648456848*^9}, 
   3.8135698752123175`*^9, 3.8135766552797875`*^9, 3.842340186869855*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[142]:=",ExpressionUUID->"12424549-ada2-41af-8cc2-fba84f48ce37"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Lista actual de v\[EAcute]rtices: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", "c", "}"}]}],
  SequenceForm["Lista actual de v\[EAcute]rtices: ", {$CellContext`c}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135225795132523`*^9, 3.813522648456848*^9}, 
   3.8135698752123175`*^9, 3.8135766552797875`*^9, 3.842340186869855*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[142]:=",ExpressionUUID->"1b3c5c14-4eb4-42bf-a146-1bbe014e2655"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Lista actual de marcas: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"c", ",", 
      RowBox[{"-", "15"}], ",", 
      RowBox[{"{", "d", "}"}]}], "}"}], "}"}]}],
  SequenceForm[
  "Lista actual de marcas: ", {{$CellContext`c, -15, {$CellContext`d}}}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135225795132523`*^9, 3.813522648456848*^9}, 
   3.8135698752123175`*^9, 3.8135766552797875`*^9, 3.842340186869855*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[142]:=",ExpressionUUID->"380e9190-e91b-4956-a6c5-1d3390a750db"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteraciones: \"\>", "\[InvisibleSpace]", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"a", "d", "e", "f", "g", "h", "i", "b", "c"},
       {
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "5"}], ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "4"}], ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "2"}], ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "3"}], ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "8"}], ",", 
          RowBox[{"{", "e", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "10"}], ",", 
          RowBox[{"{", "e", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "5"}], ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "10"}], ",", 
          RowBox[{"{", "e", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "2"}], ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "8"}], ",", 
          RowBox[{"{", "e", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "10"}], ",", 
          RowBox[{"{", "e", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "11"}], ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "10"}], ",", 
          RowBox[{"{", "e", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "5"}], ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "10"}], ",", 
          RowBox[{"{", "e", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "17"}], ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"\[Infinity]", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "8"}], ",", 
          RowBox[{"{", "e", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "15"}], ",", 
          RowBox[{"{", "d", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "20"}], ",", 
          RowBox[{"{", "g", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "10"}], ",", 
          RowBox[{"{", "e", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "5"}], ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "10"}], ",", 
          RowBox[{"{", "e", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "17"}], ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "18"}], ",", 
          RowBox[{"{", "g", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "8"}], ",", 
          RowBox[{"{", "e", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "15"}], ",", 
          RowBox[{"{", "d", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "20"}], ",", 
          RowBox[{"{", "g", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "10"}], ",", 
          RowBox[{"{", "e", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "5"}], ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "21"}], ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "17"}], ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "25"}], ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "23"}], ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "15"}], ",", 
          RowBox[{"{", "d", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "20"}], ",", 
          RowBox[{"{", "g", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "10"}], ",", 
          RowBox[{"{", "e", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "5"}], ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "21"}], ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "17"}], ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "25"}], ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "23"}], ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "15"}], ",", 
          RowBox[{"{", "d", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "20"}], ",", 
          RowBox[{"{", "g", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "10"}], ",", 
          RowBox[{"{", "e", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "5"}], ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "25"}], ",", 
          RowBox[{"{", "i", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "17"}], ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "25"}], ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "23"}], ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "15"}], ",", 
          RowBox[{"{", "d", "}"}]}], "}"}]},
       {
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "20"}], ",", 
          RowBox[{"{", "g", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "10"}], ",", 
          RowBox[{"{", "e", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "5"}], ",", 
          RowBox[{"{", "b", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "25"}], ",", 
          RowBox[{"{", "i", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "17"}], ",", 
          RowBox[{"{", "d", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "25"}], ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "23"}], ",", 
          RowBox[{"{", "a", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"{", "}"}]}], "}"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "15"}], ",", 
          RowBox[{"{", "d", "}"}]}], "}"}]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}],
  SequenceForm["Iteraciones: ", 
   MatrixForm[{{$CellContext`a, $CellContext`d, $CellContext`e, \
$CellContext`f, $CellContext`g, $CellContext`h, $CellContext`i, \
$CellContext`b, $CellContext`c}, {{
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {
       DirectedInfinity[1], {}}, {0, {}}, {
       DirectedInfinity[1], {}}}, {{
       DirectedInfinity[1], {}}, {
       DirectedInfinity[
       1], {}}, {-5, {$CellContext`b}}, {-4, {$CellContext`b}}, {-2, \
{$CellContext`b}}, {
       DirectedInfinity[1], {}}, {-3, {$CellContext`b}}, {0, {}}, {
       DirectedInfinity[
       1], {}}}, {{-8, {$CellContext`e}}, {-10, {$CellContext`e}}, {-5, \
{$CellContext`b}}, {-10, {$CellContext`e}}, {-2, {$CellContext`b}}, {
       DirectedInfinity[1], {}}, {-8, {$CellContext`e}}, {
      0, {}}, {-10, {$CellContext`e}}}, {{-11, {$CellContext`d}}, {-10, \
{$CellContext`e}}, {-5, {$CellContext`b}}, {-10, {$CellContext`e}}, {-17, \
{$CellContext`d}}, {
       DirectedInfinity[1], {}}, {-8, {$CellContext`e}}, {
      0, {}}, {-15, {$CellContext`d}}}, {{-20, {$CellContext`g}}, {-10, \
{$CellContext`e}}, {-5, {$CellContext`b}}, {-10, {$CellContext`e}}, {-17, \
{$CellContext`d}}, {-18, {$CellContext`g}}, {-8, {$CellContext`e}}, {
      0, {}}, {-15, {$CellContext`d}}}, {{-20, {$CellContext`g}}, {-10, \
{$CellContext`e}}, {-5, {$CellContext`b}}, {-21, {$CellContext`a}}, {-17, \
{$CellContext`d}}, {-25, {$CellContext`a}}, {-23, {$CellContext`a}}, {
      0, {}}, {-15, {$CellContext`d}}}, {{-20, {$CellContext`g}}, {-10, \
{$CellContext`e}}, {-5, {$CellContext`b}}, {-21, {$CellContext`a}}, {-17, \
{$CellContext`d}}, {-25, {$CellContext`a}}, {-23, {$CellContext`a}}, {
      0, {}}, {-15, {$CellContext`d}}}, {{-20, {$CellContext`g}}, {-10, \
{$CellContext`e}}, {-5, {$CellContext`b}}, {-25, {$CellContext`i}}, {-17, \
{$CellContext`d}}, {-25, {$CellContext`a}}, {-23, {$CellContext`a}}, {
      0, {}}, {-15, {$CellContext`d}}}, {{-20, {$CellContext`g}}, {-10, \
{$CellContext`e}}, {-5, {$CellContext`b}}, {-25, {$CellContext`i}}, {-17, \
{$CellContext`d}}, {-25, {$CellContext`a}}, {-23, {$CellContext`a}}, {
      0, {}}, {-15, {$CellContext`d}}}}]],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8135225795132523`*^9, 3.813522648456848*^9}, 
   3.8135698752123175`*^9, 3.8135766552797875`*^9, 3.842340186886485*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[142]:=",ExpressionUUID->"6fb46df1-2e37-479b-b361-1ebe8c3b264b"]
}, Open  ]]
}, Open  ]],

Cell["5.5.20", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415294161305`*^9, 
   3.811341568228882*^9}},ExpressionUUID->"201bd9a9-81ed-4e9f-bed2-\
e31e58e9edd5"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"GrafoCompleto", "[", 
  RowBox[{"10", ",", 
   RowBox[{"analizar", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.81352349927946*^9, 3.8135235198637967`*^9}},
 CellLabel->
  "In[144]:=",ExpressionUUID->"ef2de7ac-55d5-4132-9b67-b6d455adf3b3"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`GVl32$$ = 4, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`GVl32$$], 1, "Orden del grafo"}, 1, 10, 1}}, 
    Typeset`size$$ = {352., {178.93173828124998`, 186.86826171874998`}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`GVl32$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Column[{
         CompleteGraph[
         VilCretas`Private`GVl32$$, VertexLabels -> "Name", ImagePadding -> 
          10], 
         VilCretas`Valencias[
          CompleteGraph[
          VilCretas`Private`GVl32$$, VertexLabels -> "Name", ImagePadding -> 
           10]], 
         Row[{"Cantidad de aristas: ", 
           EdgeCount[
            CompleteGraph[
            VilCretas`Private`GVl32$$, VertexLabels -> "Name", ImagePadding -> 
             10]], " = ", 
           If[Length[
              FactorInteger[
               EdgeCount[
                CompleteGraph[
                VilCretas`Private`GVl32$$, VertexLabels -> "Name", 
                 ImagePadding -> 10]]]] == 1, 
            VilCretas`Private`GVl33 = Apply[Superscript, 
               FactorInteger[
                EdgeCount[
                 CompleteGraph[
                 VilCretas`Private`GVl32$$, VertexLabels -> "Name", 
                  ImagePadding -> 10]]], {1}]; 
            Part[VilCretas`Private`GVl33, 1], 
            Apply[CenterDot, 
             Apply[Superscript, 
              FactorInteger[
               EdgeCount[
                CompleteGraph[
                VilCretas`Private`GVl32$$, VertexLabels -> "Name", 
                 ImagePadding -> 10]]], {1}]]]}], 
         Row[{"Tiene circuitos de Euler: ", 
           EulerianGraphQ[
            CompleteGraph[
            VilCretas`Private`GVl32$$, VertexLabels -> "Name", ImagePadding -> 
             10]]}], 
         Row[{"Tiene circuitos de Hamilton: ", 
           HamiltonianGraphQ[
            CompleteGraph[
            VilCretas`Private`GVl32$$, VertexLabels -> "Name", ImagePadding -> 
             10]]}]}], 
      "Specifications" :> {{{VilCretas`Private`GVl32$$, 1, "Orden del grafo"},
          1, 10, 1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{450., {237.03173828125, 244.96826171875}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{{3.8135235204536242`*^9, 3.813523524126959*^9}, 
   3.813569895039558*^9, 3.813576660131575*^9, 3.842340192103002*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[144]:=",ExpressionUUID->"0dffd681-2dfd-4229-89ee-0d177b6001ac"]
}, Open  ]],

Cell[TextData[{
 "Al analizar la animaci\[OAcute]n, se infiere que ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["K", "3"], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "b14c3a74-7140-44b4-8b60-2331754d3e3a"],
 " tiene 2\[CenterDot]3=6 circuitos simples de longitud 3,  ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["K", "4"], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "573e5a6b-d61f-4344-a70c-5db26c5a91f4"],
 " tiene 2\[CenterDot]3\[CenterDot]4=24 circuitos simples de longitud 4,  ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["K", "5"], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "c41f3c5a-0066-412a-a5f4-74b1dd129abb"],
 " tiene 2\[CenterDot]3\[CenterDot]4\[CenterDot]5=120 circuitos simples de \
longitud 5. En general,  ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["K", "n"], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "af61cf46-8f4c-4b78-9904-daffaccff77d"],
 " tiene 2\[CenterDot]3\[CenterDot]\[TripleDot]\[CenterDot]n=n! circuitos \
simples de longitud n."
}], "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415294161305`*^9, 3.811341568228882*^9}, {
   3.813523581518676*^9, 3.8135237752463617`*^9}, {3.813523810795829*^9, 
   3.813523853183955*^9}, {3.8135242140661745`*^9, 
   3.813524225676546*^9}},ExpressionUUID->"fb6d25bf-586b-4a64-a85e-\
61abeefeec92"],

Cell["5.5.21", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415294161305`*^9, 
   3.811341576038514*^9}},ExpressionUUID->"bdbc2404-5910-4dc0-8fcd-\
d74f08ddab9b"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"CantMRutas", "[", 
  RowBox[{
   RowBox[{"GrafoCompleto", "[", "20", "]"}], ",", "10", ",", 
   RowBox[{"all", "\[Rule]", "True"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"ValoresDiagonal", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"MatrixPower", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"MGrafo", "[", 
         RowBox[{
          RowBox[{"GrafoCompleto", "[", "20", "]"}], ",", 
          RowBox[{"Table", "[", 
           RowBox[{"j", ",", 
            RowBox[{"{", 
             RowBox[{"j", ",", "20"}], "}"}]}], "]"}]}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}], ",", "k"}], "]"}], "[", 
     RowBox[{"[", 
      RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "1", ",", "10"}], "}"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.813524344927533*^9, 3.813524385225683*^9}, {
  3.8135245290719833`*^9, 3.813524529388193*^9}, {3.8135699143237295`*^9, 
  3.81356992764074*^9}},
 CellLabel->
  "In[145]:=",ExpressionUUID->"ceb9c43b-eed9-4568-86c6-03505a44bd8d"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`Gi18$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`Gi18$$], 1, "k"}, 1, 10, 1}}, Typeset`size$$ = {
    1088., {247.28173828124991`, 255.21826171874991`}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`Gi18$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> TableForm[
        MatrixPower[
         Part[
          VilCretas`MGrafo[VilCretas`Private`GGrafoAuxiliar17, 
           Sort[
            VertexList[VilCretas`Private`GGrafoAuxiliar17]]], 1], 
         VilCretas`Private`Gi18$$], TableHeadings -> {
          Map[Style[#, Black]& , 
           Sort[
            VertexList[VilCretas`Private`GGrafoAuxiliar17]]], 
          Map[Style[#, Black]& , 
           Sort[
            VertexList[VilCretas`Private`GGrafoAuxiliar17]]]}, 
        TableAlignments -> Center], 
      "Specifications" :> {{{VilCretas`Private`Gi18$$, 1, "k"}, 1, 10, 1}}, 
      "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{1156., {306.03173828125, 313.96826171875}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{{3.8135243862401004`*^9, 3.8135244102881165`*^9}, 
   3.813524530267089*^9, {3.8135699066755056`*^9, 3.813569928894346*^9}, {
   3.813576666685388*^9, 3.8135766746014395`*^9}, 3.842340196252984*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[145]:=",ExpressionUUID->"65c32d39-c265-4247-86ed-a72e6c83881e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "19", ",", "342", ",", "6517", ",", "123804", ",", "2352295", ",",
    "44693586", ",", "849178153", ",", "16134384888", ",", "306553312891"}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.813524530317952*^9, {3.813569906723811*^9, 3.8135699289414787`*^9}, {
   3.8135766667332945`*^9, 3.8135766746468716`*^9}, 3.842340196302899*^9},
 CellLabel->
  "Out[146]=",ExpressionUUID->"22c387c9-8856-470e-a154-c73e64429a22"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FindSequenceFunction", "[", 
  RowBox[{"ValoresDiagonal", ",", "k"}], "]"}]], "Input",
 CellChangeTimes->{{3.8113361238062196`*^9, 3.8113361984163384`*^9}, 
   3.8113366386137342`*^9, {3.811336712892414*^9, 3.8113368003248634`*^9}, {
   3.8113368553214636`*^9, 3.811336938995446*^9}, {3.811336971828577*^9, 
   3.811337001146476*^9}, 3.8113373115373526`*^9, {3.811337478403887*^9, 
   3.8113374888158827`*^9}, {3.811337862016574*^9, 3.811337877246647*^9}, {
   3.8135699405072203`*^9, 3.8135699414991856`*^9}},
 CellLabel->
  "In[147]:=",ExpressionUUID->"334a0eb0-3afa-4184-9a61-51d628b1ce08"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "20"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"19", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}], "k"]}], "+", 
    SuperscriptBox["19", "k"]}], ")"}]}]], "Output",
 CellChangeTimes->{
  3.813524259151326*^9, {3.813569944637704*^9, 3.8135699508692265`*^9}, 
   3.8135766789308324`*^9, 3.8423402042530932`*^9},
 CellLabel->
  "Out[147]=",ExpressionUUID->"e5d8921d-5672-47c1-a06b-3d4966b8650f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    FractionBox["1", "20"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"19", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}], "k"]}], "+", 
      SuperscriptBox["19", "k"]}], ")"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "1", ",", "10"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.813524898164307*^9, 3.813524912834673*^9}},
 CellLabel->
  "In[148]:=",ExpressionUUID->"2b735da8-46c8-409e-816d-8d227900dbb8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "19", ",", "342", ",", "6517", ",", "123804", ",", "2352295", ",",
    "44693586", ",", "849178153", ",", "16134384888", ",", "306553312891"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.8135249136853914`*^9, 3.81356995500174*^9, 
  3.8135766813129582`*^9, 3.84234020645307*^9},
 CellLabel->
  "Out[148]=",ExpressionUUID->"6c561764-3c1e-4606-b718-98685e10b637"]
}, Open  ]],

Cell["5.5.22", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415294161305`*^9, 
   3.811341581302352*^9}},ExpressionUUID->"b362982d-ac51-40b6-8a2e-\
89a97157e1cf"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"GrafoRueda", "[", 
  RowBox[{"10", ",", 
   RowBox[{"analizar", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.813494186286069*^9, 3.8134942053609004`*^9}, {
  3.8135252374957314`*^9, 3.8135252427115107`*^9}},
 CellLabel->
  "In[149]:=",ExpressionUUID->"4262bc4f-a78b-430e-a173-a77a7aeb14cb"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`GVl41$$ = 7, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`GVl41$$], 1, "Orden del grafo"}, 1, 10, 1}}, 
    Typeset`size$$ = {496., {211.93173828124998`, 219.86826171874998`}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`GVl41$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Column[{
         WheelGraph[
         VilCretas`Private`GVl41$$, VertexLabels -> "Name", ImagePadding -> 
          10], 
         VilCretas`Valencias[
          WheelGraph[
          VilCretas`Private`GVl41$$, VertexLabels -> "Name", ImagePadding -> 
           10]], 
         Row[{"Cantidad de aristas: ", 
           EdgeCount[
            WheelGraph[
            VilCretas`Private`GVl41$$, VertexLabels -> "Name", ImagePadding -> 
             10]], " = ", 
           If[Length[
              FactorInteger[
               EdgeCount[
                WheelGraph[
                VilCretas`Private`GVl41$$, VertexLabels -> "Name", 
                 ImagePadding -> 10]]]] == 1, 
            VilCretas`Private`GVl42 = Apply[Superscript, 
               FactorInteger[
                EdgeCount[
                 WheelGraph[
                 VilCretas`Private`GVl41$$, VertexLabels -> "Name", 
                  ImagePadding -> 10]]], {1}]; 
            Part[VilCretas`Private`GVl42, 1], 
            Apply[CenterDot, 
             Apply[Superscript, 
              FactorInteger[
               EdgeCount[
                WheelGraph[
                VilCretas`Private`GVl41$$, VertexLabels -> "Name", 
                 ImagePadding -> 10]]], {1}]]]}], 
         Row[{"Tiene circuitos de Euler: ", 
           EulerianGraphQ[
            WheelGraph[
            VilCretas`Private`GVl41$$, VertexLabels -> "Name", ImagePadding -> 
             10]]}], 
         Row[{"Tiene circuitos de Hamilton: ", 
           HamiltonianGraphQ[
            WheelGraph[
            VilCretas`Private`GVl41$$, VertexLabels -> "Name", ImagePadding -> 
             10]]}]}], 
      "Specifications" :> {{{VilCretas`Private`GVl41$$, 1, "Orden del grafo"},
          1, 10, 1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{564., {270.03173828125, 277.96826171875}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{{3.813525243456951*^9, 3.8135252464870305`*^9}, 
   3.813569962738722*^9, 3.813576684235341*^9, 3.842340209286496*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[149]:=",ExpressionUUID->"f3e7148d-91f7-42d7-bc82-c89be23914e9"]
}, Open  ]],

Cell["\<\
Circuitos de Euler: no tiene.
Circuitos de Hamilton: si n\[GreaterSlantEqual]3.\
\>", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415294161305`*^9, 3.811341581302352*^9}, {
   3.8134943210165305`*^9, 3.8134943391937666`*^9}, {3.813525818966714*^9, 
   3.813525840452698*^9}},ExpressionUUID->"77f03dd9-e0ad-4211-85c5-\
2518f9ab3c5a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"GrafoEstrella", "[", 
  RowBox[{"10", ",", 
   RowBox[{"analizar", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.81349422135863*^9, 3.813494235310855*^9}, {
   3.813494277840287*^9, 3.8134942786905994`*^9}, 3.8135253205666475`*^9},
 CellLabel->
  "In[150]:=",ExpressionUUID->"c36c9ac3-6ae4-42c9-86f2-9aa4e2816288"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`GVl43$$ = 7, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`GVl43$$], 1, "Orden del grafo"}, 1, 10, 1}}, 
    Typeset`size$$ = {496., {211.93173828124998`, 219.86826171874998`}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`GVl43$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Column[{
         StarGraph[
         VilCretas`Private`GVl43$$, VertexLabels -> "Name", ImagePadding -> 
          10], 
         VilCretas`Valencias[
          StarGraph[
          VilCretas`Private`GVl43$$, VertexLabels -> "Name", ImagePadding -> 
           10]], 
         Row[{"Cantidad de aristas: ", 
           EdgeCount[
            StarGraph[
            VilCretas`Private`GVl43$$, VertexLabels -> "Name", ImagePadding -> 
             10]], " = ", 
           If[Length[
              FactorInteger[
               EdgeCount[
                StarGraph[
                VilCretas`Private`GVl43$$, VertexLabels -> "Name", 
                 ImagePadding -> 10]]]] == 1, 
            VilCretas`Private`GVl44 = Apply[Superscript, 
               FactorInteger[
                EdgeCount[
                 StarGraph[
                 VilCretas`Private`GVl43$$, VertexLabels -> "Name", 
                  ImagePadding -> 10]]], {1}]; 
            Part[VilCretas`Private`GVl44, 1], 
            Apply[CenterDot, 
             Apply[Superscript, 
              FactorInteger[
               EdgeCount[
                StarGraph[
                VilCretas`Private`GVl43$$, VertexLabels -> "Name", 
                 ImagePadding -> 10]]], {1}]]]}], 
         Row[{"Tiene circuitos de Euler: ", 
           EulerianGraphQ[
            StarGraph[
            VilCretas`Private`GVl43$$, VertexLabels -> "Name", ImagePadding -> 
             10]]}], 
         Row[{"Tiene circuitos de Hamilton: ", 
           HamiltonianGraphQ[
            StarGraph[
            VilCretas`Private`GVl43$$, VertexLabels -> "Name", ImagePadding -> 
             10]]}]}], 
      "Specifications" :> {{{VilCretas`Private`GVl43$$, 1, "Orden del grafo"},
          1, 10, 1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{564., {270.03173828125, 277.96826171875}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{{3.8135253215036197`*^9, 3.81352532425185*^9}, 
   3.8135700335251665`*^9, 3.8135766893173957`*^9, 3.842340225467176*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[150]:=",ExpressionUUID->"f1adf88a-e94c-42aa-b0f5-450224fb8894"]
}, Open  ]],

Cell["\<\
Circuitos de Euler: no tiene.
Circuitos de Hamilton: no tiene.\
\>", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415294161305`*^9, 3.811341581302352*^9}, {
   3.8134943210165305`*^9, 3.8134943391937666`*^9}, {3.8135258511840525`*^9, 
   3.813525857957975*^9}},ExpressionUUID->"71cb406e-a008-4a79-9023-\
d5283abc387a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"GrafoCiclo", "[", 
  RowBox[{"10", ",", 
   RowBox[{"analizar", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{3.8135253412883043`*^9},
 CellLabel->
  "In[151]:=",ExpressionUUID->"225e11c9-c7f9-4e16-ba46-ab8cb65746d1"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`GVl47$$ = 6, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`GVl47$$], 1, "Orden del grafo"}, 1, 10, 1}}, 
    Typeset`size$$ = {448., {211.43173828124998`, 219.36826171874998`}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`GVl47$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Column[{
         CycleGraph[
         VilCretas`Private`GVl47$$, VertexLabels -> "Name", ImagePadding -> 
          10], 
         VilCretas`Valencias[
          CycleGraph[
          VilCretas`Private`GVl47$$, VertexLabels -> "Name", ImagePadding -> 
           10]], 
         Row[{"Cantidad de aristas: ", 
           EdgeCount[
            CycleGraph[
            VilCretas`Private`GVl47$$, VertexLabels -> "Name", ImagePadding -> 
             10]], " = ", 
           If[Length[
              FactorInteger[
               EdgeCount[
                CycleGraph[
                VilCretas`Private`GVl47$$, VertexLabels -> "Name", 
                 ImagePadding -> 10]]]] == 1, 
            VilCretas`Private`GVl48 = Apply[Superscript, 
               FactorInteger[
                EdgeCount[
                 CycleGraph[
                 VilCretas`Private`GVl47$$, VertexLabels -> "Name", 
                  ImagePadding -> 10]]], {1}]; 
            Part[VilCretas`Private`GVl48, 1], 
            Apply[CenterDot, 
             Apply[Superscript, 
              FactorInteger[
               EdgeCount[
                CycleGraph[
                VilCretas`Private`GVl47$$, VertexLabels -> "Name", 
                 ImagePadding -> 10]]], {1}]]]}], 
         Row[{"Tiene circuitos de Euler: ", 
           EulerianGraphQ[
            CycleGraph[
            VilCretas`Private`GVl47$$, VertexLabels -> "Name", ImagePadding -> 
             10]]}], 
         Row[{"Tiene circuitos de Hamilton: ", 
           HamiltonianGraphQ[
            CycleGraph[
            VilCretas`Private`GVl47$$, VertexLabels -> "Name", ImagePadding -> 
             10]]}]}], 
      "Specifications" :> {{{VilCretas`Private`GVl47$$, 1, "Orden del grafo"},
          1, 10, 1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{516., {270.03173828125, 277.96826171875}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{3.8135253422318716`*^9, 3.813525884099898*^9, 
  3.813570061049387*^9, 3.8135766949227324`*^9, 3.842340231819565*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[151]:=",ExpressionUUID->"f3443a9f-819d-4592-ade2-ec38bea79628"]
}, Open  ]],

Cell["\<\
Circuitos de Euler: siempre posee.
Circuitos de Hamilton: siempre contiene.\
\>", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415294161305`*^9, 3.811341581302352*^9}, {
   3.8134943210165305`*^9, 3.8134943391937666`*^9}, 3.8135258657440567`*^9, {
   3.813525900595228*^9, 
   3.8135259103605537`*^9}},ExpressionUUID->"c3ba0702-0530-4060-aa47-\
7a8d1da015e5"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"GrafoCamino", "[", 
  RowBox[{"30", ",", 
   RowBox[{"analizar", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.813494245794716*^9, 3.813494247395341*^9}, 
   3.8135253539282007`*^9, {3.813525958219113*^9, 3.813525958420172*^9}},
 CellLabel->
  "In[152]:=",ExpressionUUID->"f36b726c-a992-4aff-a958-e5f42ad17b6b"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`GVl45$$ = 12, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`GVl45$$], 1, "Orden del grafo"}, 1, 30, 1}}, 
    Typeset`size$$ = {765., {80.43173828125, 88.36826171875}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`GVl45$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Column[{
         PathGraph[
          Table[
          VilCretas`Private`Gi22, {
           VilCretas`Private`Gi22, VilCretas`Private`GVl45$$}], VertexLabels -> 
          "Name", ImagePadding -> 10], 
         VilCretas`Valencias[
          PathGraph[
           Table[
           VilCretas`Private`Gi22, {
            VilCretas`Private`Gi22, VilCretas`Private`GVl45$$}], VertexLabels -> 
           "Name", ImagePadding -> 10]], 
         Row[{"Cantidad de aristas: ", 
           EdgeCount[
            PathGraph[
             Table[
             VilCretas`Private`Gi22, {
              VilCretas`Private`Gi22, VilCretas`Private`GVl45$$}], 
             VertexLabels -> "Name", ImagePadding -> 10]], " = ", 
           If[Length[
              FactorInteger[
               EdgeCount[
                PathGraph[
                 Table[
                 VilCretas`Private`Gi22, {
                  VilCretas`Private`Gi22, VilCretas`Private`GVl45$$}], 
                 VertexLabels -> "Name", ImagePadding -> 10]]]] == 1, 
            VilCretas`Private`GVl46 = Apply[Superscript, 
               FactorInteger[
                EdgeCount[
                 PathGraph[
                  Table[
                  VilCretas`Private`Gi22, {
                   VilCretas`Private`Gi22, VilCretas`Private`GVl45$$}], 
                  VertexLabels -> "Name", ImagePadding -> 10]]], {1}]; 
            Part[VilCretas`Private`GVl46, 1], 
            Apply[CenterDot, 
             Apply[Superscript, 
              FactorInteger[
               EdgeCount[
                PathGraph[
                 Table[
                 VilCretas`Private`Gi22, {
                  VilCretas`Private`Gi22, VilCretas`Private`GVl45$$}], 
                 VertexLabels -> "Name", ImagePadding -> 10]]], {1}]]]}], 
         Row[{"Tiene circuitos de Euler: ", 
           EulerianGraphQ[
            PathGraph[
             Table[
             VilCretas`Private`Gi22, {
              VilCretas`Private`Gi22, VilCretas`Private`GVl45$$}], 
             VertexLabels -> "Name", ImagePadding -> 10]]}], 
         Row[{"Tiene circuitos de Hamilton: ", 
           HamiltonianGraphQ[
            PathGraph[
             Table[
             VilCretas`Private`Gi22, {
              VilCretas`Private`Gi22, VilCretas`Private`GVl45$$}], 
             VertexLabels -> "Name", ImagePadding -> 10]]}]}], 
      "Specifications" :> {{{VilCretas`Private`GVl45$$, 1, "Orden del grafo"},
          1, 30, 1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{833., {139.03173828125, 146.96826171875}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{
  3.813525354874268*^9, 3.8135259588590345`*^9, 3.8135701127120023`*^9, {
   3.8135767005401974`*^9, 3.8135767054391603`*^9}, 3.8423402391866727`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[152]:=",ExpressionUUID->"12eb6d42-8cd1-4291-82d9-7712b063a3c8"]
}, Open  ]],

Cell["\<\
Circuitos de Euler: no contiene.
Circuitos de Hamilton: no posee.\
\>", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415294161305`*^9, 3.811341581302352*^9}, {
   3.8134943210165305`*^9, 3.8134943391937666`*^9}, {3.813526000496627*^9, 
   3.813526006640608*^9}},ExpressionUUID->"5db3a656-38f6-4b78-b56a-\
188c5c98dc8a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"GrafoRed", "[", 
  RowBox[{"10", ",", "10", ",", 
   RowBox[{"analizar", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8134942547271876`*^9, 3.813494255065831*^9}, {
  3.81352537037965*^9, 3.813525385342167*^9}},
 CellLabel->
  "In[153]:=",ExpressionUUID->"a6c568b3-ea13-4310-86a1-f18ffd3214cf"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`GVl49$$ = 5, 
    VilCretas`Private`GVl50$$ = 7, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`GVl49$$], 1, "Cantidad de nodos fila"}, 1, 10, 
      1}, {{
       Hold[VilCretas`Private`GVl50$$], 1, "Cantidad de nodos columna"}, 1, 
      10, 1}}, Typeset`size$$ = {
    2094., {156.43173828124998`, 164.36826171874998`}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {
       VilCretas`Private`GVl49$$ = 1, VilCretas`Private`GVl50$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Column[{
         GridGraph[{VilCretas`Private`GVl49$$, VilCretas`Private`GVl50$$}, 
          VertexLabels -> "Name", ImagePadding -> 10], 
         VilCretas`Valencias[
          
          GridGraph[{VilCretas`Private`GVl49$$, VilCretas`Private`GVl50$$}, 
           VertexLabels -> "Name", ImagePadding -> 10]], 
         Row[{"Cantidad de aristas: ", 
           EdgeCount[
            
            GridGraph[{VilCretas`Private`GVl49$$, VilCretas`Private`GVl50$$}, 
             VertexLabels -> "Name", ImagePadding -> 10]], " = ", 
           If[Length[
              FactorInteger[
               EdgeCount[
                
                GridGraph[{
                 VilCretas`Private`GVl49$$, VilCretas`Private`GVl50$$}, 
                 VertexLabels -> "Name", ImagePadding -> 10]]]] == 1, 
            VilCretas`Private`GVl51 = Apply[Superscript, 
               FactorInteger[
                EdgeCount[
                 GridGraph[{
                  VilCretas`Private`GVl49$$, VilCretas`Private`GVl50$$}, 
                  VertexLabels -> "Name", ImagePadding -> 10]]], {1}]; 
            Part[VilCretas`Private`GVl51, 1], 
            Apply[CenterDot, 
             Apply[Superscript, 
              FactorInteger[
               EdgeCount[
                
                GridGraph[{
                 VilCretas`Private`GVl49$$, VilCretas`Private`GVl50$$}, 
                 VertexLabels -> "Name", ImagePadding -> 10]]], {1}]]]}], 
         Row[{"Tiene circuitos de Euler: ", 
           EulerianGraphQ[
            
            GridGraph[{VilCretas`Private`GVl49$$, VilCretas`Private`GVl50$$}, 
             VertexLabels -> "Name", ImagePadding -> 10]]}], 
         Row[{"Tiene circuitos de Hamilton: ", 
           HamiltonianGraphQ[
            
            GridGraph[{VilCretas`Private`GVl49$$, VilCretas`Private`GVl50$$}, 
             VertexLabels -> "Name", ImagePadding -> 10]]}]}], 
      "Specifications" :> {{{
         VilCretas`Private`GVl49$$, 1, "Cantidad de nodos fila"}, 1, 10, 
         1}, {{VilCretas`Private`GVl50$$, 1, "Cantidad de nodos columna"}, 1, 
         10, 1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{2162., {227.03173828125, 234.96826171875}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{
  3.813525386126633*^9, {3.813526076954091*^9, 3.813526078044922*^9}, {
   3.813570149085662*^9, 3.8135701699869156`*^9}, {3.8135702592606926`*^9, 
   3.8135702633792906`*^9}, {3.8135703160340996`*^9, 
   3.8135703191099157`*^9}, {3.81357035130779*^9, 3.813570359120886*^9}, {
   3.8135705060102715`*^9, 3.8135705125900817`*^9}, 3.813576712690283*^9, 
   3.8423402465695763`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[153]:=",ExpressionUUID->"1e4415ea-5c0e-45c0-bcc0-ea8c36a6db47"]
}, Open  ]],

Cell["\<\
Circuitos de Euler: hay solo si la cantidad de nodos fila y de \
v\[EAcute]rtices columna es igual a 2.
Circuitos de Hamilton: no hay si la cantidad de nodos fila y de \
v\[EAcute]rtices columna es impar simult\[AAcute]neamente.\
\>", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415294161305`*^9, 3.811341581302352*^9}, {
   3.8134943210165305`*^9, 3.8134943391937666`*^9}, {3.8135260837697353`*^9, 
   3.813526123730686*^9}, {3.813526216993268*^9, 3.8135262188834696`*^9}, {
   3.813526699467494*^9, 
   3.8135267318008327`*^9}},ExpressionUUID->"34ede9ee-5281-4fff-a6e0-\
45b291d5b873"]
},
WindowSize->{949., 472.5},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.3 para Microsoft Windows (64-bit) (May 11, 2021)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"c0b98ad3-b1ba-46d3-8724-de831428ff38"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 202, 3, 42, "Input",ExpressionUUID->"2122faeb-9855-40a6-8c74-09e729807da3"],
Cell[763, 25, 453, 7, 52, "Text",ExpressionUUID->"30542361-6830-4018-a59c-ddd8cfd75895"],
Cell[CellGroupData[{
Cell[1241, 36, 1679, 47, 121, "Input",ExpressionUUID->"341250b5-a069-405f-b4aa-4623b2a13a62"],
Cell[2923, 85, 7572, 150, 329, "Output",ExpressionUUID->"56c97dd5-508a-40a2-87d0-6a56e8112cbb"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10532, 240, 2012, 57, 150, "Input",ExpressionUUID->"62ef1fad-b603-447d-ae02-a237479e762d"],
Cell[12547, 299, 9054, 176, 628, "Output",ExpressionUUID->"84c1b1d3-9c08-4a02-84f3-dc3d20526041"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21638, 480, 2007, 55, 174, "Input",ExpressionUUID->"9aac62ec-b037-4538-b5a1-5cc6dacca9a4"],
Cell[23648, 537, 9784, 188, 225, "Output",ExpressionUUID->"0e3f34ab-1eaf-4c4a-aa25-3d4b47cdc3df"]
}, Open  ]],
Cell[CellGroupData[{
Cell[33469, 730, 2707, 68, 260, "Input",ExpressionUUID->"f134d7e2-22ed-4516-adb6-f0a7a948702d"],
Cell[36179, 800, 12058, 228, 419, "Output",ExpressionUUID->"f0022cfa-d0ba-46df-b1e3-3b9f9563f7f2"]
}, Open  ]],
Cell[48252, 1031, 506, 8, 52, "Text",ExpressionUUID->"69d1e2ed-7137-4681-8106-0f2c6443c991"],
Cell[CellGroupData[{
Cell[48783, 1043, 1802, 49, 121, "Input",ExpressionUUID->"1ae3fa77-3c51-459d-bae6-bafce695fcdf"],
Cell[50588, 1094, 7587, 151, 329, "Output",ExpressionUUID->"1beb4698-9c0e-4aa3-bce0-25fc6ffd3a96"]
}, Open  ]],
Cell[CellGroupData[{
Cell[58212, 1250, 2077, 58, 181, "Input",ExpressionUUID->"94b260d4-d092-4773-b9e2-b7497ef1654c"],
Cell[60292, 1310, 9131, 177, 628, "Output",ExpressionUUID->"681038de-59fc-4eef-b810-0190e0b8425c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[69460, 1492, 2053, 56, 174, "Input",ExpressionUUID->"1eb50864-c18f-429f-9037-895fa7c975ff"],
Cell[71516, 1550, 9431, 182, 225, "Output",ExpressionUUID->"335e118b-20fb-4eb7-ab35-689d3f0fd6e6"]
}, Open  ]],
Cell[CellGroupData[{
Cell[80984, 1737, 2574, 66, 231, "Input",ExpressionUUID->"0a6f19df-c951-4924-a258-2af7c442fa37"],
Cell[83561, 1805, 11177, 210, 419, "Output",ExpressionUUID->"4cddd54b-1205-4f45-b35f-0274abf69b5f"]
}, Open  ]],
Cell[94753, 2018, 504, 8, 52, "Text",ExpressionUUID->"8f385eee-41df-4239-8100-756d09996e64"],
Cell[CellGroupData[{
Cell[95282, 2030, 1365, 39, 100, "Input",ExpressionUUID->"d972acc6-13c3-413a-b42f-5e3223581e8d"],
Cell[96650, 2071, 3318, 106, 90, "Output",ExpressionUUID->"61c825ca-7a8b-4dd8-8056-c43c17bda1e8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[100005, 2182, 1593, 47, 128, "Input",ExpressionUUID->"45bd7a09-3f1e-4079-9dd4-2bf994f8490d"],
Cell[101601, 2231, 4260, 138, 90, "Output",ExpressionUUID->"68641ae4-e073-4cc0-b3bd-d681d96459d2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[105898, 2374, 1612, 45, 153, "Input",ExpressionUUID->"0b1b9149-1a49-4e34-aa25-4d181cb4d4ae"],
Cell[107513, 2421, 3612, 116, 90, "Output",ExpressionUUID->"95359b7f-2a43-4f26-9fb0-9a481488f78f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[111162, 2542, 2121, 56, 210, "Input",ExpressionUUID->"65fe6fc1-22f2-4c7f-871b-61a4b3b074ca"],
Cell[113286, 2600, 3936, 127, 90, "Output",ExpressionUUID->"f4c91f6a-f8f4-47fd-80f3-1311fb46d235"]
}, Open  ]],
Cell[117237, 2730, 504, 8, 52, "Text",ExpressionUUID->"5943458f-d099-4e7e-992c-90836dee50c2"],
Cell[CellGroupData[{
Cell[117766, 2742, 1502, 44, 121, "Input",ExpressionUUID->"22eddf69-2c77-4e3d-8d16-99a9d7144329"],
Cell[119271, 2788, 304, 4, 48, "Output",ExpressionUUID->"6cd11dcc-f366-4d6c-9843-52ee146dd87b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[119612, 2797, 1779, 53, 150, "Input",ExpressionUUID->"4c3a8202-271f-479e-9105-534cad919955"],
Cell[121394, 2852, 326, 4, 48, "Output",ExpressionUUID->"41886759-7682-4ce4-b065-ed0fb5411a5c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[121757, 2861, 1750, 50, 174, "Input",ExpressionUUID->"2697edb1-5508-407c-bb92-f1a17c6cf822"],
Cell[123510, 2913, 292, 4, 48, "Output",ExpressionUUID->"d0f34716-4904-4e43-b5fb-e762dadd975f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[123839, 2922, 2256, 61, 231, "Input",ExpressionUUID->"bc57b6e3-7d83-4b23-9766-945acb720b1d"],
Cell[126098, 2985, 280, 4, 48, "Output",ExpressionUUID->"b22840a8-6373-44a6-a107-f6da7136aaa8"]
}, Open  ]],
Cell[126393, 2992, 502, 8, 52, "Text",ExpressionUUID->"bbb031bd-d95c-496f-afa0-93b30654d62d"],
Cell[CellGroupData[{
Cell[126920, 3004, 1856, 49, 210, "Input",ExpressionUUID->"87d30e50-8af3-413a-ab73-5c006e609061"],
Cell[128779, 3055, 307, 4, 48, "Output",ExpressionUUID->"5858ae69-688d-43d2-855d-07d68ae26976"],
Cell[129089, 3061, 306, 4, 48, "Output",ExpressionUUID->"271aaade-13a1-43b0-8dc3-3caf7202e214"],
Cell[129398, 3067, 1152, 34, 118, "Output",ExpressionUUID->"0400d22d-fd64-42a8-8934-6a9abc9e6679"]
}, Open  ]],
Cell[CellGroupData[{
Cell[130587, 3106, 2392, 60, 267, "Input",ExpressionUUID->"deccf636-7b94-4dfa-9851-b9b3dcae843d"],
Cell[132982, 3168, 323, 4, 48, "Output",ExpressionUUID->"3aad662e-c9d3-4c90-a342-282acc71de06"],
Cell[133308, 3174, 324, 4, 48, "Output",ExpressionUUID->"bc954204-e377-4a2f-8d1c-3e619337e9f5"],
Cell[133635, 3180, 2295, 46, 134, "Output",ExpressionUUID->"d0529f4c-5058-40fa-a84b-549088de4d0a"]
}, Open  ]],
Cell[135945, 3229, 502, 8, 52, "Text",ExpressionUUID->"e5968cbc-dbba-43e5-aaef-fde639b57153"],
Cell[CellGroupData[{
Cell[136472, 3241, 1779, 49, 181, "Input",ExpressionUUID->"3e9a38d7-dd7e-4c1c-bb2f-a2f907ef5712"],
Cell[CellGroupData[{
Cell[138276, 3294, 968, 18, 60, "Print",ExpressionUUID->"adc4faf8-5d5b-4fef-bafb-3f53ccad7420"],
Cell[139247, 3314, 888, 17, 76, "Print",ExpressionUUID->"7cbf5005-db0d-44ed-9279-abcd25c801d7"],
Cell[140138, 3333, 862, 17, 56, "Print",ExpressionUUID->"4f3fdaa9-976d-4d18-9048-3bf164b068ef"],
Cell[141003, 3352, 696, 14, 60, "Print",ExpressionUUID->"c574b856-9838-47cc-b3d8-3b6aef8a52b7"]
}, Open  ]],
Cell[141714, 3369, 729, 15, 48, "Output",ExpressionUUID->"11a0046d-d824-42ab-b749-8bafca9412b5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[142480, 3389, 2284, 60, 239, "Input",ExpressionUUID->"930601b0-f516-42db-b18b-20fe6890b93c"],
Cell[CellGroupData[{
Cell[144789, 3453, 964, 18, 60, "Print",ExpressionUUID->"98327a8a-8ee5-4ed7-bb4e-faf02ef0629a"],
Cell[145756, 3473, 923, 19, 79, "Print",ExpressionUUID->"862ce115-fb34-4483-b9fd-a37701b38c86"],
Cell[146682, 3494, 860, 17, 56, "Print",ExpressionUUID->"6b954395-30e4-40d7-8702-5a636ad53e51"],
Cell[147545, 3513, 694, 14, 60, "Print",ExpressionUUID->"3cc7c4c2-1b38-4994-8d3b-6a57a56916cb"]
}, Open  ]],
Cell[148254, 3530, 779, 16, 48, "Output",ExpressionUUID->"a3c1a129-44ab-4057-871c-8a3022e7369b"]
}, Open  ]],
Cell[149048, 3549, 502, 8, 52, "Text",ExpressionUUID->"bf0ed093-d997-45fd-bfe8-1c3274156368"],
Cell[CellGroupData[{
Cell[149575, 3561, 1776, 50, 174, "Input",ExpressionUUID->"708ccd0e-3836-4ee3-a185-8363e917236c"],
Cell[151354, 3613, 5732, 187, 245, "Output",ExpressionUUID->"c85f7299-a95f-4e8d-a552-0070063fb0fe"],
Cell[157089, 3802, 9442, 299, 245, "Output",ExpressionUUID->"a3a09bad-dfed-48f0-a3f1-f7d0dae8324f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[166568, 4106, 2074, 60, 203, "Input",ExpressionUUID->"17dc2039-ab59-4716-93c4-2b5aea67b5ab"],
Cell[168645, 4168, 7853, 255, 323, "Output",ExpressionUUID->"da53695c-9d7c-4b24-85da-35bacf61d9bc"],
Cell[176501, 4425, 12853, 402, 323, "Output",ExpressionUUID->"35fb9f5d-6ccd-40a2-8e07-4c20932fbec5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[189391, 4832, 2082, 59, 227, "Input",ExpressionUUID->"6b3bd8c7-52e2-4daf-befb-7b63e9b57526"],
Cell[191476, 4893, 6423, 210, 271, "Output",ExpressionUUID->"af3572f6-f769-4dfe-91da-020670038b95"],
Cell[197902, 5105, 9819, 312, 271, "Output",ExpressionUUID->"993fd29b-f081-4261-a5e0-ccd5cbb41c82"]
}, Open  ]],
Cell[CellGroupData[{
Cell[207758, 5422, 2609, 69, 284, "Input",ExpressionUUID->"fc459b9c-0c94-41f8-a635-ce15bd8fcff6"],
Cell[210370, 5493, 7148, 233, 297, "Output",ExpressionUUID->"9348a777-c541-4624-bf9f-4912d3f1c5ab"],
Cell[217521, 5728, 12008, 377, 297, "Output",ExpressionUUID->"3ca65ea3-4573-4ab6-9716-32991b6b99b8"]
}, Open  ]],
Cell[229544, 6108, 504, 8, 52, "Text",ExpressionUUID->"3d2acc06-e072-4e96-bfb8-62ef48ce05fd"],
Cell[CellGroupData[{
Cell[230073, 6120, 1803, 51, 174, "Input",ExpressionUUID->"a10cda4b-d5e9-4db4-be3f-1b7ca0efeaf3"],
Cell[231879, 6173, 6418, 210, 271, "Output",ExpressionUUID->"5c38120c-8954-4436-9a53-8c0e92f915ea"]
}, Open  ]],
Cell[CellGroupData[{
Cell[238334, 6388, 2321, 62, 231, "Input",ExpressionUUID->"60b4184f-1b39-49fc-8eb2-d258c12983cb"],
Cell[240658, 6452, 7162, 233, 297, "Output",ExpressionUUID->"11b1decc-ada3-448b-a0e7-bae39aed5ec2"]
}, Open  ]],
Cell[247835, 6688, 506, 8, 52, "Text",ExpressionUUID->"90a1b4fc-f6dd-4a43-b314-cb8651ccf8bf"],
Cell[CellGroupData[{
Cell[248366, 6700, 734, 17, 164, "Input",ExpressionUUID->"8648db44-dc35-4858-be2b-81371577396c"],
Cell[249103, 6719, 5255, 107, 287, "Output",ExpressionUUID->"932a34d8-5efb-47d0-bd3a-65875c4b193f"]
}, Open  ]],
Cell[254373, 6829, 481, 7, 52, "Text",ExpressionUUID->"074bbd54-a1cc-4439-a985-388433c309f3"],
Cell[CellGroupData[{
Cell[254879, 6840, 761, 18, 189, "Input",ExpressionUUID->"b7806c0f-10ab-4e49-a85a-af3f05823c81"],
Cell[255643, 6860, 6159, 120, 484, "Output",ExpressionUUID->"2b9402a2-f5a8-4d06-8623-19e2cc8417e2"]
}, Open  ]],
Cell[261817, 6983, 483, 7, 52, "Text",ExpressionUUID->"8969a47a-5d7a-4df1-aa17-62349059c9f8"],
Cell[CellGroupData[{
Cell[262325, 6994, 1008, 22, 274, "Input",ExpressionUUID->"6d5dca4f-efcb-43aa-bd75-5896ac54ecd7"],
Cell[263336, 7018, 7780, 150, 326, "Output",ExpressionUUID->"8215f9a8-7d5b-4a1d-b925-40b23db2eb05"]
}, Open  ]],
Cell[271131, 7171, 481, 7, 52, "Text",ExpressionUUID->"c2e6a923-77b4-4eda-ac56-f4869690e569"],
Cell[CellGroupData[{
Cell[271637, 7182, 803, 19, 274, "Input",ExpressionUUID->"8d8c20b2-a1f4-4e74-91bd-fc60d74b7b01"],
Cell[272443, 7203, 7559, 149, 528, "Output",ExpressionUUID->"bf7943c8-4417-405e-a2af-8898ba9d4543"]
}, Open  ]],
Cell[280017, 7355, 481, 7, 52, "Text",ExpressionUUID->"353f4bc2-c971-45bb-9a98-6d60f34ed2af"],
Cell[CellGroupData[{
Cell[280523, 7366, 801, 19, 274, "Input",ExpressionUUID->"a724af85-0b44-4ff2-b04c-5dfd17187099"],
Cell[281327, 7387, 10094, 193, 407, "Output",ExpressionUUID->"04880eb6-a10a-4830-bda5-56c6c05fa607"]
}, Open  ]],
Cell[291436, 7583, 483, 7, 52, "Text",ExpressionUUID->"d1965714-1aec-4d52-b547-6bb0d0335840"],
Cell[CellGroupData[{
Cell[291944, 7594, 800, 19, 274, "Input",ExpressionUUID->"07e9ec76-5af5-4b21-a842-09b24436d506"],
Cell[292747, 7615, 9311, 176, 352, "Output",ExpressionUUID->"e3275668-ed21-457f-ae24-baf9f9476e31"]
}, Open  ]],
Cell[302073, 7794, 483, 7, 52, "Text",ExpressionUUID->"4d84e622-0a19-4c99-97d0-626728917dcb"],
Cell[CellGroupData[{
Cell[302581, 7805, 849, 20, 274, "Input",ExpressionUUID->"da2c111a-4bfc-413b-b13f-0db8a6b5f35d"],
Cell[303433, 7827, 8747, 171, 415, "Output",ExpressionUUID->"27b5e6a0-30f6-49dc-8ca0-17d363a97dad"]
}, Open  ]],
Cell[312195, 8001, 535, 8, 52, "Text",ExpressionUUID->"b0cb0059-04aa-4104-8731-0fb4d1402d9b"],
Cell[CellGroupData[{
Cell[312755, 8013, 949, 21, 301, "Input",ExpressionUUID->"fc717309-f49d-4c37-8e61-ee5b9ab4de77"],
Cell[313707, 8036, 11882, 225, 544, "Output",ExpressionUUID->"c4bbea77-9993-42f0-95f5-0656329dd903"]
}, Open  ]],
Cell[325604, 8264, 537, 8, 52, "Text",ExpressionUUID->"c7aaec1a-dd7e-451f-89e0-a4e030acbe08"],
Cell[CellGroupData[{
Cell[326166, 8276, 1210, 26, 322, "Input",ExpressionUUID->"a0a0748b-35e7-42ec-9e39-0ec2f2b72904"],
Cell[327379, 8304, 293, 4, 48, "Output",ExpressionUUID->"bb5c19db-0111-4ca7-9fe8-1c00d90cac9e"],
Cell[327675, 8310, 292, 4, 48, "Output",ExpressionUUID->"777d0d7f-808d-4e97-b7e8-ad4e94c9f824"],
Cell[327970, 8316, 788, 22, 48, "Output",ExpressionUUID->"0226fffa-e321-4b97-beb8-a6795a1707d4"],
Cell[CellGroupData[{
Cell[328783, 8342, 923, 19, 79, "Print",ExpressionUUID->"abb27ac6-c384-448c-b4c6-0915995b08ad"],
Cell[329709, 8363, 371, 6, 33, "Print",ExpressionUUID->"b1793492-5b20-4ffc-8fa5-56ec5b03bf60"],
Cell[330083, 8371, 886, 19, 56, "Print",ExpressionUUID->"31c89da9-67c7-4d4b-975d-3ad6cdd63fad"],
Cell[330972, 8392, 369, 6, 33, "Print",ExpressionUUID->"bbed39c0-f84f-44fa-a1c6-3addcb64b70f"]
}, Open  ]],
Cell[331356, 8401, 593, 12, 64, "Output",ExpressionUUID->"9d388aa8-7d31-4e5e-b5fe-ff7a8a8c0921"]
}, Open  ]],
Cell[CellGroupData[{
Cell[331986, 8418, 1242, 28, 351, "Input",ExpressionUUID->"909a7439-d187-461d-ad29-bdb7141bfb4b"],
Cell[333231, 8448, 298, 4, 48, "Output",ExpressionUUID->"20b49c93-19f1-4212-babf-7ddcb18aca52"],
Cell[333532, 8454, 297, 4, 48, "Output",ExpressionUUID->"eed4b7d2-130b-42d6-987e-a28e9e51e7fb"],
Cell[333832, 8460, 909, 26, 48, "Output",ExpressionUUID->"c1d68a07-153d-4058-bb55-dc546a1fda7c"],
Cell[CellGroupData[{
Cell[334766, 8490, 966, 18, 60, "Print",ExpressionUUID->"01b69bed-fee5-43b0-a3b3-685b4981b474"],
Cell[335735, 8510, 886, 17, 76, "Print",ExpressionUUID->"8683c02f-4e86-49e5-b54d-e7c4e8b7bd9b"],
Cell[336624, 8529, 860, 17, 56, "Print",ExpressionUUID->"45b5fa58-fc37-4fd7-aae3-0f792b2ff9f7"],
Cell[337487, 8548, 694, 14, 60, "Print",ExpressionUUID->"0e8c3fbf-be04-452f-9093-5d4c5c46b4cd"]
}, Open  ]],
Cell[338196, 8565, 651, 13, 48, "Output",ExpressionUUID->"20b2285a-edbb-46a6-8102-309b325e22ab"]
}, Open  ]],
Cell[CellGroupData[{
Cell[338884, 8583, 1390, 31, 421, "Input",ExpressionUUID->"5c69378d-569e-4958-93a0-fe75edae3561"],
Cell[340277, 8616, 398, 5, 48, "Output",ExpressionUUID->"c4b17c0b-dfa2-4a68-96fa-d14be0865aee"],
Cell[340678, 8623, 399, 5, 48, "Output",ExpressionUUID->"844053bd-6730-416e-9f8c-cfd198ed1f15"],
Cell[341080, 8630, 1107, 21, 77, "Output",ExpressionUUID->"b5689524-89f7-45e2-af23-f4a6d7ddfb61"],
Cell[CellGroupData[{
Cell[342212, 8655, 1054, 19, 60, "Print",ExpressionUUID->"d64ac6b5-1a12-4ee9-a9b1-d9e76eeade38"],
Cell[343269, 8676, 1013, 20, 79, "Print",ExpressionUUID->"bb4cc51b-455f-451a-9280-fa8bd91a62d2"],
Cell[344285, 8698, 950, 18, 56, "Print",ExpressionUUID->"5dc26e1d-9cc7-4a69-954e-d1f9b8fbfcb6"],
Cell[345238, 8718, 784, 15, 60, "Print",ExpressionUUID->"e157c467-dc25-4ecb-a5f1-fb3084e5e1d6"]
}, Open  ]],
Cell[346037, 8736, 803, 15, 48, "Output",ExpressionUUID->"6b1e43e2-f389-44ac-a614-a85cd74957df"]
}, Open  ]],
Cell[CellGroupData[{
Cell[346877, 8756, 1287, 29, 421, "Input",ExpressionUUID->"3a2d1c0f-4f92-4a90-8448-0d9818e86a88"],
Cell[348167, 8787, 304, 4, 48, "Output",ExpressionUUID->"7af0b20a-9987-4dee-8497-7db41a1fc4bf"],
Cell[348474, 8793, 303, 4, 48, "Output",ExpressionUUID->"47bac7a0-1b45-43b8-92a2-1683fba63c4b"],
Cell[348780, 8799, 1090, 32, 77, "Output",ExpressionUUID->"beecf78a-13b9-40cb-915d-7af5bcc554e9"],
Cell[CellGroupData[{
Cell[349895, 8835, 925, 19, 79, "Print",ExpressionUUID->"626c782d-cdf2-47fb-a07b-cb3b13fad68a"],
Cell[350823, 8856, 373, 6, 33, "Print",ExpressionUUID->"84a2a93d-18fb-48a5-b7b1-ff4f4326f47d"],
Cell[351199, 8864, 860, 17, 56, "Print",ExpressionUUID->"9b49bcdd-8635-465f-94f9-97a4260029e7"],
Cell[352062, 8883, 371, 6, 33, "Print",ExpressionUUID->"a63bd70d-3ccc-40d3-8beb-53bc6edd90ea"]
}, Open  ]],
Cell[352448, 8892, 704, 14, 48, "Output",ExpressionUUID->"2600866c-5e98-449d-a994-841772cde7ad"]
}, Open  ]],
Cell[CellGroupData[{
Cell[353189, 8911, 1283, 29, 421, "Input",ExpressionUUID->"6792c5f5-4823-4646-8163-ddfc1695dc18"],
Cell[354475, 8942, 245, 3, 48, "Output",ExpressionUUID->"7303cd06-7404-4ae7-b970-254de3900c64"],
Cell[354723, 8947, 244, 3, 48, "Output",ExpressionUUID->"5602e63a-bcb6-4669-808c-5e1edb9f8f97"],
Cell[354970, 8952, 1452, 46, 77, "Output",ExpressionUUID->"07f2bde0-96fd-4f5c-9125-f363f3bdbbf1"],
Cell[CellGroupData[{
Cell[356447, 9002, 324, 5, 33, "Print",ExpressionUUID->"b4c759c3-9fdf-45ac-9313-a11c53007867"],
Cell[356774, 9009, 323, 5, 33, "Print",ExpressionUUID->"dd639b99-f266-4b59-84a0-96ff0c8ec690"],
Cell[357100, 9016, 843, 18, 56, "Print",ExpressionUUID->"2c496f76-be0b-4618-9381-0bdfbeaf8e08"],
Cell[357946, 9036, 322, 5, 33, "Print",ExpressionUUID->"d9de03e7-3576-4a44-8fc4-00fd07b1082c"]
}, Open  ]],
Cell[358283, 9044, 653, 14, 48, "Output",ExpressionUUID->"ffb97f68-4abb-43ef-9e4e-4155a582d523"]
}, Open  ]],
Cell[CellGroupData[{
Cell[358973, 9063, 1292, 30, 421, "Input",ExpressionUUID->"209dc52b-c450-4f8b-8d65-59fd8f773809"],
Cell[360268, 9095, 279, 5, 48, "Output",ExpressionUUID->"423a4032-5552-4d6b-9f57-c77bf8e40d8d"],
Cell[360550, 9102, 278, 5, 48, "Output",ExpressionUUID->"63d4b424-768d-4e14-8861-b61edd43e311"],
Cell[360831, 9109, 1360, 43, 77, "Output",ExpressionUUID->"c399334d-9008-4db0-982b-a82799766c48"],
Cell[CellGroupData[{
Cell[362216, 9156, 345, 6, 33, "Print",ExpressionUUID->"ad53adda-8a7c-463d-88c3-ded01c6716ec"],
Cell[362564, 9164, 344, 6, 33, "Print",ExpressionUUID->"f3d4b38d-0de5-411c-915f-60046b1bbccc"],
Cell[362911, 9172, 864, 19, 56, "Print",ExpressionUUID->"401e3f72-01e0-40ad-9d45-61774daf83ab"],
Cell[363778, 9193, 343, 6, 33, "Print",ExpressionUUID->"ee11b753-d2a0-4449-9850-dd67d5266dd8"]
}, Open  ]],
Cell[364136, 9202, 679, 15, 48, "Output",ExpressionUUID->"0198f862-e428-4132-88dc-dc53fc648e9f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[364852, 9222, 1273, 30, 392, "Input",ExpressionUUID->"562c40d8-3b21-4aeb-8996-2eb99fde714e"],
Cell[366128, 9254, 281, 5, 48, "Output",ExpressionUUID->"046bbeea-5657-45d9-8e13-af89b6375143"],
Cell[366412, 9261, 283, 5, 48, "Output",ExpressionUUID->"1cbe690e-b9d9-4591-8495-567300eac4c7"],
Cell[CellGroupData[{
Cell[366720, 9270, 906, 19, 79, "Print",ExpressionUUID->"2b3ecbd0-4511-4819-ac8a-9b864e9b60cb"],
Cell[367629, 9291, 354, 6, 33, "Print",ExpressionUUID->"07740d2c-8e84-4307-aca2-26cd92960b39"],
Cell[367986, 9299, 841, 17, 56, "Print",ExpressionUUID->"d4aa342b-2b9b-4dc4-989d-5319f81749fa"],
Cell[368830, 9318, 352, 6, 33, "Print",ExpressionUUID->"d2934e5d-93dd-4911-ab25-f2a0f1a8a0d9"]
}, Open  ]],
Cell[369197, 9327, 685, 15, 48, "Output",ExpressionUUID->"60354817-8d82-4703-9c27-30bb98b24146"]
}, Open  ]],
Cell[CellGroupData[{
Cell[369919, 9347, 1444, 32, 448, "Input",ExpressionUUID->"a1378a04-cb1b-4371-a2c0-79cedea01fc9"],
Cell[371366, 9381, 252, 4, 48, "Output",ExpressionUUID->"9bd3a4ca-49f4-4641-aabd-16dcdd7945da"],
Cell[371621, 9387, 251, 4, 48, "Output",ExpressionUUID->"86016661-4a2c-4fa3-9c30-ddbe7e8a086d"],
Cell[371875, 9393, 1689, 54, 106, "Output",ExpressionUUID->"9ab47aa4-7dfa-48ad-9a3c-440685f7b2ce"],
Cell[CellGroupData[{
Cell[373589, 9451, 323, 5, 33, "Print",ExpressionUUID->"8067aa14-6680-4cee-8963-6d44beb91d1f"],
Cell[373915, 9458, 322, 5, 33, "Print",ExpressionUUID->"4706ab81-151f-4053-9852-5983a371686d"],
Cell[374240, 9465, 842, 18, 56, "Print",ExpressionUUID->"940dd1b0-67b2-460b-ae98-0ad6769103e3"],
Cell[375085, 9485, 321, 5, 33, "Print",ExpressionUUID->"7e8d8b74-8663-48d7-af83-2310b21833b6"]
}, Open  ]],
Cell[375421, 9493, 705, 15, 48, "Output",ExpressionUUID->"2d85d88c-b096-499c-849b-4fa759e5e37b"]
}, Open  ]],
Cell[376141, 9511, 535, 8, 52, "Text",ExpressionUUID->"3060b749-fda3-4792-bb0f-a5960c87f9ab"],
Cell[CellGroupData[{
Cell[376701, 9523, 1651, 47, 153, "Input",ExpressionUUID->"ed58b24f-81b8-4122-960a-1a907b96c111"],
Cell[CellGroupData[{
Cell[378377, 9574, 488, 10, 33, "Print",ExpressionUUID->"93966a8f-0c9a-45eb-a916-0b07ec50a610"],
Cell[378868, 9586, 8199, 235, 244, "Print",ExpressionUUID->"0eacc718-d7e8-4bac-9585-b552beda99c9"],
Cell[387070, 9823, 486, 13, 33, "Print",ExpressionUUID->"a0695dd2-cdda-4b4c-94da-13839366022e"],
Cell[387559, 9838, 2407, 51, 524, "Print",ExpressionUUID->"2237719d-eea8-463d-8e5a-c19ba19eeaec"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[390015, 9895, 2214, 59, 210, "Input",ExpressionUUID->"08d10845-7faf-4119-b514-ed081934e0b5"],
Cell[CellGroupData[{
Cell[392254, 9958, 491, 10, 33, "Print",ExpressionUUID->"49658368-0041-4ab6-8714-df783f457582"],
Cell[392748, 9970, 10248, 292, 224, "Print",ExpressionUUID->"c22af463-47a9-46d1-be6a-ea94e8c9fdea"],
Cell[402999, 10264, 486, 13, 33, "Print",ExpressionUUID->"5e824b92-4f4c-4bfb-9383-6f96c86d94dd"],
Cell[403488, 10279, 2408, 51, 392, "Print",ExpressionUUID->"d8ea0725-cdae-44a6-b2e7-0d98dcd9ca1f"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[405945, 10336, 972, 23, 207, "Input",ExpressionUUID->"57a7a798-9eb6-4768-b442-3fd4b23c1db2"],
Cell[CellGroupData[{
Cell[406942, 10363, 523, 11, 33, "Print",ExpressionUUID->"89741a0c-f614-412a-85e6-a1806ee822bc"],
Cell[407468, 10376, 4075, 117, 152, "Print",ExpressionUUID->"83ede1c6-7ef1-4a7c-80b9-d209937a68b4"],
Cell[411546, 10495, 581, 16, 33, "Print",ExpressionUUID->"6b304bd9-406d-4aab-8ac8-d8cb6c6b471f"],
Cell[412130, 10513, 2440, 52, 392, "Print",ExpressionUUID->"d3494951-152d-46d5-b9dc-4bdf7ae928b8"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[414619, 10571, 1001, 24, 236, "Input",ExpressionUUID->"f7e12bfb-7cdc-4b54-8831-c0c73cc3c843"],
Cell[CellGroupData[{
Cell[415645, 10599, 521, 11, 33, "Print",ExpressionUUID->"8215264a-56fc-4773-8d6a-c3401dbccc28"],
Cell[416169, 10612, 6132, 176, 200, "Print",ExpressionUUID->"49faf08a-03bb-4370-ab1a-c3622c73d798"],
Cell[422304, 10790, 516, 14, 33, "Print",ExpressionUUID->"8642b55e-fff3-475e-a551-243dd9ac96de"],
Cell[422823, 10806, 2440, 52, 574, "Print",ExpressionUUID->"00a015fa-a2c3-459f-82ae-d5ca165cd7f9"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[425312, 10864, 1079, 26, 307, "Input",ExpressionUUID->"0957a44e-3574-4248-857e-af795f4b7600"],
Cell[CellGroupData[{
Cell[426416, 10894, 524, 11, 33, "Print",ExpressionUUID->"3a1bbf5d-c4ca-4ca9-9d2f-df8d4af11a87"],
Cell[426943, 10907, 7885, 226, 224, "Print",ExpressionUUID->"1dc4401c-2f01-4726-9656-b12294d83f54"],
Cell[434831, 11135, 582, 16, 33, "Print",ExpressionUUID->"c30c45d2-4f46-4ef4-9170-2ede69288917"],
Cell[435416, 11153, 2445, 52, 414, "Print",ExpressionUUID->"4eda4574-3285-4c28-b36e-76da3b3cd616"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[437910, 11211, 1053, 26, 307, "Input",ExpressionUUID->"26164d03-1515-4dde-a9ff-4634cf7cd9bd"],
Cell[CellGroupData[{
Cell[438988, 11241, 494, 10, 33, "Print",ExpressionUUID->"98370a12-a393-4bb1-af8e-992662708d55"],
Cell[439485, 11253, 8044, 230, 224, "Print",ExpressionUUID->"be4e1ea2-c076-4229-9d1d-fe0eb7878c74"],
Cell[447532, 11485, 487, 13, 33, "Print",ExpressionUUID->"f7bcedf6-6fc2-41a2-9481-09a0bf16b470"],
Cell[448022, 11500, 2413, 51, 634, "Print",ExpressionUUID->"f477433e-535e-4216-81d2-5d650d246e5d"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[450484, 11557, 1047, 26, 307, "Input",ExpressionUUID->"cf255e19-1923-4b4c-b1a5-e05f72a0a236"],
Cell[CellGroupData[{
Cell[451556, 11587, 498, 10, 33, "Print",ExpressionUUID->"736aeca5-c4c1-434a-a355-c9c03d473daa"],
Cell[452057, 11599, 7805, 223, 224, "Print",ExpressionUUID->"38042d42-6f85-415a-9adc-e4597f4ade3d"],
Cell[459865, 11824, 493, 13, 33, "Print",ExpressionUUID->"ba111dbe-a7c0-4051-ae28-1e25631104a3"],
Cell[460361, 11839, 2419, 51, 512, "Print",ExpressionUUID->"ae1e0a41-016f-4f29-ad66-0ff6e263adaa"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[462829, 11896, 1099, 26, 307, "Input",ExpressionUUID->"8a258439-2d14-4c5c-876f-bda9c61ed874"],
Cell[CellGroupData[{
Cell[463953, 11926, 548, 11, 33, "Print",ExpressionUUID->"818192bf-cda3-486a-8771-0d52abd84073"],
Cell[464504, 11939, 8390, 239, 268, "Print",ExpressionUUID->"bff9be00-8d82-4330-aa7d-86891e989fc6"],
Cell[472897, 12180, 461, 11, 33, "Print",ExpressionUUID->"0c2b7440-1554-45ed-bfbf-682ae6896bb4"],
Cell[473361, 12193, 2467, 52, 440, "Print",ExpressionUUID->"e7f7c7e2-d7db-4c2e-a65c-ac5d34ce5b70"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[475877, 12251, 1096, 26, 307, "Input",ExpressionUUID->"bdad50a1-9196-4bcc-9ef6-c9b1a6d5dd9e"],
Cell[CellGroupData[{
Cell[476998, 12281, 494, 10, 33, "Print",ExpressionUUID->"c45b9a03-a15e-402f-a526-7c1f8b3d9862"],
Cell[477495, 12293, 8140, 232, 224, "Print",ExpressionUUID->"5653c7e6-265e-4a45-9e34-81ddf3870dc5"],
Cell[485638, 12527, 409, 10, 33, "Print",ExpressionUUID->"a7655220-c134-425c-8025-7f1ef8fd5328"],
Cell[486050, 12539, 2415, 51, 504, "Print",ExpressionUUID->"505629f4-942b-4046-bbf0-3c29fd74a184"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[488514, 12596, 1196, 27, 334, "Input",ExpressionUUID->"218620b1-a04f-46dc-8f60-704c4f361e7b"],
Cell[CellGroupData[{
Cell[489735, 12627, 494, 10, 33, "Print",ExpressionUUID->"2a3009a1-86ab-4826-af91-f909a7bfe100"],
Cell[490232, 12639, 10417, 300, 248, "Print",ExpressionUUID->"b0dfe98e-50fc-4d9d-a904-9bcc371552a6"],
Cell[500652, 12941, 406, 10, 33, "Print",ExpressionUUID->"4ff3731b-1fbc-45a6-a866-505abc3cf75e"],
Cell[501061, 12953, 2415, 51, 632, "Print",ExpressionUUID->"5bb3403b-bac5-43d0-893f-659cd69594b5"]
}, Open  ]]
}, Open  ]],
Cell[503503, 13008, 537, 8, 52, "Text",ExpressionUUID->"e0a0772b-df4e-4170-b2da-e758465217af"],
Cell[CellGroupData[{
Cell[504065, 13020, 1744, 50, 203, "Input",ExpressionUUID->"f9f3f519-19a1-4ad8-8a23-a45fc459e519"],
Cell[505812, 13072, 8583, 176, 225, "Output",ExpressionUUID->"d1e64d76-841e-4357-a35d-a81308d09c12"],
Cell[CellGroupData[{
Cell[514420, 13252, 289, 5, 33, "Print",ExpressionUUID->"2f3939f2-9e95-4efa-a01a-8eae08cc795b"],
Cell[514712, 13259, 6978, 237, 226, "Print",ExpressionUUID->"22599e77-556d-4d13-a14d-3e65d9f7471b"],
Cell[521693, 13498, 1654, 43, 60, "Print",ExpressionUUID->"fcbcfe22-5dd7-4325-9694-aace1c6005a9"],
Cell[523350, 13543, 448, 10, 33, "Print",ExpressionUUID->"2c8e1acc-d78c-4a62-936b-d19babcfed9f"],
Cell[523801, 13555, 659, 15, 33, "Print",ExpressionUUID->"57c52c7d-9534-4f0c-98fb-9eae8e54e143"],
Cell[524463, 13572, 1553, 41, 60, "Print",ExpressionUUID->"0c7bdb90-acc5-49d7-94de-8ba277fdb729"],
Cell[526019, 13615, 446, 10, 33, "Print",ExpressionUUID->"fe0e2c66-b1b7-4547-8703-4224d73cb018"],
Cell[526468, 13627, 624, 13, 33, "Print",ExpressionUUID->"c83b9f7a-a2a0-405a-b5ca-6e82fc0f8ee4"],
Cell[527095, 13642, 1396, 37, 60, "Print",ExpressionUUID->"fd490da6-1af6-4e2c-9063-ac87dd2a6494"],
Cell[528494, 13681, 446, 10, 33, "Print",ExpressionUUID->"9392448b-98c3-4494-b53e-8a103968b421"],
Cell[528943, 13693, 600, 13, 33, "Print",ExpressionUUID->"3b88d50a-c5ee-489e-9f7f-acb6aaecfd0b"],
Cell[529546, 13708, 1258, 34, 60, "Print",ExpressionUUID->"4829566c-70ed-428a-a074-021b80a5f842"],
Cell[530807, 13744, 448, 10, 33, "Print",ExpressionUUID->"4760de94-c620-4ac6-bd58-6fb4f13a81da"],
Cell[531258, 13756, 574, 13, 33, "Print",ExpressionUUID->"661e3860-d0cf-480b-ab87-45503570b92e"],
Cell[531835, 13771, 1116, 30, 60, "Print",ExpressionUUID->"91eade89-7cea-4fa7-a580-c3cf4aef2c7f"],
Cell[532954, 13803, 448, 10, 33, "Print",ExpressionUUID->"6b42afaf-ebf5-45f3-a46e-926cccb884cd"],
Cell[533405, 13815, 546, 13, 33, "Print",ExpressionUUID->"172799a1-6499-4e58-8425-73b1343e1162"],
Cell[533954, 13830, 948, 26, 33, "Print",ExpressionUUID->"7708e3f1-70a2-4bff-8b4c-601df15d2096"],
Cell[534905, 13858, 446, 10, 33, "Print",ExpressionUUID->"a1d7b974-5dd2-4ce4-9bfe-e9324f4cab7a"],
Cell[535354, 13870, 518, 12, 33, "Print",ExpressionUUID->"902142ae-9694-4aaf-9f48-311784fcae04"],
Cell[535875, 13884, 780, 21, 33, "Print",ExpressionUUID->"ea359842-9702-47ee-a44b-a09dbbf73902"],
Cell[536658, 13907, 446, 10, 33, "Print",ExpressionUUID->"aab0284b-cdcc-439a-ada0-754d337c149b"],
Cell[537107, 13919, 476, 10, 33, "Print",ExpressionUUID->"5acbc3cf-08a3-475c-9a60-d24c498176f9"],
Cell[537586, 13931, 595, 15, 33, "Print",ExpressionUUID->"8538d43f-b743-42be-8b08-96d17807e569"],
Cell[538184, 13948, 448, 10, 33, "Print",ExpressionUUID->"3628a403-13de-4661-8f82-186fcb40e766"],
Cell[538635, 13960, 489, 11, 33, "Print",ExpressionUUID->"e2b4c543-4f5f-42bd-b0f4-d48d6e56d141"],
Cell[539127, 13973, 457, 10, 33, "Print",ExpressionUUID->"89f40ed4-17cd-4fcf-b833-5811cc419f89"],
Cell[539587, 13985, 437, 10, 33, "Print",ExpressionUUID->"19e5d6b9-bc2d-443e-af10-1009d4c6d168"],
Cell[540027, 13997, 11118, 334, 248, "Print",ExpressionUUID->"fadbe6e6-10ef-4225-b3b6-f4bdf5f4d27a"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[551194, 14337, 2244, 61, 260, "Input",ExpressionUUID->"f0337c0a-cbfd-4933-8ff0-b250f14f9ce2"],
Cell[553441, 14400, 10430, 214, 419, "Output",ExpressionUUID->"59b1fc2a-0d77-4177-8125-98ea76a6738d"],
Cell[CellGroupData[{
Cell[563896, 14618, 318, 5, 33, "Print",ExpressionUUID->"4fbd3e90-530b-41fc-ba6a-cde218ae84d1"],
Cell[564217, 14625, 7909, 268, 250, "Print",ExpressionUUID->"ff68b588-cf25-4872-af78-fe308e6a3102"],
Cell[572129, 14895, 1835, 46, 60, "Print",ExpressionUUID->"d11a31ca-6263-4490-b44c-bdf54a3f19e8"],
Cell[573967, 14943, 477, 10, 33, "Print",ExpressionUUID->"180790f5-dd85-4178-aaff-79d5e45f26d9"],
Cell[574447, 14955, 720, 16, 33, "Print",ExpressionUUID->"14778b52-673f-424a-9270-314c5c35e12c"],
Cell[575170, 14973, 1761, 46, 60, "Print",ExpressionUUID->"eee856e5-ec63-4242-bb11-4e57e3cc29b9"],
Cell[576934, 15021, 474, 10, 33, "Print",ExpressionUUID->"ebc4f212-7cd2-4fe7-8538-6d74b77dd84f"],
Cell[577411, 15033, 685, 15, 33, "Print",ExpressionUUID->"7fea6bbf-e6fc-4d1e-b688-4f5ff2f33caf"],
Cell[578099, 15050, 1632, 44, 60, "Print",ExpressionUUID->"c0f796ff-86dd-47d0-b0ac-72e5c954220f"],
Cell[579734, 15096, 477, 10, 33, "Print",ExpressionUUID->"a3348b1a-564b-4ae1-9560-ffdf0f9e4e40"],
Cell[580214, 15108, 655, 13, 33, "Print",ExpressionUUID->"57fc02d5-58c1-4129-8470-ff7bbb7f58b3"],
Cell[580872, 15123, 1472, 40, 60, "Print",ExpressionUUID->"5e6ecde0-4269-4f6b-a33c-789888258e2e"],
Cell[582347, 15165, 477, 10, 33, "Print",ExpressionUUID->"8b45a731-9888-455c-896b-3e03bbe3c1b4"],
Cell[582827, 15177, 629, 13, 33, "Print",ExpressionUUID->"64c424e0-a0ef-4deb-8d6c-f6f5e45902dd"],
Cell[583459, 15192, 1309, 35, 60, "Print",ExpressionUUID->"f165a582-4945-489a-89ed-d19290f4c257"],
Cell[584771, 15229, 475, 10, 33, "Print",ExpressionUUID->"e7ffc91c-b178-401d-a4d6-59e142bac779"],
Cell[585249, 15241, 601, 13, 33, "Print",ExpressionUUID->"674789fe-562d-43eb-a79b-71e014422511"],
Cell[585853, 15256, 1143, 30, 60, "Print",ExpressionUUID->"db28ad2f-4af2-484e-b7bc-87599c6f1c7d"],
Cell[586999, 15288, 475, 10, 33, "Print",ExpressionUUID->"d67ac871-859b-4b43-99be-101287b61908"],
Cell[587477, 15300, 577, 13, 33, "Print",ExpressionUUID->"94d7ca96-e6e1-4290-ab5a-bcb43363301b"],
Cell[588057, 15315, 977, 26, 33, "Print",ExpressionUUID->"a0eb464e-95bd-42cf-a82d-5beefcea231e"],
Cell[589037, 15343, 475, 10, 33, "Print",ExpressionUUID->"df3cc83d-3db1-47e2-942f-6fab82bc1cf9"],
Cell[589515, 15355, 547, 12, 33, "Print",ExpressionUUID->"e91356c7-941d-434a-bbdb-22d794e2aa1a"],
Cell[590065, 15369, 809, 21, 33, "Print",ExpressionUUID->"2fb35be9-e897-4237-a3f2-c8819c99d66d"],
Cell[590877, 15392, 475, 10, 33, "Print",ExpressionUUID->"1dcdc7b0-7bef-48b2-b013-b3f004146dab"],
Cell[591355, 15404, 516, 11, 33, "Print",ExpressionUUID->"12424549-ada2-41af-8cc2-fba84f48ce37"],
Cell[591874, 15417, 503, 10, 33, "Print",ExpressionUUID->"1b3c5c14-4eb4-42bf-a146-1bbe014e2655"],
Cell[592380, 15429, 622, 15, 33, "Print",ExpressionUUID->"380e9190-e91b-4956-a6c5-1d3390a750db"],
Cell[593005, 15446, 12554, 373, 248, "Print",ExpressionUUID->"6fb46df1-2e37-479b-b361-1ebe8c3b264b"]
}, Open  ]]
}, Open  ]],
Cell[605586, 15823, 535, 8, 52, "Text",ExpressionUUID->"201bd9a9-81ed-4e9f-bed2-e31e58e9edd5"],
Cell[CellGroupData[{
Cell[606146, 15835, 280, 6, 64, "Input",ExpressionUUID->"ef2de7ac-55d5-4132-9b67-b6d455adf3b3"],
Cell[606429, 15843, 3494, 77, 496, "Print",ExpressionUUID->"0dffd681-2dfd-4229-89ee-0d177b6001ac"]
}, Open  ]],
Cell[609938, 15923, 1745, 38, 121, "Text",ExpressionUUID->"fb6d25bf-586b-4a64-a85e-61abeefeec92"],
Cell[611686, 15963, 535, 8, 52, "Text",ExpressionUUID->"bdbc2404-5910-4dc0-8fcd-d74f08ddab9b"],
Cell[CellGroupData[{
Cell[612246, 15975, 1079, 28, 177, "Input",ExpressionUUID->"ceb9c43b-eed9-4568-86c6-03505a44bd8d"],
Cell[613328, 16005, 2372, 49, 634, "Print",ExpressionUUID->"65c32d39-c265-4247-86ed-a72e6c83881e"],
Cell[615703, 16056, 468, 10, 77, "Output",ExpressionUUID->"22c387c9-8856-470e-a154-c73e64429a22"]
}, Open  ]],
Cell[CellGroupData[{
Cell[616208, 16071, 617, 10, 64, "Input",ExpressionUUID->"334a0eb0-3afa-4184-9a61-51d628b1ce08"],
Cell[616828, 16083, 477, 14, 68, "Output",ExpressionUUID->"e5d8921d-5672-47c1-a06b-3d4966b8650f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[617342, 16102, 529, 16, 88, "Input",ExpressionUUID->"2b735da8-46c8-409e-816d-8d227900dbb8"],
Cell[617874, 16120, 412, 9, 77, "Output",ExpressionUUID->"6c561764-3c1e-4606-b718-98685e10b637"]
}, Open  ]],
Cell[618301, 16132, 535, 8, 52, "Text",ExpressionUUID->"b362982d-ac51-40b6-8a2e-89a97157e1cf"],
Cell[CellGroupData[{
Cell[618861, 16144, 331, 7, 64, "Input",ExpressionUUID->"4262bc4f-a78b-430e-a173-a77a7aeb14cb"],
Cell[619195, 16153, 3470, 77, 562, "Print",ExpressionUUID->"f3e7148d-91f7-42d7-bc82-c89be23914e9"]
}, Open  ]],
Cell[622680, 16233, 716, 12, 87, "Text",ExpressionUUID->"77f03dd9-e0ad-4211-85c5-2518f9ab3c5a"],
Cell[CellGroupData[{
Cell[623421, 16249, 354, 7, 64, "Input",ExpressionUUID->"c36c9ac3-6ae4-42c9-86f2-9aa4e2816288"],
Cell[623778, 16258, 3465, 77, 562, "Print",ExpressionUUID->"f1adf88a-e94c-42aa-b0f5-450224fb8894"]
}, Open  ]],
Cell[627258, 16338, 701, 12, 87, "Text",ExpressionUUID->"71cb406e-a008-4a79-9023-d5283abc387a"],
Cell[CellGroupData[{
Cell[627984, 16354, 254, 6, 64, "Input",ExpressionUUID->"225e11c9-c7f9-4e16-ba46-ab8cb65746d1"],
Cell[628241, 16362, 3469, 77, 562, "Print",ExpressionUUID->"f3443a9f-819d-4592-ade2-ec38bea79628"]
}, Open  ]],
Cell[631725, 16442, 742, 13, 87, "Text",ExpressionUUID->"c3ba0702-0530-4060-aa47-7a8d1da015e5"],
Cell[CellGroupData[{
Cell[632492, 16459, 351, 7, 64, "Input",ExpressionUUID->"f36b726c-a992-4aff-a958-e5f42ad17b6b"],
Cell[632846, 16468, 4198, 94, 300, "Print",ExpressionUUID->"12eb6d42-8cd1-4291-82d9-7712b063a3c8"]
}, Open  ]],
Cell[637059, 16565, 702, 12, 87, "Text",ExpressionUUID->"5db3a656-38f6-4b78-b56a-188c5c98dc8a"],
Cell[CellGroupData[{
Cell[637786, 16581, 335, 7, 64, "Input",ExpressionUUID->"a6c568b3-ea13-4310-86a1-f18ffd3214cf"],
Cell[638124, 16590, 4275, 91, 476, "Print",ExpressionUUID->"1e4415ea-5c0e-45c0-bcc0-ea8c36a6db47"]
}, Open  ]],
Cell[642414, 16684, 971, 16, 156, "Text",ExpressionUUID->"34ede9ee-5281-4fff-a6e0-45b291d5b873"]
}
]
*)

